package com.bda.controller;

import android.os.Parcel;
import android.os.Parcelable;
import android.os.Parcelable.Creator;
import android.util.SparseArray;

public final class MotionEvent extends BaseEvent implements Parcelable {
    public static final int AXIS_LTRIGGER = 17;
    public static final int AXIS_RTRIGGER = 18;
    public static final int AXIS_RZ = 14;
    public static final int AXIS_X = 0;
    public static final int AXIS_Y = 1;
    public static final int AXIS_Z = 11;
    public static final Creator<MotionEvent> CREATOR;
    final SparseArray<Float> mAxis;
    final SparseArray<Float> mPrecision;

    static class ParcelableCreator implements Creator<MotionEvent> {
        ParcelableCreator() {
        }

        public MotionEvent createFromParcel(Parcel parcel) {
            return new MotionEvent(parcel);
        }

        public MotionEvent[] newArray(int i) {
            return new MotionEvent[i];
        }
    }

    static {
        CREATOR = new ParcelableCreator();
    }

    public MotionEvent(long j, int i, float f, float f2, float f3, float f4, float f5, float f6) {
        super(j, i);
        this.mAxis = new SparseArray(4);
        this.mAxis.put(AXIS_X, Float.valueOf(f));
        this.mAxis.put(AXIS_Y, Float.valueOf(f2));
        this.mAxis.put(AXIS_Z, Float.valueOf(f3));
        this.mAxis.put(AXIS_RZ, Float.valueOf(f4));
        this.mPrecision = new SparseArray(2);
        this.mPrecision.put(AXIS_X, Float.valueOf(f5));
        this.mPrecision.put(AXIS_Y, Float.valueOf(f6));
    }

    public MotionEvent(long j, int i, int[] iArr, float[] fArr, int[] iArr2, float[] fArr2) {
        int i2;
        int i3 = AXIS_X;
        super(j, i);
        int length = iArr.length;
        this.mAxis = new SparseArray(length);
        for (i2 = AXIS_X; i2 < length; i2 += AXIS_Y) {
            this.mAxis.put(iArr[i2], Float.valueOf(fArr[i2]));
        }
        i2 = iArr2.length;
        this.mPrecision = new SparseArray(i2);
        while (i3 < i2) {
            this.mPrecision.put(iArr2[i3], Float.valueOf(fArr2[i3]));
            i3 += AXIS_Y;
        }
    }

    MotionEvent(Parcel parcel) {
        int i = AXIS_X;
        super(parcel);
        int readInt = parcel.readInt();
        this.mAxis = new SparseArray(readInt);
        for (int i2 = AXIS_X; i2 < readInt; i2 += AXIS_Y) {
            this.mAxis.put(parcel.readInt(), Float.valueOf(parcel.readFloat()));
        }
        this.mPrecision = new SparseArray(parcel.readInt());
        while (i < readInt) {
            this.mPrecision.put(parcel.readInt(), Float.valueOf(parcel.readFloat()));
            i += AXIS_Y;
        }
    }

    public int describeContents() {
        return AXIS_X;
    }

    public final int findPointerIndex(int i) {
        return -1;
    }

    public final float getAxisValue(int i) {
        return getAxisValue(i, AXIS_X);
    }

    public final float getAxisValue(int i, int i2) {
        return i2 == 0 ? ((Float) this.mAxis.get(i, Float.valueOf(0.0f))).floatValue() : 0.0f;
    }

    public final int getPointerCount() {
        return AXIS_Y;
    }

    public final int getPointerId(int i) {
        return AXIS_X;
    }

    public final float getRawX() {
        return getX();
    }

    public final float getRawY() {
        return getY();
    }

    public final float getX() {
        return getAxisValue(AXIS_X, AXIS_X);
    }

    public final float getX(int i) {
        return getAxisValue(AXIS_X, i);
    }

    public final float getXPrecision() {
        return ((Float) this.mPrecision.get(AXIS_X, Float.valueOf(0.0f))).floatValue();
    }

    public final float getY() {
        return getAxisValue(AXIS_Y, AXIS_X);
    }

    public final float getY(int i) {
        return getAxisValue(AXIS_Y, i);
    }

    public final float getYPrecision() {
        return ((Float) this.mPrecision.get(AXIS_Y, Float.valueOf(0.0f))).floatValue();
    }

    public void writeToParcel(Parcel parcel, int i) {
        int i2;
        int i3 = AXIS_X;
        super.writeToParcel(parcel, i);
        int size = this.mAxis.size();
        parcel.writeInt(size);
        for (i2 = AXIS_X; i2 < size; i2 += AXIS_Y) {
            parcel.writeInt(this.mAxis.keyAt(i2));
            parcel.writeFloat(((Float) this.mAxis.valueAt(i2)).floatValue());
        }
        i2 = this.mPrecision.size();
        parcel.writeInt(i2);
        while (i3 < i2) {
            parcel.writeInt(this.mPrecision.keyAt(i3));
            parcel.writeFloat(((Float) this.mPrecision.valueAt(i3)).floatValue());
            i3 += AXIS_Y;
        }
    }
}
