package com.epsxe.ePSXe;

import android.content.SharedPreferences.Editor;
import android.os.Build.VERSION;
import android.util.Log;

public class GamepadDetection {
    String[] gamepadData;
    String[] gamepadDataExt;
    String[] returnString;
    String[] supportedGamepads;
    String[] supportedGamepadsExt;
    Integer[] supportedGamepadsId;

    public GamepadDetection() {
        this.supportedGamepads = new String[]{"Broadcom Bluetooth HID", "OUYA Game Controller", "NVIDIA Controller", "Microsoft X-Box 360 pad", "Generic X-Box pad", "Sony PLAYSTATION(R)3 Controller", "NYKO PLAYPAD", "Bluetooth Gamepad", "Moga Pro HID", "Moga Pro 2 HID", "Moga 2 HID", "WikiPad Controller", "Sony Computer Entertainment Wireless Controller", "Samsung Game Pad E", "ADC Joystick"};
        this.supportedGamepadsId = new Integer[]{Integer.valueOf(-1), Integer.valueOf(-2), Integer.valueOf(-1), Integer.valueOf(-2), Integer.valueOf(-1), Integer.valueOf(-2), Integer.valueOf(1118), Integer.valueOf(654), Integer.valueOf(1133), Integer.valueOf(49694), Integer.valueOf(1356), Integer.valueOf(616), Integer.valueOf(7545), Integer.valueOf(9), Integer.valueOf(2652), Integer.valueOf(34050), Integer.valueOf(8406), Integer.valueOf(3501), Integer.valueOf(-1), Integer.valueOf(-2), Integer.valueOf(-1), Integer.valueOf(-2), Integer.valueOf(-1), Integer.valueOf(-2), Integer.valueOf(-1), Integer.valueOf(-2), Integer.valueOf(-1), Integer.valueOf(-2), Integer.valueOf(-1), Integer.valueOf(-2)};
        this.supportedGamepadsExt = new String[]{"Other", "Nyko Playpad Pro", "Ipega Gamepad", "Moga HID"};
        this.gamepadData = new String[]{"Broadcom Bluetooth HID", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "OUYA Game Controller", "1", "0", "1", "11", "14", "17", "18", "-1", "-1", "102", "103", "100", "97", "96", "99", "106", "-1", "-1", "107", "19", "22", "20", "21", "-1", "4", "2", "", "NVIDIA Game Controller", "0", "0", "1", "11", "14", "17", "18", "-1", "-1", "102", "103", "100", "97", "96", "99", "106", "-1", "-1", "108", "19", "22", "20", "21", "107", "4", "2", "", "Microsoft X-Box 360 Controller", "1", "0", "1", "11", "14", "17", "18", "-1", "-1", "102", "103", "100", "97", "96", "99", "4", "106", "107", "108", "19", "22", "20", "21", "-1", "4", "2", "", "Logitech D-Series Controller", "1", "0", "1", "12", "13", "11", "14", "-1", "-1", "102", "103", "100", "97", "96", "99", "109", "106", "107", "108", "19", "22", "20", "-21", "-1", "4", "2", "", "Sony PS3 Sixaxis Controller", "0", "0", "1", "11", "14", "17", "18", "104", "105", "102", "103", "100", "97", "96", "99", "109", "106", "107", "108", "19", "22", "20", "21", "-1", "4", "2", "", "NYKO Playpad Pro", "1", "0", "1", "11", "14", "23", "22", "-1", "-1", "102", "103", "100", "97", "96", "99", "4", "-1", "-1", "108", "19", "22", "20", "21", "-1", "4", "2", "", "IPega Gamepad", "1", "0", "1", "11", "14", "48", "48", "-1", "-1", "192", "193", "191", "190", "189", "188", "196", "-1", "-1", "197", "19", "22", "20", "21", "-1", "4", "2", "", "Moga Pro HID", "1", "0", "1", "11", "14", "23", "22", "-1", "-1", "102", "103", "100", "97", "96", "99", "4", "-1", "-1", "108", "19", "22", "20", "21", "-1", "4", "2", "", "Moga Pro 2 HID", "1", "0", "1", "11", "14", "23", "22", "-1", "-1", "102", "103", "100", "97", "96", "99", "4", "-1", "-1", "108", "19", "22", "20", "21", "-1", "4", "2", "", "Moga 2 HID", "1", "0", "1", "11", "14", "23", "22", "-1", "-1", "102", "103", "100", "97", "96", "99", "4", "-1", "-1", "108", "19", "22", "20", "21", "-1", "4", "2", "", "WikiPad Controller", "1", "0", "1", "11", "14", "17", "18", "-1", "-1", "102", "103", "100", "97", "96", "99", "4", "-1", "-1", "108", "19", "22", "20", "21", "-1", "4", "2", "", "Sony PS4 - Dualshock Controller", "1", "0", "1", "11", "14", "48", "48", "102", "103", "100", "101", "99", "98", "97", "96", "104", "109", "108", "105", "19", "22", "20", "21", "-1", "4", "2", "", "Samsung Game Pad EI-GP20 Gamepad", "1", "0", "1", "12", "13", "48", "48", "-1", "-1", "102", "103", "100", "97", "99", "96", "109", "-1", "-1", "108", "19", "22", "20", "21", "-1", "4", "2", "", "JXD s7800B Gamepad", "1", "0", "1", "11", "14", "48", "48", "102", "103", "104", "105", "99", "96", "97", "100", "109", "-1", "-1", "108", "19", "22", "20", "21", "-1", "4", "2", ""};
        String[] strArr = new String[InputList.KEYCODE_FORWARD_DEL];
        strArr[0] = "Other";
        strArr[1] = "";
        strArr[2] = "";
        strArr[3] = "";
        strArr[4] = "";
        strArr[5] = "";
        strArr[6] = "";
        strArr[7] = "";
        strArr[8] = "";
        strArr[9] = "";
        strArr[10] = "";
        strArr[11] = "";
        strArr[12] = "";
        strArr[13] = "";
        strArr[14] = "";
        strArr[15] = "";
        strArr[16] = "";
        strArr[17] = "";
        strArr[18] = "";
        strArr[19] = "";
        strArr[20] = "";
        strArr[21] = "";
        strArr[22] = "";
        strArr[23] = "";
        strArr[24] = "";
        strArr[25] = "";
        strArr[26] = "";
        strArr[27] = "";
        strArr[28] = "Nyko Playpad Pro";
        strArr[29] = "1";
        strArr[30] = "0";
        strArr[31] = "1";
        strArr[32] = "11";
        strArr[33] = "14";
        strArr[34] = "17";
        strArr[35] = "18";
        strArr[36] = "-1";
        strArr[37] = "-1";
        strArr[38] = "102";
        strArr[39] = "103";
        strArr[40] = "100";
        strArr[41] = "97";
        strArr[42] = "96";
        strArr[43] = "99";
        strArr[44] = "4";
        strArr[45] = "-1";
        strArr[46] = "-1";
        strArr[47] = "108";
        strArr[48] = "19";
        strArr[49] = "22";
        strArr[50] = "20";
        strArr[51] = "21";
        strArr[52] = "-1";
        strArr[53] = "4";
        strArr[54] = "2";
        strArr[55] = "";
        strArr[56] = "Ipega Gamepad";
        strArr[57] = "1";
        strArr[58] = "0";
        strArr[59] = "1";
        strArr[60] = "11";
        strArr[61] = "14";
        strArr[62] = "48";
        strArr[63] = "48";
        strArr[64] = "-1";
        strArr[65] = "-1";
        strArr[66] = "192";
        strArr[67] = "193";
        strArr[68] = "191";
        strArr[69] = "190";
        strArr[70] = "189";
        strArr[71] = "188";
        strArr[72] = "196";
        strArr[73] = "-1";
        strArr[74] = "-1";
        strArr[75] = "197";
        strArr[76] = "19";
        strArr[77] = "22";
        strArr[78] = "20";
        strArr[79] = "21";
        strArr[80] = "-1";
        strArr[81] = "4";
        strArr[82] = "2";
        strArr[83] = "";
        strArr[84] = "Moga HID";
        strArr[85] = "1";
        strArr[86] = "0";
        strArr[87] = "1";
        strArr[88] = "11";
        strArr[89] = "14";
        strArr[90] = "23";
        strArr[91] = "22";
        strArr[92] = "-1";
        strArr[93] = "-1";
        strArr[94] = "102";
        strArr[95] = "103";
        strArr[96] = "100";
        strArr[97] = "97";
        strArr[98] = "96";
        strArr[99] = "99";
        strArr[100] = "4";
        strArr[ePSXeNative.KEYCODE_BUTTON_Z] = "-1";
        strArr[InputList.KEYCODE_BUTTON_L1] = "-1";
        strArr[InputList.KEYCODE_BUTTON_R1] = "108";
        strArr[InputList.KEYCODE_BUTTON_L2] = "19";
        strArr[InputList.KEYCODE_BUTTON_R2] = "22";
        strArr[InputList.KEYCODE_BUTTON_THUMBL] = "20";
        strArr[InputList.KEYCODE_BUTTON_THUMBR] = "21";
        strArr[InputList.KEYCODE_BUTTON_START] = "-1";
        strArr[InputList.KEYCODE_BUTTON_SELECT] = "4";
        strArr[InputList.KEYCODE_BUTTON_MODE] = "2";
        strArr[InputList.KEYCODE_ESCAPE] = "";
        this.gamepadDataExt = strArr;
        this.returnString = new String[28];
    }

    public int MatchGamepad(String str, int i, int i2) {
        int i3 = 0;
        if (Integer.parseInt(VERSION.SDK) >= 19) {
            Log.e("epsxe", "vendor:product" + i + ":" + i2);
            int i4 = 0;
            while (i4 < this.supportedGamepadsId.length) {
                if (this.supportedGamepadsId[i4].intValue() == i && this.supportedGamepadsId[i4 + 1].intValue() == i2) {
                    return i4 / 2;
                }
                i4 += 2;
            }
        }
        while (i3 < this.supportedGamepads.length) {
            if (str.contains(this.supportedGamepads[i3])) {
                return i3;
            }
            i3++;
        }
        return -1;
    }

    public String getGamepadLabel(int i, int i2) {
        return i2 != -1 ? this.gamepadDataExt[i2 * 28] : this.gamepadData[i * 28];
    }

    public String[] getGamepadListExt() {
        return this.supportedGamepadsExt;
    }

    public String getGamepadName(int i, int i2) {
        return i2 != -1 ? this.supportedGamepadsExt[i2] : this.supportedGamepads[i];
    }

    public String[] getGamepadSettings(int i, int i2) {
        int i3 = 0;
        if (i2 != -1) {
            while (i3 < 28) {
                this.returnString[i3] = this.gamepadDataExt[(i2 * 28) + i3];
                i3++;
            }
        } else {
            while (i3 < 28) {
                this.returnString[i3] = this.gamepadData[(i * 28) + i3];
                i3++;
            }
        }
        return this.returnString;
    }

    public void saveGamepadPref(Editor editor, String str, String str2, int i, int i2, int i3) {
        editor.putString("analog" + i + "padidPref", str2);
        editor.putString("analog" + i + "paddescPref", str);
        if (i3 != -1) {
            for (int i4 = 0; i4 < 28; i4++) {
                this.gamepadData[i4] = this.gamepadDataExt[i4];
            }
        }
        editor.putString("analog" + i + "rangePref", this.gamepadData[(i2 * 28) + 1]);
        editor.putString("analog" + i + "leftxPref", this.gamepadData[(i2 * 28) + 2]);
        editor.putString("analog" + i + "leftyPref", this.gamepadData[(i2 * 28) + 3]);
        editor.putString("analog" + i + "rightxPref", this.gamepadData[(i2 * 28) + 4]);
        editor.putString("analog" + i + "rightyPref", this.gamepadData[(i2 * 28) + 5]);
        editor.putString("analog" + i + "l2Pref", this.gamepadData[(i2 * 28) + 6]);
        editor.putString("analog" + i + "r2Pref", this.gamepadData[(i2 * 28) + 7]);
        editor.putInt("P" + i + "L2", Integer.parseInt(this.gamepadData[(i2 * 28) + 8]));
        editor.putInt("P" + i + "R2", Integer.parseInt(this.gamepadData[(i2 * 28) + 9]));
        editor.putInt("P" + i + "L1", Integer.parseInt(this.gamepadData[(i2 * 28) + 10]));
        editor.putInt("P" + i + "R1", Integer.parseInt(this.gamepadData[(i2 * 28) + 11]));
        editor.putInt("P" + i + "Triangle", Integer.parseInt(this.gamepadData[(i2 * 28) + 12]));
        editor.putInt("P" + i + "Circle", Integer.parseInt(this.gamepadData[(i2 * 28) + 13]));
        editor.putInt("P" + i + "X", Integer.parseInt(this.gamepadData[(i2 * 28) + 14]));
        editor.putInt("P" + i + "Square", Integer.parseInt(this.gamepadData[(i2 * 28) + 15]));
        editor.putInt("P" + i + "Select", Integer.parseInt(this.gamepadData[(i2 * 28) + 16]));
        editor.putInt("P" + i + "L3", Integer.parseInt(this.gamepadData[(i2 * 28) + 17]));
        editor.putInt("P" + i + "R3", Integer.parseInt(this.gamepadData[(i2 * 28) + 18]));
        editor.putInt("P" + i + "Start", Integer.parseInt(this.gamepadData[(i2 * 28) + 19]));
        editor.putInt("P" + i + "Up", Integer.parseInt(this.gamepadData[(i2 * 28) + 20]));
        editor.putInt("P" + i + "Right", Integer.parseInt(this.gamepadData[(i2 * 28) + 21]));
        editor.putInt("P" + i + "Down", Integer.parseInt(this.gamepadData[(i2 * 28) + 22]));
        editor.putInt("P" + i + "Left", Integer.parseInt(this.gamepadData[(i2 * 28) + 23]));
        editor.putInt("P" + i + "Mode", Integer.parseInt(this.gamepadData[(i2 * 28) + 24]));
        if (i == 1) {
            editor.putString("inputPadModePref", this.gamepadData[(i2 * 28) + 25]);
        } else if (i == 2) {
            editor.putString("inputPad2ModePref", this.gamepadData[(i2 * 28) + 25]);
        }
        editor.putString("inputPaintPadModePref", this.gamepadData[(i2 * 28) + 26]);
    }
}
