package com.epsxe.ePSXe;

import android.app.ListActivity;
import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.util.Log;
import android.util.SparseArray;
import android.view.KeyEvent;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.ListView;
import android.widget.TextView;
import com.keyhan.moorhuhn2.C0122R;
import java.lang.reflect.Array;
import java.util.ArrayList;
import java.util.List;

public class InputList extends ListActivity {
    public static final String[] ButtonDisplayNames;
    public static final String[] ButtonExtraDisplayNames;
    public static final int KEYCODE_0 = 7;
    public static final int KEYCODE_1 = 8;
    public static final int KEYCODE_2 = 9;
    public static final int KEYCODE_3 = 10;
    public static final int KEYCODE_3D_MODE = 206;
    public static final int KEYCODE_4 = 11;
    public static final int KEYCODE_5 = 12;
    public static final int KEYCODE_6 = 13;
    public static final int KEYCODE_7 = 14;
    public static final int KEYCODE_8 = 15;
    public static final int KEYCODE_9 = 16;
    public static final int KEYCODE_A = 29;
    public static final int KEYCODE_ALT_LEFT = 57;
    public static final int KEYCODE_ALT_RIGHT = 58;
    public static final int KEYCODE_APOSTROPHE = 75;
    public static final int KEYCODE_APP_SWITCH = 187;
    public static final int KEYCODE_AT = 77;
    public static final int KEYCODE_AVR_INPUT = 182;
    public static final int KEYCODE_AVR_POWER = 181;
    public static final int KEYCODE_AXIS_BRAKE = 10023;
    public static final int KEYCODE_AXIS_GAS = 10022;
    public static final int KEYCODE_AXIS_HAT_X = 10015;
    public static final int KEYCODE_AXIS_HAT_Y = 10016;
    public static final int KEYCODE_AXIS_HSCROLL = 10010;
    public static final int KEYCODE_AXIS_LTRIGGER = 10017;
    public static final int KEYCODE_AXIS_ORIENTATION = 10008;
    public static final int KEYCODE_AXIS_PRESSURE = 10002;
    public static final int KEYCODE_AXIS_RTRIGGER = 10018;
    public static final int KEYCODE_AXIS_RUDDER = 10020;
    public static final int KEYCODE_AXIS_RX = 10012;
    public static final int KEYCODE_AXIS_RY = 10013;
    public static final int KEYCODE_AXIS_RZ = 10014;
    public static final int KEYCODE_AXIS_SIZE = 10003;
    public static final int KEYCODE_AXIS_THROTTLE = 10019;
    public static final int KEYCODE_AXIS_TOOL_MAJOR = 10006;
    public static final int KEYCODE_AXIS_TOOL_MINOR = 10007;
    public static final int KEYCODE_AXIS_TOUCH_MAJOR = 10004;
    public static final int KEYCODE_AXIS_TOUCH_MINOR = 10005;
    public static final int KEYCODE_AXIS_VSCROLL = 10009;
    public static final int KEYCODE_AXIS_WHEEL = 10021;
    public static final int KEYCODE_AXIS_X = 10000;
    public static final int KEYCODE_AXIS_Y = 10001;
    public static final int KEYCODE_AXIS_Z = 10011;
    public static final int KEYCODE_B = 30;
    public static final int KEYCODE_BACK = 4;
    public static final int KEYCODE_BACKSLASH = 73;
    public static final int KEYCODE_BOOKMARK = 174;
    public static final int KEYCODE_BREAK = 121;
    public static final int KEYCODE_BUTTON_1 = 188;
    public static final int KEYCODE_BUTTON_10 = 197;
    public static final int KEYCODE_BUTTON_11 = 198;
    public static final int KEYCODE_BUTTON_12 = 199;
    public static final int KEYCODE_BUTTON_13 = 200;
    public static final int KEYCODE_BUTTON_14 = 201;
    public static final int KEYCODE_BUTTON_15 = 202;
    public static final int KEYCODE_BUTTON_16 = 203;
    public static final int KEYCODE_BUTTON_2 = 189;
    public static final int KEYCODE_BUTTON_3 = 190;
    public static final int KEYCODE_BUTTON_4 = 191;
    public static final int KEYCODE_BUTTON_5 = 192;
    public static final int KEYCODE_BUTTON_6 = 193;
    public static final int KEYCODE_BUTTON_7 = 194;
    public static final int KEYCODE_BUTTON_8 = 195;
    public static final int KEYCODE_BUTTON_9 = 196;
    public static final int KEYCODE_BUTTON_A = 96;
    public static final int KEYCODE_BUTTON_B = 97;
    public static final int KEYCODE_BUTTON_C = 98;
    public static final int KEYCODE_BUTTON_L1 = 102;
    public static final int KEYCODE_BUTTON_L2 = 104;
    public static final int KEYCODE_BUTTON_MODE = 110;
    public static final int KEYCODE_BUTTON_R1 = 103;
    public static final int KEYCODE_BUTTON_R2 = 105;
    public static final int KEYCODE_BUTTON_SELECT = 109;
    public static final int KEYCODE_BUTTON_START = 108;
    public static final int KEYCODE_BUTTON_THUMBL = 106;
    public static final int KEYCODE_BUTTON_THUMBR = 107;
    public static final int KEYCODE_BUTTON_X = 99;
    public static final int KEYCODE_BUTTON_Y = 100;
    public static final int KEYCODE_BUTTON_Z = 101;
    public static final int KEYCODE_C = 31;
    public static final int KEYCODE_CALL = 5;
    public static final int KEYCODE_CAMERA = 27;
    public static final int KEYCODE_CAPS_LOCK = 115;
    public static final int KEYCODE_CAPTIONS = 175;
    public static final int KEYCODE_CHANNEL_DOWN = 167;
    public static final int KEYCODE_CHANNEL_UP = 166;
    public static final int KEYCODE_CLEAR = 28;
    public static final int KEYCODE_COMMA = 55;
    public static final int KEYCODE_CTRL_LEFT = 113;
    public static final int KEYCODE_CTRL_RIGHT = 114;
    public static final int KEYCODE_D = 32;
    public static final int KEYCODE_DEL = 67;
    public static final int KEYCODE_DPADX_DOWN = 707;
    public static final int KEYCODE_DPADX_LEFT = 704;
    public static final int KEYCODE_DPADX_RIGHT = 705;
    public static final int KEYCODE_DPADX_UP = 706;
    public static final int KEYCODE_DPAD_CENTER = 23;
    public static final int KEYCODE_DPAD_DOWN = 20;
    public static final int KEYCODE_DPAD_LEFT = 21;
    public static final int KEYCODE_DPAD_RIGHT = 22;
    public static final int KEYCODE_DPAD_UP = 19;
    public static final int KEYCODE_DVR = 173;
    public static final int KEYCODE_E = 33;
    public static final int KEYCODE_ENDCALL = 6;
    public static final int KEYCODE_ENTER = 66;
    public static final int KEYCODE_ENVELOPE = 65;
    public static final int KEYCODE_EQUALS = 70;
    public static final int KEYCODE_ESCAPE = 111;
    public static final int KEYCODE_EXPLORER = 64;
    public static final int KEYCODE_F = 34;
    public static final int KEYCODE_F1 = 131;
    public static final int KEYCODE_F10 = 140;
    public static final int KEYCODE_F11 = 141;
    public static final int KEYCODE_F12 = 142;
    public static final int KEYCODE_F2 = 132;
    public static final int KEYCODE_F3 = 133;
    public static final int KEYCODE_F4 = 134;
    public static final int KEYCODE_F5 = 135;
    public static final int KEYCODE_F6 = 136;
    public static final int KEYCODE_F7 = 137;
    public static final int KEYCODE_F8 = 138;
    public static final int KEYCODE_F9 = 139;
    public static final int KEYCODE_FOCUS = 80;
    public static final int KEYCODE_FORWARD = 125;
    public static final int KEYCODE_FORWARD_DEL = 112;
    public static final int KEYCODE_FUNCTION = 119;
    public static final int KEYCODE_G = 35;
    public static final int KEYCODE_GRAVE = 68;
    public static final int KEYCODE_GUIDE = 172;
    public static final int KEYCODE_H = 36;
    public static final int KEYCODE_HEADSETHOOK = 79;
    public static final int KEYCODE_HOME = 3;
    public static final int KEYCODE_I = 37;
    public static final int KEYCODE_INFO = 165;
    public static final int KEYCODE_INSERT = 124;
    public static final int KEYCODE_J = 38;
    public static final int KEYCODE_K = 39;
    public static final int KEYCODE_L = 40;
    public static final int KEYCODE_LANGUAGE_SWITCH = 204;
    public static final int KEYCODE_LEFT_BRACKET = 71;
    public static final int KEYCODE_M = 41;
    public static final int KEYCODE_MANNER_MODE = 205;
    public static final int KEYCODE_MEDIA_CLOSE = 128;
    public static final int KEYCODE_MEDIA_EJECT = 129;
    public static final int KEYCODE_MEDIA_FAST_FORWARD = 90;
    public static final int KEYCODE_MEDIA_NEXT = 87;
    public static final int KEYCODE_MEDIA_PAUSE = 127;
    public static final int KEYCODE_MEDIA_PLAY = 126;
    public static final int KEYCODE_MEDIA_PLAY_PAUSE = 85;
    public static final int KEYCODE_MEDIA_PREVIOUS = 88;
    public static final int KEYCODE_MEDIA_RECORD = 130;
    public static final int KEYCODE_MEDIA_REWIND = 89;
    public static final int KEYCODE_MEDIA_STOP = 86;
    public static final int KEYCODE_MENU = 82;
    public static final int KEYCODE_META_LEFT = 117;
    public static final int KEYCODE_META_RIGHT = 118;
    public static final int KEYCODE_MINUS = 69;
    public static final int KEYCODE_MOVE_END = 123;
    public static final int KEYCODE_MOVE_HOME = 122;
    public static final int KEYCODE_MUTE = 91;
    public static final int KEYCODE_N = 42;
    public static final int KEYCODE_NOTIFICATION = 83;
    public static final int KEYCODE_NUM = 78;
    public static final int KEYCODE_NUMPAD_0 = 144;
    public static final int KEYCODE_NUMPAD_1 = 145;
    public static final int KEYCODE_NUMPAD_2 = 146;
    public static final int KEYCODE_NUMPAD_3 = 147;
    public static final int KEYCODE_NUMPAD_4 = 148;
    public static final int KEYCODE_NUMPAD_5 = 149;
    public static final int KEYCODE_NUMPAD_6 = 150;
    public static final int KEYCODE_NUMPAD_7 = 151;
    public static final int KEYCODE_NUMPAD_8 = 152;
    public static final int KEYCODE_NUMPAD_9 = 153;
    public static final int KEYCODE_NUMPAD_ADD = 157;
    public static final int KEYCODE_NUMPAD_COMMA = 159;
    public static final int KEYCODE_NUMPAD_DIVIDE = 154;
    public static final int KEYCODE_NUMPAD_DOT = 158;
    public static final int KEYCODE_NUMPAD_ENTER = 160;
    public static final int KEYCODE_NUMPAD_EQUALS = 161;
    public static final int KEYCODE_NUMPAD_LEFT_PAREN = 162;
    public static final int KEYCODE_NUMPAD_MULTIPLY = 155;
    public static final int KEYCODE_NUMPAD_RIGHT_PAREN = 163;
    public static final int KEYCODE_NUMPAD_SUBTRACT = 156;
    public static final int KEYCODE_NUM_LOCK = 143;
    public static final int KEYCODE_O = 43;
    public static final int KEYCODE_P = 44;
    public static final int KEYCODE_PAGE_DOWN = 93;
    public static final int KEYCODE_PAGE_UP = 92;
    public static final int KEYCODE_PERIOD = 56;
    public static final int KEYCODE_PICTSYMBOLS = 94;
    public static final int KEYCODE_PLUS = 81;
    public static final int KEYCODE_POUND = 18;
    public static final int KEYCODE_POWER = 26;
    public static final int KEYCODE_PROG_BLUE = 186;
    public static final int KEYCODE_PROG_GREEN = 184;
    public static final int KEYCODE_PROG_RED = 183;
    public static final int KEYCODE_PROG_YELLOW = 185;
    public static final int KEYCODE_Q = 45;
    public static final int KEYCODE_R = 46;
    public static final int KEYCODE_RIGHT_BRACKET = 72;
    public static final int KEYCODE_S = 47;
    public static final int KEYCODE_SCROLL_LOCK = 116;
    public static final int KEYCODE_SEARCH = 84;
    public static final int KEYCODE_SEMICOLON = 74;
    public static final int KEYCODE_SETTINGS = 176;
    public static final int KEYCODE_SHIFT_LEFT = 59;
    public static final int KEYCODE_SHIFT_RIGHT = 60;
    public static final int KEYCODE_SLASH = 76;
    public static final int KEYCODE_SOFT_LEFT = 1;
    public static final int KEYCODE_SOFT_RIGHT = 2;
    public static final int KEYCODE_SPACE = 62;
    public static final int KEYCODE_STAR = 17;
    public static final int KEYCODE_STB_INPUT = 180;
    public static final int KEYCODE_STB_POWER = 179;
    public static final int KEYCODE_SWITCH_CHARSET = 95;
    public static final int KEYCODE_SYM = 63;
    private static final SparseArray<String> KEYCODE_SYMBOLIC_NAMES;
    public static final int KEYCODE_SYSRQ = 120;
    public static final int KEYCODE_T = 48;
    public static final int KEYCODE_TAB = 61;
    public static final int KEYCODE_TV = 170;
    public static final int KEYCODE_TV_INPUT = 178;
    public static final int KEYCODE_TV_POWER = 177;
    public static final int KEYCODE_U = 49;
    public static final int KEYCODE_UNKNOWN = 0;
    public static final int KEYCODE_V = 50;
    public static final int KEYCODE_VOLUME_DOWN = 25;
    public static final int KEYCODE_VOLUME_MUTE = 164;
    public static final int KEYCODE_VOLUME_UP = 24;
    public static final int KEYCODE_W = 51;
    public static final int KEYCODE_WINDOW = 171;
    public static final int KEYCODE_X = 52;
    public static final int KEYCODE_Y = 53;
    public static final int KEYCODE_Z = 54;
    public static final int KEYCODE_ZOOM_IN = 168;
    public static final int KEYCODE_ZOOM_OUT = 169;
    private static final int LAST_KEYCODE = 20;
    private InputArrayAdapter inputadapter;
    private int[][] keycodes;
    private int[] keyspecialcodes;
    private ePSXeReadPreferences mePSXeReadPreferences;
    protected int player;

    public class InputArrayAdapter extends ArrayAdapter<OptionInput> {
        private Context f628c;
        private int id;
        private List<OptionInput> items;

        public InputArrayAdapter(Context context, int i, List<OptionInput> list) {
            super(context, i, list);
            this.f628c = context;
            this.id = i;
            this.items = list;
        }

        public OptionInput getItem(int i) {
            return (OptionInput) this.items.get(i);
        }

        public View getView(int i, View view, ViewGroup viewGroup) {
            if (view == null) {
                view = ((LayoutInflater) this.f628c.getSystemService("layout_inflater")).inflate(this.id, null);
            }
            OptionInput optionInput = (OptionInput) this.items.get(i);
            if (optionInput != null) {
                TextView textView = (TextView) view.findViewById(C0122R.id.TextView01);
                TextView textView2 = (TextView) view.findViewById(C0122R.id.TextView02);
                if (textView != null) {
                    textView.setText(optionInput.getName());
                }
                if (textView2 != null) {
                    textView2.setText(optionInput.getValue());
                }
            }
            return view;
        }
    }

    private class OptionInput implements Comparable<OptionInput> {
        private String name;
        private String value;

        public OptionInput(String str, String str2) {
            this.name = str;
            this.value = str2;
        }

        public int compareTo(OptionInput optionInput) {
            if (this.name != null) {
                return this.name.toLowerCase().compareTo(optionInput.getName().toLowerCase());
            }
            throw new IllegalArgumentException();
        }

        public String getName() {
            return this.name;
        }

        public String getValue() {
            return this.value;
        }
    }

    static {
        KEYCODE_SYMBOLIC_NAMES = new SparseArray();
        populateKeycodeSymbolicNames();
        String[] strArr = new String[KEYCODE_DPAD_LEFT];
        strArr[KEYCODE_UNKNOWN] = "Up";
        strArr[KEYCODE_SOFT_LEFT] = "Right";
        strArr[KEYCODE_SOFT_RIGHT] = "Down";
        strArr[KEYCODE_HOME] = "Left";
        strArr[KEYCODE_BACK] = "Select";
        strArr[KEYCODE_CALL] = "Start";
        strArr[KEYCODE_ENDCALL] = "Triangle";
        strArr[KEYCODE_0] = "Circle";
        strArr[KEYCODE_1] = "X";
        strArr[KEYCODE_2] = "Square";
        strArr[KEYCODE_3] = "L1";
        strArr[KEYCODE_4] = "L2";
        strArr[KEYCODE_5] = "R1";
        strArr[KEYCODE_6] = "R2";
        strArr[KEYCODE_7] = "LeftUp";
        strArr[KEYCODE_8] = "UpRight";
        strArr[KEYCODE_9] = "RightDown";
        strArr[KEYCODE_STAR] = "DownLeft";
        strArr[KEYCODE_POUND] = "L3";
        strArr[KEYCODE_DPAD_UP] = "R3";
        strArr[LAST_KEYCODE] = "Mode";
        ButtonDisplayNames = strArr;
        strArr = new String[KEYCODE_5];
        strArr[KEYCODE_UNKNOWN] = "LoadState1";
        strArr[KEYCODE_SOFT_LEFT] = "LoadState2";
        strArr[KEYCODE_SOFT_RIGHT] = "LoadState3";
        strArr[KEYCODE_HOME] = "LoadState4";
        strArr[KEYCODE_BACK] = "LoadState5";
        strArr[KEYCODE_CALL] = "SaveState1";
        strArr[KEYCODE_ENDCALL] = "SaveState2";
        strArr[KEYCODE_0] = "SaveState3";
        strArr[KEYCODE_1] = "SaveState4";
        strArr[KEYCODE_2] = "SaveState5";
        strArr[KEYCODE_3] = "ToggleFramelimit";
        strArr[KEYCODE_4] = "Menu";
        ButtonExtraDisplayNames = strArr;
    }

    public InputList() {
        this.keycodes = (int[][]) Array.newInstance(Integer.TYPE, new int[]{KEYCODE_BACK, KEYCODE_DPAD_LEFT});
        this.keyspecialcodes = new int[KEYCODE_5];
        this.player = KEYCODE_UNKNOWN;
    }

    private void fillButtonExtraList(int i) {
        setTitle(getString(C0122R.string.inputextradesc));
        List arrayList = new ArrayList();
        if (this.mePSXeReadPreferences == null) {
            this.mePSXeReadPreferences = new ePSXeReadPreferences(this);
        }
        for (int i2 = KEYCODE_UNKNOWN; i2 < ButtonExtraDisplayNames.length; i2 += KEYCODE_SOFT_LEFT) {
            this.keyspecialcodes[i2] = this.mePSXeReadPreferences.getButtonKeycodeextra(i2);
            Log.e("epsxe", "keyspecialcode[" + i2 + "] = " + this.keyspecialcodes[i2]);
            if (this.keyspecialcodes[i2] < 0) {
                arrayList.add(new OptionInput(ButtonExtraDisplayNames[i2], getString(C0122R.string.inputlist_unmapped)));
            } else {
                String keyCodeToString = keyCodeToString(65535 & this.keyspecialcodes[i2]);
                if (keyCodeToString.startsWith("KEYCODE_")) {
                    keyCodeToString = keyCodeToString.substring(KEYCODE_1);
                }
                arrayList.add(new OptionInput(ButtonExtraDisplayNames[i2], keyCodeToString.replace('_', ' ')));
            }
        }
        this.inputadapter = new InputArrayAdapter(this, C0122R.layout.file_viewos, arrayList);
        setListAdapter(this.inputadapter);
    }

    private void fillButtonList(int i) {
        setTitle(getString(C0122R.string.inputlist_configplayer1) + " " + (i + KEYCODE_SOFT_LEFT) + " " + getString(C0122R.string.inputlist_configplayer2));
        List arrayList = new ArrayList();
        if (this.mePSXeReadPreferences == null) {
            this.mePSXeReadPreferences = new ePSXeReadPreferences(this);
        }
        for (int i2 = KEYCODE_UNKNOWN; i2 < ButtonDisplayNames.length; i2 += KEYCODE_SOFT_LEFT) {
            this.keycodes[i][i2] = this.mePSXeReadPreferences.getButtonKeycode(i, ButtonDisplayNames[i2]);
            Log.e("epsxe", "keycode[" + i + "][" + i2 + "] = " + this.keycodes[i][i2]);
            if (this.keycodes[i][i2] < 0) {
                arrayList.add(new OptionInput(ButtonDisplayNames[i2], getString(C0122R.string.inputlist_unmapped)));
            } else {
                String keyCodeToString = keyCodeToString(65535 & this.keycodes[i][i2]);
                if (keyCodeToString.startsWith("KEYCODE_")) {
                    keyCodeToString = keyCodeToString.substring(KEYCODE_1);
                }
                arrayList.add(new OptionInput(ButtonDisplayNames[i2], keyCodeToString.replace('_', ' ')));
            }
        }
        this.inputadapter = new InputArrayAdapter(this, C0122R.layout.file_viewos, arrayList);
        setListAdapter(this.inputadapter);
    }

    public static String keyCodeToString(int i) {
        String str = (String) KEYCODE_SYMBOLIC_NAMES.get(i);
        return str != null ? str : Integer.toString(i);
    }

    private static void populateKeycodeSymbolicNames() {
        SparseArray sparseArray = KEYCODE_SYMBOLIC_NAMES;
        sparseArray.append(KEYCODE_UNKNOWN, "KEYCODE_UNKNOWN");
        sparseArray.append(KEYCODE_SOFT_LEFT, "KEYCODE_SOFT_LEFT");
        sparseArray.append(KEYCODE_SOFT_RIGHT, "KEYCODE_SOFT_RIGHT");
        sparseArray.append(KEYCODE_HOME, "KEYCODE_HOME");
        sparseArray.append(KEYCODE_BACK, "KEYCODE_BACK");
        sparseArray.append(KEYCODE_CALL, "KEYCODE_CALL");
        sparseArray.append(KEYCODE_ENDCALL, "KEYCODE_ENDCALL");
        sparseArray.append(KEYCODE_0, "KEYCODE_0");
        sparseArray.append(KEYCODE_1, "KEYCODE_1");
        sparseArray.append(KEYCODE_2, "KEYCODE_2");
        sparseArray.append(KEYCODE_3, "KEYCODE_3");
        sparseArray.append(KEYCODE_4, "KEYCODE_4");
        sparseArray.append(KEYCODE_5, "KEYCODE_5");
        sparseArray.append(KEYCODE_6, "KEYCODE_6");
        sparseArray.append(KEYCODE_7, "KEYCODE_7");
        sparseArray.append(KEYCODE_8, "KEYCODE_8");
        sparseArray.append(KEYCODE_9, "KEYCODE_9");
        sparseArray.append(KEYCODE_STAR, "KEYCODE_STAR");
        sparseArray.append(KEYCODE_POUND, "KEYCODE_POUND");
        sparseArray.append(KEYCODE_DPAD_UP, "KEYCODE_DPAD_UP");
        sparseArray.append(LAST_KEYCODE, "KEYCODE_DPAD_DOWN");
        sparseArray.append(KEYCODE_DPAD_LEFT, "KEYCODE_DPAD_LEFT");
        sparseArray.append(KEYCODE_DPAD_RIGHT, "KEYCODE_DPAD_RIGHT");
        sparseArray.append(KEYCODE_DPAD_CENTER, "KEYCODE_DPAD_CENTER");
        sparseArray.append(KEYCODE_VOLUME_UP, "KEYCODE_VOLUME_UP");
        sparseArray.append(KEYCODE_VOLUME_DOWN, "KEYCODE_VOLUME_DOWN");
        sparseArray.append(KEYCODE_POWER, "KEYCODE_POWER");
        sparseArray.append(KEYCODE_CAMERA, "KEYCODE_CAMERA");
        sparseArray.append(KEYCODE_CLEAR, "KEYCODE_CLEAR");
        sparseArray.append(KEYCODE_A, "KEYCODE_A");
        sparseArray.append(KEYCODE_B, "KEYCODE_B");
        sparseArray.append(KEYCODE_C, "KEYCODE_C");
        sparseArray.append(KEYCODE_D, "KEYCODE_D");
        sparseArray.append(KEYCODE_E, "KEYCODE_E");
        sparseArray.append(KEYCODE_F, "KEYCODE_F");
        sparseArray.append(KEYCODE_G, "KEYCODE_G");
        sparseArray.append(KEYCODE_H, "KEYCODE_H");
        sparseArray.append(KEYCODE_I, "KEYCODE_I");
        sparseArray.append(KEYCODE_J, "KEYCODE_J");
        sparseArray.append(KEYCODE_K, "KEYCODE_K");
        sparseArray.append(KEYCODE_L, "KEYCODE_L");
        sparseArray.append(KEYCODE_M, "KEYCODE_M");
        sparseArray.append(KEYCODE_N, "KEYCODE_N");
        sparseArray.append(KEYCODE_O, "KEYCODE_O");
        sparseArray.append(KEYCODE_P, "KEYCODE_P");
        sparseArray.append(KEYCODE_Q, "KEYCODE_Q");
        sparseArray.append(KEYCODE_R, "KEYCODE_R");
        sparseArray.append(KEYCODE_S, "KEYCODE_S");
        sparseArray.append(KEYCODE_T, "KEYCODE_T");
        sparseArray.append(KEYCODE_U, "KEYCODE_U");
        sparseArray.append(KEYCODE_V, "KEYCODE_V");
        sparseArray.append(KEYCODE_W, "KEYCODE_W");
        sparseArray.append(KEYCODE_X, "KEYCODE_X");
        sparseArray.append(KEYCODE_Y, "KEYCODE_Y");
        sparseArray.append(KEYCODE_Z, "KEYCODE_Z");
        sparseArray.append(KEYCODE_COMMA, "KEYCODE_COMMA");
        sparseArray.append(KEYCODE_PERIOD, "KEYCODE_PERIOD");
        sparseArray.append(KEYCODE_ALT_LEFT, "KEYCODE_ALT_LEFT");
        sparseArray.append(KEYCODE_ALT_RIGHT, "KEYCODE_ALT_RIGHT");
        sparseArray.append(KEYCODE_SHIFT_LEFT, "KEYCODE_SHIFT_LEFT");
        sparseArray.append(KEYCODE_SHIFT_RIGHT, "KEYCODE_SHIFT_RIGHT");
        sparseArray.append(KEYCODE_TAB, "KEYCODE_TAB");
        sparseArray.append(KEYCODE_SPACE, "KEYCODE_SPACE");
        sparseArray.append(KEYCODE_SYM, "KEYCODE_SYM");
        sparseArray.append(KEYCODE_EXPLORER, "KEYCODE_EXPLORER");
        sparseArray.append(KEYCODE_ENVELOPE, "KEYCODE_ENVELOPE");
        sparseArray.append(KEYCODE_ENTER, "KEYCODE_ENTER");
        sparseArray.append(KEYCODE_DEL, "KEYCODE_DEL");
        sparseArray.append(KEYCODE_GRAVE, "KEYCODE_GRAVE");
        sparseArray.append(KEYCODE_MINUS, "KEYCODE_MINUS");
        sparseArray.append(KEYCODE_EQUALS, "KEYCODE_EQUALS");
        sparseArray.append(KEYCODE_LEFT_BRACKET, "KEYCODE_LEFT_BRACKET");
        sparseArray.append(KEYCODE_RIGHT_BRACKET, "KEYCODE_RIGHT_BRACKET");
        sparseArray.append(KEYCODE_BACKSLASH, "KEYCODE_BACKSLASH");
        sparseArray.append(KEYCODE_SEMICOLON, "KEYCODE_SEMICOLON");
        sparseArray.append(KEYCODE_APOSTROPHE, "KEYCODE_APOSTROPHE");
        sparseArray.append(KEYCODE_SLASH, "KEYCODE_SLASH");
        sparseArray.append(KEYCODE_AT, "KEYCODE_AT");
        sparseArray.append(KEYCODE_NUM, "KEYCODE_NUM");
        sparseArray.append(KEYCODE_HEADSETHOOK, "KEYCODE_HEADSETHOOK");
        sparseArray.append(KEYCODE_FOCUS, "KEYCODE_FOCUS");
        sparseArray.append(KEYCODE_PLUS, "KEYCODE_PLUS");
        sparseArray.append(KEYCODE_MENU, "KEYCODE_MENU");
        sparseArray.append(KEYCODE_NOTIFICATION, "KEYCODE_NOTIFICATION");
        sparseArray.append(KEYCODE_SEARCH, "KEYCODE_SEARCH");
        sparseArray.append(KEYCODE_MEDIA_PLAY_PAUSE, "KEYCODE_MEDIA_PLAY_PAUSE");
        sparseArray.append(KEYCODE_MEDIA_STOP, "KEYCODE_MEDIA_STOP");
        sparseArray.append(KEYCODE_MEDIA_NEXT, "KEYCODE_MEDIA_NEXT");
        sparseArray.append(KEYCODE_MEDIA_PREVIOUS, "KEYCODE_MEDIA_PREVIOUS");
        sparseArray.append(KEYCODE_MEDIA_REWIND, "KEYCODE_MEDIA_REWIND");
        sparseArray.append(KEYCODE_MEDIA_FAST_FORWARD, "KEYCODE_MEDIA_FAST_FORWARD");
        sparseArray.append(KEYCODE_MUTE, "KEYCODE_MUTE");
        sparseArray.append(KEYCODE_PAGE_UP, "KEYCODE_PAGE_UP");
        sparseArray.append(KEYCODE_PAGE_DOWN, "KEYCODE_PAGE_DOWN");
        sparseArray.append(KEYCODE_PICTSYMBOLS, "KEYCODE_PICTSYMBOLS");
        sparseArray.append(KEYCODE_SWITCH_CHARSET, "KEYCODE_SWITCH_CHARSET");
        sparseArray.append(KEYCODE_BUTTON_A, "KEYCODE_BUTTON_A");
        sparseArray.append(KEYCODE_BUTTON_B, "KEYCODE_BUTTON_B");
        sparseArray.append(KEYCODE_BUTTON_C, "KEYCODE_BUTTON_C");
        sparseArray.append(KEYCODE_BUTTON_X, "KEYCODE_BUTTON_X");
        sparseArray.append(KEYCODE_BUTTON_Y, "KEYCODE_BUTTON_Y");
        sparseArray.append(KEYCODE_BUTTON_Z, "KEYCODE_BUTTON_Z");
        sparseArray.append(KEYCODE_BUTTON_L1, "KEYCODE_BUTTON_L1");
        sparseArray.append(KEYCODE_BUTTON_R1, "KEYCODE_BUTTON_R1");
        sparseArray.append(KEYCODE_BUTTON_L2, "KEYCODE_BUTTON_L2");
        sparseArray.append(KEYCODE_BUTTON_R2, "KEYCODE_BUTTON_R2");
        sparseArray.append(KEYCODE_BUTTON_THUMBL, "KEYCODE_BUTTON_THUMBL");
        sparseArray.append(KEYCODE_BUTTON_THUMBR, "KEYCODE_BUTTON_THUMBR");
        sparseArray.append(KEYCODE_BUTTON_START, "KEYCODE_BUTTON_START");
        sparseArray.append(KEYCODE_BUTTON_SELECT, "KEYCODE_BUTTON_SELECT");
        sparseArray.append(KEYCODE_BUTTON_MODE, "KEYCODE_BUTTON_MODE");
        sparseArray.append(KEYCODE_ESCAPE, "KEYCODE_ESCAPE");
        sparseArray.append(KEYCODE_FORWARD_DEL, "KEYCODE_FORWARD_DEL");
        sparseArray.append(KEYCODE_CTRL_LEFT, "KEYCODE_CTRL_LEFT");
        sparseArray.append(KEYCODE_CTRL_RIGHT, "KEYCODE_CTRL_RIGHT");
        sparseArray.append(KEYCODE_CAPS_LOCK, "KEYCODE_CAPS_LOCK");
        sparseArray.append(KEYCODE_SCROLL_LOCK, "KEYCODE_SCROLL_LOCK");
        sparseArray.append(KEYCODE_META_LEFT, "KEYCODE_META_LEFT");
        sparseArray.append(KEYCODE_META_RIGHT, "KEYCODE_META_RIGHT");
        sparseArray.append(KEYCODE_FUNCTION, "KEYCODE_FUNCTION");
        sparseArray.append(KEYCODE_SYSRQ, "KEYCODE_SYSRQ");
        sparseArray.append(KEYCODE_BREAK, "KEYCODE_BREAK");
        sparseArray.append(KEYCODE_MOVE_HOME, "KEYCODE_MOVE_HOME");
        sparseArray.append(KEYCODE_MOVE_END, "KEYCODE_MOVE_END");
        sparseArray.append(KEYCODE_INSERT, "KEYCODE_INSERT");
        sparseArray.append(KEYCODE_FORWARD, "KEYCODE_FORWARD");
        sparseArray.append(KEYCODE_MEDIA_PLAY, "KEYCODE_MEDIA_PLAY");
        sparseArray.append(KEYCODE_MEDIA_PAUSE, "KEYCODE_MEDIA_PAUSE");
        sparseArray.append(KEYCODE_MEDIA_CLOSE, "KEYCODE_MEDIA_CLOSE");
        sparseArray.append(KEYCODE_MEDIA_EJECT, "KEYCODE_MEDIA_EJECT");
        sparseArray.append(KEYCODE_MEDIA_RECORD, "KEYCODE_MEDIA_RECORD");
        sparseArray.append(KEYCODE_F1, "KEYCODE_F1");
        sparseArray.append(KEYCODE_F2, "KEYCODE_F2");
        sparseArray.append(KEYCODE_F3, "KEYCODE_F3");
        sparseArray.append(KEYCODE_F4, "KEYCODE_F4");
        sparseArray.append(KEYCODE_F5, "KEYCODE_F5");
        sparseArray.append(KEYCODE_F6, "KEYCODE_F6");
        sparseArray.append(KEYCODE_F7, "KEYCODE_F7");
        sparseArray.append(KEYCODE_F8, "KEYCODE_F8");
        sparseArray.append(KEYCODE_F9, "KEYCODE_F9");
        sparseArray.append(KEYCODE_F10, "KEYCODE_F10");
        sparseArray.append(KEYCODE_F11, "KEYCODE_F11");
        sparseArray.append(KEYCODE_F12, "KEYCODE_F12");
        sparseArray.append(KEYCODE_NUM_LOCK, "KEYCODE_NUM_LOCK");
        sparseArray.append(KEYCODE_NUMPAD_0, "KEYCODE_NUMPAD_0");
        sparseArray.append(KEYCODE_NUMPAD_1, "KEYCODE_NUMPAD_1");
        sparseArray.append(KEYCODE_NUMPAD_2, "KEYCODE_NUMPAD_2");
        sparseArray.append(KEYCODE_NUMPAD_3, "KEYCODE_NUMPAD_3");
        sparseArray.append(KEYCODE_NUMPAD_4, "KEYCODE_NUMPAD_4");
        sparseArray.append(KEYCODE_NUMPAD_5, "KEYCODE_NUMPAD_5");
        sparseArray.append(KEYCODE_NUMPAD_6, "KEYCODE_NUMPAD_6");
        sparseArray.append(KEYCODE_NUMPAD_7, "KEYCODE_NUMPAD_7");
        sparseArray.append(KEYCODE_NUMPAD_8, "KEYCODE_NUMPAD_8");
        sparseArray.append(KEYCODE_NUMPAD_9, "KEYCODE_NUMPAD_9");
        sparseArray.append(KEYCODE_NUMPAD_DIVIDE, "KEYCODE_NUMPAD_DIVIDE");
        sparseArray.append(KEYCODE_NUMPAD_MULTIPLY, "KEYCODE_NUMPAD_MULTIPLY");
        sparseArray.append(KEYCODE_NUMPAD_SUBTRACT, "KEYCODE_NUMPAD_SUBTRACT");
        sparseArray.append(KEYCODE_NUMPAD_ADD, "KEYCODE_NUMPAD_ADD");
        sparseArray.append(KEYCODE_NUMPAD_DOT, "KEYCODE_NUMPAD_DOT");
        sparseArray.append(KEYCODE_NUMPAD_COMMA, "KEYCODE_NUMPAD_COMMA");
        sparseArray.append(KEYCODE_NUMPAD_ENTER, "KEYCODE_NUMPAD_ENTER");
        sparseArray.append(KEYCODE_NUMPAD_EQUALS, "KEYCODE_NUMPAD_EQUALS");
        sparseArray.append(KEYCODE_NUMPAD_LEFT_PAREN, "KEYCODE_NUMPAD_LEFT_PAREN");
        sparseArray.append(KEYCODE_NUMPAD_RIGHT_PAREN, "KEYCODE_NUMPAD_RIGHT_PAREN");
        sparseArray.append(KEYCODE_VOLUME_MUTE, "KEYCODE_VOLUME_MUTE");
        sparseArray.append(KEYCODE_INFO, "KEYCODE_INFO");
        sparseArray.append(KEYCODE_CHANNEL_UP, "KEYCODE_CHANNEL_UP");
        sparseArray.append(KEYCODE_CHANNEL_DOWN, "KEYCODE_CHANNEL_DOWN");
        sparseArray.append(KEYCODE_ZOOM_IN, "KEYCODE_ZOOM_IN");
        sparseArray.append(KEYCODE_ZOOM_OUT, "KEYCODE_ZOOM_OUT");
        sparseArray.append(KEYCODE_TV, "KEYCODE_TV");
        sparseArray.append(KEYCODE_WINDOW, "KEYCODE_WINDOW");
        sparseArray.append(KEYCODE_GUIDE, "KEYCODE_GUIDE");
        sparseArray.append(KEYCODE_DVR, "KEYCODE_DVR");
        sparseArray.append(KEYCODE_BOOKMARK, "KEYCODE_BOOKMARK");
        sparseArray.append(KEYCODE_CAPTIONS, "KEYCODE_CAPTIONS");
        sparseArray.append(KEYCODE_SETTINGS, "KEYCODE_SETTINGS");
        sparseArray.append(KEYCODE_TV_POWER, "KEYCODE_TV_POWER");
        sparseArray.append(KEYCODE_TV_INPUT, "KEYCODE_TV_INPUT");
        sparseArray.append(KEYCODE_STB_INPUT, "KEYCODE_STB_INPUT");
        sparseArray.append(KEYCODE_STB_POWER, "KEYCODE_STB_POWER");
        sparseArray.append(KEYCODE_AVR_POWER, "KEYCODE_AVR_POWER");
        sparseArray.append(KEYCODE_AVR_INPUT, "KEYCODE_AVR_INPUT");
        sparseArray.append(KEYCODE_PROG_RED, "KEYCODE_PROG_RED");
        sparseArray.append(KEYCODE_PROG_GREEN, "KEYCODE_PROG_GREEN");
        sparseArray.append(KEYCODE_PROG_YELLOW, "KEYCODE_PROG_YELLOW");
        sparseArray.append(KEYCODE_PROG_BLUE, "KEYCODE_PROG_BLUE");
        sparseArray.append(KEYCODE_APP_SWITCH, "KEYCODE_APP_SWITCH");
        sparseArray.append(KEYCODE_BUTTON_1, "KEYCODE_BUTTON_1");
        sparseArray.append(KEYCODE_BUTTON_2, "KEYCODE_BUTTON_2");
        sparseArray.append(KEYCODE_BUTTON_3, "KEYCODE_BUTTON_3");
        sparseArray.append(KEYCODE_BUTTON_4, "KEYCODE_BUTTON_4");
        sparseArray.append(KEYCODE_BUTTON_5, "KEYCODE_BUTTON_5");
        sparseArray.append(KEYCODE_BUTTON_6, "KEYCODE_BUTTON_6");
        sparseArray.append(KEYCODE_BUTTON_7, "KEYCODE_BUTTON_7");
        sparseArray.append(KEYCODE_BUTTON_8, "KEYCODE_BUTTON_8");
        sparseArray.append(KEYCODE_BUTTON_9, "KEYCODE_BUTTON_9");
        sparseArray.append(KEYCODE_BUTTON_10, "KEYCODE_BUTTON_10");
        sparseArray.append(KEYCODE_BUTTON_11, "KEYCODE_BUTTON_11");
        sparseArray.append(KEYCODE_BUTTON_12, "KEYCODE_BUTTON_12");
        sparseArray.append(KEYCODE_BUTTON_13, "KEYCODE_BUTTON_13");
        sparseArray.append(KEYCODE_BUTTON_14, "KEYCODE_BUTTON_14");
        sparseArray.append(KEYCODE_BUTTON_15, "KEYCODE_BUTTON_15");
        sparseArray.append(KEYCODE_BUTTON_16, "KEYCODE_BUTTON_16");
        sparseArray.append(KEYCODE_DPADX_LEFT, "KEYCODE_DPAD_LEFT");
        sparseArray.append(KEYCODE_DPADX_RIGHT, "KEYCODE_DPAD_RIGHT");
        sparseArray.append(KEYCODE_DPADX_UP, "KEYCODE_DPAD_UP");
        sparseArray.append(KEYCODE_DPADX_DOWN, "KEYCODE_DPAD_DOWN");
        sparseArray.append(KEYCODE_AXIS_X, "KEYCODE_AXIS_X");
        sparseArray.append(KEYCODE_AXIS_Y, "KEYCODE_AXIS_Y");
        sparseArray.append(KEYCODE_AXIS_PRESSURE, "KEYCODE_AXIS_PRESSURE");
        sparseArray.append(KEYCODE_AXIS_SIZE, "KEYCODE_AXIS_SIZE");
        sparseArray.append(KEYCODE_AXIS_TOUCH_MAJOR, "KEYCODE_AXIS_TOUCH_MAJOR");
        sparseArray.append(KEYCODE_AXIS_TOUCH_MINOR, "KEYCODE_AXIS_TOUCH_MINOR");
        sparseArray.append(KEYCODE_AXIS_TOOL_MAJOR, "KEYCODE_AXIS_TOOL_MAJOR");
        sparseArray.append(KEYCODE_AXIS_TOOL_MINOR, "KEYCODE_AXIS_TOOL_MINOR");
        sparseArray.append(KEYCODE_AXIS_ORIENTATION, "KEYCODE_AXIS_ORIENTATION");
        sparseArray.append(KEYCODE_AXIS_VSCROLL, "KEYCODE_AXIS_VSCROLL");
        sparseArray.append(KEYCODE_AXIS_HSCROLL, "KEYCODE_AXIS_HSCROLL");
        sparseArray.append(KEYCODE_AXIS_Z, "KEYCODE_AXIS_Z");
        sparseArray.append(KEYCODE_AXIS_RX, "KEYCODE_AXIS_RX");
        sparseArray.append(KEYCODE_AXIS_RY, "KEYCODE_AXIS_RY");
        sparseArray.append(KEYCODE_AXIS_RZ, "KEYCODE_AXIS_RZ");
        sparseArray.append(KEYCODE_AXIS_HAT_X, "KEYCODE_AXIS_HAT_X");
        sparseArray.append(KEYCODE_AXIS_HAT_Y, "KEYCODE_AXIS_HAT_Y");
        sparseArray.append(KEYCODE_AXIS_LTRIGGER, "KEYCODE_AXIS_LTRIGGER");
        sparseArray.append(KEYCODE_AXIS_RTRIGGER, "KEYCODE_AXIS_RTRIGGER");
        sparseArray.append(KEYCODE_AXIS_THROTTLE, "KEYCODE_AXIS_THROTTLE");
        sparseArray.append(KEYCODE_AXIS_RUDDER, "KEYCODE_AXIS_RUDDER");
        sparseArray.append(KEYCODE_AXIS_WHEEL, "KEYCODE_AXIS_WHEEL");
        sparseArray.append(KEYCODE_AXIS_GAS, "KEYCODE_AXIS_GAS");
        sparseArray.append(KEYCODE_AXIS_BRAKE, "KEYCODE_AXIS_BRAKE");
    }

    public void drawButtonList(int i) {
        Log.e("drawButtonList: ", " " + i);
        if (i < KEYCODE_3) {
            fillButtonList(i);
        } else {
            fillButtonExtraList(i);
        }
        setContentView(C0122R.layout.list_view);
    }

    protected void onActivityResult(int i, int i2, Intent intent) {
        super.onActivityResult(i, i2, intent);
        if (i2 != -1) {
            return;
        }
        if (this.player < KEYCODE_3) {
            fillButtonList(this.player);
        } else {
            fillButtonExtraList(this.player);
        }
    }

    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        getWindow().setFlags(KEYCODE_BACK, KEYCODE_BACK);
        this.player = getIntent().getIntExtra("com.epsxe.ePSXe.player", KEYCODE_UNKNOWN);
        Log.e("epsxe", "parameter player" + this.player);
        drawButtonList(this.player);
    }

    public boolean onKeyDown(int i, KeyEvent keyEvent) {
        if (i == KEYCODE_BACK && keyEvent.getRepeatCount() == 0) {
            startActivity(new Intent(this, ePSXePreferences.class));
            finish();
        }
        return super.onKeyDown(i, keyEvent);
    }

    protected void onListItemClick(ListView listView, View view, int i, long j) {
        super.onListItemClick(listView, view, i, j);
        int i2 = this.player + KEYCODE_SOFT_LEFT;
        OptionInput item = this.inputadapter.getItem(i);
        Log.e("InputList", "name: " + item.getName());
        Log.e("InputList", "value: " + item.getValue());
        Log.e("InputList", "which: " + i);
        Intent intent = new Intent(this, InputMapping.class);
        if (this.player < KEYCODE_3) {
            intent.putExtra("com.epsxe.ePSXe.button", "P" + i2 + item.getName());
        } else {
            intent.putExtra("com.epsxe.ePSXe.button", item.getName());
        }
        startActivityForResult(intent, KEYCODE_SOFT_LEFT);
    }
}
