package com.epsxe.ePSXe;

import android.graphics.Bitmap;
import java.lang.ref.SoftReference;
import java.util.Collections;
import java.util.HashMap;
import java.util.Map;

public class MemoryCache {
    private Map<String, SoftReference<Bitmap>> cache;

    public MemoryCache() {
        this.cache = Collections.synchronizedMap(new HashMap());
    }

    public void clear() {
        this.cache.clear();
    }

    public Bitmap get(String str) {
        return !this.cache.containsKey(str) ? null : (Bitmap) ((SoftReference) this.cache.get(str)).get();
    }

    public void put(String str, Bitmap bitmap) {
        this.cache.put(str, new SoftReference(bitmap));
    }
}
