package com.epsxe.ePSXe;

import javax.microedition.khronos.opengles.GL10;

public class SpriteBatch {
    static final int INDICES_PER_SPRITE = 6;
    static final int VERTEX_SIZE = 4;
    static final int VERTICES_PER_SPRITE = 4;
    int bufferIndex;
    GL10 gl;
    int maxSprites;
    int numSprites;
    float[] vertexBuffer;
    Vertices vertices;

    public SpriteBatch(GL10 gl10, int i) {
        this.gl = gl10;
        this.vertexBuffer = new float[((i * VERTICES_PER_SPRITE) * VERTICES_PER_SPRITE)];
        this.vertices = new Vertices(gl10, i * VERTICES_PER_SPRITE, i * INDICES_PER_SPRITE, false, true, false);
        this.bufferIndex = 0;
        this.maxSprites = i;
        this.numSprites = 0;
        short[] sArr = new short[(i * INDICES_PER_SPRITE)];
        int length = sArr.length;
        int i2 = 0;
        int i3 = 0;
        while (i2 < length) {
            sArr[i2 + 0] = (short) (i3 + 0);
            sArr[i2 + 1] = (short) (i3 + 1);
            sArr[i2 + 2] = (short) (i3 + 2);
            sArr[i2 + 3] = (short) (i3 + 2);
            sArr[i2 + VERTICES_PER_SPRITE] = (short) (i3 + 3);
            sArr[i2 + 5] = (short) (i3 + 0);
            i2 += INDICES_PER_SPRITE;
            i3 = (short) (i3 + VERTICES_PER_SPRITE);
        }
        this.vertices.setIndices(sArr, 0, length);
    }

    public void beginBatch() {
        this.numSprites = 0;
        this.bufferIndex = 0;
    }

    public void beginBatch(int i) {
        this.gl.glBindTexture(3553, i);
        this.numSprites = 0;
        this.bufferIndex = 0;
    }

    public void drawSprite(float f, float f2, float f3, float f4, TextureRegion textureRegion) {
        if (this.numSprites == this.maxSprites) {
            endBatch();
            this.numSprites = 0;
            this.bufferIndex = 0;
        }
        float f5 = f3 / 2.0f;
        float f6 = f4 / 2.0f;
        float f7 = f - f5;
        float f8 = f2 - f6;
        f5 += f;
        f6 += f2;
        float[] fArr = this.vertexBuffer;
        int i = this.bufferIndex;
        this.bufferIndex = i + 1;
        fArr[i] = f7;
        fArr = this.vertexBuffer;
        i = this.bufferIndex;
        this.bufferIndex = i + 1;
        fArr[i] = f8;
        fArr = this.vertexBuffer;
        i = this.bufferIndex;
        this.bufferIndex = i + 1;
        fArr[i] = textureRegion.u1;
        fArr = this.vertexBuffer;
        i = this.bufferIndex;
        this.bufferIndex = i + 1;
        fArr[i] = textureRegion.v2;
        fArr = this.vertexBuffer;
        i = this.bufferIndex;
        this.bufferIndex = i + 1;
        fArr[i] = f5;
        fArr = this.vertexBuffer;
        i = this.bufferIndex;
        this.bufferIndex = i + 1;
        fArr[i] = f8;
        float[] fArr2 = this.vertexBuffer;
        int i2 = this.bufferIndex;
        this.bufferIndex = i2 + 1;
        fArr2[i2] = textureRegion.u2;
        fArr2 = this.vertexBuffer;
        i2 = this.bufferIndex;
        this.bufferIndex = i2 + 1;
        fArr2[i2] = textureRegion.v2;
        fArr2 = this.vertexBuffer;
        i2 = this.bufferIndex;
        this.bufferIndex = i2 + 1;
        fArr2[i2] = f5;
        float[] fArr3 = this.vertexBuffer;
        int i3 = this.bufferIndex;
        this.bufferIndex = i3 + 1;
        fArr3[i3] = f6;
        fArr3 = this.vertexBuffer;
        i3 = this.bufferIndex;
        this.bufferIndex = i3 + 1;
        fArr3[i3] = textureRegion.u2;
        fArr3 = this.vertexBuffer;
        i3 = this.bufferIndex;
        this.bufferIndex = i3 + 1;
        fArr3[i3] = textureRegion.v1;
        fArr3 = this.vertexBuffer;
        i3 = this.bufferIndex;
        this.bufferIndex = i3 + 1;
        fArr3[i3] = f7;
        fArr3 = this.vertexBuffer;
        int i4 = this.bufferIndex;
        this.bufferIndex = i4 + 1;
        fArr3[i4] = f6;
        fArr3 = this.vertexBuffer;
        int i5 = this.bufferIndex;
        this.bufferIndex = i5 + 1;
        fArr3[i5] = textureRegion.u1;
        fArr3 = this.vertexBuffer;
        i5 = this.bufferIndex;
        this.bufferIndex = i5 + 1;
        fArr3[i5] = textureRegion.v1;
        this.numSprites++;
    }

    public void drawSpriteSwap(float f, float f2, float f3, float f4, TextureRegion textureRegion) {
        if (this.numSprites == this.maxSprites) {
            endBatch();
            this.numSprites = 0;
            this.bufferIndex = 0;
        }
        float f5 = f3 / 2.0f;
        float f6 = f4 / 2.0f;
        float f7 = f - f5;
        float f8 = f2 - f6;
        f5 += f;
        f6 += f2;
        float[] fArr = this.vertexBuffer;
        int i = this.bufferIndex;
        this.bufferIndex = i + 1;
        fArr[i] = f5;
        fArr = this.vertexBuffer;
        i = this.bufferIndex;
        this.bufferIndex = i + 1;
        fArr[i] = f6;
        fArr = this.vertexBuffer;
        i = this.bufferIndex;
        this.bufferIndex = i + 1;
        fArr[i] = textureRegion.u1;
        fArr = this.vertexBuffer;
        i = this.bufferIndex;
        this.bufferIndex = i + 1;
        fArr[i] = textureRegion.v2;
        fArr = this.vertexBuffer;
        i = this.bufferIndex;
        this.bufferIndex = i + 1;
        fArr[i] = f7;
        fArr = this.vertexBuffer;
        i = this.bufferIndex;
        this.bufferIndex = i + 1;
        fArr[i] = f6;
        float[] fArr2 = this.vertexBuffer;
        int i2 = this.bufferIndex;
        this.bufferIndex = i2 + 1;
        fArr2[i2] = textureRegion.u2;
        fArr2 = this.vertexBuffer;
        i2 = this.bufferIndex;
        this.bufferIndex = i2 + 1;
        fArr2[i2] = textureRegion.v2;
        fArr2 = this.vertexBuffer;
        i2 = this.bufferIndex;
        this.bufferIndex = i2 + 1;
        fArr2[i2] = f7;
        fArr2 = this.vertexBuffer;
        int i3 = this.bufferIndex;
        this.bufferIndex = i3 + 1;
        fArr2[i3] = f8;
        fArr2 = this.vertexBuffer;
        i3 = this.bufferIndex;
        this.bufferIndex = i3 + 1;
        fArr2[i3] = textureRegion.u2;
        fArr2 = this.vertexBuffer;
        i3 = this.bufferIndex;
        this.bufferIndex = i3 + 1;
        fArr2[i3] = textureRegion.v1;
        fArr2 = this.vertexBuffer;
        i3 = this.bufferIndex;
        this.bufferIndex = i3 + 1;
        fArr2[i3] = f5;
        float[] fArr3 = this.vertexBuffer;
        int i4 = this.bufferIndex;
        this.bufferIndex = i4 + 1;
        fArr3[i4] = f8;
        fArr3 = this.vertexBuffer;
        i4 = this.bufferIndex;
        this.bufferIndex = i4 + 1;
        fArr3[i4] = textureRegion.u1;
        fArr3 = this.vertexBuffer;
        i4 = this.bufferIndex;
        this.bufferIndex = i4 + 1;
        fArr3[i4] = textureRegion.v1;
        this.numSprites++;
    }

    public void endBatch() {
        if (this.numSprites > 0) {
            this.vertices.setVertices(this.vertexBuffer, 0, this.bufferIndex);
            this.vertices.bind();
            this.vertices.draw(VERTICES_PER_SPRITE, 0, this.numSprites * INDICES_PER_SPRITE);
            this.vertices.unbind();
        }
    }
}
