package com.epsxe.ePSXe;

import WTpNJi1.hTWTZgD2PZWB;
import android.app.AlertDialog;
import android.app.AlertDialog.Builder;
import android.app.NativeActivity;
import android.app.ProgressDialog;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.DialogInterface;
import android.content.DialogInterface.OnClickListener;
import android.content.DialogInterface.OnMultiChoiceClickListener;
import android.content.Intent;
import android.content.IntentFilter;
import android.content.SharedPreferences.Editor;
import android.content.pm.PackageManager.NameNotFoundException;
import android.content.res.Configuration;
import android.graphics.Bitmap;
import android.graphics.Bitmap.Config;
import android.os.AsyncTask;
import android.os.Build.VERSION;
import android.os.Bundle;
import android.os.Environment;
import android.os.Handler;
import android.preference.PreferenceManager;
import android.text.Spannable;
import android.text.SpannableString;
import android.text.method.LinkMovementMethod;
import android.text.util.Linkify;
import android.util.Log;
import android.view.InputDevice;
import android.view.LayoutInflater;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.AdapterView.OnItemLongClickListener;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.ListView;
import android.widget.TextView;
import android.widget.Toast;
import com.bda.controller.Controller;
import com.bda.controller.ControllerListener;
import com.bda.controller.KeyEvent;
import com.bda.controller.MotionEvent;
import com.bda.controller.StateEvent;
import com.google.android.vending.licensing.Policy;
import com.keyhan.moorhuhn2.C0122R;
import java.io.BufferedInputStream;
import java.io.BufferedOutputStream;
import java.io.BufferedReader;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;
import java.io.InputStream;
import java.lang.reflect.Array;
import java.lang.reflect.Constructor;
import java.net.HttpURLConnection;
import java.net.MalformedURLException;
import java.net.URL;
import java.nio.ByteBuffer;
import java.security.MessageDigest;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Collections;
import java.util.Date;
import java.util.List;

public class ePSXeNative extends NativeActivity {
    private static final int ABOUT_ID = 7;
    private static final String BLUEZ_IME_PACKAGE = "com.hexad.bluezime";
    private static final String BLUEZ_IME_SERVICE = "com.hexad.bluezime.BluezService";
    private static final int CHANGEDISC_ID = 3;
    private static final int CHEAT_ID = 15;
    public static final String EVENT_CONNECTED = "com.hexad.bluezime.connected";
    public static final String EVENT_CONNECTED_ADDRESS = "address";
    public static final String EVENT_DIRECTIONALCHANGE = "com.hexad.bluezime.directionalchange";
    public static final String EVENT_DIRECTIONALCHANGE_DIRECTION = "direction";
    public static final String EVENT_DIRECTIONALCHANGE_VALUE = "value";
    public static final String EVENT_DISCONNECTED = "com.hexad.bluezime.disconnected";
    public static final String EVENT_DISCONNECTED_ADDRESS = "address";
    public static final String EVENT_ERROR = "com.hexad.bluezime.error";
    public static final String EVENT_ERROR_FULL = "stacktrace";
    public static final String EVENT_ERROR_SHORT = "message";
    public static final String EVENT_KEYPRESS = "com.hexad.bluezime.keypress";
    public static final String EVENT_KEYPRESS_ACTION = "action";
    public static final String EVENT_KEYPRESS_KEY = "key";
    public static final String EVENT_REPORTSTATE = "com.hexad.bluezime.currentstate";
    public static final String EVENT_REPORTSTATE_CONNECTED = "connected";
    public static final String EVENT_REPORTSTATE_DEVICENAME = "devicename";
    public static final String EVENT_REPORTSTATE_DISPLAYNAME = "displayname";
    public static final String EVENT_REPORTSTATE_DRIVERNAME = "drivername";
    public static final String EVENT_REPORT_CONFIG = "com.hexad.bluezime.config";
    public static final String EVENT_REPORT_CONFIG_DRIVER_DISPLAYNAMES = "driverdisplaynames";
    public static final String EVENT_REPORT_CONFIG_DRIVER_NAMES = "drivernames";
    public static final String EVENT_REPORT_CONFIG_VERSION = "version";
    private static final int FRAMELIMIT_ID = 14;
    private static final int HELP_ID = 9;
    public static final int KEYCODE_BUTTON_A = 96;
    public static final int KEYCODE_BUTTON_B = 97;
    public static final int KEYCODE_BUTTON_C = 98;
    public static final int KEYCODE_BUTTON_X = 99;
    public static final int KEYCODE_BUTTON_Y = 100;
    public static final int KEYCODE_BUTTON_Z = 101;
    private static final int LOADSTATE_ID = 4;
    private static final int PREFERENCES_GROUP_ID = 0;
    private static final int PREFERENCES_ID = 6;
    private static final int QUIT_ID = 8;
    public static final String REQUEST_CONFIG = "com.hexad.bluezime.getconfig";
    public static final String REQUEST_CONNECT = "com.hexad.bluezime.connect";
    public static final String REQUEST_CONNECT_ADDRESS = "address";
    public static final String REQUEST_CONNECT_DRIVER = "driver";
    public static final String REQUEST_DISCONNECT = "com.hexad.bluezime.disconnect";
    public static final String REQUEST_FEATURECHANGE = "com.hexad.bluezime.featurechange";
    public static final String REQUEST_FEATURECHANGE_ACCELEROMETER = "accelerometer";
    public static final String REQUEST_FEATURECHANGE_LEDID = "ledid";
    public static final String REQUEST_FEATURECHANGE_RUMBLE = "rumble";
    public static final String REQUEST_STATE = "com.hexad.bluezime.getstate";
    private static final int RUNBIOS_ID = 2;
    private static final int RUNGAME_ID = 1;
    private static final int SAVESTATE_ID = 5;
    public static final String SESSION_ID = "com.hexad.bluezime.sessionid";
    public static final String SESSION_NAME = "EPSXE-IME";
    private static final int SPLITH1_ID = 11;
    private static final int SPLITH2_ID = 12;
    private static final int SPLITV_ID = 10;
    public static final int STATUS_NORUNNING = 0;
    public static final int STATUS_PAUSED = 3;
    public static final int STATUS_RUNNING_BIOS = 2;
    public static final int STATUS_RUNNING_GAME = 1;
    private static final int TOOLSGL_ID = 16;
    private sstateArrayAdapter adapter;
    private int[] analogdpadfromanalog;
    private int[] analoghatx;
    private int[] analoghaty;
    private int[] analogl2;
    private int[] analogl2range;
    private int[] analogleftx;
    private int[] analoglefty;
    private int[] analogpadid;
    private String[] analogpadidString;
    private int[] analogr2;
    private int[] analogr2range;
    private int[] analogrange;
    private int[] analogrightx;
    private int[] analogrighty;
    String[][] bioslist;
    String biosnamefound;
    String[] bluezaddr;
    String[] bluezdriver;
    int bluezenabled;
    int[] bluezpad;
    int[][] bluezxd;
    int[][] bluezyd;
    private Button button_help;
    private Button button_preferences;
    private Button button_quit;
    private Button button_run_bios;
    private Button button_run_game;
    private ByteBuffer byteBuffer;
    private cdArrayAdapter cdadapter;
    private File currentCDDir;
    private File currentDir;
    private String currentPath;
    private libdetect f637d;
    private libepsxe f638e;
    private Class ePSXeViewType;
    private int emuStatus;
    private int emu_autoload_disable;
    private int emu_autosave;
    private int emu_browser_mode;
    private int emu_enable_check;
    private int emu_enable_neon;
    private int emu_enable_x86;
    private int emu_gui;
    private int emu_padType;
    private int[] emu_pad_type;
    private int emu_player_mode;
    private int emu_renderer;
    private int emu_screen_orientation;
    private int fps;
    private String gameCode;
    private String gpuPluginName;
    private int[][] keycodes;
    private int[] keycodesextra;
    private AlertDialog mAlert;
    Controller mController;
    Handler mHandler;
    Handler mHandlerAL;
    private String mIsoName;
    private int mIsoSlot;
    private Runnable mLaunchTask;
    private Runnable mLaunchTaskAL;
    private ListView mListView;
    final MogaControllerListener mListener;
    private boolean m_connected;
    private ePSXeReadPreferences mePSXeReadPreferences;
    private ePSXeSound mePSXeSound;
    private ePSXeView mePSXeView;
    private ePSXeViewGL mePSXeView2;
    int mogapad;
    private int[] pushedButtons;
    private AlertDialog sAlert;
    private String sdCardPath;
    private Boolean snapRestoring;
    private int sscmd;
    private ListView sstateListView;
    private BroadcastReceiver stateCallback;
    private BroadcastReceiver statusMonitor;
    int[] virtualPadId;
    int[][] virtualPadPos;
    int[] xd;
    int[] yd;

    /* renamed from: com.epsxe.ePSXe.ePSXeNative.14 */
    class AnonymousClass14 implements OnClickListener {
        final /* synthetic */ String val$deletefile;

        AnonymousClass14(String str) {
            this.val$deletefile = str;
        }

        public void onClick(DialogInterface dialogInterface, int i) {
            File file = new File(this.val$deletefile);
            if (file.exists()) {
                file.delete();
            }
        }
    }

    /* renamed from: com.epsxe.ePSXe.ePSXeNative.18 */
    class AnonymousClass18 implements OnClickListener {
        final /* synthetic */ Context val$mContext;

        AnonymousClass18(Context context) {
            this.val$mContext = context;
        }

        public void onClick(DialogInterface dialogInterface, int i) {
            Log.e("epsxecheat", "Downloading cheat file...");
            Toast.makeText(this.val$mContext, C0122R.string.cheat_dialog_downloading, ePSXeNative.STATUS_RUNNING_GAME).show();
            DownloadFilesTask downloadFilesTask = new DownloadFilesTask(this.val$mContext);
            String[] strArr = new String[ePSXeNative.STATUS_RUNNING_GAME];
            strArr[ePSXeNative.STATUS_NORUNNING] = "";
            downloadFilesTask.execute(strArr);
        }
    }

    /* renamed from: com.epsxe.ePSXe.ePSXeNative.1 */
    class C00931 implements Runnable {
        C00931() {
        }

        public void run() {
            ePSXeNative.this.CreateSstateDialog(ePSXeNative.this.f638e.getCode(), ePSXeNative.STATUS_NORUNNING, ePSXeNative.STATUS_RUNNING_GAME);
        }
    }

    /* renamed from: com.epsxe.ePSXe.ePSXeNative.2 */
    class C00942 implements OnClickListener {
        C00942() {
        }

        public void onClick(DialogInterface dialogInterface, int i) {
            new File(Environment.getExternalStorageDirectory(), "epsxe/sstates/savetmp").delete();
        }
    }

    /* renamed from: com.epsxe.ePSXe.ePSXeNative.3 */
    class C00953 implements OnClickListener {
        C00953() {
        }

        public void onClick(DialogInterface dialogInterface, int i) {
            File file = new File(Environment.getExternalStorageDirectory(), "epsxe/sstates/savetmp");
            StringBuilder stringBuilder = new StringBuilder();
            StringBuilder stringBuilder2 = new StringBuilder();
            try {
                BufferedReader bufferedReader = new BufferedReader(new FileReader(file));
                ePSXeNative.this.mIsoSlot = ePSXeNative.STATUS_NORUNNING;
                String readLine = bufferedReader.readLine();
                if (readLine != null) {
                    stringBuilder.append(readLine);
                }
                String readLine2 = bufferedReader.readLine();
                if (readLine2 != null) {
                    stringBuilder2.append(readLine2);
                    ePSXeNative.this.mIsoSlot = Integer.parseInt(stringBuilder2.toString());
                }
                ePSXeNative.this.mIsoName = stringBuilder.toString();
                file.delete();
                if (ePSXeNative.this.check_bios() != -1 && new File(ePSXeNative.this.mIsoName).exists()) {
                    Log.e("epsxenative", "restoring " + ePSXeNative.this.mIsoName);
                    Intent intent = new Intent(ePSXeNative.this, FileChooser.class);
                    intent.putExtra("com.epsxe.ePSXe.fcMode", "EXEC_ISO");
                    intent.putExtra("com.epsxe.ePSXe.isoName", ePSXeNative.this.mIsoName);
                    intent.putExtra("com.epsxe.ePSXe.isoSlot", "" + ePSXeNative.this.mIsoSlot);
                    ePSXeNative.this.startActivity(intent);
                    ePSXeNative.this.finish();
                }
            } catch (IOException e) {
            }
        }
    }

    /* renamed from: com.epsxe.ePSXe.ePSXeNative.4 */
    class C00964 implements View.OnClickListener {
        C00964() {
        }

        public void onClick(View view) {
            if (ePSXeNative.this.emuStatus == 0 && ePSXeNative.this.check_bios() != -1) {
                Log.e("epsxenative", "getMiscBrowsermode " + ePSXeNative.this.mePSXeReadPreferences.getMiscBrowsermode());
                ePSXeNative.this.emu_browser_mode = ePSXeNative.this.mePSXeReadPreferences.getMiscBrowsermode();
                Intent intent = new Intent(ePSXeNative.this, FileChooser.class);
                intent.putExtra("com.epsxe.ePSXe.fcMode", "SELECT_ISO");
                intent.putExtra("com.epsxe.ePSXe.isoPath", ePSXeNative.this.currentPath);
                intent.putExtra("com.epsxe.ePSXe.browserMode", "" + ePSXeNative.this.emu_browser_mode);
                ePSXeNative.this.startActivity(intent);
                ePSXeNative.this.finish();
            }
        }
    }

    /* renamed from: com.epsxe.ePSXe.ePSXeNative.5 */
    class C00975 implements View.OnClickListener {
        C00975() {
        }

        public void onClick(View view) {
            if (ePSXeNative.this.emuStatus == 0 && ePSXeNative.this.check_bios() != -1) {
                Intent intent = new Intent(ePSXeNative.this, FileChooser.class);
                intent.putExtra("com.epsxe.ePSXe.fcMode", "RUN_BIOS");
                intent.putExtra("com.epsxe.ePSXe.isoPath", ePSXeNative.this.currentPath);
                ePSXeNative.this.startActivity(intent);
                ePSXeNative.this.finish();
            }
        }
    }

    /* renamed from: com.epsxe.ePSXe.ePSXeNative.6 */
    class C00986 implements View.OnClickListener {
        C00986() {
        }

        public void onClick(View view) {
            ePSXeNative.this.startActivity(new Intent(ePSXeNative.this, ePSXePreferences.class));
            ePSXeNative.this.finish();
        }
    }

    /* renamed from: com.epsxe.ePSXe.ePSXeNative.7 */
    class C00997 implements View.OnClickListener {
        C00997() {
        }

        public void onClick(View view) {
            ePSXeNative.this.startActivity(new Intent(ePSXeNative.this, ePSXeHelp.class));
            ePSXeNative.this.finish();
        }
    }

    /* renamed from: com.epsxe.ePSXe.ePSXeNative.8 */
    class C01008 implements View.OnClickListener {
        C01008() {
        }

        public void onClick(View view) {
            ePSXeNative.this.finish();
        }
    }

    /* renamed from: com.epsxe.ePSXe.ePSXeNative.9 */
    class C01019 implements OnClickListener {
        C01019() {
        }

        public void onClick(DialogInterface dialogInterface, int i) {
        }
    }

    private class DownloadFilesTask extends AsyncTask<String, Integer, String> {
        private Context context;

        public DownloadFilesTask(Context context) {
            this.context = context;
        }

        protected String doInBackground(String... strArr) {
            return ePSXeNative.this.DownloadCheatcodesFile();
        }

        protected void onPostExecute(String str) {
            Toast.makeText(this.context, str, ePSXeNative.STATUS_RUNNING_GAME).show();
        }

        protected void onProgressUpdate(Integer... numArr) {
        }
    }

    class MogaControllerListener implements ControllerListener {
        MogaControllerListener() {
        }

        public void onKeyEvent(KeyEvent keyEvent) {
            if (ePSXeNative.this.mogapad != -1) {
                if (ePSXeNative.this.emuStatus == ePSXeNative.STATUS_RUNNING_GAME || ePSXeNative.this.emuStatus == ePSXeNative.STATUS_RUNNING_BIOS) {
                    int i = ePSXeNative.this.mogapad;
                    int action = keyEvent.getAction();
                    int[] access$2200;
                    switch (keyEvent.getKeyCode()) {
                        case InputList.KEYCODE_DPAD_UP /*19*/:
                            if (action != 0) {
                                access$2200 = ePSXeNative.this.pushedButtons;
                                access$2200[i] = access$2200[i] & -4097;
                                break;
                            }
                            access$2200 = ePSXeNative.this.pushedButtons;
                            access$2200[i] = access$2200[i] | 4096;
                            break;
                        case InputList.KEYCODE_DPAD_DOWN /*20*/:
                            if (action != 0) {
                                access$2200 = ePSXeNative.this.pushedButtons;
                                access$2200[i] = access$2200[i] & -16385;
                                break;
                            }
                            access$2200 = ePSXeNative.this.pushedButtons;
                            access$2200[i] = access$2200[i] | 16384;
                            break;
                        case InputList.KEYCODE_DPAD_LEFT /*21*/:
                            if (action != 0) {
                                access$2200 = ePSXeNative.this.pushedButtons;
                                access$2200[i] = -32769 & access$2200[i];
                                break;
                            }
                            access$2200 = ePSXeNative.this.pushedButtons;
                            access$2200[i] = 32768 | access$2200[i];
                            break;
                        case InputList.KEYCODE_DPAD_RIGHT /*22*/:
                            if (action != 0) {
                                access$2200 = ePSXeNative.this.pushedButtons;
                                access$2200[i] = access$2200[i] & -8193;
                                break;
                            }
                            access$2200 = ePSXeNative.this.pushedButtons;
                            access$2200[i] = access$2200[i] | 8192;
                            break;
                        case ePSXeNative.KEYCODE_BUTTON_A /*96*/:
                            if (action != 0) {
                                access$2200 = ePSXeNative.this.pushedButtons;
                                access$2200[i] = access$2200[i] & -65;
                                break;
                            }
                            access$2200 = ePSXeNative.this.pushedButtons;
                            access$2200[i] = access$2200[i] | 64;
                            break;
                        case ePSXeNative.KEYCODE_BUTTON_B /*97*/:
                            if (action != 0) {
                                access$2200 = ePSXeNative.this.pushedButtons;
                                access$2200[i] = access$2200[i] & -33;
                                break;
                            }
                            access$2200 = ePSXeNative.this.pushedButtons;
                            access$2200[i] = access$2200[i] | 32;
                            break;
                        case ePSXeNative.KEYCODE_BUTTON_X /*99*/:
                            if (action != 0) {
                                access$2200 = ePSXeNative.this.pushedButtons;
                                access$2200[i] = access$2200[i] & -129;
                                break;
                            }
                            access$2200 = ePSXeNative.this.pushedButtons;
                            access$2200[i] = access$2200[i] | InputList.KEYCODE_MEDIA_CLOSE;
                            break;
                        case ePSXeNative.KEYCODE_BUTTON_Y /*100*/:
                            if (action != 0) {
                                access$2200 = ePSXeNative.this.pushedButtons;
                                access$2200[i] = access$2200[i] & -17;
                                break;
                            }
                            access$2200 = ePSXeNative.this.pushedButtons;
                            access$2200[i] = access$2200[i] | ePSXeNative.TOOLSGL_ID;
                            break;
                        case InputList.KEYCODE_BUTTON_L1 /*102*/:
                            if (action != 0) {
                                access$2200 = ePSXeNative.this.pushedButtons;
                                access$2200[i] = access$2200[i] & -5;
                                break;
                            }
                            access$2200 = ePSXeNative.this.pushedButtons;
                            access$2200[i] = access$2200[i] | ePSXeNative.LOADSTATE_ID;
                            break;
                        case InputList.KEYCODE_BUTTON_R1 /*103*/:
                            if (action != 0) {
                                access$2200 = ePSXeNative.this.pushedButtons;
                                access$2200[i] = access$2200[i] & -9;
                                break;
                            }
                            access$2200 = ePSXeNative.this.pushedButtons;
                            access$2200[i] = access$2200[i] | ePSXeNative.QUIT_ID;
                            break;
                        case InputList.KEYCODE_BUTTON_L2 /*104*/:
                            if (action != 0) {
                                access$2200 = ePSXeNative.this.pushedButtons;
                                access$2200[i] = access$2200[i] & -2;
                                break;
                            }
                            access$2200 = ePSXeNative.this.pushedButtons;
                            access$2200[i] = access$2200[i] | ePSXeNative.STATUS_RUNNING_GAME;
                            break;
                        case InputList.KEYCODE_BUTTON_R2 /*105*/:
                            if (action != 0) {
                                access$2200 = ePSXeNative.this.pushedButtons;
                                access$2200[i] = access$2200[i] & -3;
                                break;
                            }
                            access$2200 = ePSXeNative.this.pushedButtons;
                            access$2200[i] = access$2200[i] | ePSXeNative.STATUS_RUNNING_BIOS;
                            break;
                        case InputList.KEYCODE_BUTTON_THUMBL /*106*/:
                            if (action != 0) {
                                access$2200 = ePSXeNative.this.pushedButtons;
                                access$2200[i] = access$2200[i] & -513;
                                break;
                            }
                            access$2200 = ePSXeNative.this.pushedButtons;
                            access$2200[i] = access$2200[i] | pbpFile.PBP_PSTITLEIMG;
                            break;
                        case InputList.KEYCODE_BUTTON_THUMBR /*107*/:
                            if (action != 0) {
                                access$2200 = ePSXeNative.this.pushedButtons;
                                access$2200[i] = access$2200[i] & -1025;
                                break;
                            }
                            access$2200 = ePSXeNative.this.pushedButtons;
                            access$2200[i] = access$2200[i] | 1024;
                            break;
                        case InputList.KEYCODE_BUTTON_START /*108*/:
                            if (action != 0) {
                                access$2200 = ePSXeNative.this.pushedButtons;
                                access$2200[i] = access$2200[i] & -2049;
                                break;
                            }
                            access$2200 = ePSXeNative.this.pushedButtons;
                            access$2200[i] = access$2200[i] | 2048;
                            break;
                        case InputList.KEYCODE_BUTTON_SELECT /*109*/:
                            if (action != 0) {
                                access$2200 = ePSXeNative.this.pushedButtons;
                                access$2200[i] = access$2200[i] & -257;
                                break;
                            }
                            access$2200 = ePSXeNative.this.pushedButtons;
                            access$2200[i] = access$2200[i] | Policy.LICENSED;
                            break;
                    }
                    ePSXeNative.this.f638e.setPadDataMultitap(ePSXeNative.this.pushedButtons[ePSXeNative.STATUS_NORUNNING], ePSXeNative.this.pushedButtons[ePSXeNative.STATUS_RUNNING_GAME], ePSXeNative.this.pushedButtons[ePSXeNative.STATUS_RUNNING_BIOS], ePSXeNative.this.pushedButtons[ePSXeNative.STATUS_PAUSED]);
                }
            }
        }

        public void onMotionEvent(MotionEvent motionEvent) {
            if (ePSXeNative.this.mogapad != -1) {
                if (ePSXeNative.this.emuStatus == ePSXeNative.STATUS_RUNNING_GAME || ePSXeNative.this.emuStatus == ePSXeNative.STATUS_RUNNING_BIOS) {
                    int axisValue = (int) (motionEvent.getAxisValue(ePSXeNative.SPLITH1_ID) * 127.0f);
                    int axisValue2 = (int) (motionEvent.getAxisValue(ePSXeNative.FRAMELIMIT_ID) * 127.0f);
                    ePSXeNative.this.f638e.setpadanalog(ePSXeNative.this.mogapad, ePSXeNative.STATUS_NORUNNING, (int) (motionEvent.getAxisValue(ePSXeNative.STATUS_NORUNNING) * 127.0f), (int) (motionEvent.getAxisValue(ePSXeNative.STATUS_RUNNING_GAME) * 127.0f));
                    ePSXeNative.this.f638e.setpadanalog(ePSXeNative.this.mogapad, ePSXeNative.STATUS_RUNNING_GAME, axisValue, axisValue2);
                }
            }
        }

        public void onStateEvent(StateEvent stateEvent) {
            if (ePSXeNative.this.mogapad != -1) {
                if (ePSXeNative.this.emuStatus == ePSXeNative.STATUS_RUNNING_GAME || ePSXeNative.this.emuStatus == ePSXeNative.STATUS_RUNNING_BIOS) {
                    switch (stateEvent.getState()) {
                        case ePSXeNative.STATUS_RUNNING_GAME /*1*/:
                        default:
                    }
                }
            }
        }
    }

    private class Option implements Comparable<Option> {
        private String data;
        private String date;
        private Bitmap mBitmap;
        private String name;
        private String path;
        private String slot;

        public Option(String str, String str2, String str3, String str4, String str5, Bitmap bitmap) {
            this.name = str;
            this.data = str2;
            this.path = str3;
            this.date = str4;
            this.slot = str5;
            this.mBitmap = bitmap;
        }

        public int compareTo(Option option) {
            if (this.name != null) {
                return this.name.toLowerCase().compareTo(option.getName().toLowerCase());
            }
            throw new IllegalArgumentException();
        }

        public Bitmap getBitmap() {
            return this.mBitmap;
        }

        public String getData() {
            return this.data;
        }

        public String getDate() {
            return this.date;
        }

        public String getName() {
            return this.name;
        }

        public String getPath() {
            return this.path;
        }

        public String getSlot() {
            return this.slot;
        }
    }

    private class OptionCD implements Comparable<OptionCD> {
        private String data;
        private String name;
        private String path;
        private int slot;

        public OptionCD(String str, String str2, String str3, int i) {
            this.name = str;
            this.data = str2;
            this.path = str3;
            this.slot = i;
        }

        public int compareTo(OptionCD optionCD) {
            if (this.name != null) {
                return this.name.toLowerCase().compareTo(optionCD.getName().toLowerCase());
            }
            throw new IllegalArgumentException();
        }

        public String getData() {
            return this.data;
        }

        public String getName() {
            return this.name;
        }

        public String getPath() {
            return this.path;
        }

        public int getSlot() {
            return this.slot;
        }
    }

    private class ScansdcardBiosTask extends AsyncTask<String, Integer, Integer> {
        private Context context;
        ProgressDialog dialog;

        public ScansdcardBiosTask(Context context) {
            this.context = context;
            this.dialog = new ProgressDialog(this.context);
            this.dialog.setTitle(C0122R.string.bios_finding);
            this.dialog.show();
            this.dialog.setCancelable(false);
            Log.e("ScansdcardBiosTask", "start scan bios");
        }

        protected Integer doInBackground(String... strArr) {
            Log.e("ScansdcardBiosTask", "start scan bios 2");
            return Integer.valueOf(ePSXeNative.this.findBios(strArr[ePSXeNative.STATUS_NORUNNING], ePSXeNative.STATUS_NORUNNING));
        }

        protected void onPostExecute(Integer num) {
            this.dialog.dismiss();
            if (num.intValue() == -1) {
                ePSXeNative.this.BiosDialog();
                return;
            }
            Editor edit = PreferenceManager.getDefaultSharedPreferences(this.context).edit();
            edit.putString("biosPref", ePSXeNative.this.biosnamefound);
            edit.commit();
            ePSXeNative.this.BiosFoundDialog(ePSXeNative.this.bioslist[num.intValue()][ePSXeNative.STATUS_NORUNNING]);
        }
    }

    public class cdArrayAdapter extends ArrayAdapter<OptionCD> {
        private Context f635c;
        private int id;
        private List<OptionCD> items;

        public cdArrayAdapter(Context context, int i, List<OptionCD> list) {
            super(context, i, list);
            this.f635c = context;
            this.id = i;
            this.items = list;
        }

        public OptionCD getItem(int i) {
            return (OptionCD) this.items.get(i);
        }

        public View getView(int i, View view, ViewGroup viewGroup) {
            if (view == null) {
                view = ((LayoutInflater) this.f635c.getSystemService("layout_inflater")).inflate(this.id, null);
            }
            OptionCD optionCD = (OptionCD) this.items.get(i);
            if (optionCD != null) {
                TextView textView = (TextView) view.findViewById(C0122R.id.TextView01);
                TextView textView2 = (TextView) view.findViewById(C0122R.id.TextView02);
                if (textView != null) {
                    textView.setText(optionCD.getName());
                }
                if (textView2 != null) {
                    textView2.setText(optionCD.getData());
                }
            }
            return view;
        }
    }

    public class sstateArrayAdapter extends ArrayAdapter<Option> {
        private Context f636c;
        private int id;
        private List<Option> items;

        public sstateArrayAdapter(Context context, int i, List<Option> list) {
            super(context, i, list);
            this.f636c = context;
            this.id = i;
            this.items = list;
        }

        public Option getItem(int i) {
            return (Option) this.items.get(i);
        }

        public View getView(int i, View view, ViewGroup viewGroup) {
            if (view == null) {
                view = ((LayoutInflater) this.f636c.getSystemService("layout_inflater")).inflate(this.id, null);
            }
            Option option = (Option) this.items.get(i);
            if (option != null) {
                TextView textView = (TextView) view.findViewById(C0122R.id.TextView01);
                TextView textView2 = (TextView) view.findViewById(C0122R.id.TextView02);
                TextView textView3 = (TextView) view.findViewById(C0122R.id.TextView03);
                TextView textView4 = (TextView) view.findViewById(C0122R.id.TextView04);
                ImageView imageView = (ImageView) view.findViewById(C0122R.id.image);
                if (textView != null) {
                    textView.setText(option.getName());
                }
                if (textView2 != null) {
                    int parseInt = Integer.parseInt(option.getSlot());
                    if (parseInt == -1) {
                        textView2.setText("");
                    } else if (parseInt == ePSXeNative.SAVESTATE_ID) {
                        textView2.setText(ePSXeNative.this.getString(C0122R.string.main_autosave));
                    } else {
                        textView2.setText(ePSXeNative.this.getString(C0122R.string.main_slotnumber) + " " + parseInt);
                    }
                }
                if (textView3 != null) {
                    textView3.setText(option.getData());
                }
                if (textView4 != null) {
                    textView4.setText(option.getDate());
                }
                if (!(imageView == null || option.getBitmap() == null)) {
                    imageView.setImageBitmap(option.getBitmap());
                }
            }
            return view;
        }
    }

    static {
        System.loadLibrary("xperia");
    }

    public ePSXeNative() {
        this.emuStatus = STATUS_NORUNNING;
        this.mIsoName = "";
        this.mIsoSlot = STATUS_NORUNNING;
        this.snapRestoring = Boolean.valueOf(false);
        this.fps = 60;
        this.ePSXeViewType = null;
        this.mePSXeView = null;
        this.currentPath = "";
        this.sdCardPath = "/sdcard";
        this.emu_screen_orientation = STATUS_NORUNNING;
        this.emu_player_mode = STATUS_RUNNING_GAME;
        this.emu_pad_type = new int[]{STATUS_NORUNNING, STATUS_NORUNNING};
        this.emu_enable_neon = STATUS_NORUNNING;
        this.emu_enable_x86 = STATUS_NORUNNING;
        this.emu_renderer = STATUS_RUNNING_GAME;
        this.emu_enable_check = STATUS_NORUNNING;
        this.emu_autosave = STATUS_NORUNNING;
        this.emu_autoload_disable = STATUS_NORUNNING;
        this.emu_browser_mode = STATUS_RUNNING_GAME;
        this.emu_gui = STATUS_RUNNING_GAME;
        this.emu_padType = STATUS_NORUNNING;
        this.keycodes = (int[][]) Array.newInstance(Integer.TYPE, new int[]{LOADSTATE_ID, 21});
        this.keycodesextra = new int[SPLITH2_ID];
        this.pushedButtons = new int[]{STATUS_NORUNNING, STATUS_NORUNNING, STATUS_NORUNNING, STATUS_NORUNNING};
        String[] strArr = new String[LOADSTATE_ID];
        strArr[STATUS_NORUNNING] = "none";
        strArr[STATUS_RUNNING_GAME] = "none";
        strArr[STATUS_RUNNING_BIOS] = "none";
        strArr[STATUS_PAUSED] = "none";
        this.analogpadidString = strArr;
        this.analogpadid = new int[]{-1, -1, -1, -1};
        this.analogrange = new int[]{STATUS_NORUNNING, STATUS_NORUNNING, STATUS_NORUNNING, STATUS_NORUNNING};
        this.analogleftx = new int[]{STATUS_NORUNNING, STATUS_NORUNNING, STATUS_NORUNNING, STATUS_NORUNNING};
        this.analoglefty = new int[]{STATUS_RUNNING_GAME, STATUS_RUNNING_GAME, STATUS_RUNNING_GAME, STATUS_RUNNING_GAME};
        this.analogrightx = new int[]{SPLITH1_ID, SPLITH1_ID, SPLITH1_ID, SPLITH1_ID};
        this.analogrighty = new int[]{FRAMELIMIT_ID, FRAMELIMIT_ID, FRAMELIMIT_ID, FRAMELIMIT_ID};
        this.analogl2 = new int[]{48, 48, 48, 48};
        this.analogr2 = new int[]{48, 48, 48, 48};
        this.analogl2range = new int[]{STATUS_NORUNNING, STATUS_NORUNNING, STATUS_NORUNNING, STATUS_NORUNNING};
        this.analogr2range = new int[]{STATUS_NORUNNING, STATUS_NORUNNING, STATUS_NORUNNING, STATUS_NORUNNING};
        this.analoghatx = new int[]{STATUS_NORUNNING, STATUS_NORUNNING, STATUS_NORUNNING, STATUS_NORUNNING};
        this.analoghaty = new int[]{STATUS_NORUNNING, STATUS_NORUNNING, STATUS_NORUNNING, STATUS_NORUNNING};
        this.analogdpadfromanalog = new int[]{STATUS_NORUNNING, STATUS_NORUNNING, STATUS_NORUNNING, STATUS_NORUNNING};
        this.mHandlerAL = new Handler();
        this.mLaunchTaskAL = new C00931();
        this.mHandler = new Handler();
        this.mLaunchTask = new Runnable() {
            public void run() {
                ePSXeNative.this.mePSXeSound.exit();
                ePSXeNative.this.emuStatus = ePSXeNative.STATUS_NORUNNING;
                if (ePSXeNative.this.emu_gui == ePSXeNative.STATUS_RUNNING_GAME) {
                    Intent intent = new Intent(ePSXeNative.this, ePSXe.class);
                    intent.setFlags(268435456);
                    ePSXeNative.this.startActivity(intent);
                }
                ePSXeNative.this.f638e.quit();
                ePSXeNative.this.finish();
            }
        };
        this.gameCode = "SLUS_000.00";
        this.sscmd = STATUS_NORUNNING;
        String[][] strArr2 = new String[21][];
        String[] strArr3 = new String[STATUS_RUNNING_BIOS];
        strArr3[STATUS_NORUNNING] = "SCPH-1000/DTL-H1000 (Version 1.0 J)";
        strArr3[STATUS_RUNNING_GAME] = "239665b1a3dade1b5a52c06338011044";
        strArr2[STATUS_NORUNNING] = strArr3;
        strArr3 = new String[STATUS_RUNNING_BIOS];
        strArr3[STATUS_NORUNNING] = "SCPH-1001/DTL-H1201/DTL-H3001 (Version 2.2 12/04/95 A)";
        strArr3[STATUS_RUNNING_GAME] = "924e392ed05558ffdb115408c263dccf";
        strArr2[STATUS_RUNNING_GAME] = strArr3;
        strArr3 = new String[STATUS_RUNNING_BIOS];
        strArr3[STATUS_NORUNNING] = "DTL-H1001 (Version 2.0 05/07/95 A)";
        strArr3[STATUS_RUNNING_GAME] = "dc2b9bf8da62ec93e868cfd29f0d067d";
        strArr2[STATUS_RUNNING_BIOS] = strArr3;
        strArr3 = new String[STATUS_RUNNING_BIOS];
        strArr3[STATUS_NORUNNING] = "DTL-H1002/SCPH-1002 (Version 2.0 05/10/95 E)";
        strArr3[STATUS_RUNNING_GAME] = "54847e693405ffeb0359c6287434cbef";
        strArr2[STATUS_PAUSED] = strArr3;
        strArr3 = new String[STATUS_RUNNING_BIOS];
        strArr3[STATUS_NORUNNING] = "SCPH-3000/DTL-H1000H (Version 1.1 01/22/95)";
        strArr3[STATUS_RUNNING_GAME] = "849515939161e62f6b866f6853006780";
        strArr2[LOADSTATE_ID] = strArr3;
        String[] strArr4 = new String[STATUS_RUNNING_BIOS];
        strArr4[STATUS_NORUNNING] = "SCPH-3500 (Version 2.1 07/17/95 J)";
        strArr4[STATUS_RUNNING_GAME] = "cba733ceeff5aef5c32254f1d617fa62";
        strArr2[SAVESTATE_ID] = strArr4;
        strArr4 = new String[STATUS_RUNNING_BIOS];
        strArr4[STATUS_NORUNNING] = "DTL-H1100 (Version 2.2 03/06/96 D)";
        strArr4[STATUS_RUNNING_GAME] = "ca5cfc321f916756e3f0effbfaeba13b";
        strArr2[PREFERENCES_ID] = strArr4;
        strArr4 = new String[STATUS_RUNNING_BIOS];
        strArr4[STATUS_NORUNNING] = "DTL-H1101 (Version 2.1 07/17/95 A)";
        strArr4[STATUS_RUNNING_GAME] = "da27e8b6dab242d8f91a9b25d80c63b8";
        strArr2[ABOUT_ID] = strArr4;
        strArr4 = new String[STATUS_RUNNING_BIOS];
        strArr4[STATUS_NORUNNING] = "SCPH-1002/DTL-H1102 (Version 2.1 07/17/95 E)";
        strArr4[STATUS_RUNNING_GAME] = "417b34706319da7cf001e76e40136c23";
        strArr2[QUIT_ID] = strArr4;
        strArr4 = new String[STATUS_RUNNING_BIOS];
        strArr4[STATUS_NORUNNING] = "SCPH-5000/DTL-H1200 (Version 2.2 12/04/95 J)";
        strArr4[STATUS_RUNNING_GAME] = "57a06303dfa9cf9351222dfcbb4a29d9";
        strArr2[HELP_ID] = strArr4;
        strArr4 = new String[STATUS_RUNNING_BIOS];
        strArr4[STATUS_NORUNNING] = "SCPH-1002/DTL-H1202/DTL-H3002 (Version 2.2 12/04/95 E)";
        strArr4[STATUS_RUNNING_GAME] = "e2110b8a2b97a8e0b857a45d32f7e187";
        strArr2[SPLITV_ID] = strArr4;
        strArr4 = new String[STATUS_RUNNING_BIOS];
        strArr4[STATUS_NORUNNING] = "SCPH-5500 (Version 3.0 09/09/96 J)";
        strArr4[STATUS_RUNNING_GAME] = "8dd7d5296a650fac7319bce665a6a53c";
        strArr2[SPLITH1_ID] = strArr4;
        strArr4 = new String[STATUS_RUNNING_BIOS];
        strArr4[STATUS_NORUNNING] = "SCPH-5501/SCPH-7003 (Version 3.0 11/18/96 A)";
        strArr4[STATUS_RUNNING_GAME] = "490f666e1afb15b7362b406ed1cea246";
        strArr2[SPLITH2_ID] = strArr4;
        strArr4 = new String[STATUS_RUNNING_BIOS];
        strArr4[STATUS_NORUNNING] = "SCPH-5502/SCPH-5552 (Version 3.0 01/06/97 E)";
        strArr4[STATUS_RUNNING_GAME] = "32736f17079d0b2b7024407c39bd3050";
        strArr2[13] = strArr4;
        strArr4 = new String[STATUS_RUNNING_BIOS];
        strArr4[STATUS_NORUNNING] = "SCPH-7000/SCPH-9000 (Version 4.0 08/18/97 J)";
        strArr4[STATUS_RUNNING_GAME] = "8e4c14f567745eff2f0408c8129f72a6";
        strArr2[FRAMELIMIT_ID] = strArr4;
        strArr4 = new String[STATUS_RUNNING_BIOS];
        strArr4[STATUS_NORUNNING] = "SCPH-7001/SCPH-7501/SCPH-7503/SCPH-9001 (Version 4.1 12/16/97 A)";
        strArr4[STATUS_RUNNING_GAME] = "1e68c231d0896b7eadcad1d7d8e76129";
        strArr2[CHEAT_ID] = strArr4;
        strArr4 = new String[STATUS_RUNNING_BIOS];
        strArr4[STATUS_NORUNNING] = "SCPH-7002/SCPH-7502/SCPH-9002 (Version 4.1 12/16/97 E)";
        strArr4[STATUS_RUNNING_GAME] = "b9d9a0286c33dc6b7237bb13cd46fdee";
        strArr2[TOOLSGL_ID] = strArr4;
        strArr4 = new String[STATUS_RUNNING_BIOS];
        strArr4[STATUS_NORUNNING] = "SCPH-100 (Version 4.3 03/11/00 J)";
        strArr4[STATUS_RUNNING_GAME] = "8abc1b549a4a80954addc48ef02c4521";
        strArr2[17] = strArr4;
        strArr4 = new String[STATUS_RUNNING_BIOS];
        strArr4[STATUS_NORUNNING] = "SCPH-102 (Version 4.4 03/24/00 E)";
        strArr4[STATUS_RUNNING_GAME] = "b10f5e0e3d9eb60e5159690680b1e774";
        strArr2[18] = strArr4;
        strArr4 = new String[STATUS_RUNNING_BIOS];
        strArr4[STATUS_NORUNNING] = "SCPH-101 (Version 4.5 05/25/00 A)";
        strArr4[STATUS_RUNNING_GAME] = "6e3735ff4c7dc899ee98981385f6f3d0";
        strArr2[19] = strArr4;
        strArr4 = new String[STATUS_RUNNING_BIOS];
        strArr4[STATUS_NORUNNING] = "SCPH-102 (Version 4.5 05/25/00 E)";
        strArr4[STATUS_RUNNING_GAME] = "de93caec13d1a141a40a79f5c86168d6";
        strArr2[20] = strArr4;
        this.bioslist = strArr2;
        this.biosnamefound = "";
        this.mController = null;
        this.mogapad = -1;
        this.mListener = new MogaControllerListener();
        this.stateCallback = new BroadcastReceiver() {
            public void onReceive(Context context, Intent intent) {
                int i = ePSXeNative.STATUS_NORUNNING;
                if (intent.getAction() == null || !ePSXeNative.SESSION_NAME.equals(intent.getStringExtra(ePSXeNative.SESSION_ID))) {
                    return;
                }
                if (intent.getAction().equals(ePSXeNative.EVENT_REPORT_CONFIG)) {
                    Toast.makeText(ePSXeNative.this, "Bluez-IME version " + intent.getIntExtra(ePSXeNative.EVENT_REPORT_CONFIG_VERSION, ePSXeNative.STATUS_NORUNNING), ePSXeNative.STATUS_NORUNNING).show();
                } else if (intent.getAction().equals(ePSXeNative.EVENT_REPORTSTATE)) {
                    ePSXeNative.this.m_connected = intent.getBooleanExtra(ePSXeNative.EVENT_REPORTSTATE_CONNECTED, false);
                    while (i < ePSXeNative.LOADSTATE_ID) {
                        if (ePSXeNative.this.bluezpad[i] != 0) {
                            Log.e("epsxenative", "init bluez pad ----> connect " + ePSXeNative.this.bluezaddr[i] + " driver " + ePSXeNative.this.bluezdriver[i]);
                            Intent intent2 = new Intent(ePSXeNative.REQUEST_CONNECT);
                            intent2.setClassName(ePSXeNative.BLUEZ_IME_PACKAGE, ePSXeNative.BLUEZ_IME_SERVICE);
                            intent2.putExtra(ePSXeNative.SESSION_ID, ePSXeNative.SESSION_NAME);
                            intent2.putExtra(ePSXeNative.REQUEST_CONNECT_ADDRESS, ePSXeNative.this.bluezaddr[i]);
                            intent2.putExtra(ePSXeNative.REQUEST_CONNECT_DRIVER, ePSXeNative.this.bluezdriver[i]);
                            ePSXeNative.this.startService(intent2);
                            return;
                        }
                        i += ePSXeNative.STATUS_RUNNING_GAME;
                    }
                } else if (intent.getAction().equals(ePSXeNative.EVENT_CONNECTED)) {
                    ePSXeNative.this.m_connected = true;
                } else if (intent.getAction().equals(ePSXeNative.EVENT_DISCONNECTED)) {
                    ePSXeNative.this.m_connected = false;
                } else if (intent.getAction().equals(ePSXeNative.EVENT_ERROR)) {
                    Toast.makeText(ePSXeNative.this, "Error: " + intent.getStringExtra(ePSXeNative.EVENT_ERROR_SHORT), ePSXeNative.STATUS_NORUNNING).show();
                    ePSXeNative.this.m_connected = false;
                }
            }
        };
        this.statusMonitor = new BroadcastReceiver() {
            public void onReceive(Context context, Intent intent) {
                int i = -127;
                if (intent.getAction() == null || !ePSXeNative.SESSION_NAME.equals(intent.getStringExtra(ePSXeNative.SESSION_ID))) {
                    return;
                }
                if (intent.getAction().equals(ePSXeNative.EVENT_DIRECTIONALCHANGE)) {
                    int intExtra = intent.getIntExtra(ePSXeNative.EVENT_DIRECTIONALCHANGE_VALUE, ePSXeNative.STATUS_NORUNNING);
                    int intExtra2 = intent.getIntExtra(ePSXeNative.EVENT_DIRECTIONALCHANGE_DIRECTION, ePSXeNative.KEYCODE_BUTTON_Y);
                    if (intExtra >= -127) {
                        i = intExtra > InputList.KEYCODE_MEDIA_PAUSE ? 127 : intExtra;
                    }
                    switch (intExtra2) {
                        case ePSXeNative.STATUS_NORUNNING /*0*/:
                            ePSXeNative.this.bluezxd[ePSXeNative.STATUS_NORUNNING][ePSXeNative.STATUS_NORUNNING] = i;
                            break;
                        case ePSXeNative.STATUS_RUNNING_GAME /*1*/:
                            ePSXeNative.this.bluezyd[ePSXeNative.STATUS_NORUNNING][ePSXeNative.STATUS_NORUNNING] = i;
                            break;
                        case ePSXeNative.STATUS_RUNNING_BIOS /*2*/:
                            ePSXeNative.this.bluezxd[ePSXeNative.STATUS_NORUNNING][ePSXeNative.STATUS_RUNNING_GAME] = i;
                            break;
                        case ePSXeNative.STATUS_PAUSED /*3*/:
                            ePSXeNative.this.bluezyd[ePSXeNative.STATUS_NORUNNING][ePSXeNative.STATUS_RUNNING_GAME] = i;
                            break;
                    }
                    if (ePSXeNative.this.emuStatus == ePSXeNative.STATUS_RUNNING_GAME) {
                        ePSXeNative.this.f638e.setpadanalog(ePSXeNative.STATUS_NORUNNING, ePSXeNative.STATUS_NORUNNING, ePSXeNative.this.bluezxd[ePSXeNative.STATUS_NORUNNING][ePSXeNative.STATUS_NORUNNING], ePSXeNative.this.bluezyd[ePSXeNative.STATUS_NORUNNING][ePSXeNative.STATUS_NORUNNING]);
                        ePSXeNative.this.f638e.setpadanalog(ePSXeNative.STATUS_NORUNNING, ePSXeNative.STATUS_RUNNING_GAME, ePSXeNative.this.bluezxd[ePSXeNative.STATUS_NORUNNING][ePSXeNative.STATUS_RUNNING_GAME], ePSXeNative.this.bluezyd[ePSXeNative.STATUS_NORUNNING][ePSXeNative.STATUS_RUNNING_GAME]);
                    }
                } else if (intent.getAction().equals(ePSXeNative.EVENT_KEYPRESS)) {
                    i = intent.getIntExtra(ePSXeNative.EVENT_KEYPRESS_KEY, ePSXeNative.STATUS_NORUNNING);
                    int intExtra3 = intent.getIntExtra(ePSXeNative.EVENT_KEYPRESS_ACTION, ePSXeNative.KEYCODE_BUTTON_Y);
                    int[] access$2200;
                    switch (i) {
                        case InputList.KEYCODE_DPAD_UP /*19*/:
                            if (intExtra3 != 0) {
                                access$2200 = ePSXeNative.this.pushedButtons;
                                access$2200[ePSXeNative.STATUS_NORUNNING] = access$2200[ePSXeNative.STATUS_NORUNNING] & -4097;
                                break;
                            }
                            access$2200 = ePSXeNative.this.pushedButtons;
                            access$2200[ePSXeNative.STATUS_NORUNNING] = access$2200[ePSXeNative.STATUS_NORUNNING] | 4096;
                            break;
                        case InputList.KEYCODE_DPAD_DOWN /*20*/:
                            if (intExtra3 != 0) {
                                access$2200 = ePSXeNative.this.pushedButtons;
                                access$2200[ePSXeNative.STATUS_NORUNNING] = access$2200[ePSXeNative.STATUS_NORUNNING] & -16385;
                                break;
                            }
                            access$2200 = ePSXeNative.this.pushedButtons;
                            access$2200[ePSXeNative.STATUS_NORUNNING] = access$2200[ePSXeNative.STATUS_NORUNNING] | 16384;
                            break;
                        case InputList.KEYCODE_DPAD_LEFT /*21*/:
                            if (intExtra3 != 0) {
                                access$2200 = ePSXeNative.this.pushedButtons;
                                access$2200[ePSXeNative.STATUS_NORUNNING] = -32769 & access$2200[ePSXeNative.STATUS_NORUNNING];
                                break;
                            }
                            access$2200 = ePSXeNative.this.pushedButtons;
                            access$2200[ePSXeNative.STATUS_NORUNNING] = 32768 | access$2200[ePSXeNative.STATUS_NORUNNING];
                            break;
                        case InputList.KEYCODE_DPAD_RIGHT /*22*/:
                            if (intExtra3 != 0) {
                                access$2200 = ePSXeNative.this.pushedButtons;
                                access$2200[ePSXeNative.STATUS_NORUNNING] = access$2200[ePSXeNative.STATUS_NORUNNING] & -8193;
                                break;
                            }
                            access$2200 = ePSXeNative.this.pushedButtons;
                            access$2200[ePSXeNative.STATUS_NORUNNING] = access$2200[ePSXeNative.STATUS_NORUNNING] | 8192;
                            break;
                        case ePSXeNative.KEYCODE_BUTTON_A /*96*/:
                            if (intExtra3 != 0) {
                                access$2200 = ePSXeNative.this.pushedButtons;
                                access$2200[ePSXeNative.STATUS_NORUNNING] = access$2200[ePSXeNative.STATUS_NORUNNING] & -65;
                                break;
                            }
                            access$2200 = ePSXeNative.this.pushedButtons;
                            access$2200[ePSXeNative.STATUS_NORUNNING] = access$2200[ePSXeNative.STATUS_NORUNNING] | 64;
                            break;
                        case ePSXeNative.KEYCODE_BUTTON_B /*97*/:
                            if (intExtra3 != 0) {
                                access$2200 = ePSXeNative.this.pushedButtons;
                                access$2200[ePSXeNative.STATUS_NORUNNING] = access$2200[ePSXeNative.STATUS_NORUNNING] & -33;
                                break;
                            }
                            access$2200 = ePSXeNative.this.pushedButtons;
                            access$2200[ePSXeNative.STATUS_NORUNNING] = access$2200[ePSXeNative.STATUS_NORUNNING] | 32;
                            break;
                        case ePSXeNative.KEYCODE_BUTTON_X /*99*/:
                            if (intExtra3 != 0) {
                                access$2200 = ePSXeNative.this.pushedButtons;
                                access$2200[ePSXeNative.STATUS_NORUNNING] = access$2200[ePSXeNative.STATUS_NORUNNING] & -129;
                                break;
                            }
                            access$2200 = ePSXeNative.this.pushedButtons;
                            access$2200[ePSXeNative.STATUS_NORUNNING] = access$2200[ePSXeNative.STATUS_NORUNNING] | InputList.KEYCODE_MEDIA_CLOSE;
                            break;
                        case ePSXeNative.KEYCODE_BUTTON_Y /*100*/:
                            if (intExtra3 != 0) {
                                access$2200 = ePSXeNative.this.pushedButtons;
                                access$2200[ePSXeNative.STATUS_NORUNNING] = access$2200[ePSXeNative.STATUS_NORUNNING] & -17;
                                break;
                            }
                            access$2200 = ePSXeNative.this.pushedButtons;
                            access$2200[ePSXeNative.STATUS_NORUNNING] = access$2200[ePSXeNative.STATUS_NORUNNING] | ePSXeNative.TOOLSGL_ID;
                            break;
                        case InputList.KEYCODE_BUTTON_L1 /*102*/:
                            if (intExtra3 != 0) {
                                access$2200 = ePSXeNative.this.pushedButtons;
                                access$2200[ePSXeNative.STATUS_NORUNNING] = access$2200[ePSXeNative.STATUS_NORUNNING] & -5;
                                break;
                            }
                            access$2200 = ePSXeNative.this.pushedButtons;
                            access$2200[ePSXeNative.STATUS_NORUNNING] = access$2200[ePSXeNative.STATUS_NORUNNING] | ePSXeNative.LOADSTATE_ID;
                            break;
                        case InputList.KEYCODE_BUTTON_R1 /*103*/:
                            if (intExtra3 != 0) {
                                access$2200 = ePSXeNative.this.pushedButtons;
                                access$2200[ePSXeNative.STATUS_NORUNNING] = access$2200[ePSXeNative.STATUS_NORUNNING] & -9;
                                break;
                            }
                            access$2200 = ePSXeNative.this.pushedButtons;
                            access$2200[ePSXeNative.STATUS_NORUNNING] = access$2200[ePSXeNative.STATUS_NORUNNING] | ePSXeNative.QUIT_ID;
                            break;
                        case InputList.KEYCODE_BUTTON_L2 /*104*/:
                            if (intExtra3 != 0) {
                                access$2200 = ePSXeNative.this.pushedButtons;
                                access$2200[ePSXeNative.STATUS_NORUNNING] = access$2200[ePSXeNative.STATUS_NORUNNING] & -2;
                                break;
                            }
                            access$2200 = ePSXeNative.this.pushedButtons;
                            access$2200[ePSXeNative.STATUS_NORUNNING] = access$2200[ePSXeNative.STATUS_NORUNNING] | ePSXeNative.STATUS_RUNNING_GAME;
                            break;
                        case InputList.KEYCODE_BUTTON_R2 /*105*/:
                            if (intExtra3 != 0) {
                                access$2200 = ePSXeNative.this.pushedButtons;
                                access$2200[ePSXeNative.STATUS_NORUNNING] = access$2200[ePSXeNative.STATUS_NORUNNING] & -3;
                                break;
                            }
                            access$2200 = ePSXeNative.this.pushedButtons;
                            access$2200[ePSXeNative.STATUS_NORUNNING] = access$2200[ePSXeNative.STATUS_NORUNNING] | ePSXeNative.STATUS_RUNNING_BIOS;
                            break;
                        case InputList.KEYCODE_BUTTON_START /*108*/:
                            if (intExtra3 != 0) {
                                access$2200 = ePSXeNative.this.pushedButtons;
                                access$2200[ePSXeNative.STATUS_NORUNNING] = access$2200[ePSXeNative.STATUS_NORUNNING] & -2049;
                                break;
                            }
                            access$2200 = ePSXeNative.this.pushedButtons;
                            access$2200[ePSXeNative.STATUS_NORUNNING] = access$2200[ePSXeNative.STATUS_NORUNNING] | 2048;
                            break;
                        case InputList.KEYCODE_BUTTON_SELECT /*109*/:
                            if (intExtra3 != 0) {
                                access$2200 = ePSXeNative.this.pushedButtons;
                                access$2200[ePSXeNative.STATUS_NORUNNING] = access$2200[ePSXeNative.STATUS_NORUNNING] & -257;
                                break;
                            }
                            access$2200 = ePSXeNative.this.pushedButtons;
                            access$2200[ePSXeNative.STATUS_NORUNNING] = access$2200[ePSXeNative.STATUS_NORUNNING] | Policy.LICENSED;
                            break;
                    }
                    if (ePSXeNative.this.emuStatus == ePSXeNative.STATUS_RUNNING_GAME) {
                        ePSXeNative.this.f638e.setPadDataMultitap(ePSXeNative.this.pushedButtons[ePSXeNative.STATUS_NORUNNING], ePSXeNative.this.pushedButtons[ePSXeNative.STATUS_RUNNING_GAME], ePSXeNative.this.pushedButtons[ePSXeNative.STATUS_RUNNING_BIOS], ePSXeNative.this.pushedButtons[ePSXeNative.STATUS_PAUSED]);
                    }
                }
            }
        };
        int[][] iArr = new int[LOADSTATE_ID][];
        iArr[STATUS_NORUNNING] = new int[]{STATUS_NORUNNING, STATUS_NORUNNING};
        iArr[STATUS_RUNNING_GAME] = new int[]{STATUS_NORUNNING, STATUS_NORUNNING};
        iArr[STATUS_RUNNING_BIOS] = new int[]{STATUS_NORUNNING, STATUS_NORUNNING};
        iArr[STATUS_PAUSED] = new int[]{STATUS_NORUNNING, STATUS_NORUNNING};
        this.bluezxd = iArr;
        iArr = new int[LOADSTATE_ID][];
        iArr[STATUS_NORUNNING] = new int[]{STATUS_NORUNNING, STATUS_NORUNNING};
        iArr[STATUS_RUNNING_GAME] = new int[]{STATUS_NORUNNING, STATUS_NORUNNING};
        iArr[STATUS_RUNNING_BIOS] = new int[]{STATUS_NORUNNING, STATUS_NORUNNING};
        iArr[STATUS_PAUSED] = new int[]{STATUS_NORUNNING, STATUS_NORUNNING};
        this.bluezyd = iArr;
        strArr = new String[LOADSTATE_ID];
        strArr[STATUS_NORUNNING] = "";
        strArr[STATUS_RUNNING_GAME] = "";
        strArr[STATUS_RUNNING_BIOS] = "";
        strArr[STATUS_PAUSED] = "";
        this.bluezaddr = strArr;
        strArr = new String[LOADSTATE_ID];
        strArr[STATUS_NORUNNING] = "";
        strArr[STATUS_RUNNING_GAME] = "";
        strArr[STATUS_RUNNING_BIOS] = "";
        strArr[STATUS_PAUSED] = "";
        this.bluezdriver = strArr;
        this.bluezpad = new int[]{STATUS_NORUNNING, STATUS_NORUNNING, STATUS_NORUNNING, STATUS_NORUNNING};
        this.bluezenabled = STATUS_NORUNNING;
        this.m_connected = false;
        this.virtualPadId = new int[]{-1, -1, -1, -1, -1, -1, -1, -1};
        iArr = new int[STATUS_RUNNING_BIOS][];
        iArr[STATUS_NORUNNING] = new int[]{STATUS_NORUNNING, STATUS_NORUNNING, 360, 360};
        iArr[STATUS_RUNNING_GAME] = new int[]{606, STATUS_NORUNNING, 966, 360};
        this.virtualPadPos = iArr;
        this.xd = new int[]{STATUS_NORUNNING, STATUS_NORUNNING};
        this.yd = new int[]{STATUS_NORUNNING, STATUS_NORUNNING};
    }

    private String DownloadCheatcodesFile() {
        try {
            HttpURLConnection httpURLConnection = (HttpURLConnection) new URL("http://epsxe.com/cheats/" + this.f638e.getCode().substring(STATUS_NORUNNING, LOADSTATE_ID) + "/" + this.f638e.getCode() + ".txt").openConnection();
            httpURLConnection.setRequestMethod("GET");
            httpURLConnection.setDoOutput(true);
            httpURLConnection.connect();
            FileOutputStream fileOutputStream = new FileOutputStream(new File(Environment.getExternalStorageDirectory(), "epsxe/cheats/" + this.f638e.getCode() + ".txt"));
            InputStream inputStream = httpURLConnection.getInputStream();
            httpURLConnection.getContentLength();
            byte[] bArr = new byte[1024];
            int i = STATUS_NORUNNING;
            while (true) {
                int read = inputStream.read(bArr);
                if (read > 0) {
                    fileOutputStream.write(bArr, STATUS_NORUNNING, read);
                    i += read;
                } else {
                    fileOutputStream.close();
                    this.f638e.reloadAllGS();
                    return getString(C0122R.string.cheat_dialog_downloaded);
                }
            }
        } catch (MalformedURLException e) {
            e.printStackTrace();
            return "Error malformed URL!";
        } catch (FileNotFoundException e2) {
            return getString(C0122R.string.cheat_dialog_notdownloaded);
        } catch (IOException e3) {
            e3.printStackTrace();
            return getString(C0122R.string.cheat_dialog_notdownloadednow);
        }
    }

    private boolean acceptCD(String str) {
        return str.toLowerCase().endsWith(".cue") || str.toLowerCase().endsWith(".ccd") || str.toLowerCase().endsWith(".bin") || str.toLowerCase().endsWith(".img") || str.toLowerCase().endsWith(".iso") || str.toLowerCase().endsWith(".mds") || str.toLowerCase().endsWith(".mdf") || str.toLowerCase().endsWith(".cdi") || str.toLowerCase().endsWith(".nrg") || str.toLowerCase().endsWith(".pbp") || str.toLowerCase().endsWith(".ecm");
    }

    private void add_quickButtons() {
        this.button_run_game = (Button) findViewById(C0122R.id.button_run_game);
        this.button_run_game.setOnClickListener(new C00964());
        this.button_run_bios = (Button) findViewById(C0122R.id.button_run_bios);
        this.button_run_bios.setOnClickListener(new C00975());
        this.button_preferences = (Button) findViewById(C0122R.id.button_preferences);
        this.button_preferences.setOnClickListener(new C00986());
        this.button_help = (Button) findViewById(C0122R.id.button_help);
        this.button_help.setOnClickListener(new C00997());
        this.button_quit = (Button) findViewById(C0122R.id.button_quit);
        this.button_quit.setOnClickListener(new C01008());
    }

    private void alertdialog_about() {
        String str = "X.X.X";
        try {
            str = hTWTZgD2PZWB.GqQ0y6m5BHIOW60q(getPackageManager(), getPackageName(), STATUS_NORUNNING).versionName;
        } catch (NameNotFoundException e) {
            Log.e("ePSXe", e.getMessage());
        }
        AlertDialog create = new Builder(this).create();
        create.setTitle(getString(C0122R.string.main_aboutepsxe));
        create.setMessage("ePSXe (Enhanced PSX Emulator) v." + str + "\n[http://www.epsxe.com]\n\n____/ ePSXe Team \\____\ncalb, Galtor and _Demo_\n\nSpecial thanks! Roor, Expert, Doomed, Vood, Fennec, Jean-Ioup Gailly/Mark Adler, Zsknight, Zilmar, Jabo, Alex7/Burutter, 1964 team, Fpse team, Duddie, Tratax, i4get, Psychojak, Shunt, Willy, Shalma, Tikalat, David Muriel, Goi and Jose.\n\n_____| PSEmuPro Plugin coders Team |_____\nPete, Lewpy, Kazzuya, JNS, Null2, Iori, Andy, Nickk, Barrett, Knack, linuzappz, Adrenaline,Nik, Segu, e}i{ ...\n\n___\\ ePSXe Betatesters Team /___\nGladiator, Pts, CDBuRnOuT, GreenImp, Wormie, squall-leonheart, sxamiga, emumaniac, crualfoxhound and Bnu.\n\n_| ePSXe Webmaster/Betatester/Help file |__\nBobbi, _Demo_\n");
        create.setButton(getString(C0122R.string.dialog_action_ok), new C01019());
        create.setIcon(C0122R.drawable.icon);
        create.show();
    }

    private void alertdialog_deleteState(String str) {
        AlertDialog create = new Builder(this).create();
        create.setTitle(C0122R.string.main_dstate);
        create.setMessage(getString(C0122R.string.main_dstatewant));
        create.setButton(getString(C0122R.string.main_dstateno), new OnClickListener() {
            public void onClick(DialogInterface dialogInterface, int i) {
            }
        });
        create.setButton2(getString(C0122R.string.main_dstateyes), new AnonymousClass14(str));
        create.setIcon(C0122R.drawable.icon);
        create.show();
    }

    private void alertdialog_quitGame() {
        AlertDialog create = new Builder(this).create();
        create.setTitle(C0122R.string.main_back);
        create.setMessage(getString(C0122R.string.main_wantquitgame) + "(" + this.f638e.getCode() + ")?\n" + this.f638e.getGameInfo());
        create.setButton(getString(C0122R.string.main_noquitgame), new OnClickListener() {
            public void onClick(DialogInterface dialogInterface, int i) {
            }
        });
        create.setButton2(getString(C0122R.string.main_yesquitgame), new OnClickListener() {
            public void onClick(DialogInterface dialogInterface, int i) {
                if (ePSXeNative.this.emu_autosave == ePSXeNative.STATUS_RUNNING_GAME) {
                    ePSXeNative.this.f638e.setsslot(ePSXeNative.CHEAT_ID);
                    ePSXeNative.this.mePSXeView.setSaveslot(ePSXeNative.CHEAT_ID);
                    ePSXeNative.this.mHandler.postDelayed(ePSXeNative.this.mLaunchTask, 1000);
                    return;
                }
                ePSXeNative.this.mePSXeSound.exit();
                ePSXeNative.this.emuStatus = ePSXeNative.STATUS_NORUNNING;
                if (ePSXeNative.this.emu_gui == ePSXeNative.STATUS_RUNNING_GAME) {
                    Intent intent = new Intent(ePSXeNative.this, ePSXe.class);
                    intent.setFlags(268435456);
                    ePSXeNative.this.startActivity(intent);
                }
                ePSXeNative.this.f638e.quit();
                ePSXeNative.this.finish();
            }
        });
        create.setIcon(C0122R.drawable.icon);
        create.show();
    }

    private void alertdialog_restoreGame() {
        AlertDialog create = new Builder(this).create();
        create.setTitle(C0122R.string.main_restoregame);
        create.setMessage(getString(C0122R.string.main_wantquitrestore));
        create.setButton(getString(C0122R.string.main_noquitrestore), new C00942());
        create.setButton2(getString(C0122R.string.main_yesquitrestore), new C00953());
        create.setIcon(C0122R.drawable.icon);
        create.show();
    }

    private void bluezStart() {
        registerReceiver(this.stateCallback, new IntentFilter(EVENT_REPORT_CONFIG));
        registerReceiver(this.stateCallback, new IntentFilter(EVENT_REPORTSTATE));
        registerReceiver(this.stateCallback, new IntentFilter(EVENT_CONNECTED));
        registerReceiver(this.stateCallback, new IntentFilter(EVENT_DISCONNECTED));
        registerReceiver(this.stateCallback, new IntentFilter(EVENT_ERROR));
        registerReceiver(this.statusMonitor, new IntentFilter(EVENT_DIRECTIONALCHANGE));
        registerReceiver(this.statusMonitor, new IntentFilter(EVENT_KEYPRESS));
        Intent intent = new Intent(REQUEST_CONFIG);
        intent.setClassName(BLUEZ_IME_PACKAGE, BLUEZ_IME_SERVICE);
        intent.putExtra(SESSION_ID, SESSION_NAME);
        startService(intent);
        intent = new Intent(REQUEST_STATE);
        intent.setClassName(BLUEZ_IME_PACKAGE, BLUEZ_IME_SERVICE);
        intent.putExtra(SESSION_ID, SESSION_NAME);
        startService(intent);
    }

    private void bluezStop() {
        unregisterReceiver(this.stateCallback);
        unregisterReceiver(this.statusMonitor);
    }

    private int check_bios() {
        this.mePSXeReadPreferences = new ePSXeReadPreferences(this);
        Log.e("epsxenative", "getBios " + this.mePSXeReadPreferences.getBios());
        if (new File(this.mePSXeReadPreferences.getBios()).exists()) {
            this.currentPath = this.mePSXeReadPreferences.getIsoPath();
            Log.e("epsxenative", "currentPath from save " + this.mePSXeReadPreferences.getIsoPath());
            return STATUS_NORUNNING;
        }
        ScansdcardBiosTask scansdcardBiosTask = new ScansdcardBiosTask(this);
        String[] strArr = new String[STATUS_RUNNING_GAME];
        strArr[STATUS_NORUNNING] = Environment.getExternalStorageDirectory().getAbsolutePath();
        scansdcardBiosTask.execute(strArr);
        Log.e("bios", "check_bios not found pre dialog");
        Log.e("bios", "check_bios not found post dialog");
        return -1;
    }

    private void check_savetmp_snap() {
        if (new File(Environment.getExternalStorageDirectory(), "epsxe/sstates/savetmp").exists()) {
            alertdialog_restoreGame();
        }
    }

    public static boolean copyFile(File file, File file2) {
        BufferedOutputStream bufferedOutputStream;
        BufferedInputStream bufferedInputStream;
        Throwable th;
        BufferedOutputStream bufferedOutputStream2 = null;
        BufferedInputStream bufferedInputStream2;
        try {
            BufferedOutputStream bufferedOutputStream3;
            bufferedInputStream2 = new BufferedInputStream(new FileInputStream(file));
            try {
                bufferedOutputStream3 = new BufferedOutputStream(new FileOutputStream(file2, false));
            } catch (IOException e) {
                bufferedOutputStream = null;
                bufferedInputStream = bufferedInputStream2;
                if (bufferedInputStream != null) {
                    try {
                        bufferedInputStream.close();
                    } catch (IOException e2) {
                        return false;
                    }
                }
                if (bufferedOutputStream != null) {
                    return false;
                }
                bufferedOutputStream.close();
                return false;
            } catch (Throwable th2) {
                th = th2;
                if (bufferedInputStream2 != null) {
                    try {
                        bufferedInputStream2.close();
                    } catch (IOException e3) {
                        return false;
                    }
                }
                if (bufferedOutputStream2 != null) {
                    bufferedOutputStream2.close();
                }
                throw th;
            }
            try {
                byte[] bArr = new byte[1024];
                bufferedInputStream2.read(bArr);
                do {
                    bufferedOutputStream3.write(bArr);
                } while (bufferedInputStream2.read(bArr) != -1);
                if (bufferedInputStream2 != null) {
                    try {
                        bufferedInputStream2.close();
                    } catch (IOException e4) {
                        return false;
                    }
                }
                if (bufferedOutputStream3 != null) {
                    bufferedOutputStream3.close();
                }
                return true;
            } catch (IOException e5) {
                bufferedOutputStream = bufferedOutputStream3;
                bufferedInputStream = bufferedInputStream2;
                if (bufferedInputStream != null) {
                    bufferedInputStream.close();
                }
                if (bufferedOutputStream != null) {
                    return false;
                }
                bufferedOutputStream.close();
                return false;
            } catch (Throwable th3) {
                th = th3;
                bufferedOutputStream2 = bufferedOutputStream3;
                if (bufferedInputStream2 != null) {
                    bufferedInputStream2.close();
                }
                if (bufferedOutputStream2 != null) {
                    bufferedOutputStream2.close();
                }
                throw th;
            }
        } catch (IOException e6) {
            bufferedOutputStream = null;
            if (bufferedInputStream != null) {
                bufferedInputStream.close();
            }
            if (bufferedOutputStream != null) {
                return false;
            }
            bufferedOutputStream.close();
            return false;
        } catch (Throwable th4) {
            th = th4;
            bufferedInputStream2 = null;
            if (bufferedInputStream2 != null) {
                bufferedInputStream2.close();
            }
            if (bufferedOutputStream2 != null) {
                bufferedOutputStream2.close();
            }
            throw th;
        }
    }

    public static byte[] createChecksum(String str) throws Exception {
        InputStream fileInputStream = new FileInputStream(str);
        byte[] bArr = new byte[1024];
        MessageDigest instance = MessageDigest.getInstance("MD5");
        int read;
        do {
            read = fileInputStream.read(bArr);
            if (read > 0) {
                instance.update(bArr, STATUS_NORUNNING, read);
            }
        } while (read != -1);
        fileInputStream.close();
        return instance.digest();
    }

    private boolean doKeyDown(int i, boolean z, int i2) {
        int i3;
        boolean z2 = false;
        int i4 = STATUS_NORUNNING;
        loop0:
        while (i4 < STATUS_RUNNING_BIOS) {
            if (i2 == -1 || i2 == i4) {
                for (i3 = STATUS_NORUNNING; i3 < 20; i3 += STATUS_RUNNING_GAME) {
                    if (((z ? 65536 : STATUS_NORUNNING) | i) == this.keycodes[i4][i3]) {
                        int[] iArr = this.pushedButtons;
                        iArr[i4] = iArr[i4] | (STATUS_RUNNING_GAME << i3);
                        this.f638e.setPadDataMultitap(this.pushedButtons[STATUS_NORUNNING], this.pushedButtons[STATUS_RUNNING_GAME], this.pushedButtons[STATUS_RUNNING_BIOS], this.pushedButtons[STATUS_PAUSED]);
                        z2 = STATUS_RUNNING_GAME;
                        break loop0;
                    }
                }
                int i5 = (z || i == 57 || i == 58) ? 65536 : STATUS_NORUNNING;
                if ((i5 | i) == this.keycodes[i4][20]) {
                    this.mePSXeView.setinputpadmodeanalog(i4);
                    return true;
                }
            }
            i4 += STATUS_RUNNING_GAME;
        }
        i3 = STATUS_NORUNNING;
        while (i3 < SPLITH2_ID) {
            if (((z ? 65536 : STATUS_NORUNNING) | i) != this.keycodesextra[i3]) {
                i3 += STATUS_RUNNING_GAME;
            } else if (i3 < SAVESTATE_ID) {
                this.f638e.setsslot(i3);
                return true;
            } else if (i3 < SPLITV_ID) {
                this.f638e.setsslot(i3 + SAVESTATE_ID);
                this.mePSXeView.setSaveslot(i3 + SAVESTATE_ID);
                return true;
            } else if (i3 < SPLITH1_ID) {
                this.mePSXeView.toggleframelimit();
                return true;
            } else if (i3 >= SPLITH2_ID) {
                return true;
            } else {
                openOptionsMenu();
                return true;
            }
        }
        if (i == LOADSTATE_ID) {
            return true;
        }
        return z2;
    }

    private boolean doKeyUp(int i, boolean z, int i2) {
        int i3 = STATUS_NORUNNING;
        while (i3 < STATUS_RUNNING_BIOS) {
            if (i2 == -1 || i2 == i3) {
                for (int i4 = STATUS_NORUNNING; i4 < 20; i4 += STATUS_RUNNING_GAME) {
                    int i5 = (z || i == 57 || i == 58) ? 65536 : STATUS_NORUNNING;
                    if ((i5 | i) == this.keycodes[i3][i4]) {
                        int[] iArr = this.pushedButtons;
                        iArr[i3] = ((STATUS_RUNNING_GAME << i4) ^ -1) & iArr[i3];
                        this.f638e.setPadDataMultitap(this.pushedButtons[STATUS_NORUNNING], this.pushedButtons[STATUS_RUNNING_GAME], this.pushedButtons[STATUS_RUNNING_BIOS], this.pushedButtons[STATUS_PAUSED]);
                        return true;
                    }
                }
                continue;
            }
            i3 += STATUS_RUNNING_GAME;
        }
        return false;
    }

    private void fill(File file) {
        file.listFiles();
        setTitle(C0122R.string.main_selectslot);
        List arrayList = new ArrayList();
        int i = STATUS_NORUNNING;
        while (i < SAVESTATE_ID) {
            try {
                File file2 = new File(this.currentDir + "/" + this.gameCode + ".00" + i);
                Bitmap createBitmap;
                if (file2.exists()) {
                    Date date = new Date(Long.valueOf(hTWTZgD2PZWB.K0l8WrgsQtVe(file2)).longValue());
                    File file3 = new File(file2.getAbsolutePath() + ".pic");
                    String format = new SimpleDateFormat("dd/MM/yyyy HH:mm").format(date);
                    createBitmap = Bitmap.createBitmap(InputList.KEYCODE_MEDIA_CLOSE, KEYCODE_BUTTON_A, Config.RGB_565);
                    if (file3.exists()) {
                        this.byteBuffer.clear();
                        this.byteBuffer.put(getBytesFromFile(file3));
                        this.byteBuffer.flip();
                        createBitmap.copyPixelsFromBuffer(this.byteBuffer);
                        arrayList.add(new Option(file2.getName(), getString(C0122R.string.main_filesize) + " " + (hTWTZgD2PZWB.nJIV1euXpyYKvzD(file2) / 1024) + " Kb", file2.getAbsolutePath(), "" + format, "" + i, createBitmap));
                    } else {
                        arrayList.add(new Option(file2.getName(), getString(C0122R.string.main_filesize) + " " + (hTWTZgD2PZWB.nJIV1euXpyYKvzD(file2) / 1024) + " Kb", file2.getAbsolutePath(), "" + format, "" + i, createBitmap));
                    }
                } else {
                    createBitmap = Bitmap.createBitmap(InputList.KEYCODE_MEDIA_CLOSE, KEYCODE_BUTTON_A, Config.RGB_565);
                    arrayList.add(new Option(getString(C0122R.string.main_slotfree), "", "", "", "" + i, createBitmap));
                }
                i += STATUS_RUNNING_GAME;
            } catch (Exception e) {
            }
        }
        this.adapter = new sstateArrayAdapter(this, C0122R.layout.sstate_view, arrayList);
    }

    private void fillCD(File file) {
        File[] listFiles = file.listFiles();
        setTitle(C0122R.string.main_selectiso);
        Collection arrayList = new ArrayList();
        List arrayList2 = new ArrayList();
        try {
            int length = listFiles.length;
            for (int i = STATUS_NORUNNING; i < length; i += STATUS_RUNNING_GAME) {
                File file2 = listFiles[i];
                if (file2.isDirectory()) {
                    arrayList2.add(new OptionCD(file2.getName(), "Folder", file2.getAbsolutePath(), STATUS_NORUNNING));
                } else {
                    Log.e("folder", "File " + file2.getName());
                    if (acceptCD(file2.getName())) {
                        long length2 = file2.length() / 1048576;
                        if (length2 <= 2) {
                            arrayList.add(new OptionCD(file2.getName(), getString(C0122R.string.main_filesize) + " " + file2.length() + " Bytes", file2.getAbsolutePath(), STATUS_NORUNNING));
                        } else if (file2.getName().toLowerCase().endsWith(".pbp")) {
                            pbpFile com_epsxe_ePSXe_pbpFile = new pbpFile(file2.getAbsolutePath(), file2.getName());
                            int numFiles = com_epsxe_ePSXe_pbpFile.getNumFiles();
                            for (int i2 = STATUS_NORUNNING; i2 < numFiles; i2 += STATUS_RUNNING_GAME) {
                                arrayList.add(new OptionCD(com_epsxe_ePSXe_pbpFile.getFileName(i2 + STATUS_RUNNING_GAME), getString(C0122R.string.main_filesize) + " " + (length2 / ((long) numFiles)) + " Mbytes", file2.getAbsolutePath(), i2));
                            }
                        } else {
                            arrayList.add(new OptionCD(file2.getName(), getString(C0122R.string.main_filesize) + " " + length2 + " Mbytes", file2.getAbsolutePath(), STATUS_NORUNNING));
                        }
                    } else {
                        continue;
                    }
                }
            }
        } catch (Exception e) {
        }
        Collections.sort(arrayList2);
        Collections.sort(arrayList);
        arrayList2.addAll(arrayList);
        if (!file.getAbsolutePath().equalsIgnoreCase("/")) {
            arrayList2.add(STATUS_NORUNNING, new OptionCD("..", "Parent Directory", file.getParent(), STATUS_NORUNNING));
        }
        this.cdadapter = new cdArrayAdapter(this, C0122R.layout.file_view, arrayList2);
    }

    private void fill_autoload(File file) {
        file.listFiles();
        setTitle(C0122R.string.main_selectslot);
        List arrayList = new ArrayList();
        try {
            arrayList.add(new Option("--- NEW GAME ---", "", "", "", "-1", Bitmap.createBitmap(InputList.KEYCODE_MEDIA_CLOSE, KEYCODE_BUTTON_A, Config.RGB_565)));
            File file2 = new File(this.currentDir + "/" + this.gameCode + ".005");
            if (file2.exists()) {
                Date date = new Date(Long.valueOf(hTWTZgD2PZWB.K0l8WrgsQtVe(file2)).longValue());
                File file3 = new File(file2.getAbsolutePath() + ".pic");
                String format = new SimpleDateFormat("dd/MM/yyyy HH:mm").format(date);
                Bitmap createBitmap = Bitmap.createBitmap(InputList.KEYCODE_MEDIA_CLOSE, KEYCODE_BUTTON_A, Config.RGB_565);
                if (file3.exists()) {
                    this.byteBuffer.clear();
                    this.byteBuffer.put(getBytesFromFile(file3));
                    this.byteBuffer.flip();
                    createBitmap.copyPixelsFromBuffer(this.byteBuffer);
                    arrayList.add(new Option(file2.getName(), getString(C0122R.string.main_filesize) + " " + (hTWTZgD2PZWB.nJIV1euXpyYKvzD(file2) / 1024) + " Kb", file2.getAbsolutePath(), "" + format, "5", createBitmap));
                } else {
                    arrayList.add(new Option(file2.getName(), getString(C0122R.string.main_filesize) + " " + (hTWTZgD2PZWB.nJIV1euXpyYKvzD(file2) / 1024) + " Kb", file2.getAbsolutePath(), "" + format, "5", createBitmap));
                }
            }
        } catch (Exception e) {
        }
        this.adapter = new sstateArrayAdapter(this, C0122R.layout.sstate_view, arrayList);
    }

    public static byte[] getBytesFromFile(File file) throws IOException {
        byte[] bArr;
        byte[] bArr2;
        int i;
        int i2 = STATUS_NORUNNING;
        InputStream fileInputStream = new FileInputStream(file);
        long nJIV1euXpyYKvzD = hTWTZgD2PZWB.nJIV1euXpyYKvzD(file);
        if (nJIV1euXpyYKvzD > 2147483647L) {
            bArr = new byte[((int) nJIV1euXpyYKvzD)];
            bArr2 = new byte[24576];
            i = STATUS_NORUNNING;
        } else {
            bArr = new byte[((int) nJIV1euXpyYKvzD)];
            bArr2 = new byte[24576];
            i = STATUS_NORUNNING;
        }
        while (i < bArr.length) {
            int read = fileInputStream.read(bArr, i, bArr.length - i);
            if (read < 0) {
                break;
            }
            i += read;
        }
        if (i < bArr.length) {
            throw new IOException("Could not completely read file " + file.getName());
        }
        fileInputStream.close();
        i = STATUS_NORUNNING;
        while (i2 < ((int) nJIV1euXpyYKvzD) / STATUS_PAUSED) {
            bArr2[i] = (byte) (((bArr[(i2 * STATUS_PAUSED) + STATUS_RUNNING_BIOS] & 248) >> STATUS_PAUSED) | ((bArr[(i2 * STATUS_PAUSED) + STATUS_RUNNING_GAME] & 28) << STATUS_PAUSED));
            bArr2[i + STATUS_RUNNING_GAME] = (byte) (((bArr[(i2 * STATUS_PAUSED) + STATUS_RUNNING_GAME] & 224) >> SAVESTATE_ID) | (bArr[i2 * STATUS_PAUSED] & 248));
            i += STATUS_RUNNING_BIOS;
            i2 += STATUS_RUNNING_GAME;
        }
        return bArr2;
    }

    public static String getMD5Checksum(String str) throws Exception {
        byte[] createChecksum = createChecksum(str);
        String str2 = "";
        for (int i = STATUS_NORUNNING; i < createChecksum.length; i += STATUS_RUNNING_GAME) {
            str2 = str2 + Integer.toString((createChecksum[i] & 255) + Policy.LICENSED, TOOLSGL_ID).substring(STATUS_RUNNING_GAME);
        }
        return str2;
    }

    private void initSdCard() {
        boolean z = true;
        File externalStorageDirectory = Environment.getExternalStorageDirectory();
        String str = externalStorageDirectory.getAbsolutePath() + "/epsxe";
        this.sdCardPath = externalStorageDirectory.getPath();
        if (this.currentPath.equals("")) {
            this.currentPath = this.sdCardPath;
        }
        if (!new File(str).exists()) {
            z = new File(str).mkdir();
        }
        if (z) {
            if (!new File(str + "/memcards").exists()) {
                new File(str + "/memcards").mkdir();
            }
            if (!new File(str + "/sstates").exists()) {
                new File(str + "/sstates").mkdir();
            }
            if (!new File(str + "/bios").exists()) {
                new File(str + "/bios").mkdir();
            }
            if (!new File(str + "/isos").exists()) {
                new File(str + "/isos").mkdir();
            }
            if (!new File(str + "/cheats").exists()) {
                new File(str + "/cheats").mkdir();
            }
            if (!new File(str + "/config").exists()) {
                new File(str + "/config").mkdir();
            }
            if (!new File(str + "/idx").exists()) {
                new File(str + "/idx").mkdir();
            }
            if (!new File(str + "/patches").exists()) {
                new File(str + "/patches").mkdir();
            }
        }
    }

    private void mogaStart() {
        this.mController = Controller.getInstance(this);
        if (this.mController != null) {
            Log.e("moga", "mogaStart");
            this.mController.init();
            this.mController.setListener(this.mListener, null);
            return;
        }
        this.mogapad = -1;
    }

    private void mogaStop() {
        if (this.mController != null) {
            this.mController.exit();
        }
    }

    private void savetmp_snapshot(String str, int i) {
        try {
            File file = new File(Environment.getExternalStorageDirectory(), "epsxe/sstates/");
            if (!file.exists()) {
                file.mkdirs();
            }
            FileWriter fileWriter = new FileWriter(new File(file, "savetmp"));
            fileWriter.append(str);
            fileWriter.append("\n" + i);
            fileWriter.flush();
            fileWriter.close();
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    public void BiosDialog() {
        View textView = new TextView(this);
        CharSequence spannableString = new SpannableString(getText(C0122R.string.bios_dialog_message));
        Linkify.addLinks(spannableString, STATUS_RUNNING_GAME);
        textView.setText(spannableString);
        textView.setMovementMethod(LinkMovementMethod.getInstance());
        new Builder(this).setTitle(C0122R.string.bios_dialog_title).setCancelable(true).setIcon(17301659).setPositiveButton(getString(C0122R.string.dialog_action_ok), null).setView(textView).create().show();
    }

    public void BiosFoundDialog(String str) {
        View textView = new TextView(this);
        CharSequence spannableString = new SpannableString(getString(C0122R.string.main_psxbios) + str + "\n" + getText(C0122R.string.bios_found_dialog_message));
        Linkify.addLinks(spannableString, STATUS_RUNNING_GAME);
        textView.setText(spannableString);
        textView.setMovementMethod(LinkMovementMethod.getInstance());
        new Builder(this).setTitle(C0122R.string.bios_found_dialog_title).setCancelable(true).setIcon(17301659).setPositiveButton(getString(C0122R.string.dialog_action_ok), null).setView(textView).create().show();
    }

    public void CreateCDDialog(String str) {
        this.currentCDDir = new File(str);
        Log.e("changedisc", " " + str);
        fillCD(this.currentCDDir);
        this.mListView = new ListView(this);
        this.mListView.setAdapter(this.cdadapter);
        this.mListView.setOnItemClickListener(new OnItemClickListener() {
            public void onItemClick(AdapterView<?> adapterView, View view, int i, long j) {
                OptionCD item = ePSXeNative.this.cdadapter.getItem(i);
                if (item.getData().equalsIgnoreCase("folder") || item.getData().equalsIgnoreCase("parent directory")) {
                    File file = new File(item.getPath());
                    Log.e("cd", "changepath " + item.getPath());
                    ePSXeNative.this.fillCD(file);
                    ePSXeNative.this.mListView.setAdapter(ePSXeNative.this.cdadapter);
                } else if (!item.getPath().equalsIgnoreCase("folder")) {
                    Log.e("cd", "state: " + item.getPath());
                    Log.e("cd", "which: " + i);
                    ePSXeNative.this.mAlert.dismiss();
                }
            }
        });
        Builder builder = new Builder(this);
        builder.setView(this.mListView);
        this.mAlert = builder.create();
        this.mAlert.show();
    }

    public void CreateSstateDialog(String str, int i, int i2) {
        this.currentDir = new File(this.sdCardPath + "/epsxe/sstates");
        this.gameCode = str;
        this.sscmd = i;
        if (this.byteBuffer == null) {
            this.byteBuffer = ByteBuffer.allocateDirect(24576);
        }
        Log.e("sstate", "gameCode " + this.gameCode);
        if (i2 == 0) {
            fill(this.currentDir);
        } else if (new File(this.currentDir + "/" + this.gameCode + ".005").exists()) {
            fill_autoload(this.currentDir);
        } else {
            return;
        }
        this.sstateListView = new ListView(this);
        this.sstateListView.setAdapter(this.adapter);
        Builder builder = new Builder(this);
        builder.setView(this.sstateListView);
        this.sstateListView.setOnItemClickListener(new OnItemClickListener() {
            public void onItemClick(AdapterView<?> adapterView, View view, int i, long j) {
                Option item = ePSXeNative.this.adapter.getItem(i);
                Log.e("sstate", "state: " + item.getPath());
                int parseInt = Integer.parseInt(item.getSlot());
                Log.e("sstate", "slot: " + parseInt);
                if (parseInt != -1) {
                    if (ePSXeNative.this.sscmd == 0) {
                        ePSXeNative.this.f638e.setsslot(parseInt);
                    } else {
                        ePSXeNative.this.f638e.setsslot(parseInt + ePSXeNative.SPLITV_ID);
                        ePSXeNative.this.mePSXeView.setSaveslot(parseInt + ePSXeNative.SPLITV_ID);
                    }
                }
                ePSXeNative.this.sAlert.dismiss();
            }
        });
        this.sstateListView.setLongClickable(true);
        this.sstateListView.setOnItemLongClickListener(new OnItemLongClickListener() {
            public boolean onItemLongClick(AdapterView<?> adapterView, View view, int i, long j) {
                Option item = ePSXeNative.this.adapter.getItem(i);
                Log.e("sstate", "state: " + item.getPath());
                Log.e("sstate", "slot: " + Integer.parseInt(item.getSlot()));
                if (new File(item.getPath()).exists()) {
                    ePSXeNative.this.alertdialog_deleteState(item.getPath());
                }
                ePSXeNative.this.sAlert.dismiss();
                return true;
            }
        });
        this.sAlert = builder.create();
        this.sAlert.show();
    }

    public void CreatecheatDialog() {
        int gSNumber = this.f638e.getGSNumber() + STATUS_RUNNING_GAME;
        if (gSNumber <= 0) {
            nocheatDialog();
            return;
        }
        CharSequence[] charSequenceArr = new String[gSNumber];
        boolean[] zArr = new boolean[gSNumber];
        for (int i = STATUS_NORUNNING; i < gSNumber; i += STATUS_RUNNING_GAME) {
            charSequenceArr[i] = this.f638e.getGSName(i);
            if (this.f638e.getGSStatus(i) == 0) {
                zArr[i] = false;
            } else {
                zArr[i] = true;
            }
        }
        Builder builder = new Builder(this);
        builder.setTitle(getText(C0122R.string.cheat_dialog_title) + " " + this.f638e.getCode());
        builder.setMultiChoiceItems(charSequenceArr, zArr, new OnMultiChoiceClickListener() {
            public void onClick(DialogInterface dialogInterface, int i, boolean z) {
                if (z) {
                    Log.e("epsxecheat", "id on:" + i);
                    ePSXeNative.this.f638e.enableGS(i);
                    return;
                }
                Log.e("epsxecheat", "id off:" + i);
                ePSXeNative.this.f638e.disableGS(i);
            }
        });
        builder.setPositiveButton(getString(C0122R.string.cheat_dialog_apply), new OnClickListener() {
            public void onClick(DialogInterface dialogInterface, int i) {
                Log.e("epsxecheat", "id:" + i);
            }
        });
        builder.setNegativeButton(getString(C0122R.string.cheat_dialog_disableall), new OnClickListener() {
            public void onClick(DialogInterface dialogInterface, int i) {
                Log.e("epsxecheat", "clear All");
                ePSXeNative.this.f638e.disableAllGS();
            }
        });
        builder.setNeutralButton(getString(C0122R.string.cheat_dialog_enableall), new OnClickListener() {
            public void onClick(DialogInterface dialogInterface, int i) {
                Log.e("epsxecheat", "set All");
                ePSXeNative.this.f638e.enableAllGS();
            }
        });
        builder.create().show();
    }

    public float GetRadiusf(float f, float f2) {
        return (float) Math.sqrt((double) ((f * f) + (f2 * f2)));
    }

    public float GetRatio(int i, int i2) {
        int i3;
        int i4;
        int i5;
        int i6;
        int i7 = InputList.KEYCODE_MEDIA_CLOSE;
        int i8 = -128;
        int i9;
        int i10;
        if (i >= 0 && i2 >= 0) {
            i9 = 0 - i2;
            i10 = i + STATUS_NORUNNING;
            i3 = (i9 * i) + (i10 * i2);
            if (Math.abs(i2) >= Math.abs(i)) {
                i8 = STATUS_NORUNNING;
                i4 = i10;
                i5 = 16384;
                i6 = i3;
                i3 = i9;
            } else {
                i7 = STATUS_NORUNNING;
                i6 = i3;
                i5 = -16384;
                i3 = i9;
                i4 = i10;
            }
        } else if (i <= 0 && i2 >= 0) {
            i10 = 0 - i2;
            i3 = i + STATUS_NORUNNING;
            i4 = (i10 * i) + (i3 * i2);
            if (Math.abs(i2) >= Math.abs(i)) {
                i8 = STATUS_NORUNNING;
                i5 = 16384;
                i6 = i4;
                i4 = i3;
                i3 = i10;
            } else {
                i7 = STATUS_NORUNNING;
                i5 = 16384;
                i6 = i4;
                i4 = i3;
                i3 = i10;
            }
        } else if (i > 0 || i2 > 0) {
            i10 = 0 - i2;
            i3 = i + STATUS_NORUNNING;
            i4 = (i10 * i) + (i3 * i2);
            if (Math.abs(i2) >= Math.abs(i)) {
                i7 = -128;
                i8 = STATUS_NORUNNING;
                i5 = 16384;
                i6 = i4;
                i4 = i3;
                i3 = i10;
            } else {
                i8 = InputList.KEYCODE_MEDIA_CLOSE;
                i7 = STATUS_NORUNNING;
                i5 = 16384;
                i6 = i4;
                i4 = i3;
                i3 = i10;
            }
        } else {
            i9 = 0 - i2;
            i10 = i + STATUS_NORUNNING;
            i3 = (i9 * i) + (i10 * i2);
            if (Math.abs(i2) >= Math.abs(i)) {
                i7 = -128;
                i4 = i10;
                i8 = STATUS_NORUNNING;
                i5 = 16384;
                i6 = i3;
                i3 = i9;
            } else {
                i8 = InputList.KEYCODE_MEDIA_CLOSE;
                i6 = i3;
                i7 = STATUS_NORUNNING;
                i3 = i9;
                i5 = -16384;
                i4 = i10;
            }
        }
        float f = (float) ((i3 * i7) - (i8 * i4));
        float f2 = ((float) ((i7 * i6) - (i4 * i5))) / f;
        f2 = ((float) ((i3 * i5) - (i8 * i6))) / f;
        return GetRadiusf((float) i, (float) i2) / 128.0f;
    }

    public void IsoErrDialog(String str) {
        new Builder(this).setTitle(C0122R.string.bios_dialog_title).setCancelable(true).setIcon(17301659).setPositiveButton(C0122R.string.dialog_action_ok, null).setMessage("Error loading " + str + ", possible errors: \n 1) missing data rom img/iso/bin \n 2) .7z/.ape format NOT supported!!!").create().show();
    }

    public boolean OnNativeKey(int i, int i2, int i3) {
        if (i2 == 82 || i2 == 24 || i2 == 25) {
            return false;
        }
        if (this.emuStatus != STATUS_RUNNING_GAME && this.emuStatus != STATUS_RUNNING_BIOS) {
            return false;
        }
        boolean z = (i3 & STATUS_RUNNING_BIOS) == STATUS_RUNNING_BIOS;
        return i == 0 ? doKeyDown(i2, z, -1) : i == STATUS_RUNNING_GAME && doKeyUp(i2, z, -1);
    }

    public void OnNativeMotion(int i, int i2, int i3, int i4, int i5, int i6) {
        int i7 = InputList.KEYCODE_MEDIA_PAUSE;
        if (i4 == 4098) {
            if (this.mePSXeView != null) {
                this.mePSXeView.queueMotionEvent(i, i2, i3, i6);
            }
        } else if (i4 == 1048584) {
            Log.i("xperiaplay", "Received native motion event! (" + i2 + ", " + i3 + ") source " + i4 + " action " + i + " device_id " + i5 + "pointer_id " + i6);
            int i8 = i == STATUS_RUNNING_BIOS ? STATUS_NORUNNING : i;
            if (i8 == 261 || i8 == SAVESTATE_ID || i8 == 517) {
                i8 = STATUS_NORUNNING;
            }
            int i9 = (i8 == 262 || i8 == PREFERENCES_ID || i8 == 518) ? STATUS_RUNNING_GAME : i8;
            if (i9 != STATUS_RUNNING_GAME || this.virtualPadId[i6] == -1) {
                int i10 = STATUS_NORUNNING;
                while (i10 < STATUS_RUNNING_BIOS) {
                    if (i2 < this.virtualPadPos[i10][STATUS_NORUNNING] || i2 > this.virtualPadPos[i10][STATUS_RUNNING_BIOS] || i3 < this.virtualPadPos[i10][STATUS_RUNNING_GAME] || i3 > this.virtualPadPos[i10][STATUS_PAUSED] || i9 != 0) {
                        i10 += STATUS_RUNNING_GAME;
                    } else {
                        if (this.virtualPadId[i6] != -1) {
                            i8 = this.virtualPadId[i6];
                            this.f638e.setpadanalogXP(STATUS_NORUNNING, i8, STATUS_NORUNNING, STATUS_NORUNNING);
                            this.xd[i8] = STATUS_NORUNNING;
                            this.yd[i8] = STATUS_NORUNNING;
                        }
                        i8 = (((i2 - this.virtualPadPos[i10][STATUS_NORUNNING]) * 255) / 360) - 127;
                        i9 = (((360 - (i3 - this.virtualPadPos[i10][STATUS_RUNNING_GAME])) * 255) / 360) - 127;
                        float GetRatio = GetRatio(i8, i9);
                        int i11 = (int) (((float) i9) * GetRatio);
                        i9 = (((int) (((float) i8) * GetRatio)) * 220) / KEYCODE_BUTTON_Y;
                        i8 = (i11 * 220) / KEYCODE_BUTTON_Y;
                        if (i9 <= -127) {
                            i9 = -128;
                        } else if (i9 > InputList.KEYCODE_MEDIA_PAUSE) {
                            i9 = InputList.KEYCODE_MEDIA_PAUSE;
                        }
                        if (i8 <= -127) {
                            i7 = -128;
                        } else if (i8 <= InputList.KEYCODE_MEDIA_PAUSE) {
                            i7 = i8;
                        }
                        this.f638e.setpadanalogXP(STATUS_NORUNNING, i10, i9, i7);
                        this.xd[i10] = i9;
                        this.yd[i10] = i7;
                        this.virtualPadId[i6] = i10;
                        return;
                    }
                }
                return;
            }
            i7 = this.virtualPadId[i6];
            this.f638e.setpadanalogXP(STATUS_NORUNNING, i7, STATUS_NORUNNING, STATUS_NORUNNING);
            this.virtualPadId[i6] = -1;
            this.xd[i7] = STATUS_NORUNNING;
            this.yd[i7] = STATUS_NORUNNING;
        }
    }

    native int RegisterThis();

    public int findBios(String str, int i) {
        if (i > SPLITH2_ID) {
            return -1;
        }
        try {
            File file = new File(str);
            File[] listFiles = file.listFiles();
            if (file.getName().equals("DCIM") || file.getName().equals("Camera") || file.getName().equals("asec") || file.getName().equals("secure")) {
                return -1;
            }
            Log.e("findBios", "DirScan: [" + file.getAbsoluteFile() + "]" + file.getName());
            int length = listFiles.length;
            int i2 = STATUS_NORUNNING;
            while (i2 < length) {
                File file2 = listFiles[i2];
                try {
                    int findBios;
                    if (file2.isDirectory()) {
                        findBios = findBios(file2.getAbsolutePath(), i + STATUS_RUNNING_GAME);
                        if (findBios != -1) {
                            return findBios;
                        }
                    } else if (file2.getName().toLowerCase().endsWith(".bin") && hTWTZgD2PZWB.nJIV1euXpyYKvzD(file2) == 524288) {
                        String mD5Checksum = getMD5Checksum(file2.getAbsolutePath());
                        Log.e("findBios", "Bios found: " + mD5Checksum);
                        for (findBios = STATUS_NORUNNING; findBios < 21; findBios += STATUS_RUNNING_GAME) {
                            if (this.bioslist[findBios][STATUS_RUNNING_GAME].equals(mD5Checksum)) {
                                this.biosnamefound = file2.getAbsolutePath();
                                return findBios;
                            }
                        }
                        continue;
                    }
                    i2 += STATUS_RUNNING_GAME;
                } catch (Exception e) {
                    Log.e("findBios", "" + e.getMessage());
                    return -1;
                }
            }
            return -1;
        } catch (Exception e2) {
            Log.e("findBios", "" + e2.getMessage());
            return -1;
        }
    }

    public native String getGSName(int i);

    public void initJoysticks() {
        if (Integer.parseInt(VERSION.SDK) >= SPLITH2_ID) {
            int[] deviceIds = InputDevice.getDeviceIds();
            int i = STATUS_NORUNNING;
            while (i < LOADSTATE_ID) {
                this.analogpadidString[i] = this.mePSXeReadPreferences.getPadAnalogPadID(i + STATUS_RUNNING_GAME);
                Log.e("epsxekey", "getPadAnalogPadID(" + (i + STATUS_RUNNING_GAME) + ") = " + this.analogpadidString[i]);
                this.analogrange[i] = this.mePSXeReadPreferences.getPadAnalogRange(i + STATUS_RUNNING_GAME);
                this.analogleftx[i] = this.mePSXeReadPreferences.getPadAnalogLeftx(i + STATUS_RUNNING_GAME);
                this.analoglefty[i] = this.mePSXeReadPreferences.getPadAnalogLefty(i + STATUS_RUNNING_GAME);
                this.analogrightx[i] = this.mePSXeReadPreferences.getPadAnalogRightx(i + STATUS_RUNNING_GAME);
                this.analogrighty[i] = this.mePSXeReadPreferences.getPadAnalogRighty(i + STATUS_RUNNING_GAME);
                this.analogl2[i] = this.mePSXeReadPreferences.getPadAnalogL2(i + STATUS_RUNNING_GAME);
                this.analogr2[i] = this.mePSXeReadPreferences.getPadAnalogR2(i + STATUS_RUNNING_GAME);
                if (this.analogl2[i] == 17 || this.analogl2[i] == 18 || this.analogl2[i] == 19 || this.analogl2[i] == 22 || this.analogl2[i] == 23) {
                    this.analogl2range[i] = STATUS_NORUNNING;
                } else {
                    this.analogl2range[i] = STATUS_RUNNING_GAME;
                }
                if (this.analogr2[i] == 17 || this.analogr2[i] == 18 || this.analogr2[i] == 19 || this.analogr2[i] == 22 || this.analogr2[i] == 23) {
                    this.analogr2range[i] = STATUS_NORUNNING;
                } else {
                    this.analogr2range[i] = STATUS_RUNNING_GAME;
                }
                if (!this.analogpadidString[i].equals("none")) {
                    String substring = this.analogpadidString[i].indexOf("###") != -1 ? this.analogpadidString[i].substring(STATUS_PAUSED, this.analogpadidString[i].indexOf("###", LOADSTATE_ID)) : "" + this.analogpadidString[i];
                    if (this.mePSXeReadPreferences.getPadAnalogProfile(i + STATUS_RUNNING_GAME).equals("moga")) {
                        this.analogdpadfromanalog[i] = STATUS_RUNNING_GAME;
                    }
                    if (substring.equals("bluez")) {
                        this.bluezdriver[i] = this.mePSXeReadPreferences.getPadAnalogProfile(i + STATUS_RUNNING_GAME);
                        if (!this.bluezdriver[i].equals("0")) {
                            this.bluezenabled = STATUS_RUNNING_GAME;
                            this.bluezaddr[i] = this.analogpadidString[i].substring(SPLITH1_ID, this.analogpadidString[i].indexOf("###", SPLITH1_ID));
                            this.bluezpad[i] = STATUS_RUNNING_GAME;
                            Log.e("epsxe", "init bluez: addr " + this.bluezaddr[i] + " driver " + this.bluezdriver[i]);
                        }
                    } else if (substring.equals("moganative")) {
                        this.mogapad = i;
                        Log.e("epsxe", "init moga native");
                    } else {
                        for (int i2 = STATUS_NORUNNING; i2 < deviceIds.length; i2 += STATUS_RUNNING_GAME) {
                            InputDevice device = InputDevice.getDevice(deviceIds[i2]);
                            if (device != null) {
                                int sources = device.getSources();
                                if (((16777232 & sources) == 16777232 || (sources & 1025) == 1025) && device.toString().indexOf(substring) != -1) {
                                    Boolean valueOf = Boolean.valueOf(false);
                                    for (sources = STATUS_NORUNNING; sources < i; sources += STATUS_RUNNING_GAME) {
                                        if (deviceIds[i2] == this.analogpadid[sources]) {
                                            valueOf = Boolean.valueOf(true);
                                        }
                                    }
                                    if (!valueOf.booleanValue()) {
                                        this.analogpadid[i] = deviceIds[i2];
                                        Log.e("epsxekey", "joystick(" + i + ") found id=" + this.analogpadid[i]);
                                        break;
                                    }
                                }
                            }
                        }
                        if (this.analogpadid[i] == -1) {
                            Log.e("epsxekey", "joystick" + i + " not found " + substring);
                        }
                    }
                }
                i += STATUS_RUNNING_GAME;
            }
        }
    }

    public void initLogs() {
        try {
            File file = new File(Environment.getExternalStorageDirectory() + "/epsxe/epsxe.log");
            file.createNewFile();
            Runtime.getRuntime().exec("logcat -d -f " + file.getAbsolutePath());
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    public void nocheatDialog() {
        View textView = new TextView(this);
        SpannableString spannableString = new SpannableString(getText(C0122R.string.cheat_dialog_message1));
        Spannable spannableString2 = new SpannableString(getText(C0122R.string.cheat_dialog_message2));
        Linkify.addLinks(spannableString2, STATUS_RUNNING_GAME);
        textView.setText(spannableString + this.f638e.getCode() + spannableString2);
        textView.setMovementMethod(LinkMovementMethod.getInstance());
        new Builder(this).setTitle(getText(C0122R.string.nocheat_dialog_title) + " " + this.f638e.getCode()).setCancelable(true).setIcon(17301659).setNegativeButton(getString(C0122R.string.cheat_dialog_back), null).setPositiveButton(getString(C0122R.string.cheat_dialog_download), new AnonymousClass18(this)).setView(textView).create().show();
    }

    public void onConfigurationChanged(Configuration configuration) {
        Log.e("epsxenative", "onconfigurationchanged");
        super.onConfigurationChanged(configuration);
    }

    public void onCreate(Bundle bundle) {
        int i = STATUS_NORUNNING;
        initSdCard();
        this.f637d = new libdetect();
        this.emu_enable_neon = this.f637d.isNeon();
        Log.e("epsxenative", "neon detected: " + this.emu_enable_neon);
        this.emu_enable_x86 = this.f637d.isX86();
        Log.e("epsxenative", "x86 detected: " + this.emu_enable_x86);
        requestWindowFeature(STATUS_RUNNING_GAME);
        super.onCreate(bundle);
        getWindow().setFlags(1024, 1024);
        if (this.mePSXeReadPreferences == null) {
            this.mePSXeReadPreferences = new ePSXeReadPreferences(this);
        }
        String stringExtra = getIntent().getStringExtra("com.epsxe.ePSXe.isoName");
        String stringExtra2 = getIntent().getStringExtra("com.epsxe.ePSXe.snapRestore");
        String stringExtra3 = getIntent().getStringExtra("com.epsxe.ePSXe.isoSlot");
        String stringExtra4 = getIntent().getStringExtra("com.epsxe.ePSXe.gui");
        String stringExtra5 = getIntent().getStringExtra("com.epsxe.ePSXe.padType");
        if (this.emuStatus == 0) {
            if (stringExtra != null && stringExtra.length() > 0) {
                this.mIsoName = stringExtra;
            }
            this.emu_autoload_disable = STATUS_NORUNNING;
            if (stringExtra2 != null && stringExtra2.length() > 0) {
                this.snapRestoring = Boolean.valueOf(true);
                this.emu_autoload_disable = STATUS_RUNNING_GAME;
            }
            if (stringExtra3 != null && stringExtra3.length() > 0) {
                i = Integer.parseInt(stringExtra3);
                this.mIsoSlot = i;
            }
            if (stringExtra4 != null && stringExtra4.length() > 0) {
                this.emu_gui = Integer.parseInt(stringExtra4);
            }
            if (stringExtra5 != null && stringExtra5.length() > 0) {
                this.emu_padType = Integer.parseInt(stringExtra5);
            }
            if (this.mIsoName.length() > 0) {
                runIso(this.mIsoName, i);
            }
            check_savetmp_snap();
        }
    }

    public boolean onCreateOptionsMenu(Menu menu) {
        super.onCreateOptionsMenu(menu);
        menu.add(STATUS_NORUNNING, STATUS_RUNNING_GAME, STATUS_NORUNNING, C0122R.string.menu_rungame).setIcon(17301555);
        menu.add(STATUS_NORUNNING, STATUS_RUNNING_BIOS, STATUS_NORUNNING, C0122R.string.menu_runbios).setIcon(17301565);
        menu.add(STATUS_NORUNNING, STATUS_PAUSED, STATUS_NORUNNING, C0122R.string.menu_changedisc).setIcon(17301555);
        menu.add(STATUS_NORUNNING, LOADSTATE_ID, STATUS_NORUNNING, C0122R.string.menu_loadstate).setIcon(17301585);
        menu.add(STATUS_NORUNNING, SAVESTATE_ID, STATUS_NORUNNING, C0122R.string.menu_savestate).setIcon(17301582);
        menu.add(STATUS_NORUNNING, FRAMELIMIT_ID, STATUS_NORUNNING, C0122R.string.menu_framelimit).setIcon(17301555);
        menu.add(STATUS_NORUNNING, FRAMELIMIT_ID, STATUS_NORUNNING, C0122R.string.menu_framelimit).setIcon(17301555);
        menu.add(STATUS_NORUNNING, PREFERENCES_ID, STATUS_NORUNNING, C0122R.string.menu_preferences).setIcon(17301577);
        menu.add(STATUS_NORUNNING, HELP_ID, STATUS_NORUNNING, C0122R.string.menu_help).setIcon(17301568);
        menu.add(STATUS_NORUNNING, ABOUT_ID, STATUS_NORUNNING, C0122R.string.menu_about).setIcon(17301569);
        menu.add(STATUS_NORUNNING, QUIT_ID, STATUS_NORUNNING, C0122R.string.menu_quit).setIcon(17301580);
        return true;
    }

    protected void onDestroy() {
        super.onDestroy();
        if (this.mePSXeView != null) {
        }
        if (this.bluezenabled == STATUS_RUNNING_GAME) {
            bluezStop();
        }
        if (this.mogapad != -1) {
            mogaStop();
        }
    }

    public boolean onGenericMotionEvent(android.view.MotionEvent motionEvent) {
        int i;
        int i2;
        int i3 = -127;
        int id = motionEvent.getDevice().getId();
        for (i = STATUS_NORUNNING; i < LOADSTATE_ID; i += STATUS_RUNNING_GAME) {
            if (id == this.analogpadid[i]) {
                i2 = i;
                break;
            }
        }
        i2 = -1;
        if (i2 == -1) {
            return false;
        }
        int i4;
        int[] iArr;
        int axisValue = (int) (motionEvent.getAxisValue(this.analogleftx[i2]) * 127.0f);
        i = (int) (motionEvent.getAxisValue(this.analoglefty[i2]) * 127.0f);
        id = (int) (motionEvent.getAxisValue(this.analogrightx[i2]) * 127.0f);
        int axisValue2 = (int) (motionEvent.getAxisValue(this.analogrighty[i2]) * 127.0f);
        if (this.analogrange[i2] == STATUS_RUNNING_GAME) {
            int i5;
            float GetRatio = GetRatio(axisValue, i);
            float GetRatio2 = GetRatio(id, axisValue2);
            if (axisValue == 0 && i == 0) {
                i5 = axisValue;
                axisValue = i;
            } else {
                i5 = (int) (((float) axisValue) * GetRatio);
                i = (int) (((float) i) * GetRatio);
                if (i5 < -127) {
                    i5 = -127;
                } else if (i5 > InputList.KEYCODE_MEDIA_PAUSE) {
                    i5 = InputList.KEYCODE_MEDIA_PAUSE;
                }
                if (i < -127) {
                    i = -127;
                } else if (i > InputList.KEYCODE_MEDIA_PAUSE) {
                    i = InputList.KEYCODE_MEDIA_PAUSE;
                }
                axisValue = i;
            }
            if (id == 0 && axisValue2 == 0) {
                i3 = axisValue2;
                i = id;
                i4 = axisValue;
                axisValue2 = i5;
            } else {
                id = (int) (((float) id) * GetRatio2);
                i = (int) (((float) axisValue2) * GetRatio2);
                axisValue2 = id < -127 ? -127 : id > InputList.KEYCODE_MEDIA_PAUSE ? 127 : id;
                if (i >= -127) {
                    i3 = i > InputList.KEYCODE_MEDIA_PAUSE ? InputList.KEYCODE_MEDIA_PAUSE : i;
                }
                i = axisValue2;
                i4 = axisValue;
                axisValue2 = i5;
            }
        } else {
            i3 = axisValue2;
            i4 = i;
            i = id;
            axisValue2 = axisValue;
        }
        this.f638e.setpadanalog(i2, STATUS_NORUNNING, axisValue2, i4);
        this.f638e.setpadanalog(i2, STATUS_RUNNING_GAME, i, i3);
        i = (int) (motionEvent.getAxisValue(this.analogl2[i2]) * 127.0f);
        i3 = (int) (motionEvent.getAxisValue(this.analogr2[i2]) * 127.0f);
        i4 = this.pushedButtons[i2];
        axisValue2 = (int) motionEvent.getAxisValue(CHEAT_ID);
        id = (int) motionEvent.getAxisValue(TOOLSGL_ID);
        if (this.analoghatx[i2] != axisValue2) {
            int[] iArr2;
            if (axisValue2 == -1) {
                iArr2 = this.pushedButtons;
                iArr2[i2] = iArr2[i2] & -8193;
                iArr2 = this.pushedButtons;
                iArr2[i2] = 32768 | iArr2[i2];
            } else if (axisValue2 == STATUS_RUNNING_GAME) {
                iArr2 = this.pushedButtons;
                iArr2[i2] = iArr2[i2] | 8192;
                iArr2 = this.pushedButtons;
                iArr2[i2] = -32769 & iArr2[i2];
            } else {
                iArr2 = this.pushedButtons;
                iArr2[i2] = iArr2[i2] & -8193;
                iArr2 = this.pushedButtons;
                iArr2[i2] = -32769 & iArr2[i2];
            }
            this.analoghatx[i2] = axisValue2;
        }
        if (this.analoghaty[i2] != axisValue2) {
            int[] iArr3;
            if (id == -1) {
                iArr3 = this.pushedButtons;
                iArr3[i2] = iArr3[i2] & -4097;
                iArr3 = this.pushedButtons;
                iArr3[i2] = iArr3[i2] | 16384;
            } else if (id == STATUS_RUNNING_GAME) {
                iArr3 = this.pushedButtons;
                iArr3[i2] = iArr3[i2] | 4096;
                iArr3 = this.pushedButtons;
                iArr3[i2] = iArr3[i2] & -16385;
            } else {
                iArr3 = this.pushedButtons;
                iArr3[i2] = iArr3[i2] & -4097;
                iArr3 = this.pushedButtons;
                iArr3[i2] = iArr3[i2] & -16385;
            }
            this.analoghaty[i2] = id;
        }
        if (this.analogl2range[i2] == 0) {
            if (i > 20) {
                iArr = this.pushedButtons;
                iArr[i2] = iArr[i2] | STATUS_RUNNING_GAME;
            } else {
                iArr = this.pushedButtons;
                iArr[i2] = iArr[i2] & -2;
            }
        } else if (i > -102) {
            iArr = this.pushedButtons;
            iArr[i2] = iArr[i2] | STATUS_RUNNING_GAME;
        } else {
            iArr = this.pushedButtons;
            iArr[i2] = iArr[i2] & -2;
        }
        if (this.analogr2range[i2] == 0) {
            if (i3 > 20) {
                iArr = this.pushedButtons;
                iArr[i2] = iArr[i2] | STATUS_RUNNING_BIOS;
            } else {
                iArr = this.pushedButtons;
                iArr[i2] = iArr[i2] & -3;
            }
        } else if (i3 > -102) {
            iArr = this.pushedButtons;
            iArr[i2] = iArr[i2] | STATUS_RUNNING_BIOS;
        } else {
            iArr = this.pushedButtons;
            iArr[i2] = iArr[i2] & -3;
        }
        if (i4 != this.pushedButtons[i2]) {
            this.f638e.setPadDataMultitap(this.pushedButtons[STATUS_NORUNNING], this.pushedButtons[STATUS_RUNNING_GAME], this.pushedButtons[STATUS_RUNNING_BIOS], this.pushedButtons[STATUS_PAUSED]);
        }
        return this.analogdpadfromanalog[i2] != STATUS_RUNNING_GAME;
    }

    public boolean onKeyDown(int i, android.view.KeyEvent keyEvent) {
        int deviceId = keyEvent.getDeviceId();
        int i2 = STATUS_NORUNNING;
        while (i2 < LOADSTATE_ID) {
            if (deviceId == this.analogpadid[i2]) {
                break;
            }
            i2 += STATUS_RUNNING_GAME;
        }
        i2 = -1;
        return ((this.emuStatus == STATUS_RUNNING_GAME || this.emuStatus == STATUS_RUNNING_BIOS) && doKeyDown(i, keyEvent.isAltPressed(), i2)) ? true : super.onKeyDown(i, keyEvent);
    }

    public boolean onKeyUp(int i, android.view.KeyEvent keyEvent) {
        int deviceId = keyEvent.getDeviceId();
        int i2 = STATUS_NORUNNING;
        while (i2 < LOADSTATE_ID) {
            if (deviceId == this.analogpadid[i2]) {
                break;
            }
            i2 += STATUS_RUNNING_GAME;
        }
        i2 = -1;
        return ((this.emuStatus == STATUS_RUNNING_GAME || this.emuStatus == STATUS_RUNNING_BIOS) && doKeyUp(i, keyEvent.isAltPressed(), i2)) ? true : super.onKeyUp(i, keyEvent);
    }

    public boolean onOptionsItemSelected(MenuItem menuItem) {
        Intent intent;
        switch (menuItem.getItemId()) {
            case STATUS_RUNNING_GAME /*1*/:
                if (this.emuStatus == 0 && check_bios() != -1) {
                    intent = new Intent(this, FileChooser.class);
                    intent.putExtra("com.epsxe.ePSXe.fcMode", "SELECT_ISO");
                    intent.putExtra("com.epsxe.ePSXe.isoPath", this.currentPath);
                    startActivity(intent);
                    finish();
                    break;
                }
            case STATUS_RUNNING_BIOS /*2*/:
                if (this.emuStatus == 0 && check_bios() != -1) {
                    intent = new Intent(this, FileChooser.class);
                    intent.putExtra("com.epsxe.ePSXe.fcMode", "RUN_BIOS");
                    intent.putExtra("com.epsxe.ePSXe.isoPath", this.currentPath);
                    startActivity(intent);
                    finish();
                    break;
                }
            case STATUS_PAUSED /*3*/:
                if (this.emuStatus == STATUS_RUNNING_GAME) {
                    CreateCDDialog(this.currentPath);
                    break;
                }
                break;
            case LOADSTATE_ID /*4*/:
                if (this.emuStatus == STATUS_RUNNING_GAME) {
                    CreateSstateDialog(this.f638e.getCode(), STATUS_NORUNNING, STATUS_NORUNNING);
                    break;
                }
                break;
            case SAVESTATE_ID /*5*/:
                if (this.emuStatus == STATUS_RUNNING_GAME) {
                    CreateSstateDialog(this.f638e.getCode(), STATUS_RUNNING_GAME, STATUS_NORUNNING);
                    break;
                }
                break;
            case PREFERENCES_ID /*6*/:
                startActivity(new Intent(this, ePSXePreferences.class));
                finish();
                break;
            case ABOUT_ID /*7*/:
                alertdialog_about();
                break;
            case QUIT_ID /*8*/:
                if (this.emuStatus != 0) {
                    if (this.emuStatus == STATUS_RUNNING_GAME || this.emuStatus == STATUS_RUNNING_BIOS) {
                        alertdialog_quitGame();
                        break;
                    }
                }
                finish();
                break;
            case HELP_ID /*9*/:
                startActivity(new Intent(this, ePSXeHelp.class));
                finish();
                break;
            case SPLITV_ID /*10*/:
                if (this.emuStatus == STATUS_RUNNING_GAME) {
                    this.mePSXeView.setsplitmode(STATUS_NORUNNING);
                    break;
                }
                break;
            case SPLITH1_ID /*11*/:
                if (this.emuStatus == STATUS_RUNNING_GAME) {
                    this.mePSXeView.setsplitmode(STATUS_RUNNING_GAME);
                    break;
                }
                break;
            case SPLITH2_ID /*12*/:
                if (this.emuStatus == STATUS_RUNNING_GAME) {
                    this.mePSXeView.setsplitmode(STATUS_RUNNING_BIOS);
                    break;
                }
                break;
            case FRAMELIMIT_ID /*14*/:
                if (this.emuStatus == STATUS_RUNNING_GAME || this.emuStatus == STATUS_RUNNING_BIOS) {
                    this.mePSXeView.toggleframelimit();
                    break;
                }
            case CHEAT_ID /*15*/:
                if (this.emuStatus == STATUS_RUNNING_GAME) {
                    CreatecheatDialog();
                    break;
                }
                break;
            case TOOLSGL_ID /*16*/:
                if (this.emuStatus == STATUS_RUNNING_GAME || this.emuStatus == STATUS_RUNNING_BIOS) {
                    this.mePSXeView.toggletools();
                    break;
                }
        }
        return true;
    }

    protected void onPause() {
        super.onPause();
        if (this.mController != null) {
            this.mController.onPause();
        }
        if (this.emuStatus == STATUS_RUNNING_GAME) {
            this.mePSXeView.onPause();
            this.mePSXeSound.exit();
            this.emuStatus = STATUS_PAUSED;
            savetmp_snapshot(this.mIsoName, this.mIsoSlot);
            finish();
        } else if (this.emuStatus == STATUS_RUNNING_BIOS) {
            this.mePSXeSound.exit();
            this.emuStatus = STATUS_PAUSED;
            this.f638e.quit();
            finish();
        }
    }

    public boolean onPrepareOptionsMenu(Menu menu) {
        menu.clear();
        if (this.emuStatus == 0) {
            menu.add(STATUS_NORUNNING, STATUS_RUNNING_GAME, STATUS_NORUNNING, C0122R.string.menu_rungame).setIcon(17301555);
            menu.add(STATUS_NORUNNING, STATUS_RUNNING_BIOS, STATUS_NORUNNING, C0122R.string.menu_runbios).setIcon(17301565);
            menu.add(STATUS_NORUNNING, PREFERENCES_ID, STATUS_NORUNNING, C0122R.string.menu_preferences).setIcon(17301577);
            menu.add(STATUS_NORUNNING, HELP_ID, STATUS_NORUNNING, C0122R.string.menu_help).setIcon(17301568);
            menu.add(STATUS_NORUNNING, ABOUT_ID, STATUS_NORUNNING, C0122R.string.menu_about).setIcon(17301569);
            menu.add(STATUS_NORUNNING, QUIT_ID, STATUS_NORUNNING, C0122R.string.menu_quit).setIcon(17301580);
        } else if (this.emuStatus == STATUS_RUNNING_GAME) {
            menu.add(STATUS_NORUNNING, STATUS_PAUSED, STATUS_NORUNNING, C0122R.string.menu_changedisc).setIcon(17301555);
            menu.add(STATUS_NORUNNING, LOADSTATE_ID, STATUS_NORUNNING, C0122R.string.menu_loadstate).setIcon(17301585);
            menu.add(STATUS_NORUNNING, SAVESTATE_ID, STATUS_NORUNNING, C0122R.string.menu_savestate).setIcon(17301582);
            menu.add(STATUS_NORUNNING, FRAMELIMIT_ID, STATUS_NORUNNING, C0122R.string.menu_framelimit).setIcon(17301555);
            menu.add(STATUS_NORUNNING, CHEAT_ID, STATUS_NORUNNING, C0122R.string.menu_cheat).setIcon(17301555);
            if (this.emu_renderer == STATUS_RUNNING_BIOS) {
                menu.add(STATUS_NORUNNING, TOOLSGL_ID, STATUS_NORUNNING, C0122R.string.menu_tools).setIcon(17301577);
            }
            if (this.emu_player_mode == SPLITV_ID) {
                menu.add(STATUS_NORUNNING, SPLITV_ID, STATUS_NORUNNING, C0122R.string.menu_splitv).setIcon(17301581);
                menu.add(STATUS_NORUNNING, SPLITH1_ID, STATUS_NORUNNING, C0122R.string.menu_splith1).setIcon(17301581);
                menu.add(STATUS_NORUNNING, SPLITH2_ID, STATUS_NORUNNING, C0122R.string.menu_splith2).setIcon(17301581);
            }
            menu.add(STATUS_NORUNNING, QUIT_ID, STATUS_NORUNNING, C0122R.string.menu_quit).setIcon(17301580);
        } else if (this.emuStatus == STATUS_RUNNING_BIOS) {
            menu.add(STATUS_NORUNNING, FRAMELIMIT_ID, STATUS_NORUNNING, C0122R.string.menu_framelimit).setIcon(17301555);
            if (this.emu_renderer == STATUS_RUNNING_BIOS) {
                menu.add(STATUS_NORUNNING, TOOLSGL_ID, STATUS_NORUNNING, C0122R.string.menu_tools).setIcon(17301577);
            }
            menu.add(STATUS_NORUNNING, QUIT_ID, STATUS_NORUNNING, C0122R.string.menu_quit).setIcon(17301580);
        }
        return super.onPrepareOptionsMenu(menu);
    }

    protected void onResume() {
        super.onResume();
        if (this.mController != null) {
            this.mController.onResume();
        }
    }

    public void runIso(String str, int i) {
        getWindow().takeSurface(null);
        RegisterThis();
        if (this.mePSXeReadPreferences == null) {
            this.mePSXeReadPreferences = new ePSXeReadPreferences(this);
        }
        if (str.equals("___RUNBIOS___")) {
            this.currentPath = this.sdCardPath;
        } else {
            this.currentPath = new File(str).getParent();
        }
        Log.e("epsxenative", "currentpath " + this.currentPath);
        if (this.mePSXeReadPreferences.getCpuMME() == 0) {
            this.emu_enable_neon = STATUS_NORUNNING;
        }
        if (this.emu_enable_x86 == 0) {
            this.f638e = new libepsxe(this.emu_enable_neon);
        } else {
            this.f638e = new libepsxe(STATUS_RUNNING_GAME);
        }
        String bios = this.mePSXeReadPreferences.getBios();
        Log.e("epsxenative", "mePSXeReadPreferences.getBios " + bios);
        Log.e("epsxenative", "sdCardPath " + this.sdCardPath);
        this.f638e.setBios(bios);
        this.f638e.setSdCardPath(this.sdCardPath);
        this.f638e.setBootMode(this.mePSXeReadPreferences.getmiscbootmode());
        bios = this.mePSXeReadPreferences.getMemcard1();
        String memcard2 = this.mePSXeReadPreferences.getMemcard2();
        Log.e("epsxe", "memcard1 " + bios);
        Log.e("epsxe", "memcard2 " + memcard2);
        Log.e("epsxe", "memcardmode " + this.mePSXeReadPreferences.getMemcardMode());
        if (bios.equals("default")) {
            this.f638e.setMemcard1("NULL");
        } else {
            this.f638e.setMemcard1(bios);
        }
        if (memcard2.equals("default")) {
            this.f638e.setMemcard2("NULL");
        } else {
            this.f638e.setMemcard2(memcard2);
        }
        this.f638e.setMemcardMode(this.mePSXeReadPreferences.getMemcardMode());
        Log.e("epsxenative", "getVideoRenderer " + this.mePSXeReadPreferences.getVideoRenderer());
        this.emu_renderer = this.mePSXeReadPreferences.getVideoRenderer();
        if (this.emu_renderer == STATUS_RUNNING_BIOS) {
            if (new File("/data/data/com.epsxe.ePSXe/lib/libopenglplugin.so").exists()) {
                this.f638e.setGpu("/data/data/com.epsxe.ePSXe/lib/libopenglplugin.so");
                this.gpuPluginName = "/data/data/com.epsxe.ePSXe/lib/libopenglplugin.so";
            } else {
                File file = new File(this.mePSXeReadPreferences.getGpu());
                if (file.exists()) {
                    memcard2 = getFilesDir() + "/libopenglextTMP.so";
                    File file2 = new File(getFilesDir(), "/libopenglextTMP.so");
                    if (file2.exists()) {
                        file2.delete();
                    }
                    copyFile(file, file2);
                    if (file2.exists()) {
                        this.f638e.setGpu(memcard2);
                        this.gpuPluginName = memcard2;
                    } else {
                        this.emu_renderer = STATUS_RUNNING_GAME;
                        Toast.makeText(this, C0122R.string.main_gpunotfound, STATUS_RUNNING_GAME).show();
                    }
                } else {
                    this.emu_renderer = STATUS_RUNNING_GAME;
                    Toast.makeText(this, C0122R.string.main_gpunotfound, STATUS_RUNNING_GAME).show();
                }
            }
        }
        if (this.emu_renderer == 0 || this.emu_renderer == STATUS_RUNNING_GAME) {
            this.f638e.setGpu("GPUCORE");
            this.fps = this.f638e.loadepsxe(str, i);
            if (str.equals("___RUNBIOS___")) {
                this.fps = 60;
            } else if (this.fps == -1) {
                IsoErrDialog(str);
                return;
            } else if (this.fps > 60) {
                Toast.makeText(this, C0122R.string.main_systemcnf, STATUS_RUNNING_GAME).show();
                this.fps -= 100;
            }
        }
        getWindow().setFlags(InputList.KEYCODE_MEDIA_CLOSE, InputList.KEYCODE_MEDIA_CLOSE);
        if (this.mePSXeView == null) {
            int i2;
            int i3;
            try {
                if (this.emu_renderer == 0) {
                    this.ePSXeViewType = Class.forName("com.epsxe.ePSXe.ePSXeViewSoft");
                } else if (this.emu_renderer == STATUS_RUNNING_GAME) {
                    this.ePSXeViewType = Class.forName("com.epsxe.ePSXe.ePSXeViewGL");
                } else if (this.emu_renderer == STATUS_RUNNING_BIOS) {
                    this.ePSXeViewType = Class.forName("com.epsxe.ePSXe.ePSXeViewGLext");
                }
            } catch (ClassNotFoundException e) {
                finish();
            }
            try {
                Constructor constructor = this.ePSXeViewType.getConstructors()[STATUS_NORUNNING];
                Object[] objArr = new Object[STATUS_RUNNING_GAME];
                objArr[STATUS_NORUNNING] = getApplication();
                this.mePSXeView = (ePSXeView) constructor.newInstance(objArr);
            } catch (Exception e2) {
                finish();
            }
            this.mePSXeView.setePSXeLib(this.f638e);
            this.mePSXeView.setIsoName(this.mIsoName, i, this.gpuPluginName);
            this.mePSXeView.setfps(this.fps);
            Log.e("epsxenative", "getCpuFrameSkip " + this.mePSXeReadPreferences.getCpuFrameSkip());
            Log.e("epsxenative", "getCpuShowFPS " + this.mePSXeReadPreferences.getCpuShowFPS());
            Log.e("epsxenative", "getInputPaintPadMode " + this.mePSXeReadPreferences.getInputPaintPadMode());
            Log.e("epsxenative", "getInputPaintPadMode2 " + this.mePSXeReadPreferences.getInputPaintPadMode2());
            Log.e("epsxenative", "getInputPadType " + this.mePSXeReadPreferences.getInputPadType());
            Log.e("epsxenative", "getInputPadType2 " + this.mePSXeReadPreferences.getInputPadType2());
            Log.e("epsxenative", "getCpuMME " + this.mePSXeReadPreferences.getCpuMME());
            Log.e("epsxenative", "getInputVibrate " + this.mePSXeReadPreferences.getInputVibrate());
            Log.e("epsxenative", "getInputPlayerMode " + this.mePSXeReadPreferences.getInputPlayerMode());
            this.emu_screen_orientation = this.mePSXeReadPreferences.getScreenOrientation();
            Log.e("epsxenative", "getScreenRatio " + this.mePSXeReadPreferences.getScreenRatio());
            Log.e("epsxenative", "getScreenBlackbands " + this.mePSXeReadPreferences.getScreenBlackbands());
            Log.e("epsxenative", "getVideoDither " + this.mePSXeReadPreferences.getVideoDither());
            Log.e("epsxenative", "getVideoFilterhw " + this.mePSXeReadPreferences.getVideoFilterhw());
            Log.e("epsxenative", "getSoundLatency " + this.mePSXeReadPreferences.getSoundLatency());
            Log.e("epsxenative", "getInputPadMode " + this.mePSXeReadPreferences.getInputPadMode());
            Log.e("epsxenative", "getInputPad2Mode " + this.mePSXeReadPreferences.getInputPad2Mode());
            Log.e("epsxenative", "getMiscAutosave " + this.mePSXeReadPreferences.getMiscAutosave());
            Log.e("epsxenative", "getmiscbootmode " + this.mePSXeReadPreferences.getmiscbootmode());
            this.mePSXeView.setinputvibration(this.mePSXeReadPreferences.getInputVibrate(), this.mePSXeReadPreferences.getInputVibrate2());
            this.mePSXeView.setinputalpha(this.mePSXeReadPreferences.getInputAlpha());
            this.mePSXeView.setframeskip(this.mePSXeReadPreferences.getCpuFrameSkip());
            this.mePSXeView.setshowfps(this.mePSXeReadPreferences.getCpuShowFPS());
            this.mePSXeView.setinputpaintpadmode(this.mePSXeReadPreferences.getInputPaintPadMode(), this.mePSXeReadPreferences.getInputPaintPadMode2());
            this.mePSXeView.setinputskinname(this.mePSXeReadPreferences.getSkin());
            this.mePSXeView.setinputpadtype(this.mePSXeReadPreferences.getInputPadType(), this.mePSXeReadPreferences.getInputPadType2());
            if (this.emu_screen_orientation == STATUS_RUNNING_BIOS) {
                this.mePSXeView.setscreenorientation(STATUS_NORUNNING);
            } else {
                this.mePSXeView.setscreenorientation(this.emu_screen_orientation);
            }
            this.mePSXeView.setscreenratio(this.mePSXeReadPreferences.getScreenRatio());
            this.mePSXeView.setscreenblackbands(this.mePSXeReadPreferences.getScreenBlackbands());
            this.emu_player_mode = this.mePSXeReadPreferences.getInputPlayerMode();
            this.f638e.setPadModeMultitap(this.emu_player_mode);
            if (this.emu_player_mode == STATUS_RUNNING_BIOS || this.emu_player_mode == STATUS_PAUSED) {
                this.emu_player_mode = STATUS_RUNNING_GAME;
            }
            this.mePSXeView.setplayermode(this.emu_player_mode);
            this.mePSXeView.setvideodither(this.mePSXeReadPreferences.getVideoDither());
            this.mePSXeView.setvideofilterhw(this.mePSXeReadPreferences.getVideoFilterhw());
            this.mePSXeView.setsoundlatency(this.mePSXeReadPreferences.getSoundLatency());
            int inputPadMode = this.mePSXeReadPreferences.getInputPadMode();
            int inputPad2Mode = this.mePSXeReadPreferences.getInputPad2Mode();
            if (this.emu_padType != 0) {
                if (inputPadMode == LOADSTATE_ID && (this.emu_padType & PREFERENCES_ID) == 0) {
                    i2 = false;
                } else {
                    boolean z = true;
                }
                i3 = (inputPad2Mode == LOADSTATE_ID && (this.emu_padType & PREFERENCES_ID) == 0) ? STATUS_NORUNNING : STATUS_RUNNING_GAME;
                if (inputPadMode == STATUS_PAUSED && (this.emu_padType & 64) == 0) {
                    inputPadMode = STATUS_RUNNING_GAME;
                }
            } else {
                i3 = STATUS_RUNNING_GAME;
                i2 = STATUS_RUNNING_GAME;
            }
            if (str.equals("___RUNBIOS___") && inputPadMode == LOADSTATE_ID) {
                i2 = STATUS_NORUNNING;
            }
            this.mePSXeView.setinputpadmode(inputPadMode, inputPad2Mode, i2, i3);
            this.emu_autosave = this.mePSXeReadPreferences.getMiscAutosave();
            i2 = this.mePSXeReadPreferences.getCpuMME() == 0 ? STATUS_NORUNNING : STATUS_NORUNNING;
            for (i2 = STATUS_NORUNNING; i2 < LOADSTATE_ID; i2 += STATUS_RUNNING_GAME) {
                for (i3 = STATUS_NORUNNING; i3 < 21; i3 += STATUS_RUNNING_GAME) {
                    this.keycodes[i2][i3] = this.mePSXeReadPreferences.getButtonKeycode(i2, i3);
                    Log.e("epsxekey", "keycode[" + i2 + "][" + i3 + "] = " + this.keycodes[i2][i3]);
                }
            }
            for (i3 = STATUS_NORUNNING; i3 < SPLITH2_ID; i3 += STATUS_RUNNING_GAME) {
                this.keycodesextra[i3] = this.mePSXeReadPreferences.getButtonKeycodeextra(i3);
            }
            initJoysticks();
            if (this.bluezenabled == STATUS_RUNNING_GAME) {
                bluezStart();
            }
            if (this.mogapad != -1) {
                mogaStart();
            }
            if (this.snapRestoring.booleanValue()) {
                this.mePSXeView.setsnaprestoring(true);
                this.snapRestoring = Boolean.valueOf(false);
            }
            if (!str.equals("___RUNBIOS___")) {
                this.mePSXeReadPreferences.setIsoPath(this.currentPath);
            }
        }
        if (this.mePSXeSound == null) {
            this.mePSXeSound = new ePSXeSound();
            this.mePSXeSound.setePSXeLib(this.f638e);
            Log.e("epsxenative", "getSoundQA " + this.mePSXeReadPreferences.getSoundQA());
            this.mePSXeSound.setsoundqa(this.mePSXeReadPreferences.getSoundQA());
            this.mePSXeSound.setsoundlatency(this.mePSXeReadPreferences.getSoundLatency());
            this.mePSXeSound.start();
        }
        if (this.emu_screen_orientation == 0 || this.emu_screen_orientation == STATUS_PAUSED || this.emu_player_mode == SPLITV_ID) {
            setRequestedOrientation(STATUS_NORUNNING);
        } else if (this.emu_screen_orientation == STATUS_RUNNING_GAME) {
            setRequestedOrientation(STATUS_RUNNING_GAME);
        } else if (this.emu_screen_orientation == STATUS_RUNNING_BIOS) {
            setRequestedOrientation(QUIT_ID);
        }
        if (this.emu_renderer == 0) {
            setContentView((ePSXeViewSoft) this.mePSXeView);
        } else if (this.emu_renderer == STATUS_RUNNING_GAME) {
            setContentView((ePSXeViewGL) this.mePSXeView);
        } else {
            setContentView((ePSXeViewGLext) this.mePSXeView);
        }
        this.emuStatus = STATUS_RUNNING_GAME;
        if (this.mIsoName.equals("___RUNBIOS___")) {
            this.emuStatus = STATUS_RUNNING_BIOS;
        }
        if (this.emu_autosave != STATUS_RUNNING_GAME || this.emuStatus != STATUS_RUNNING_GAME || this.emu_autoload_disable != 0) {
            return;
        }
        if (this.emu_renderer == STATUS_RUNNING_BIOS) {
            this.mHandlerAL.postDelayed(this.mLaunchTaskAL, 2000);
        } else {
            CreateSstateDialog(this.f638e.getCode(), STATUS_NORUNNING, STATUS_RUNNING_GAME);
        }
    }
}
