package com.epsxe.ePSXe;

import android.media.AudioTrack;
import android.os.Build.VERSION;
import android.util.Log;

public class ePSXeSound extends Thread {
    private static final int AUDIO_BUFFER_PUT_GET_LEN = 65536;
    private static final int AUDIO_BUFFER_TOTAL_LEN = 262144;
    private libepsxe f639e;
    private int emu_sound_latency;
    private boolean mRun;
    private AudioTrack m_audiotrack;
    private int osVersion;
    private boolean positionChanged;
    private int soundQA;

    public ePSXeSound() {
        this.soundQA = 1;
        this.emu_sound_latency = 0;
        this.positionChanged = false;
        this.mRun = false;
        Log.i("epsxesnd", "ePSXeSound constructor!");
        this.m_audiotrack = new AudioTrack(3, 44100, 3, 2, AUDIO_BUFFER_PUT_GET_LEN, 1);
        this.osVersion = Integer.parseInt(VERSION.SDK);
    }

    public void dosound() {
        int i;
        int i2 = 2048;
        int i3 = 1024;
        byte[] bArr = new byte[AUDIO_BUFFER_PUT_GET_LEN];
        byte[] bArr2 = new byte[AUDIO_BUFFER_PUT_GET_LEN];
        Log.i("epsxesnd", "ePSXeSoundThread run!");
        if (this.emu_sound_latency == 3) {
            i3 = 2048;
        } else if (this.emu_sound_latency == 4) {
            i2 = 1024;
        } else {
            i2 = 8192;
            i3 = 1764;
        }
        for (i = 0; i < AUDIO_BUFFER_PUT_GET_LEN; i++) {
            bArr[i] = (byte) 0;
        }
        for (i = 0; i < AUDIO_BUFFER_PUT_GET_LEN; i++) {
            bArr2[i] = (byte) 0;
        }
        if (this.osVersion < 18) {
            this.positionChanged = true;
        }
        i = 0;
        while (!isInterrupted() && this.mRun) {
            try {
                Thread.currentThread();
                Thread.sleep(10);
                int playbackHeadPosition = this.m_audiotrack.getPlaybackHeadPosition();
                if (i - playbackHeadPosition < i2 || (playbackHeadPosition == 0 && !this.positionChanged)) {
                    int i4 = i2 - (i - playbackHeadPosition);
                    if (i4 < 0) {
                        i4 = 0;
                    }
                    if (i - playbackHeadPosition < i3) {
                        i4 = this.f639e.getepsxesoundata(bArr, i4, 1);
                    } else {
                        if (i4 == 0 && playbackHeadPosition == 0 && !this.positionChanged) {
                            i4 = 441;
                        }
                        i4 = this.f639e.getepsxesoundata(bArr, i4, 0);
                    }
                    if (i4 > 0) {
                        i += this.m_audiotrack.write(bArr, 0, i4 * 4) / 4;
                    }
                    if (i - playbackHeadPosition < 485) {
                        i += this.m_audiotrack.write(bArr2, 0, (485 - (i - playbackHeadPosition)) * 4) / 4;
                    }
                } else {
                    this.positionChanged = true;
                }
            } catch (InterruptedException e) {
            }
        }
        Log.i("epsxesnd", "ePSXeSoundThread exit!");
    }

    public void exit() {
        setRunning(false);
        this.m_audiotrack.stop();
        Log.i("epsxesnd", "AudioDataPutThread exit!");
    }

    public void run() {
        int playbackHeadPosition = this.m_audiotrack.setPlaybackHeadPosition(0);
        this.m_audiotrack.play();
        this.m_audiotrack.setStereoVolume(1.0f, 1.0f);
        Log.i("epsxesnd", "ePSXeSound run! rate: " + this.m_audiotrack.getPlaybackRate() + " headFrame: " + playbackHeadPosition);
        setRunning(true);
        dosound();
    }

    public void setRunning(boolean z) {
        this.mRun = z;
    }

    public void setePSXeLib(libepsxe com_epsxe_ePSXe_libepsxe) {
        this.f639e = com_epsxe_ePSXe_libepsxe;
    }

    public void setsoundlatency(int i) {
        this.emu_sound_latency = this.f639e.setSoundLatency(i);
    }

    public void setsoundqa(int i) {
        this.soundQA = i;
        this.f639e.setspuquality(i);
    }
}
