package com.cortez;

import android.app.Activity;
import android.app.AlertDialog.Builder;
import android.app.ProgressDialog;
import android.content.ComponentName;
import android.content.DialogInterface;
import android.content.DialogInterface.OnClickListener;
import android.content.Intent;
import android.content.SharedPreferences;
import android.graphics.Typeface;
import android.net.Uri;
import android.os.Bundle;
import android.os.Environment;
import android.os.StatFs;
import android.preference.PreferenceManager;
import android.view.View;
import android.widget.CheckBox;
import android.widget.CompoundButton;
import android.widget.CompoundButton.OnCheckedChangeListener;
import android.widget.ImageView;
import android.widget.TextView;
import com.basv.gifmoviewview.widget.GifMovieView;
import com.droid7z.Droid7z;
import com.keyhan.moorhuhn2.C0122R;
import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

public class MainActivity extends Activity {
    public String cheat_name;
    private long game_compress_size;
    public String game_name;
    private String game_name_uncompress;
    private long game_uncompress_size;
    private ProgressDialog mProgressDialog;

    /* renamed from: com.cortez.MainActivity.1 */
    class C00501 implements Runnable {
        private final /* synthetic */ String val$isoPath;

        C00501(String str) {
            this.val$isoPath = str;
        }

        public void run() {
            try {
                String game_path0 = this.val$isoPath + "/" + MainActivity.this.game_name;
                File f5 = new File(game_path0);
                MainActivity.this.copy_from_asset(f5, MainActivity.this.game_name);
                Droid7z.uncompress(this.val$isoPath, game_path0);
                MainActivity.this.mProgressDialog.dismiss();
                f5.delete();
            } catch (Exception e) {
                e.printStackTrace();
            }
        }
    }

    /* renamed from: com.cortez.MainActivity.2 */
    class C00512 implements Runnable {
        private final /* synthetic */ String val$isoPath;

        C00512(String str) {
            this.val$isoPath = str;
        }

        public void run() {
            try {
                String game_path0 = this.val$isoPath + "/" + MainActivity.this.game_name;
                File f5 = new File(game_path0);
                MainActivity.this.copy_from_asset(f5, MainActivity.this.game_name);
                Droid7z.uncompress(this.val$isoPath, game_path0);
                MainActivity.this.mProgressDialog.dismiss();
                f5.delete();
            } catch (Exception e) {
                e.printStackTrace();
            }
        }
    }

    /* renamed from: com.cortez.MainActivity.3 */
    class C00523 implements OnClickListener {
        C00523() {
        }

        public void onClick(DialogInterface dialog, int id) {
            System.exit(0);
        }
    }

    /* renamed from: com.cortez.MainActivity.4 */
    class C00534 implements OnClickListener {
        C00534() {
        }

        public void onClick(DialogInterface dialog, int id) {
            System.exit(0);
        }
    }

    /* renamed from: com.cortez.MainActivity.5 */
    class C00545 implements View.OnClickListener {
        C00545() {
        }

        public void onClick(View arg0) {
            MainActivity.this.finish();
        }
    }

    /* renamed from: com.cortez.MainActivity.6 */
    class C00556 implements View.OnClickListener {
        C00556() {
        }

        public void onClick(View arg0) {
            MainActivity.this.RateApp();
        }
    }

    /* renamed from: com.cortez.MainActivity.7 */
    class C00567 implements View.OnClickListener {
        C00567() {
        }

        public void onClick(View arg0) {
            Builder builder = new Builder(MainActivity.this);
            builder.setTitle(new StringBuilder(String.valueOf(MainActivity.this.getString(C0122R.string.app_name))).append(" \u06af\u0631\u0648\u0647 \u06a9\u06cc\u0647\u0627\u0646 ").append(getappVersion()).toString()).setMessage(MainActivity.this.getString(C0122R.string.about_title)).setCancelable(true).setPositiveButton("OK", null);
            builder.create().show();
        }

        private String getappVersion() {
            try {
                return MainActivity.this.getPackageManager().getPackageInfo(MainActivity.this.getPackageName(), 0).versionName;
            } catch (Exception e) {
                return "1.0";
            }
        }
    }

    /* renamed from: com.cortez.MainActivity.8 */
    class C00578 implements View.OnClickListener {
        C00578() {
        }

        public void onClick(View arg0) {
            try {
                MainActivity.this.startActivity(new Intent("android.intent.action.VIEW", Uri.parse("bazaar://collection?slug=by_author&aid=" + "keyhan")));
            } catch (Exception e) {
                MainActivity.this.startActivity(new Intent("android.intent.action.VIEW", Uri.parse("http://cafebazaar.ir/developer/")));
            }
        }
    }

    /* renamed from: com.cortez.MainActivity.9 */
    class C00589 implements OnCheckedChangeListener {
        C00589() {
        }

        public void onCheckedChanged(CompoundButton arg0, boolean arg1) {
            PreferenceManager.getDefaultSharedPreferences(MainActivity.this).edit().putBoolean("DontShowMain", arg1).commit();
        }
    }

    public MainActivity() {
        this.game_name = "Moorhuhn2.7z";
        this.cheat_name = "SLPS_013.00.txt";
        this.game_uncompress_size = 2556624;
        this.game_compress_size = 1355159;
    }

    private void check_ae_init() {
        new C0060a(this).doi();
    }

    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(C0122R.layout.activity_main);
        check_ae_init();
        SharedPreferences prefs = PreferenceManager.getDefaultSharedPreferences(this);
        GifMovieView gif1 = (GifMovieView) findViewById(C0122R.id.gif1);
        gif1.setMovieResource(C0122R.drawable.setting);
        this.game_name_uncompress = this.game_name.replace(".7z", ".bin");
        Typeface tf = Typeface.createFromAsset(getAssets(), "bkoodak.ttf");
        ((TextView) findViewById(C0122R.id.textView1)).setTypeface(tf);
        ((TextView) findViewById(C0122R.id.textView2)).setTypeface(tf);
        ((TextView) findViewById(C0122R.id.textView3)).setTypeface(tf);
        ((TextView) findViewById(C0122R.id.textView4)).setTypeface(tf);
        if (!prefs.getBoolean("showStartUp", true)) {
            gif1.setVisibility(8);
        }
        SetImageViews();
        if (checkSDCard()) {
            String isoPath = new StringBuilder(String.valueOf(Environment.getExternalStorageDirectory().toString())).append("/epsxe/isos").toString();
            String biosPref = new StringBuilder(String.valueOf(Environment.getExternalStorageDirectory().toString())).append("/epsxe/bios/bios.bin").toString();
            File f1 = new File(isoPath);
            if (!f1.exists()) {
                f1.mkdirs();
            }
            File f2 = new File(new StringBuilder(String.valueOf(Environment.getExternalStorageDirectory().toString())).append("/epsxe/bios").toString());
            if (!f2.exists()) {
                f2.mkdirs();
            }
            File f3 = new File(biosPref);
            if (!f3.exists()) {
                copy_from_asset(f3, "bios.bin");
            } else if (f3.length() != 524288) {
                copy_from_asset(f3, "bios.bin");
            }
            String cheatPath = new StringBuilder(String.valueOf(Environment.getExternalStorageDirectory().toString())).append("/epsxe/cheats").toString();
            File f0 = new File(cheatPath);
            if (!f0.exists()) {
                f0.mkdirs();
            }
            File f01 = new File(new StringBuilder(String.valueOf(cheatPath)).append("/").append(this.cheat_name).toString());
            if (!f01.exists()) {
                copy_from_asset(f01, this.cheat_name);
            }
            prefs.edit().putString("isoPath", isoPath).commit();
            prefs.edit().putString("biosPref", biosPref).commit();
            File f4 = new File(new StringBuilder(String.valueOf(isoPath)).append("/").append(this.game_name_uncompress).toString());
            if (f4.exists()) {
                if (f4.length() != this.game_uncompress_size) {
                    f4.delete();
                    this.mProgressDialog = new ProgressDialog(this);
                    this.mProgressDialog.setIcon(17301659);
                    this.mProgressDialog.setTitle(getString(C0122R.string.progress_title));
                    this.mProgressDialog.setMessage(getString(C0122R.string.progress_message));
                    this.mProgressDialog.setProgressStyle(0);
                    this.mProgressDialog.setCancelable(false);
                    this.mProgressDialog.show();
                    new Thread(new C00512(isoPath)).start();
                }
            } else {
                this.mProgressDialog = new ProgressDialog(this);
                this.mProgressDialog.setIcon(17301659);
                this.mProgressDialog.setTitle(getString(C0122R.string.progress_title));
                this.mProgressDialog.setMessage(getString(C0122R.string.progress_message));
                this.mProgressDialog.setProgressStyle(0);
                this.mProgressDialog.setCancelable(false);
                this.mProgressDialog.show();
                new Thread(new C00501(isoPath)).start();
            }
            if (prefs.getBoolean("DontShowMain", false)) {
                PlayGame();
                finish();
                return;
            }
            int RunCount = prefs.getInt("RunCount", 0) + 1;
            if (RunCount != 100) {
                prefs.edit().putInt("RunCount", RunCount).commit();
            }
            if (RunCount > 2) {
                if (prefs.getBoolean("showStartUp", true)) {
                    showStartUpDialog();
                }
            }
        }
    }

    private void showStartUpDialog() {
    }

    private boolean checkSDCard() {
        if (Environment.getExternalStorageState().equals("mounted")) {
            StatFs stat = new StatFs(Environment.getExternalStorageDirectory().getAbsolutePath());
            if (((long) stat.getAvailableBlocks()) * ((long) stat.getBlockSize()) >= (this.game_uncompress_size + this.game_compress_size) + 100) {
                return true;
            }
            Builder builder = new Builder(this);
            builder.setCancelable(true).setTitle("\u062e\u0637\u0627...").setMessage(getString(C0122R.string.msg_sdcard2)).setPositiveButton("OK", new C00534());
            builder.create().show();
            return false;
        }
        builder = new Builder(this);
        builder.setCancelable(true).setTitle("\u062e\u0637\u0627...").setMessage(getString(C0122R.string.msg_sdcard)).setPositiveButton("OK", new C00523());
        builder.create().show();
        return false;
    }

    private void copy_from_asset(File f3, String file_name) {
        try {
            OutputStream out = new FileOutputStream(f3);
            InputStream in = getAssets().open(file_name);
            byte[] buffer = new byte[1024];
            while (true) {
                int read = in.read(buffer);
                if (read == -1) {
                    break;
                }
                out.write(buffer, 0, read);
            }
            if (in != null) {
                in.close();
            }
            if (out != null) {
                out.close();
            }
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    public void OnNewGameClick(View v) {
        PlayGame();
    }

    public void OnExitClick(View v) {
        System.exit(0);
    }

    public void OnSettingClick(View v) {
        Intent localIntent = new Intent();
        localIntent.setComponent(new ComponentName(getPackageName(), "com.epsxe.ePSXe.ePSXePreferences"));
        localIntent.setAction("android.intent.action.VIEW");
        localIntent.putExtra("com.epsxe.ePSXe.gui", "0");
        localIntent.setFlags(268435456);
        startActivity(localIntent);
    }

    private void SetImageViews() {
        ((ImageView) findViewById(C0122R.id.ImageView1)).setOnClickListener(new C00545());
        ((ImageView) findViewById(C0122R.id.ImageView2)).setOnClickListener(new C00556());
        ((ImageView) findViewById(C0122R.id.ImageView3)).setOnClickListener(new C00567());
        ((ImageView) findViewById(C0122R.id.ImageView4)).setOnClickListener(new C00578());
        ((CheckBox) findViewById(C0122R.id.CheckBox1)).setOnCheckedChangeListener(new C00589());
    }

    public void onGifClick(View v) {
        RateApp();
    }

    private void RateApp() {
        String pName = getPackageName();
        try {
            startActivity(new Intent("android.intent.action.EDIT", Uri.parse("bazaar://details?id=" + pName)));
        } catch (Exception e) {
            startActivity(new Intent("android.intent.action.VIEW", Uri.parse("http://cafebazaar.ir/app/" + pName + "/?l=fa")));
        }
        PreferenceManager.getDefaultSharedPreferences(this).edit().putBoolean("showStartUp", false).commit();
        ((GifMovieView) findViewById(C0122R.id.gif1)).setVisibility(8);
    }

    private void PlayGame() {
        String game_path = new StringBuilder(String.valueOf(Environment.getExternalStorageDirectory().toString())).append("/epsxe/isos/").append(this.game_name_uncompress).toString();
        Intent localIntent = new Intent();
        localIntent.setComponent(new ComponentName(getPackageName(), "com.epsxe.ePSXe.ePSXe"));
        localIntent.putExtra("com.epsxe.ePSXe.isoName", game_path);
        localIntent.putExtra("com.epsxe.ePSXe.gui", "0");
        localIntent.setAction("android.intent.action.VIEW");
        localIntent.setData(Uri.parse(game_path));
        localIntent.setFlags(268435456);
        startActivity(localIntent);
    }
}
