package com.epsxe.ePSXe;

import android.app.AlertDialog;
import android.app.AlertDialog.Builder;
import android.app.ListActivity;
import android.bluetooth.BluetoothAdapter;
import android.bluetooth.BluetoothDevice;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.content.SharedPreferences.Editor;
import android.os.Build;
import android.os.Build.VERSION;
import android.os.Bundle;
import android.preference.PreferenceManager;
import android.util.Log;
import android.view.InputDevice;
import android.view.KeyEvent;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.ArrayAdapter;
import android.widget.ListView;
import android.widget.TextView;
import android.widget.Toast;
import com.bda.controller.Controller;
import com.keyhan.moorhuhn2.C0122R;
import java.util.ArrayList;
import java.util.List;
import java.util.Set;

public class GamepadList extends ListActivity {
    private ListView gListView;
    private GamepadArrayAdapter gamepadadapter;
    private AlertDialog lAlert;
    private Controller mController;
    BroadcastReceiver mReceiver;
    private ePSXeReadPreferences mePSXeReadPreferences;
    protected int player;

    /* renamed from: com.epsxe.ePSXe.GamepadList.1 */
    class C00711 implements OnItemClickListener {
        final /* synthetic */ Editor val$editor;
        final /* synthetic */ GamepadDetection val$gpd;
        final /* synthetic */ String val$label;
        final /* synthetic */ String val$name;
        final /* synthetic */ int val$p;

        C00711(GamepadDetection gamepadDetection, Editor editor, String str, String str2, int i) {
            this.val$gpd = gamepadDetection;
            this.val$editor = editor;
            this.val$name = str;
            this.val$label = str2;
            this.val$p = i;
        }

        public void onItemClick(AdapterView<?> adapterView, View view, int i, long j) {
            if (i == 0) {
                GamepadList.this.lAlert.dismiss();
            } else {
                GamepadList.this.lAlert.dismiss();
                this.val$gpd.saveGamepadPref(this.val$editor, this.val$name, this.val$label, this.val$p, 0, i);
            }
            this.val$editor.commit();
            GamepadList.this.startActivity(new Intent(GamepadList.this, ePSXePreferences.class));
            GamepadList.this.finish();
        }
    }

    /* renamed from: com.epsxe.ePSXe.GamepadList.2 */
    class C00722 extends BroadcastReceiver {
        C00722() {
        }

        public void onReceive(Context context, Intent intent) {
            if ("android.bluetooth.device.action.FOUND".equals(intent.getAction())) {
                BluetoothDevice bluetoothDevice = (BluetoothDevice) intent.getParcelableExtra("android.bluetooth.device.extra.DEVICE");
                String name = bluetoothDevice.getName();
                String address = bluetoothDevice.getAddress();
                if (name == null) {
                    name = "bluez";
                }
                Log.e("onreceive", "--> " + name + " " + address);
                GamepadList.this.gamepadadapter.add(new OptionGamepad(name, "###bluez###" + address + "###", -1, -1));
            }
        }
    }

    public class GamepadArrayAdapter extends ArrayAdapter<OptionGamepad> {
        private Context f627c;
        private int id;
        private List<OptionGamepad> items;

        public GamepadArrayAdapter(Context context, int i, List<OptionGamepad> list) {
            super(context, i, list);
            this.f627c = context;
            this.id = i;
            this.items = list;
        }

        public OptionGamepad getItem(int i) {
            return (OptionGamepad) this.items.get(i);
        }

        public View getView(int i, View view, ViewGroup viewGroup) {
            if (view == null) {
                view = ((LayoutInflater) this.f627c.getSystemService("layout_inflater")).inflate(this.id, null);
            }
            OptionGamepad optionGamepad = (OptionGamepad) this.items.get(i);
            if (optionGamepad != null) {
                TextView textView = (TextView) view.findViewById(C0122R.id.TextView01);
                TextView textView2 = (TextView) view.findViewById(C0122R.id.TextView02);
                if (textView != null) {
                    int vendorId = optionGamepad.getVendorId();
                    int productId = optionGamepad.getProductId();
                    if (vendorId == -1 && productId == -1) {
                        textView.setText(optionGamepad.getName());
                    } else {
                        textView.setText("(" + vendorId + ":" + productId + ")" + optionGamepad.getName());
                    }
                }
                if (textView2 != null) {
                    if (optionGamepad.getValue().equals("###moganative###ID###")) {
                        textView2.setText("Moga Native Driver");
                    } else {
                        textView2.setText(optionGamepad.getValue());
                    }
                }
            }
            return view;
        }
    }

    private class OptionGamepad implements Comparable<OptionGamepad> {
        private String name;
        private int productId;
        private String value;
        private int vendorId;

        public OptionGamepad(String str, String str2, int i, int i2) {
            this.name = str;
            this.value = str2;
            this.vendorId = i;
            this.productId = i2;
        }

        public int compareTo(OptionGamepad optionGamepad) {
            if (this.name != null) {
                return this.name.toLowerCase().compareTo(optionGamepad.getName().toLowerCase());
            }
            throw new IllegalArgumentException();
        }

        public String getName() {
            return this.name;
        }

        public int getProductId() {
            return this.productId;
        }

        public String getValue() {
            return this.value;
        }

        public int getVendorId() {
            return this.vendorId;
        }
    }

    public GamepadList() {
        this.mController = null;
        this.player = 0;
        this.mReceiver = null;
    }

    private void alertdialog_automapgamepadext(Editor editor, String str, String str2, int i, Context context, GamepadDetection gamepadDetection) {
        this.gListView = new ListView(context);
        this.gListView.setAdapter(new ArrayAdapter(context, 17367043, gamepadDetection.getGamepadListExt()));
        this.gListView.setOnItemClickListener(new C00711(gamepadDetection, editor, str, str2, i));
        Builder builder = new Builder(context);
        builder.setTitle(C0122R.string.main_gamepadtypetitle);
        builder.setView(this.gListView);
        builder.setCancelable(false);
        this.lAlert = builder.create();
        this.lAlert.show();
    }

    private void fillGamepadList(int i) {
        int i2;
        BluetoothAdapter defaultAdapter;
        setTitle(getString(C0122R.string.gamepad_configplayer1) + (i + 1) + getString(C0122R.string.gamepad_configplayer2));
        List arrayList = new ArrayList();
        if (this.mePSXeReadPreferences == null) {
            this.mePSXeReadPreferences = new ePSXeReadPreferences(this);
        }
        if (i < 2) {
            arrayList.add(new OptionGamepad(getString(C0122R.string.gamepad_virtual), "virtual", -1, -1));
        }
        arrayList.add(new OptionGamepad("None", "none", -1, -1));
        if (i == 0 && (Build.DEVICE.toLowerCase().contains("zeus") || Build.DEVICE.toLowerCase().contains("r800") || Build.DEVICE.toLowerCase().contains("z1i") || Build.DEVICE.toLowerCase().contains("so-01d") || Build.DEVICE.toLowerCase().contains("s0-01d"))) {
            arrayList.add(new OptionGamepad("xperiaplay", "###xperiaplay###1###", -1, -1));
        }
        int parseInt = Integer.parseInt(VERSION.SDK);
        if (parseInt >= 12) {
            int[] deviceIds = InputDevice.getDeviceIds();
            int i3 = 0;
            i2 = -1;
            int i4 = -1;
            while (i3 < deviceIds.length) {
                int i5;
                InputDevice device = InputDevice.getDevice(deviceIds[i3]);
                if (device != null) {
                    int vendorId;
                    int productId;
                    int sources = device.getSources();
                    if (parseInt >= 19) {
                        vendorId = device.getVendorId();
                        productId = device.getProductId();
                    } else {
                        vendorId = i2;
                        productId = i4;
                    }
                    if ((16777232 & sources) == 16777232 || (sources & 1025) == 1025) {
                        String substring;
                        String inputDevice = device.toString();
                        i4 = inputDevice.indexOf("Descriptor:");
                        if (i4 != -1) {
                            substring = inputDevice.substring(i4 + 12, inputDevice.indexOf(10, i4 + 12));
                            Log.i("Gamepad", "[" + substring + "]");
                        } else {
                            substring = "###" + device.getName() + "###" + deviceIds[i3] + "###";
                        }
                        arrayList.add(new OptionGamepad(device.getName(), substring, vendorId, productId));
                    }
                    i4 = vendorId;
                    i5 = productId;
                } else {
                    i5 = i4;
                    i4 = i2;
                }
                i3++;
                i2 = i4;
                i4 = i5;
            }
        }
        if (this.mePSXeReadPreferences.getInputBluez() == 1) {
            defaultAdapter = BluetoothAdapter.getDefaultAdapter();
            if (defaultAdapter != null) {
                Set<BluetoothDevice> bondedDevices = defaultAdapter.getBondedDevices();
                Log.e("GamepadList", "paired: " + bondedDevices.size());
                if (bondedDevices.size() > 0) {
                    for (BluetoothDevice bluetoothDevice : bondedDevices) {
                        String name = bluetoothDevice.getName();
                        String address = bluetoothDevice.getAddress();
                        if (name == null) {
                            name = "bluez";
                        }
                        if (!(bluetoothDevice == null || bluetoothDevice.getBluetoothClass() == null || address == null)) {
                            Log.e("GamepadList", "name: " + name + " address " + address + "class " + bluetoothDevice.getBluetoothClass().getMajorDeviceClass());
                            if (bluetoothDevice.getBluetoothClass().getMajorDeviceClass() == 1280) {
                                arrayList.add(new OptionGamepad(name, "###bluez###" + address + "###", -1, -1));
                            }
                        }
                    }
                }
            }
        } else {
            defaultAdapter = null;
        }
        this.mController = Controller.getInstance(this);
        if (this.mController != null) {
            Log.e("GamepadList", "starting moga");
            this.mController.init();
            i2 = this.mController.getState(1);
            this.mController.getState(4);
            Log.e("GamepadList", "starting moga state " + i2);
            switch (this.mController.getState(4)) {
                case C0122R.styleable.GifMoviewView_gif /*0*/:
                    arrayList.add(new OptionGamepad("Moga", "###moganative###ID###", -1, -1));
                    break;
                case C0122R.styleable.GifMoviewView_paused /*1*/:
                    arrayList.add(new OptionGamepad("Moga Pro", "###moganative###ID###", -1, -1));
                    break;
            }
        }
        this.gamepadadapter = new GamepadArrayAdapter(this, C0122R.layout.file_viewos, arrayList);
        setListAdapter(this.gamepadadapter);
        if (defaultAdapter != null && defaultAdapter.isEnabled()) {
            Toast.makeText(this, C0122R.string.gamepad_scan, 1).show();
            defaultAdapter.startDiscovery();
            this.mReceiver = new C00722();
            registerReceiver(this.mReceiver, new IntentFilter("android.bluetooth.device.action.FOUND"));
        }
    }

    public void drawGamepadList(int i) {
        Log.e("drawGamepadList: ", " " + i);
        fillGamepadList(i);
        setContentView(C0122R.layout.list_view);
    }

    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        getWindow().setFlags(4, 4);
        this.player = getIntent().getIntExtra("com.epsxe.ePSXe.player", 0);
        Log.e("epsxe", "parameter player" + this.player);
        drawGamepadList(this.player);
    }

    protected void onDestroy() {
        if (this.mController != null) {
            this.mController.exit();
        }
        super.onDestroy();
        if (this.mReceiver != null) {
            unregisterReceiver(this.mReceiver);
        }
    }

    public boolean onKeyDown(int i, KeyEvent keyEvent) {
        if (i == 4 && keyEvent.getRepeatCount() == 0) {
            startActivity(new Intent(this, ePSXePreferences.class));
            finish();
        }
        return super.onKeyDown(i, keyEvent);
    }

    protected void onListItemClick(ListView listView, View view, int i, long j) {
        super.onListItemClick(listView, view, i, j);
        int i2 = this.player + 1;
        OptionGamepad item = this.gamepadadapter.getItem(i);
        String name = item.getName();
        String value = item.getValue();
        Log.e("GamepadList", "name: " + name);
        Log.e("GamepadList", "value: " + value);
        Log.e("GamepadList", "which: " + i);
        Editor edit = PreferenceManager.getDefaultSharedPreferences(view.getContext()).edit();
        edit.putString("analog" + i2 + "padidPref", value);
        edit.putString("analog" + i2 + "paddescPref", name);
        GamepadDetection gamepadDetection = new GamepadDetection();
        int MatchGamepad = gamepadDetection.MatchGamepad(name, item.getVendorId(), item.getProductId());
        Log.e("ZZZ", "--> " + name + " vid " + item.getVendorId() + " pid " + item.getProductId() + " pad " + MatchGamepad);
        if (MatchGamepad == 0) {
            alertdialog_automapgamepadext(edit, name, value, i2, view.getContext(), gamepadDetection);
            return;
        }
        if (MatchGamepad > 0) {
            gamepadDetection.saveGamepadPref(edit, name, value, i2, MatchGamepad, -1);
        }
        edit.commit();
        startActivity(new Intent(this, ePSXePreferences.class));
        finish();
    }
}
