package com.epsxe.ePSXe;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.content.SharedPreferences.Editor;
import android.os.Build.VERSION;
import android.os.Bundle;
import android.preference.PreferenceManager;
import android.util.Log;
import android.view.InputDevice;
import android.view.KeyEvent;
import android.view.MotionEvent;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.ViewGroup.LayoutParams;
import android.widget.Button;
import android.widget.LinearLayout;
import com.keyhan.moorhuhn2.C0122R;

public class InputMapping extends Activity {
    protected String buttonName;
    private Context mContext;
    protected int mode;
    private int osVersion;
    protected int player;

    /* renamed from: com.epsxe.ePSXe.InputMapping.1 */
    class C00741 extends Button {

        /* renamed from: com.epsxe.ePSXe.InputMapping.1.1 */
        class C00731 implements OnClickListener {
            C00731() {
            }

            public void onClick(View view) {
                InputMapping.this.setResult(0, new Intent());
                InputMapping.this.finish();
            }
        }

        C00741(Context context) {
            super(context);
            setText(C0122R.string.inputmap_cancel);
            setOnClickListener(new C00731());
        }
    }

    /* renamed from: com.epsxe.ePSXe.InputMapping.2 */
    class C00762 extends Button {

        /* renamed from: com.epsxe.ePSXe.InputMapping.2.1 */
        class C00751 implements OnClickListener {
            C00751() {
            }

            public void onClick(View view) {
                Editor edit = PreferenceManager.getDefaultSharedPreferences(view.getContext()).edit();
                edit.putInt(InputMapping.this.buttonName, -1);
                edit.commit();
                InputMapping.this.setResult(-1, new Intent());
                InputMapping.this.finish();
            }
        }

        C00762(Context context) {
            super(context);
            setText(C0122R.string.inputmap_unmap);
            setOnClickListener(new C00751());
        }
    }

    /* renamed from: com.epsxe.ePSXe.InputMapping.3 */
    class C00773 extends View {
        C00773(Context context) {
            super(context);
            setLayoutParams(new LayoutParams(-2, -2));
            setFocusable(true);
            setFocusableInTouchMode(true);
            requestFocus();
        }

        public boolean onKeyDown(int i, KeyEvent keyEvent) {
            int sources;
            Log.e("epsxe", "keycode " + i);
            int i2 = (keyEvent.isAltPressed() ? 65536 : 0) | i;
            if (InputMapping.this.osVersion >= 12) {
                InputDevice device = keyEvent.getDevice();
                if (device != null) {
                    sources = device.getSources();
                    if (i2 == 0 && keyEvent.getScanCode() != 0) {
                        i2 = keyEvent.getScanCode();
                    }
                    if ((i2 != 4 || i2 == 82) && (r2 & 16778513) != 16778513) {
                        return false;
                    }
                    Editor edit = PreferenceManager.getDefaultSharedPreferences(getContext()).edit();
                    edit.putInt(InputMapping.this.buttonName, i2);
                    if (InputMapping.this.buttonName.contains("L2")) {
                        edit.putString("analog" + InputMapping.this.player + "l2PrefbuttonName", "48");
                    } else if (InputMapping.this.buttonName.contains("R2")) {
                        edit.putString("analog" + InputMapping.this.player + "r2PrefbuttonName", "48");
                    }
                    edit.commit();
                    InputMapping.this.setResult(-1, new Intent());
                    InputMapping.this.finish();
                    return true;
                }
            }
            sources = 0;
            i2 = keyEvent.getScanCode();
            if (i2 != 4) {
            }
            return false;
        }
    }

    /* renamed from: com.epsxe.ePSXe.InputMapping.4 */
    class C00784 extends LinearLayout {
        final /* synthetic */ Button val$cancelButton;
        final /* synthetic */ View val$primaryView;
        final /* synthetic */ Button val$unmapButton;

        C00784(Context context, Button button, Button button2, View view) {
            this.val$cancelButton = button;
            this.val$unmapButton = button2;
            this.val$primaryView = view;
            super(context);
            setOrientation(1);
            addView(this.val$cancelButton);
            addView(this.val$unmapButton);
            addView(this.val$primaryView);
        }
    }

    public InputMapping() {
        this.player = 1;
        this.mode = 1;
    }

    private String getDescriptor(String str, String str2, int i) {
        int indexOf = str.indexOf("Descriptor:");
        if (indexOf == -1) {
            return "###" + str2 + "###" + i + "###";
        }
        String substring = str.substring(indexOf + 12, str.indexOf(10, indexOf + 12));
        Log.i("Gamepad", "[" + substring + "]");
        return substring;
    }

    private void saveTrigger(InputDevice inputDevice, int i, int i2) {
        String name = inputDevice.getName();
        String descriptor = getDescriptor(inputDevice.toString(), name, i2);
        Editor edit = PreferenceManager.getDefaultSharedPreferences(this.mContext).edit();
        edit.putInt(this.buttonName, i + InputList.KEYCODE_AXIS_X);
        if (this.buttonName.contains("L2")) {
            edit.putString("analog" + this.player + "l2Pref", "" + i);
        } else if (this.buttonName.contains("R2")) {
            edit.putString("analog" + this.player + "r2Pref", "" + i);
        }
        edit.putString("analog" + this.player + "padidPref", descriptor);
        edit.putString("analog" + this.player + "paddescPref", name);
        edit.commit();
        setResult(-1, new Intent());
        finish();
    }

    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        this.osVersion = Integer.parseInt(VERSION.SDK);
        this.buttonName = getIntent().getStringExtra("com.epsxe.ePSXe.button");
        if (this.buttonName.substring(0, 1).equals("P")) {
            this.player = Integer.parseInt(this.buttonName.substring(1, 2));
            this.mode = 0;
        }
        this.mContext = this;
        Log.e("epsxe", "--->buttonName " + this.buttonName + " player " + this.player);
        setTitle(getString(C0122R.string.inputmap_map) + " " + this.buttonName);
        setContentView(new C00784(this, new C00741(this), new C00762(this), new C00773(this)), new LayoutParams(-2, -2));
    }

    public boolean onGenericMotionEvent(MotionEvent motionEvent) {
        InputDevice device = motionEvent.getDevice();
        if (device == null) {
            return false;
        }
        int id = device.getId();
        if (this.buttonName == null || this.mode == 1) {
            return false;
        }
        if (!this.buttonName.contains("L2") && !this.buttonName.contains("R2")) {
            return false;
        }
        int[] iArr = new int[]{11, 14, 17, 18, 22, 23};
        for (int i : iArr) {
            if (((int) (128.0f * motionEvent.getAxisValue(i))) > 40) {
                saveTrigger(device, i, id);
                return true;
            }
        }
        return false;
    }
}
