package com.epsxe.ePSXe;

import android.app.Activity;
import android.app.AlertDialog;
import android.app.AlertDialog.Builder;
import android.content.Context;
import android.content.DialogInterface;
import android.content.DialogInterface.OnClickListener;
import android.content.Intent;
import android.content.SharedPreferences.Editor;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.BitmapFactory.Options;
import android.graphics.Matrix;
import android.opengl.GLSurfaceView;
import android.opengl.GLSurfaceView.Renderer;
import android.opengl.GLUtils;
import android.os.Build.VERSION;
import android.os.Bundle;
import android.preference.PreferenceManager;
import android.util.Log;
import android.view.KeyEvent;
import android.view.MotionEvent;
import com.google.android.vending.licensing.Policy;
import com.keyhan.moorhuhn2.C0122R;
import java.lang.reflect.Array;
import java.nio.ByteBuffer;
import java.nio.ByteOrder;
import java.nio.FloatBuffer;
import java.nio.ShortBuffer;
import javax.microedition.khronos.egl.EGLConfig;
import javax.microedition.khronos.opengles.GL10;

public class ePSXePadEditor extends Activity {
    private ePSXePadEditorGL mePSXePadEditorGL;
    private ePSXeReadPreferences mePSXeReadPreferences;

    /* renamed from: com.epsxe.ePSXe.ePSXePadEditor.1 */
    class C01021 implements OnClickListener {
        C01021() {
        }

        public void onClick(DialogInterface dialogInterface, int i) {
        }
    }

    /* renamed from: com.epsxe.ePSXe.ePSXePadEditor.2 */
    class C01032 implements OnClickListener {
        C01032() {
        }

        public void onClick(DialogInterface dialogInterface, int i) {
            ePSXePadEditor.this.startActivity(new Intent(ePSXePadEditor.this, ePSXePreferences.class));
            ePSXePadEditor.this.finish();
        }
    }

    /* renamed from: com.epsxe.ePSXe.ePSXePadEditor.3 */
    class C01043 implements OnClickListener {
        C01043() {
        }

        public void onClick(DialogInterface dialogInterface, int i) {
            ePSXePadEditor.this.mePSXePadEditorGL.savePreferences();
            ePSXePadEditor.this.startActivity(new Intent(ePSXePadEditor.this, ePSXePreferences.class));
            ePSXePadEditor.this.finish();
        }
    }

    class ePSXePadEditorGL extends GLSurfaceView {
        private static final int BUTTON_DOWN = 1;
        private static final int INPUT_HWBUTTONS = 1;
        private static final int INPUT_TOUCHSCREEN = 0;
        private static final int NO_BUTTON_DOWN = 0;
        int initvirtualPad;
        private Context mContext;
        private int mHeight;
        private int mWidth;
        ePSXeReadPreferences mePSXeReadPreferences;
        int mode;
        int mxi;
        int myi;
        private int nButtons;
        float[][] padOffScreenLan;
        private float padResize;
        int[] padScreenExtra;
        float[][] padScreenResize;
        float[][] padScreenResizeInit;
        int padScreenSelected;
        int[][] padScreenStatus;
        int[][] padScreenStatusInit;
        float[][] padSizeScreenLan;
        int[] virtualPadId;
        int[][] virtualPadPos;

        /* renamed from: com.epsxe.ePSXe.ePSXePadEditor.ePSXePadEditorGL.1 */
        class C01051 implements OnClickListener {
            C01051() {
            }

            public void onClick(DialogInterface dialogInterface, int i) {
            }
        }

        /* renamed from: com.epsxe.ePSXe.ePSXePadEditor.ePSXePadEditorGL.2 */
        class C01062 implements OnClickListener {
            C01062() {
            }

            public void onClick(DialogInterface dialogInterface, int i) {
                ePSXePadEditorGL.this.resetPadValues();
            }
        }

        /* renamed from: com.epsxe.ePSXe.ePSXePadEditor.ePSXePadEditorGL.3 */
        class C01073 implements OnClickListener {
            C01073() {
            }

            public void onClick(DialogInterface dialogInterface, int i) {
            }
        }

        /* renamed from: com.epsxe.ePSXe.ePSXePadEditor.ePSXePadEditorGL.4 */
        class C01084 implements OnClickListener {
            C01084() {
            }

            public void onClick(DialogInterface dialogInterface, int i) {
                ePSXePadEditor.this.startActivity(new Intent(ePSXePadEditor.this, ePSXePreferences.class));
                ePSXePadEditor.this.finish();
            }
        }

        /* renamed from: com.epsxe.ePSXe.ePSXePadEditor.ePSXePadEditorGL.5 */
        class C01095 implements OnClickListener {
            C01095() {
            }

            public void onClick(DialogInterface dialogInterface, int i) {
                ePSXePadEditor.this.mePSXePadEditorGL.savePreferences();
                ePSXePadEditor.this.startActivity(new Intent(ePSXePadEditor.this, ePSXePreferences.class));
                ePSXePadEditor.this.finish();
            }
        }

        /* renamed from: com.epsxe.ePSXe.ePSXePadEditor.ePSXePadEditorGL.6 */
        class C01106 implements OnClickListener {
            C01106() {
            }

            public void onClick(DialogInterface dialogInterface, int i) {
            }
        }

        /* renamed from: com.epsxe.ePSXe.ePSXePadEditor.ePSXePadEditorGL.7 */
        class C01117 implements OnClickListener {
            C01117() {
            }

            public void onClick(DialogInterface dialogInterface, int i) {
                ePSXePadEditorGL.this.swapMode();
            }
        }

        private class ePSXePadEditorRenderer implements Renderer {
            SpriteBatch[] batchLan;
            private GLText glText;
            int[] hTexLan;
            int hTextmp;
            private FloatBuffer mFVertexBuffer;
            private ShortBuffer mIndexBuffer;
            private FloatBuffer mTexBuffer;
            int mTexExtra;
            int mTexLan;
            int mTexTools;
            protected ShortBuffer shortBuffer;
            TextureRegion[] textureRgnLan;
            int[] wTexLan;
            int wTextmp;

            private ePSXePadEditorRenderer() {
                this.mTexTools = -1;
                this.mTexLan = -1;
                this.mTexExtra = -1;
                this.batchLan = new SpriteBatch[ePSXePadEditorGL.this.nButtons];
                this.textureRgnLan = new TextureRegion[ePSXePadEditorGL.this.nButtons];
                this.hTexLan = new int[ePSXePadEditorGL.this.nButtons];
                this.wTexLan = new int[ePSXePadEditorGL.this.nButtons];
                this.shortBuffer = null;
            }

            private int loadTexture(GL10 gl10, Context context, int i) {
                int newTextureID = newTextureID(gl10);
                Matrix matrix = new Matrix();
                matrix.setTranslate(1.0f, -1.0f);
                matrix.postScale(1.0f, 1.0f);
                Options options = new Options();
                options.inScaled = false;
                Bitmap decodeResource = BitmapFactory.decodeResource(context.getResources(), i, options);
                Bitmap createBitmap = Bitmap.createBitmap(decodeResource, 0, 0, decodeResource.getWidth(), decodeResource.getHeight(), matrix, true);
                decodeResource.recycle();
                gl10.glBindTexture(3553, newTextureID);
                gl10.glTexParameterf(3553, 10241, 9729.0f);
                gl10.glTexParameterf(3553, 10240, 9729.0f);
                gl10.glTexParameterf(3553, 10242, 10497.0f);
                gl10.glTexParameterf(3553, 10243, 10497.0f);
                this.wTextmp = createBitmap.getWidth();
                this.hTextmp = createBitmap.getHeight();
                GLUtils.texImage2D(3553, 0, createBitmap, 0);
                gl10.glBindTexture(3553, 0);
                return newTextureID;
            }

            private int newTextureID(GL10 gl10) {
                int[] iArr = new int[ePSXePadEditorGL.INPUT_HWBUTTONS];
                gl10.glGenTextures(ePSXePadEditorGL.INPUT_HWBUTTONS, iArr, 0);
                return iArr[0];
            }

            public void drawBackground(GL10 gl10) {
                float access$300 = (float) ((ePSXePadEditorGL.this.mWidth - ((ePSXePadEditorGL.this.mHeight * 4) / 3)) / 2);
                float access$400 = (float) ((ePSXePadEditorGL.this.mHeight * 4) / 3);
                ByteBuffer allocateDirect = ByteBuffer.allocateDirect(48);
                allocateDirect.order(ByteOrder.nativeOrder());
                this.mFVertexBuffer = allocateDirect.asFloatBuffer();
                allocateDirect = ByteBuffer.allocateDirect(8);
                allocateDirect.order(ByteOrder.nativeOrder());
                this.mIndexBuffer = allocateDirect.asShortBuffer();
                float[] fArr = new float[]{access$400 + access$300, 1.0f, 0.0f, access$400 + access$300, (float) ((int) (((float) ePSXePadEditorGL.this.mHeight) - 1.0f)), 0.0f, access$300, 1.0f, 0.0f, access$300, (float) ((int) (((float) ePSXePadEditorGL.this.mHeight) - 1.0f)), 0.0f};
                for (int i = 0; i < 4; i += ePSXePadEditorGL.INPUT_HWBUTTONS) {
                    int i2;
                    for (i2 = 0; i2 < 3; i2 += ePSXePadEditorGL.INPUT_HWBUTTONS) {
                        this.mFVertexBuffer.put(fArr[(i * 3) + i2]);
                    }
                }
                for (i2 = 0; i2 < 4; i2 += ePSXePadEditorGL.INPUT_HWBUTTONS) {
                    this.mIndexBuffer.put((short) i2);
                }
                this.mFVertexBuffer.position(0);
                this.mIndexBuffer.position(0);
                gl10.glDisable(3553);
                gl10.glEnableClientState(32884);
                gl10.glVertexPointer(3, 5126, 0, this.mFVertexBuffer);
                gl10.glDrawElements(2, 4, 5123, this.mIndexBuffer);
                this.mIndexBuffer.put((short) 2);
                this.mIndexBuffer.put((short) 0);
                this.mIndexBuffer.put((short) 1);
                this.mIndexBuffer.put((short) 3);
                this.mIndexBuffer.position(0);
                gl10.glDrawElements(2, 4, 5123, this.mIndexBuffer);
                gl10.glDisableClientState(32884);
                gl10.glEnable(3553);
            }

            public void drawDisabled(GL10 gl10, int i) {
                gl10.glColor4f(1.0f, 0.0f, 0.0f, 1.0f);
                ByteBuffer allocateDirect = ByteBuffer.allocateDirect(48);
                allocateDirect.order(ByteOrder.nativeOrder());
                this.mFVertexBuffer = allocateDirect.asFloatBuffer();
                allocateDirect = ByteBuffer.allocateDirect(8);
                allocateDirect.order(ByteOrder.nativeOrder());
                this.mIndexBuffer = allocateDirect.asShortBuffer();
                float f = ePSXePadEditorGL.this.padOffScreenLan[ePSXePadEditorGL.this.mode][(i * 2) + 0] - ((ePSXePadEditorGL.this.padSizeScreenLan[ePSXePadEditorGL.this.mode][(i * 2) + 0] * ePSXePadEditorGL.this.padScreenResize[ePSXePadEditorGL.this.mode][i]) / 2.0f);
                float f2 = ePSXePadEditorGL.this.padOffScreenLan[ePSXePadEditorGL.this.mode][(i * 2) + ePSXePadEditorGL.INPUT_HWBUTTONS] - ((ePSXePadEditorGL.this.padSizeScreenLan[ePSXePadEditorGL.this.mode][(i * 2) + ePSXePadEditorGL.INPUT_HWBUTTONS] * ePSXePadEditorGL.this.padScreenResize[ePSXePadEditorGL.this.mode][i]) / 2.0f);
                float f3 = ePSXePadEditorGL.this.padSizeScreenLan[ePSXePadEditorGL.this.mode][(i * 2) + 0] * ePSXePadEditorGL.this.padScreenResize[ePSXePadEditorGL.this.mode][i];
                float f4 = ePSXePadEditorGL.this.padSizeScreenLan[ePSXePadEditorGL.this.mode][(i * 2) + ePSXePadEditorGL.INPUT_HWBUTTONS] * ePSXePadEditorGL.this.padScreenResize[ePSXePadEditorGL.this.mode][i];
                float[] fArr = new float[]{(f + f3) - 1.0f, 1.0f + f2, 0.0f, (f3 + f) - 1.0f, (float) ((int) ((f2 + f4) - 1.0f)), 0.0f, 1.0f + f, 1.0f + f2, 0.0f, f + 1.0f, (float) ((int) ((f2 + f4) - 1.0f)), 0.0f};
                for (int i2 = 0; i2 < 4; i2 += ePSXePadEditorGL.INPUT_HWBUTTONS) {
                    int i3;
                    for (i3 = 0; i3 < 3; i3 += ePSXePadEditorGL.INPUT_HWBUTTONS) {
                        this.mFVertexBuffer.put(fArr[(i2 * 3) + i3]);
                    }
                }
                for (i3 = 0; i3 < 4; i3 += ePSXePadEditorGL.INPUT_HWBUTTONS) {
                    this.mIndexBuffer.put((short) i3);
                }
                this.mFVertexBuffer.position(0);
                this.mIndexBuffer.position(0);
                gl10.glDisable(3553);
                gl10.glEnableClientState(32884);
                gl10.glVertexPointer(3, 5126, 0, this.mFVertexBuffer);
                gl10.glDrawElements(2, 4, 5123, this.mIndexBuffer);
                this.mIndexBuffer.put((short) 2);
                this.mIndexBuffer.put((short) 0);
                this.mIndexBuffer.put((short) 1);
                this.mIndexBuffer.put((short) 3);
                this.mIndexBuffer.position(0);
                gl10.glDrawElements(2, 4, 5123, this.mIndexBuffer);
                gl10.glDisableClientState(32884);
                gl10.glEnable(3553);
                gl10.glColor4f(1.0f, 1.0f, 1.0f, 1.0f);
            }

            public void drawSelected(GL10 gl10, int i) {
                int i2;
                gl10.glColor4f(0.0f, 1.0f, 0.0f, 1.0f);
                ByteBuffer allocateDirect = ByteBuffer.allocateDirect(48);
                allocateDirect.order(ByteOrder.nativeOrder());
                this.mFVertexBuffer = allocateDirect.asFloatBuffer();
                allocateDirect = ByteBuffer.allocateDirect(8);
                allocateDirect.order(ByteOrder.nativeOrder());
                this.mIndexBuffer = allocateDirect.asShortBuffer();
                float f = ePSXePadEditorGL.this.padOffScreenLan[ePSXePadEditorGL.this.mode][(i * 2) + 0] - ((ePSXePadEditorGL.this.padSizeScreenLan[ePSXePadEditorGL.this.mode][(i * 2) + 0] * ePSXePadEditorGL.this.padScreenResize[ePSXePadEditorGL.this.mode][i]) / 2.0f);
                float f2 = ePSXePadEditorGL.this.padOffScreenLan[ePSXePadEditorGL.this.mode][(i * 2) + ePSXePadEditorGL.INPUT_HWBUTTONS] - ((ePSXePadEditorGL.this.padSizeScreenLan[ePSXePadEditorGL.this.mode][(i * 2) + ePSXePadEditorGL.INPUT_HWBUTTONS] * ePSXePadEditorGL.this.padScreenResize[ePSXePadEditorGL.this.mode][i]) / 2.0f);
                float f3 = ePSXePadEditorGL.this.padSizeScreenLan[ePSXePadEditorGL.this.mode][(i * 2) + 0] * ePSXePadEditorGL.this.padScreenResize[ePSXePadEditorGL.this.mode][i];
                float f4 = ePSXePadEditorGL.this.padSizeScreenLan[ePSXePadEditorGL.this.mode][(i * 2) + ePSXePadEditorGL.INPUT_HWBUTTONS] * ePSXePadEditorGL.this.padScreenResize[ePSXePadEditorGL.this.mode][i];
                float[] fArr = new float[]{1.0f + f, 1.0f + f2, 0.0f, (f + f3) - 1.0f, (float) ((int) (1.0f + f2)), 0.0f, (f3 + f) - 1.0f, (f2 + f4) - 1.0f, 0.0f, f + 1.0f, (float) ((int) ((f2 + f4) - 1.0f)), 0.0f};
                for (int i3 = 0; i3 < 4; i3 += ePSXePadEditorGL.INPUT_HWBUTTONS) {
                    for (i2 = 0; i2 < 3; i2 += ePSXePadEditorGL.INPUT_HWBUTTONS) {
                        this.mFVertexBuffer.put(fArr[(i3 * 3) + i2]);
                    }
                }
                for (i2 = 0; i2 < 4; i2 += ePSXePadEditorGL.INPUT_HWBUTTONS) {
                    this.mIndexBuffer.put((short) i2);
                }
                this.mFVertexBuffer.position(0);
                this.mIndexBuffer.position(0);
                gl10.glDisable(3553);
                gl10.glEnableClientState(32884);
                gl10.glVertexPointer(3, 5126, 0, this.mFVertexBuffer);
                gl10.glDrawElements(2, 4, 5123, this.mIndexBuffer);
                gl10.glDisableClientState(32884);
                gl10.glEnable(3553);
                gl10.glColor4f(1.0f, 1.0f, 1.0f, 1.0f);
            }

            public void drawTextMode(GL10 gl10, int i) {
                gl10.glEnable(3553);
                gl10.glEnable(3042);
                gl10.glBlendFunc(770, 771);
                this.glText.begin(1.0f, 1.0f, 1.0f, 1.0f);
                if (i == 0) {
                    this.glText.draw("Mode: Digital", (float) ((ePSXePadEditorGL.this.mWidth - ((ePSXePadEditorGL.this.mHeight * 4) / 3)) / 2), (float) (ePSXePadEditorGL.this.mHeight - 92));
                } else {
                    this.glText.draw("Mode: Analogic", (float) ((ePSXePadEditorGL.this.mWidth - ((ePSXePadEditorGL.this.mHeight * 4) / 3)) / 2), (float) (ePSXePadEditorGL.this.mHeight - 92));
                }
                this.glText.end();
                gl10.glDisable(3042);
                gl10.glDisable(3553);
            }

            public void loadExtraButtons() {
                if (ePSXePadEditorGL.this.mePSXeReadPreferences == null) {
                    ePSXePadEditorGL.this.mePSXeReadPreferences = new ePSXeReadPreferences(ePSXePadEditorGL.this.mContext);
                }
                for (int i = 0; i < 6; i += ePSXePadEditorGL.INPUT_HWBUTTONS) {
                    int padExtra = ePSXePadEditorGL.this.mePSXeReadPreferences.getPadExtra("inputExtrasPref" + (i + ePSXePadEditorGL.INPUT_HWBUTTONS));
                    if (padExtra != 19) {
                        ePSXePadEditorGL.this.padScreenExtra[i] = padExtra;
                    }
                }
            }

            public void onDrawFrame(GL10 gl10) {
                gl10.glClear(16384);
                drawBackground(gl10);
                drawTextMode(gl10, ePSXePadEditorGL.this.mode);
                gl10.glEnable(3553);
                gl10.glEnable(3042);
                gl10.glBlendFunc(770, 771);
                gl10.glColor4f(1.0f, 1.0f, 1.0f, 1.0f);
                for (int i = 0; i < ePSXePadEditorGL.this.nButtons; i += ePSXePadEditorGL.INPUT_HWBUTTONS) {
                    if ((ePSXePadEditorGL.this.padScreenStatus[ePSXePadEditorGL.this.mode][i] & 2) != 2) {
                        if (i < ePSXePadEditorGL.INPUT_HWBUTTONS) {
                            this.batchLan[i].beginBatch(this.mTexTools);
                        } else if (i < 14) {
                            this.batchLan[i].beginBatch(this.mTexLan);
                        } else {
                            this.batchLan[i].beginBatch(this.mTexExtra);
                        }
                        this.batchLan[i].drawSprite(ePSXePadEditorGL.this.padOffScreenLan[ePSXePadEditorGL.this.mode][(i * 2) + 0], ePSXePadEditorGL.this.padOffScreenLan[ePSXePadEditorGL.this.mode][(i * 2) + ePSXePadEditorGL.INPUT_HWBUTTONS], ePSXePadEditorGL.this.padSizeScreenLan[ePSXePadEditorGL.this.mode][(i * 2) + 0] * ePSXePadEditorGL.this.padScreenResize[ePSXePadEditorGL.this.mode][i], ePSXePadEditorGL.this.padSizeScreenLan[ePSXePadEditorGL.this.mode][(i * 2) + ePSXePadEditorGL.INPUT_HWBUTTONS] * ePSXePadEditorGL.this.padScreenResize[ePSXePadEditorGL.this.mode][i], this.textureRgnLan[i]);
                        this.batchLan[i].endBatch();
                        if (i > 0) {
                            if (ePSXePadEditorGL.this.padScreenStatus[ePSXePadEditorGL.this.mode][i] != ePSXePadEditorGL.INPUT_HWBUTTONS) {
                                drawDisabled(gl10, i);
                            }
                            if (ePSXePadEditorGL.this.padScreenSelected == i) {
                                drawSelected(gl10, i);
                            }
                        }
                    }
                }
                gl10.glDisable(3042);
                gl10.glDisable(3553);
            }

            public void onSurfaceChanged(GL10 gl10, int i, int i2) {
                Log.e("ePSXeView", "onSurfaceChanged");
                ePSXePadEditorGL.this.mWidth = i;
                ePSXePadEditorGL.this.mHeight = i2;
                gl10.glViewport(0, 0, i, i2);
                gl10.glMatrixMode(5889);
                gl10.glLoadIdentity();
                gl10.glOrthof(0.0f, (float) i, 0.0f, (float) i2, 1.0f, -1.0f);
                if (ePSXePadEditorGL.this.mePSXeReadPreferences == null) {
                    ePSXePadEditorGL.this.mePSXeReadPreferences = new ePSXeReadPreferences(ePSXePadEditorGL.this.mContext);
                }
                int i3;
                if (ePSXePadEditorGL.this.mePSXeReadPreferences.getPadStatus("Pad1Status0") != -1) {
                    int padStatus;
                    float padSize;
                    float padSize2;
                    Log.e("epsxepadeditor", "loading pad info from preferences");
                    i3 = ePSXePadEditorGL.this.mode;
                    ePSXePadEditorGL.this.mode = 0;
                    ePSXePadEditorGL.this.resetPadValues();
                    ePSXePadEditorGL.this.mode = ePSXePadEditorGL.INPUT_HWBUTTONS;
                    ePSXePadEditorGL.this.resetPadValues();
                    ePSXePadEditorGL.this.mode = i3;
                    for (i3 = ePSXePadEditorGL.INPUT_HWBUTTONS; i3 < ePSXePadEditorGL.this.nButtons; i3 += ePSXePadEditorGL.INPUT_HWBUTTONS) {
                        padStatus = ePSXePadEditorGL.this.mePSXeReadPreferences.getPadStatus("Pad1Status" + i3);
                        if (padStatus != -1) {
                            ePSXePadEditorGL.this.padScreenStatus[0][i3] = padStatus;
                        }
                    }
                    for (i3 = ePSXePadEditorGL.INPUT_HWBUTTONS; i3 < ePSXePadEditorGL.this.nButtons; i3 += ePSXePadEditorGL.INPUT_HWBUTTONS) {
                        padStatus = ePSXePadEditorGL.this.mePSXeReadPreferences.getPadStatus("Pad1StatusAnalog" + i3);
                        if (padStatus != -1) {
                            ePSXePadEditorGL.this.padScreenStatus[ePSXePadEditorGL.INPUT_HWBUTTONS][i3] = padStatus;
                        }
                    }
                    for (i3 = ePSXePadEditorGL.INPUT_HWBUTTONS; i3 < ePSXePadEditorGL.this.nButtons; i3 += ePSXePadEditorGL.INPUT_HWBUTTONS) {
                        padSize = ePSXePadEditorGL.this.mePSXeReadPreferences.getPadSize("Pad1SizeX" + i3);
                        padSize2 = ePSXePadEditorGL.this.mePSXeReadPreferences.getPadSize("Pad1SizeY" + i3);
                        if (padSize != -1.0f) {
                            ePSXePadEditorGL.this.padSizeScreenLan[0][i3 * 2] = padSize;
                            ePSXePadEditorGL.this.padSizeScreenLan[0][(i3 * 2) + ePSXePadEditorGL.INPUT_HWBUTTONS] = padSize2;
                        }
                    }
                    for (i3 = ePSXePadEditorGL.INPUT_HWBUTTONS; i3 < ePSXePadEditorGL.this.nButtons; i3 += ePSXePadEditorGL.INPUT_HWBUTTONS) {
                        padSize = ePSXePadEditorGL.this.mePSXeReadPreferences.getPadSize("Pad1SizeXAnalog" + i3);
                        padSize2 = ePSXePadEditorGL.this.mePSXeReadPreferences.getPadSize("Pad1SizeYAnalog" + i3);
                        if (padSize != -1.0f) {
                            ePSXePadEditorGL.this.padSizeScreenLan[ePSXePadEditorGL.INPUT_HWBUTTONS][i3 * 2] = padSize;
                            ePSXePadEditorGL.this.padSizeScreenLan[ePSXePadEditorGL.INPUT_HWBUTTONS][(i3 * 2) + ePSXePadEditorGL.INPUT_HWBUTTONS] = padSize2;
                        }
                    }
                    for (i3 = ePSXePadEditorGL.INPUT_HWBUTTONS; i3 < ePSXePadEditorGL.this.nButtons; i3 += ePSXePadEditorGL.INPUT_HWBUTTONS) {
                        padSize = ePSXePadEditorGL.this.mePSXeReadPreferences.getPadSize("Pad1PosX" + i3);
                        padSize2 = ePSXePadEditorGL.this.mePSXeReadPreferences.getPadSize("Pad1PosY" + i3);
                        if (padSize != -1.0f) {
                            ePSXePadEditorGL.this.padOffScreenLan[0][i3 * 2] = padSize;
                            ePSXePadEditorGL.this.padOffScreenLan[0][(i3 * 2) + ePSXePadEditorGL.INPUT_HWBUTTONS] = padSize2;
                        }
                    }
                    for (i3 = ePSXePadEditorGL.INPUT_HWBUTTONS; i3 < ePSXePadEditorGL.this.nButtons; i3 += ePSXePadEditorGL.INPUT_HWBUTTONS) {
                        padSize = ePSXePadEditorGL.this.mePSXeReadPreferences.getPadSize("Pad1PosXAnalog" + i3);
                        padSize2 = ePSXePadEditorGL.this.mePSXeReadPreferences.getPadSize("Pad1PosYAnalog" + i3);
                        if (padSize != -1.0f) {
                            ePSXePadEditorGL.this.padOffScreenLan[ePSXePadEditorGL.INPUT_HWBUTTONS][i3 * 2] = padSize;
                            ePSXePadEditorGL.this.padOffScreenLan[ePSXePadEditorGL.INPUT_HWBUTTONS][(i3 * 2) + ePSXePadEditorGL.INPUT_HWBUTTONS] = padSize2;
                        }
                        Log.e("values", "i " + i3 + " x " + padSize);
                        Log.e("values", "i " + i3 + " y " + padSize2);
                    }
                    for (i3 = ePSXePadEditorGL.INPUT_HWBUTTONS; i3 < ePSXePadEditorGL.this.nButtons; i3 += ePSXePadEditorGL.INPUT_HWBUTTONS) {
                        padSize = ePSXePadEditorGL.this.mePSXeReadPreferences.getPadResize("Pad1Resize" + i3);
                        if (padSize != -1.0f) {
                            ePSXePadEditorGL.this.padScreenResize[0][i3] = padSize;
                        }
                    }
                    for (i3 = ePSXePadEditorGL.INPUT_HWBUTTONS; i3 < ePSXePadEditorGL.this.nButtons; i3 += ePSXePadEditorGL.INPUT_HWBUTTONS) {
                        padSize = ePSXePadEditorGL.this.mePSXeReadPreferences.getPadResize("Pad1ResizeAnalog" + i3);
                        Log.e("values", "i " + i3 + " val " + padSize);
                        if (padSize != -1.0f) {
                            ePSXePadEditorGL.this.padScreenResize[ePSXePadEditorGL.INPUT_HWBUTTONS][i3] = padSize;
                        }
                    }
                } else {
                    Log.e("epsxepadeditor", "setting default pad info");
                    i3 = ePSXePadEditorGL.this.mode;
                    ePSXePadEditorGL.this.mode = 0;
                    ePSXePadEditorGL.this.resetPadValues();
                    ePSXePadEditorGL.this.mode = ePSXePadEditorGL.INPUT_HWBUTTONS;
                    ePSXePadEditorGL.this.resetPadValues();
                    ePSXePadEditorGL.this.mode = i3;
                }
                ePSXePadEditorGL.this.initvirtualPad = 0;
            }

            public void onSurfaceCreated(GL10 gl10, EGLConfig eGLConfig) {
                int i;
                this.glText = new GLText(gl10, ePSXePadEditorGL.this.mContext.getAssets());
                this.glText.load("Roboto-Regular.ttf", 28, 2, 2);
                int[] iArr = new int[]{0, 0, 341, 50, 2, ePSXePadEditorGL.INPUT_HWBUTTONS, 224, 225, ePSXePadEditorGL.INPUT_HWBUTTONS, 238, 223, 486, 253, 8, 309, 52, 372, 4, 433, 56, 249, 80, 307, InputList.KEYCODE_F2, 308, 80, 364, InputList.KEYCODE_F2, 308, InputList.KEYCODE_NUMPAD_0, 364, InputList.KEYCODE_BUTTON_9, 250, InputList.KEYCODE_NUMPAD_0, 307, InputList.KEYCODE_BUTTON_9, 254, 208, 297, 239, 365, 80, 421, InputList.KEYCODE_F2, 365, InputList.KEYCODE_NUMPAD_0, 422, InputList.KEYCODE_BUTTON_9, 289, 289, 511, 511, 289, 289, 511, 511};
                int[] iArr2 = new int[]{0, 0, 64, 64, 64, 0, InputList.KEYCODE_MEDIA_CLOSE, 64, InputList.KEYCODE_MEDIA_CLOSE, 0, InputList.KEYCODE_BUTTON_5, 64, InputList.KEYCODE_BUTTON_5, 0, Policy.LICENSED, 64, 0, 64, 64, InputList.KEYCODE_MEDIA_CLOSE, 64, 64, InputList.KEYCODE_MEDIA_CLOSE, InputList.KEYCODE_MEDIA_CLOSE, InputList.KEYCODE_MEDIA_CLOSE, 64, InputList.KEYCODE_BUTTON_5, InputList.KEYCODE_MEDIA_CLOSE, InputList.KEYCODE_BUTTON_5, 64, Policy.LICENSED, InputList.KEYCODE_MEDIA_CLOSE, 0, InputList.KEYCODE_MEDIA_CLOSE, 64, InputList.KEYCODE_BUTTON_9, 64, InputList.KEYCODE_MEDIA_CLOSE, InputList.KEYCODE_MEDIA_CLOSE, InputList.KEYCODE_BUTTON_9, InputList.KEYCODE_MEDIA_CLOSE, InputList.KEYCODE_MEDIA_CLOSE, InputList.KEYCODE_BUTTON_5, InputList.KEYCODE_BUTTON_9, InputList.KEYCODE_BUTTON_5, InputList.KEYCODE_MEDIA_CLOSE, Policy.LICENSED, InputList.KEYCODE_BUTTON_9, 0, InputList.KEYCODE_BUTTON_5, 64, Policy.LICENSED, 64, InputList.KEYCODE_BUTTON_5, InputList.KEYCODE_MEDIA_CLOSE, Policy.LICENSED, InputList.KEYCODE_MEDIA_CLOSE, InputList.KEYCODE_BUTTON_5, InputList.KEYCODE_BUTTON_5, Policy.LICENSED, InputList.KEYCODE_BUTTON_5, InputList.KEYCODE_BUTTON_5, Policy.LICENSED, Policy.LICENSED, 0, Policy.LICENSED, 64, 320, 64, Policy.LICENSED, InputList.KEYCODE_MEDIA_CLOSE, 320, InputList.KEYCODE_MEDIA_CLOSE, Policy.LICENSED, InputList.KEYCODE_BUTTON_9, 320, InputList.KEYCODE_BUTTON_5, Policy.LICENSED, Policy.LICENSED, 320, 0, 320, 64, 384, 64, 320, InputList.KEYCODE_MEDIA_CLOSE, 384, InputList.KEYCODE_MEDIA_CLOSE, 320, InputList.KEYCODE_BUTTON_9, 384, InputList.KEYCODE_BUTTON_5, 320, Policy.LICENSED, 384, 0, 384, 64, 448, 63, 384, InputList.KEYCODE_MEDIA_PAUSE, 448, InputList.KEYCODE_MEDIA_CLOSE, 384, InputList.KEYCODE_BUTTON_9, 448, InputList.KEYCODE_BUTTON_5, 384, Policy.LICENSED, 448, 0, 448, 64, 511, 64, 448, InputList.KEYCODE_MEDIA_CLOSE, 511, InputList.KEYCODE_MEDIA_CLOSE, 448, InputList.KEYCODE_BUTTON_9, 511, InputList.KEYCODE_BUTTON_5, 448, Policy.LICENSED, 511};
                this.mTexTools = loadTexture(gl10, ePSXePadEditorGL.this.mContext, C0122R.drawable.tools);
                for (i = 0; i < ePSXePadEditorGL.INPUT_HWBUTTONS; i += ePSXePadEditorGL.INPUT_HWBUTTONS) {
                    this.wTexLan[i] = iArr[(i * 4) + 2] - iArr[(i * 4) + 0];
                    this.hTexLan[i] = iArr[(i * 4) + 3] - iArr[(i * 4) + ePSXePadEditorGL.INPUT_HWBUTTONS];
                    this.textureRgnLan[i] = new TextureRegion((float) this.wTextmp, (float) this.hTextmp, (float) iArr[(i * 4) + 0], (float) iArr[(i * 4) + ePSXePadEditorGL.INPUT_HWBUTTONS], (float) this.wTexLan[i], (float) this.hTexLan[i]);
                    this.batchLan[i] = new SpriteBatch(gl10, ePSXePadEditorGL.INPUT_HWBUTTONS);
                }
                this.mTexLan = loadTexture(gl10, ePSXePadEditorGL.this.mContext, C0122R.drawable.landscapepadn);
                for (i = ePSXePadEditorGL.INPUT_HWBUTTONS; i < ePSXePadEditorGL.this.nButtons - 6; i += ePSXePadEditorGL.INPUT_HWBUTTONS) {
                    this.wTexLan[i] = iArr[(i * 4) + 2] - iArr[(i * 4) + 0];
                    this.hTexLan[i] = iArr[(i * 4) + 3] - iArr[(i * 4) + ePSXePadEditorGL.INPUT_HWBUTTONS];
                    this.textureRgnLan[i] = new TextureRegion((float) this.wTextmp, (float) this.hTextmp, (float) iArr[(i * 4) + 0], (float) iArr[(i * 4) + ePSXePadEditorGL.INPUT_HWBUTTONS], (float) this.wTexLan[i], (float) this.hTexLan[i]);
                    this.batchLan[i] = new SpriteBatch(gl10, ePSXePadEditorGL.INPUT_HWBUTTONS);
                }
                loadExtraButtons();
                this.mTexExtra = loadTexture(gl10, ePSXePadEditorGL.this.mContext, C0122R.drawable.extra_buttons);
                for (i = 0; i < 6; i += ePSXePadEditorGL.INPUT_HWBUTTONS) {
                    int i2 = ePSXePadEditorGL.this.padScreenExtra[i];
                    this.wTexLan[i + 14] = iArr2[(i2 * 4) + 2] - iArr2[(i2 * 4) + 0];
                    this.hTexLan[i + 14] = iArr2[(i2 * 4) + 3] - iArr2[(i2 * 4) + ePSXePadEditorGL.INPUT_HWBUTTONS];
                    this.textureRgnLan[i + 14] = new TextureRegion((float) this.wTextmp, (float) this.hTextmp, (float) iArr2[(i2 * 4) + 0], (float) iArr2[(i2 * 4) + ePSXePadEditorGL.INPUT_HWBUTTONS], (float) this.wTexLan[i + 14], (float) this.hTexLan[i + 14]);
                    this.batchLan[i + 14] = new SpriteBatch(gl10, ePSXePadEditorGL.INPUT_HWBUTTONS);
                }
            }
        }

        public ePSXePadEditorGL(Context context) {
            super(context);
            this.mWidth = 800;
            this.mHeight = 480;
            this.nButtons = 20;
            this.padResize = 1.0f;
            this.padSizeScreenLan = new float[][]{new float[]{400.0f, 60.0f, 228.0f, 228.0f, 224.0f, 248.0f, 66.0f, 50.0f, 66.0f, 62.0f, 64.0f, 60.0f, 64.0f, 60.0f, 64.0f, 60.0f, 64.0f, 60.0f, 53.0f, 41.0f, 64.0f, 60.0f, 64.0f, 60.0f, 222.0f, 222.0f, 222.0f, 222.0f, 60.0f, 60.0f, 60.0f, 60.0f, 60.0f, 60.0f, 60.0f, 60.0f, 60.0f, 60.0f, 60.0f, 60.0f}, new float[]{400.0f, 60.0f, 228.0f, 228.0f, 224.0f, 248.0f, 66.0f, 50.0f, 66.0f, 62.0f, 64.0f, 60.0f, 64.0f, 60.0f, 64.0f, 60.0f, 64.0f, 60.0f, 53.0f, 41.0f, 64.0f, 60.0f, 64.0f, 60.0f, 222.0f, 222.0f, 222.0f, 222.0f, 60.0f, 60.0f, 60.0f, 60.0f, 60.0f, 60.0f, 60.0f, 60.0f, 60.0f, 60.0f, 60.0f, 60.0f}};
            r0 = new float[2][];
            r0[0] = new float[]{400.0f, 455.0f, this.padSizeScreenLan[0][2] / 2.0f, this.padSizeScreenLan[0][3] / 2.0f, 800.0f - (this.padSizeScreenLan[0][4] / 2.0f), this.padSizeScreenLan[0][5] / 2.0f, (400.0f - this.padSizeScreenLan[0][6]) - 30.0f, this.padSizeScreenLan[0][7] / 2.0f, 430.0f, this.padSizeScreenLan[0][9] / 2.0f, this.padSizeScreenLan[0][10] / 2.0f, 480.0f - (this.padSizeScreenLan[0][11] / 2.0f), (this.padSizeScreenLan[0][12] / 2.0f) + this.padSizeScreenLan[0][10], 480.0f - (this.padSizeScreenLan[0][13] / 2.0f), 800.0f - (this.padSizeScreenLan[0][14] / 2.0f), 480.0f - (this.padSizeScreenLan[0][15] / 2.0f), (800.0f - (this.padSizeScreenLan[0][16] / 2.0f)) - this.padSizeScreenLan[0][14], 480.0f - (this.padSizeScreenLan[0][17] / 2.0f), 440.0f + this.padSizeScreenLan[0][8], this.padSizeScreenLan[0][19] / 2.0f, ((this.padSizeScreenLan[0][20] / 2.0f) + this.padSizeScreenLan[0][12]) + this.padSizeScreenLan[0][10], 480.0f - (this.padSizeScreenLan[0][21] / 2.0f), ((800.0f - (this.padSizeScreenLan[0][22] / 2.0f)) - this.padSizeScreenLan[0][14]) - this.padSizeScreenLan[0][16], 480.0f - (this.padSizeScreenLan[0][23] / 2.0f), this.padSizeScreenLan[0][24] / 2.0f, this.padSizeScreenLan[0][25] / 2.0f, 800.0f - (this.padSizeScreenLan[0][26] / 2.0f), this.padSizeScreenLan[0][27] / 2.0f, this.padSizeScreenLan[0][28] / 2.0f, (480.0f - (this.padSizeScreenLan[0][29] / 2.0f)) - (this.padSizeScreenLan[0][11] * 2.0f), (this.padSizeScreenLan[0][30] / 2.0f) + this.padSizeScreenLan[0][28], (480.0f - (this.padSizeScreenLan[0][31] / 2.0f)) - (this.padSizeScreenLan[0][11] * 2.0f), ((this.padSizeScreenLan[0][32] / 2.0f) + this.padSizeScreenLan[0][28]) + this.padSizeScreenLan[0][30], (480.0f - (this.padSizeScreenLan[0][33] / 2.0f)) - (this.padSizeScreenLan[0][11] * 2.0f), 800.0f - (this.padSizeScreenLan[0][34] / 2.0f), (480.0f - (this.padSizeScreenLan[0][35] / 2.0f)) - (this.padSizeScreenLan[0][11] * 2.0f), (800.0f - (this.padSizeScreenLan[0][36] / 2.0f)) - this.padSizeScreenLan[0][34], (480.0f - (this.padSizeScreenLan[0][37] / 2.0f)) - (this.padSizeScreenLan[0][11] * 2.0f), ((800.0f - (this.padSizeScreenLan[0][38] / 2.0f)) - this.padSizeScreenLan[0][34]) - this.padSizeScreenLan[0][36], (480.0f - (this.padSizeScreenLan[0][39] / 2.0f)) - (this.padSizeScreenLan[0][11] * 2.0f)};
            r0[INPUT_HWBUTTONS] = new float[]{400.0f, 455.0f, 400.0f - (0.76f * (this.padSizeScreenLan[INPUT_HWBUTTONS][2] / 2.0f)), 240.0f, 800.0f - (this.padSizeScreenLan[INPUT_HWBUTTONS][4] / 2.0f), this.padSizeScreenLan[INPUT_HWBUTTONS][5] / 2.0f, (400.0f - this.padSizeScreenLan[INPUT_HWBUTTONS][6]) - 30.0f, this.padSizeScreenLan[INPUT_HWBUTTONS][7] / 2.0f, 430.0f, this.padSizeScreenLan[INPUT_HWBUTTONS][9] / 2.0f, this.padSizeScreenLan[INPUT_HWBUTTONS][10] / 2.0f, 480.0f - (this.padSizeScreenLan[INPUT_HWBUTTONS][11] / 2.0f), (this.padSizeScreenLan[INPUT_HWBUTTONS][12] / 2.0f) + this.padSizeScreenLan[INPUT_HWBUTTONS][10], 480.0f - (this.padSizeScreenLan[INPUT_HWBUTTONS][13] / 2.0f), 800.0f - (this.padSizeScreenLan[INPUT_HWBUTTONS][14] / 2.0f), 480.0f - (this.padSizeScreenLan[INPUT_HWBUTTONS][15] / 2.0f), (800.0f - (this.padSizeScreenLan[INPUT_HWBUTTONS][16] / 2.0f)) - this.padSizeScreenLan[INPUT_HWBUTTONS][14], 480.0f - (this.padSizeScreenLan[INPUT_HWBUTTONS][17] / 2.0f), 440.0f + this.padSizeScreenLan[INPUT_HWBUTTONS][8], this.padSizeScreenLan[INPUT_HWBUTTONS][19] / 2.0f, ((this.padSizeScreenLan[INPUT_HWBUTTONS][20] / 2.0f) + this.padSizeScreenLan[INPUT_HWBUTTONS][12]) + this.padSizeScreenLan[INPUT_HWBUTTONS][10], 480.0f - (this.padSizeScreenLan[INPUT_HWBUTTONS][21] / 2.0f), ((800.0f - (this.padSizeScreenLan[INPUT_HWBUTTONS][22] / 2.0f)) - this.padSizeScreenLan[INPUT_HWBUTTONS][14]) - this.padSizeScreenLan[INPUT_HWBUTTONS][16], 480.0f - (this.padSizeScreenLan[INPUT_HWBUTTONS][23] / 2.0f), this.padSizeScreenLan[INPUT_HWBUTTONS][24] / 2.0f, this.padSizeScreenLan[INPUT_HWBUTTONS][25] / 2.0f, 400.0f + (0.76f * (this.padSizeScreenLan[INPUT_HWBUTTONS][26] / 2.0f)), 240.0f, this.padSizeScreenLan[INPUT_HWBUTTONS][28] / 2.0f, (480.0f - (this.padSizeScreenLan[INPUT_HWBUTTONS][29] / 2.0f)) - (this.padSizeScreenLan[INPUT_HWBUTTONS][11] * 2.0f), (this.padSizeScreenLan[INPUT_HWBUTTONS][30] / 2.0f) + this.padSizeScreenLan[INPUT_HWBUTTONS][28], (480.0f - (this.padSizeScreenLan[INPUT_HWBUTTONS][31] / 2.0f)) - (this.padSizeScreenLan[INPUT_HWBUTTONS][11] * 2.0f), ((this.padSizeScreenLan[INPUT_HWBUTTONS][32] / 2.0f) + this.padSizeScreenLan[INPUT_HWBUTTONS][28]) + this.padSizeScreenLan[INPUT_HWBUTTONS][30], (480.0f - (this.padSizeScreenLan[INPUT_HWBUTTONS][33] / 2.0f)) - (this.padSizeScreenLan[INPUT_HWBUTTONS][11] * 2.0f), 800.0f - (this.padSizeScreenLan[INPUT_HWBUTTONS][34] / 2.0f), (480.0f - (this.padSizeScreenLan[INPUT_HWBUTTONS][35] / 2.0f)) - (this.padSizeScreenLan[INPUT_HWBUTTONS][11] * 2.0f), (800.0f - (this.padSizeScreenLan[INPUT_HWBUTTONS][36] / 2.0f)) - this.padSizeScreenLan[INPUT_HWBUTTONS][34], (480.0f - (this.padSizeScreenLan[INPUT_HWBUTTONS][37] / 2.0f)) - (this.padSizeScreenLan[INPUT_HWBUTTONS][11] * 2.0f), ((800.0f - (this.padSizeScreenLan[INPUT_HWBUTTONS][38] / 2.0f)) - this.padSizeScreenLan[INPUT_HWBUTTONS][34]) - this.padSizeScreenLan[INPUT_HWBUTTONS][36], (480.0f - (this.padSizeScreenLan[INPUT_HWBUTTONS][39] / 2.0f)) - (this.padSizeScreenLan[INPUT_HWBUTTONS][11] * 2.0f)};
            this.padOffScreenLan = r0;
            this.padScreenStatusInit = new int[][]{new int[]{INPUT_HWBUTTONS, INPUT_HWBUTTONS, INPUT_HWBUTTONS, INPUT_HWBUTTONS, INPUT_HWBUTTONS, INPUT_HWBUTTONS, INPUT_HWBUTTONS, INPUT_HWBUTTONS, INPUT_HWBUTTONS, INPUT_HWBUTTONS, 2, 2, 2, 2, 0, 0, 0, 0, 0, 0}, new int[]{INPUT_HWBUTTONS, 0, INPUT_HWBUTTONS, INPUT_HWBUTTONS, INPUT_HWBUTTONS, INPUT_HWBUTTONS, INPUT_HWBUTTONS, INPUT_HWBUTTONS, INPUT_HWBUTTONS, INPUT_HWBUTTONS, 0, 0, INPUT_HWBUTTONS, 0, 0, 0, 0, 0, 0, 0}};
            this.padScreenStatus = new int[][]{new int[]{INPUT_HWBUTTONS, INPUT_HWBUTTONS, INPUT_HWBUTTONS, INPUT_HWBUTTONS, INPUT_HWBUTTONS, INPUT_HWBUTTONS, INPUT_HWBUTTONS, INPUT_HWBUTTONS, INPUT_HWBUTTONS, INPUT_HWBUTTONS, 2, 2, 2, 2, 0, 0, 0, 0, 0, 0}, new int[]{INPUT_HWBUTTONS, 0, INPUT_HWBUTTONS, INPUT_HWBUTTONS, INPUT_HWBUTTONS, INPUT_HWBUTTONS, INPUT_HWBUTTONS, INPUT_HWBUTTONS, INPUT_HWBUTTONS, INPUT_HWBUTTONS, 0, 0, INPUT_HWBUTTONS, 0, 0, 0, 0, 0, 0, 0}};
            this.padScreenResizeInit = new float[][]{new float[]{1.0f, 1.0f, 1.0f, 1.0f, 1.0f, 1.0f, 1.0f, 1.0f, 1.0f, 1.0f, 1.0f, 1.0f, 1.0f, 1.0f, 1.0f, 1.0f, 1.0f, 1.0f, 1.0f, 1.0f}, new float[]{1.0f, 0.76f, 1.0f, 1.0f, 1.0f, 1.0f, 1.0f, 1.0f, 1.0f, 1.0f, 1.0f, 1.0f, 1.0f, 0.76f, 1.0f, 1.0f, 1.0f, 1.0f, 1.0f, 1.0f}};
            this.padScreenResize = new float[][]{new float[]{1.0f, 1.0f, 1.0f, 1.0f, 1.0f, 1.0f, 1.0f, 1.0f, 1.0f, 1.0f, 1.0f, 1.0f, 1.0f, 1.0f, 1.0f, 1.0f, 1.0f, 1.0f, 1.0f, 1.0f}, new float[]{1.0f, 0.76f, 1.0f, 1.0f, 1.0f, 1.0f, 1.0f, 1.0f, 1.0f, 1.0f, 1.0f, 1.0f, 1.0f, 0.76f, 1.0f, 1.0f, 1.0f, 1.0f, 1.0f, 1.0f}};
            this.padScreenExtra = new int[]{19, 19, 19, 19, 19, 19};
            this.padScreenSelected = -1;
            this.mode = 0;
            this.virtualPadPos = (int[][]) Array.newInstance(Integer.TYPE, new int[]{this.nButtons, 4});
            this.virtualPadId = new int[this.nButtons];
            this.initvirtualPad = 0;
            this.mContext = context;
            init();
        }

        private void alertdialog_restoreDefault() {
            AlertDialog create = new Builder(ePSXePadEditor.this).create();
            create.setTitle(C0122R.string.padedit_restore);
            create.setMessage(ePSXePadEditor.this.getString(C0122R.string.padedit_restorewant));
            create.setButton(ePSXePadEditor.this.getString(C0122R.string.padedit_restoreno), new C01051());
            create.setButton2(ePSXePadEditor.this.getString(C0122R.string.padedit_restoreyes), new C01062());
            create.setIcon(C0122R.drawable.icon);
            create.show();
        }

        private void alertdialog_saveEditPad() {
            AlertDialog create = new Builder(ePSXePadEditor.this).create();
            create.setTitle(C0122R.string.padedit_save);
            create.setMessage(ePSXePadEditor.this.getString(C0122R.string.padedit_savewant));
            create.setButton(ePSXePadEditor.this.getString(C0122R.string.padedit_savecontinue), new C01073());
            create.setButton3(ePSXePadEditor.this.getString(C0122R.string.padedit_saveno), new C01084());
            create.setButton2(ePSXePadEditor.this.getString(C0122R.string.padedit_saveyes), new C01095());
            create.setIcon(C0122R.drawable.icon);
            create.show();
        }

        private void alertdialog_swapMode() {
            AlertDialog create = new Builder(ePSXePadEditor.this).create();
            create.setTitle(C0122R.string.padedit_swap);
            create.setMessage(ePSXePadEditor.this.getString(C0122R.string.padedit_swapwant));
            create.setButton(ePSXePadEditor.this.getString(C0122R.string.padedit_swapno), new C01106());
            create.setButton2(ePSXePadEditor.this.getString(C0122R.string.padedit_swapyes), new C01117());
            create.setIcon(C0122R.drawable.icon);
            create.show();
        }

        private void dumpEvent(MotionEvent motionEvent) {
            int i = 0;
            String[] strArr = new String[]{"DOWN", "UP", "MOVE", "CANCEL", "OUTSIDE", "POINTER_DOWN", "POINTER_UP", "7?", "8?", "9?"};
            StringBuilder stringBuilder = new StringBuilder();
            int action = motionEvent.getAction();
            int i2 = action & 255;
            stringBuilder.append("event ACTION_").append(strArr[i2]);
            if (i2 == 5 || i2 == 6) {
                stringBuilder.append("(pid ").append(action >> 8);
                stringBuilder.append(")");
            }
            stringBuilder.append("[");
            while (i < motionEvent.getPointerCount()) {
                stringBuilder.append("#").append(i);
                stringBuilder.append("(pid ").append(motionEvent.getPointerId(i));
                stringBuilder.append(")=").append((int) motionEvent.getX(i));
                stringBuilder.append(",").append((int) motionEvent.getY(i));
                if (i + INPUT_HWBUTTONS < motionEvent.getPointerCount()) {
                    stringBuilder.append(";");
                }
                i += INPUT_HWBUTTONS;
            }
            stringBuilder.append("]");
            Log.e("epsxepad", stringBuilder.toString());
        }

        private void init() {
            setFocusable(true);
            setFocusableInTouchMode(true);
            requestFocus();
        }

        private void queueMotionEvent(MotionEvent motionEvent) {
            int action = motionEvent.getAction() & 255;
            int actionIndex = motionEvent.getActionIndex();
            dumpEvent(motionEvent);
            if (action == 5 || action == 6 || action == INPUT_HWBUTTONS || action == 0) {
                touchscreenevent(motionEvent.getEventTime(), motionEvent.getAction(), motionEvent.getX(actionIndex), motionEvent.getY(actionIndex), motionEvent.getPressure(actionIndex), motionEvent.getSize(actionIndex), motionEvent.getDeviceId(), motionEvent.getPointerId(actionIndex));
            } else if (action == 2) {
                for (int i = 0; i < motionEvent.getPointerCount(); i += INPUT_HWBUTTONS) {
                    touchscreenevent(motionEvent.getEventTime(), motionEvent.getAction(), motionEvent.getX(i), motionEvent.getY(i), motionEvent.getPressure(i), motionEvent.getSize(i), motionEvent.getDeviceId(), motionEvent.getPointerId(i));
                }
            }
        }

        public boolean dispatchTouchEvent(MotionEvent motionEvent) {
            queueMotionEvent(motionEvent);
            return true;
        }

        public void init_motionevent() {
            for (int i = 0; i < this.nButtons; i += INPUT_HWBUTTONS) {
                updateTouchpadDetection(i);
                this.virtualPadId[i] = -1;
            }
            this.initvirtualPad = INPUT_HWBUTTONS;
        }

        public void onPause() {
            Log.e("epsxe", "epsxepadEditor saving status");
        }

        public void resetPadValues() {
            int i;
            if (this.mWidth <= 600) {
                this.padResize = 0.8f;
            } else if (this.mWidth > 600 && this.mWidth <= 800) {
                this.padResize = 1.0f;
            } else if (this.mWidth > 800 && this.mWidth <= 1280) {
                this.padResize = 1.35f;
            } else if (this.mWidth <= 1280 || this.mWidth > 1500) {
                this.padResize = 1.8f;
            } else {
                this.padResize = 1.5f;
            }
            float[][] fArr = new float[][]{new float[]{400.0f, 60.0f, 228.0f, 228.0f, 224.0f, 248.0f, 66.0f, 50.0f, 66.0f, 62.0f, 64.0f, 60.0f, 64.0f, 60.0f, 64.0f, 60.0f, 64.0f, 60.0f, 53.0f, 41.0f, 64.0f, 60.0f, 64.0f, 60.0f, 222.0f, 222.0f, 222.0f, 222.0f, 60.0f, 60.0f, 60.0f, 60.0f, 60.0f, 60.0f, 60.0f, 60.0f, 60.0f, 60.0f, 60.0f, 60.0f}, new float[]{400.0f, 60.0f, 228.0f, 228.0f, 224.0f, 248.0f, 66.0f, 50.0f, 66.0f, 62.0f, 64.0f, 60.0f, 64.0f, 60.0f, 64.0f, 60.0f, 64.0f, 60.0f, 53.0f, 41.0f, 64.0f, 60.0f, 64.0f, 60.0f, 222.0f, 222.0f, 222.0f, 222.0f, 60.0f, 60.0f, 60.0f, 60.0f, 60.0f, 60.0f, 60.0f, 60.0f, 60.0f, 60.0f, 60.0f, 60.0f}};
            for (i = INPUT_HWBUTTONS; i < this.nButtons; i += INPUT_HWBUTTONS) {
                this.padSizeScreenLan[this.mode][(i * 2) + 0] = fArr[this.mode][(i * 2) + 0] * this.padResize;
                this.padSizeScreenLan[this.mode][(i * 2) + INPUT_HWBUTTONS] = fArr[this.mode][(i * 2) + INPUT_HWBUTTONS] * this.padResize;
            }
            fArr = new float[2][];
            fArr[0] = new float[]{(float) (this.mWidth / 2), ((float) this.mHeight) - (this.padSizeScreenLan[0][INPUT_HWBUTTONS] / 2.0f), this.padSizeScreenLan[0][2] / 2.0f, this.padSizeScreenLan[0][3] / 2.0f, ((float) this.mWidth) - (this.padSizeScreenLan[0][4] / 2.0f), this.padSizeScreenLan[0][5] / 2.0f, (((float) (this.mWidth / 2)) - this.padSizeScreenLan[0][6]) - 30.0f, this.padSizeScreenLan[0][7] / 2.0f, (float) ((this.mWidth / 2) + 30), this.padSizeScreenLan[0][9] / 2.0f, this.padSizeScreenLan[0][10] / 2.0f, ((float) this.mHeight) - (this.padSizeScreenLan[0][11] / 2.0f), (this.padSizeScreenLan[0][12] / 2.0f) + this.padSizeScreenLan[0][10], ((float) this.mHeight) - (this.padSizeScreenLan[0][13] / 2.0f), ((float) this.mWidth) - (this.padSizeScreenLan[0][14] / 2.0f), ((float) this.mHeight) - (this.padSizeScreenLan[0][15] / 2.0f), (((float) this.mWidth) - (this.padSizeScreenLan[0][16] / 2.0f)) - this.padSizeScreenLan[0][14], ((float) this.mHeight) - (this.padSizeScreenLan[0][17] / 2.0f), ((float) ((this.mWidth / 2) + 40)) + this.padSizeScreenLan[0][8], this.padSizeScreenLan[0][19] / 2.0f, ((this.padSizeScreenLan[0][20] / 2.0f) + this.padSizeScreenLan[0][12]) + this.padSizeScreenLan[0][10], ((float) this.mHeight) - (this.padSizeScreenLan[0][21] / 2.0f), ((((float) this.mWidth) - (this.padSizeScreenLan[0][22] / 2.0f)) - this.padSizeScreenLan[0][14]) - this.padSizeScreenLan[0][16], ((float) this.mHeight) - (this.padSizeScreenLan[0][23] / 2.0f), this.padSizeScreenLan[0][24] / 2.0f, this.padSizeScreenLan[0][25] / 2.0f, ((float) this.mWidth) - (this.padSizeScreenLan[0][26] / 2.0f), this.padSizeScreenLan[0][27] / 2.0f, this.padSizeScreenLan[0][28] / 2.0f, (((float) this.mHeight) - (this.padSizeScreenLan[0][29] / 2.0f)) - (this.padSizeScreenLan[0][11] * 2.0f), (this.padSizeScreenLan[0][30] / 2.0f) + this.padSizeScreenLan[0][28], (((float) this.mHeight) - (this.padSizeScreenLan[0][31] / 2.0f)) - (this.padSizeScreenLan[0][11] * 2.0f), ((this.padSizeScreenLan[0][32] / 2.0f) + this.padSizeScreenLan[0][28]) + this.padSizeScreenLan[0][30], (((float) this.mHeight) - (this.padSizeScreenLan[0][33] / 2.0f)) - (this.padSizeScreenLan[0][11] * 2.0f), ((float) this.mWidth) - (this.padSizeScreenLan[0][34] / 2.0f), (((float) this.mHeight) - (this.padSizeScreenLan[0][35] / 2.0f)) - (this.padSizeScreenLan[0][11] * 2.0f), (((float) this.mWidth) - (this.padSizeScreenLan[0][36] / 2.0f)) - this.padSizeScreenLan[0][34], (((float) this.mHeight) - (this.padSizeScreenLan[0][37] / 2.0f)) - (this.padSizeScreenLan[0][11] * 2.0f), ((((float) this.mWidth) - (this.padSizeScreenLan[0][38] / 2.0f)) - this.padSizeScreenLan[0][34]) - this.padSizeScreenLan[0][36], (((float) this.mHeight) - (this.padSizeScreenLan[0][39] / 2.0f)) - (this.padSizeScreenLan[0][11] * 2.0f)};
            fArr[INPUT_HWBUTTONS] = new float[]{(float) (this.mWidth / 2), ((float) this.mHeight) - (this.padSizeScreenLan[INPUT_HWBUTTONS][INPUT_HWBUTTONS] / 2.0f), ((float) (this.mWidth / 2)) - (0.76f * (this.padSizeScreenLan[INPUT_HWBUTTONS][2] / 2.0f)), (float) (this.mHeight / 2), ((float) this.mWidth) - (this.padSizeScreenLan[INPUT_HWBUTTONS][4] / 2.0f), this.padSizeScreenLan[INPUT_HWBUTTONS][5] / 2.0f, (((float) (this.mWidth / 2)) - this.padSizeScreenLan[INPUT_HWBUTTONS][6]) - 30.0f, this.padSizeScreenLan[INPUT_HWBUTTONS][7] / 2.0f, (float) ((this.mWidth / 2) + 30), this.padSizeScreenLan[INPUT_HWBUTTONS][9] / 2.0f, this.padSizeScreenLan[INPUT_HWBUTTONS][10] / 2.0f, ((float) this.mHeight) - (this.padSizeScreenLan[INPUT_HWBUTTONS][11] / 2.0f), (this.padSizeScreenLan[INPUT_HWBUTTONS][12] / 2.0f) + this.padSizeScreenLan[INPUT_HWBUTTONS][10], ((float) this.mHeight) - (this.padSizeScreenLan[INPUT_HWBUTTONS][13] / 2.0f), ((float) this.mWidth) - (this.padSizeScreenLan[INPUT_HWBUTTONS][14] / 2.0f), ((float) this.mHeight) - (this.padSizeScreenLan[INPUT_HWBUTTONS][15] / 2.0f), (((float) this.mWidth) - (this.padSizeScreenLan[INPUT_HWBUTTONS][16] / 2.0f)) - this.padSizeScreenLan[INPUT_HWBUTTONS][14], ((float) this.mHeight) - (this.padSizeScreenLan[INPUT_HWBUTTONS][17] / 2.0f), ((float) ((this.mWidth / 2) + 40)) + this.padSizeScreenLan[INPUT_HWBUTTONS][8], this.padSizeScreenLan[INPUT_HWBUTTONS][19] / 2.0f, ((this.padSizeScreenLan[INPUT_HWBUTTONS][20] / 2.0f) + this.padSizeScreenLan[INPUT_HWBUTTONS][12]) + this.padSizeScreenLan[INPUT_HWBUTTONS][10], ((float) this.mHeight) - (this.padSizeScreenLan[INPUT_HWBUTTONS][21] / 2.0f), ((((float) this.mWidth) - (this.padSizeScreenLan[INPUT_HWBUTTONS][22] / 2.0f)) - this.padSizeScreenLan[INPUT_HWBUTTONS][14]) - this.padSizeScreenLan[INPUT_HWBUTTONS][16], ((float) this.mHeight) - (this.padSizeScreenLan[INPUT_HWBUTTONS][23] / 2.0f), this.padSizeScreenLan[INPUT_HWBUTTONS][24] / 2.0f, this.padSizeScreenLan[INPUT_HWBUTTONS][25] / 2.0f, ((float) (this.mWidth / 2)) + (0.76f * (this.padSizeScreenLan[INPUT_HWBUTTONS][26] / 2.0f)), (float) (this.mHeight / 2), this.padSizeScreenLan[INPUT_HWBUTTONS][28] / 2.0f, (((float) this.mHeight) - (this.padSizeScreenLan[INPUT_HWBUTTONS][29] / 2.0f)) - (this.padSizeScreenLan[INPUT_HWBUTTONS][11] * 2.0f), (this.padSizeScreenLan[INPUT_HWBUTTONS][30] / 2.0f) + this.padSizeScreenLan[INPUT_HWBUTTONS][28], (((float) this.mHeight) - (this.padSizeScreenLan[INPUT_HWBUTTONS][31] / 2.0f)) - (this.padSizeScreenLan[INPUT_HWBUTTONS][11] * 2.0f), ((this.padSizeScreenLan[INPUT_HWBUTTONS][32] / 2.0f) + this.padSizeScreenLan[INPUT_HWBUTTONS][28]) + this.padSizeScreenLan[INPUT_HWBUTTONS][30], (((float) this.mHeight) - (this.padSizeScreenLan[INPUT_HWBUTTONS][33] / 2.0f)) - (this.padSizeScreenLan[INPUT_HWBUTTONS][11] * 2.0f), ((float) this.mWidth) - (this.padSizeScreenLan[INPUT_HWBUTTONS][34] / 2.0f), (((float) this.mHeight) - (this.padSizeScreenLan[INPUT_HWBUTTONS][35] / 2.0f)) - (this.padSizeScreenLan[INPUT_HWBUTTONS][11] * 2.0f), (((float) this.mWidth) - (this.padSizeScreenLan[INPUT_HWBUTTONS][36] / 2.0f)) - this.padSizeScreenLan[INPUT_HWBUTTONS][34], (((float) this.mHeight) - (this.padSizeScreenLan[INPUT_HWBUTTONS][37] / 2.0f)) - (this.padSizeScreenLan[INPUT_HWBUTTONS][11] * 2.0f), ((((float) this.mWidth) - (this.padSizeScreenLan[INPUT_HWBUTTONS][38] / 2.0f)) - this.padSizeScreenLan[INPUT_HWBUTTONS][34]) - this.padSizeScreenLan[INPUT_HWBUTTONS][36], (((float) this.mHeight) - (this.padSizeScreenLan[INPUT_HWBUTTONS][39] / 2.0f)) - (this.padSizeScreenLan[INPUT_HWBUTTONS][11] * 2.0f)};
            for (i = 0; i < this.nButtons; i += INPUT_HWBUTTONS) {
                this.padOffScreenLan[this.mode][(i * 2) + 0] = fArr[this.mode][(i * 2) + 0];
                this.padOffScreenLan[this.mode][(i * 2) + INPUT_HWBUTTONS] = fArr[this.mode][(i * 2) + INPUT_HWBUTTONS];
            }
            for (i = 0; i < this.nButtons; i += INPUT_HWBUTTONS) {
                this.padScreenStatus[this.mode][i] = this.padScreenStatusInit[this.mode][i];
                this.padScreenResize[this.mode][i] = this.padScreenResizeInit[this.mode][i];
            }
            this.initvirtualPad = 0;
        }

        public void savePreferences() {
            int i = 0;
            Editor edit = PreferenceManager.getDefaultSharedPreferences(this.mContext).edit();
            Log.e("epsxepadeditor", "saving preferences");
            int i2;
            if (this.mode == 0) {
                for (i2 = 0; i2 < this.nButtons; i2 += INPUT_HWBUTTONS) {
                    edit.putInt("Pad1Status" + i2, this.padScreenStatus[0][i2]);
                }
                for (i2 = 0; i2 < this.nButtons; i2 += INPUT_HWBUTTONS) {
                    edit.putFloat("Pad1SizeX" + i2, this.padSizeScreenLan[0][i2 * 2]);
                    edit.putFloat("Pad1SizeY" + i2, this.padSizeScreenLan[0][(i2 * 2) + INPUT_HWBUTTONS]);
                }
                for (i2 = 0; i2 < this.nButtons; i2 += INPUT_HWBUTTONS) {
                    edit.putFloat("Pad1PosX" + i2, this.padOffScreenLan[0][i2 * 2]);
                    edit.putFloat("Pad1PosY" + i2, this.padOffScreenLan[0][(i2 * 2) + INPUT_HWBUTTONS]);
                }
                for (i2 = 0; i2 < this.nButtons; i2 += INPUT_HWBUTTONS) {
                    edit.putFloat("Pad1Resize" + i2, this.padScreenResize[0][i2]);
                }
            } else {
                for (i2 = 0; i2 < this.nButtons; i2 += INPUT_HWBUTTONS) {
                    edit.putInt("Pad1StatusAnalog" + i2, this.padScreenStatus[INPUT_HWBUTTONS][i2]);
                }
                for (i2 = 0; i2 < this.nButtons; i2 += INPUT_HWBUTTONS) {
                    edit.putFloat("Pad1SizeXAnalog" + i2, this.padSizeScreenLan[INPUT_HWBUTTONS][i2 * 2]);
                    edit.putFloat("Pad1SizeYAnalog" + i2, this.padSizeScreenLan[INPUT_HWBUTTONS][(i2 * 2) + INPUT_HWBUTTONS]);
                }
                for (i2 = 0; i2 < this.nButtons; i2 += INPUT_HWBUTTONS) {
                    edit.putFloat("Pad1PosXAnalog" + i2, this.padOffScreenLan[INPUT_HWBUTTONS][i2 * 2]);
                    edit.putFloat("Pad1PosYAnalog" + i2, this.padOffScreenLan[INPUT_HWBUTTONS][(i2 * 2) + INPUT_HWBUTTONS]);
                }
                while (i < this.nButtons) {
                    edit.putFloat("Pad1ResizeAnalog" + i, this.padScreenResize[INPUT_HWBUTTONS][i]);
                    i += INPUT_HWBUTTONS;
                }
            }
            edit.commit();
        }

        public void setRenderer() {
            setRenderer(new ePSXePadEditorRenderer());
        }

        public void swapMode() {
            ePSXePadEditor.this.mePSXePadEditorGL.savePreferences();
            this.mode ^= INPUT_HWBUTTONS;
            init_motionevent();
        }

        public void touchscreenevent(long j, int i, float f, float f2, float f3, float f4, int i2, int i3) {
            int i4 = (int) f;
            int i5 = (int) f2;
            if (this.initvirtualPad == 0) {
                init_motionevent();
            }
            int i6;
            int i7;
            if (i != 2 || this.virtualPadId[i3] == -1) {
                i6 = (i == 2 && this.virtualPadId[i3] == -1) ? 0 : i;
                if (i6 == 261 || i6 == 5 || i6 == 517) {
                    i6 = 0;
                }
                if (i6 == 262 || i6 == 6 || i6 == 518) {
                    i6 = INPUT_HWBUTTONS;
                }
                if (i6 == INPUT_HWBUTTONS && this.virtualPadId[i3] != -1) {
                    if (this.padScreenSelected == 0) {
                        this.padScreenSelected = -1;
                    }
                    this.virtualPadId[i3] = -1;
                    this.mxi = -1;
                    this.myi = -1;
                }
                if (i6 == 0) {
                    Object obj;
                    i6 = 0;
                    while (i6 < this.nButtons) {
                        if (i4 < this.virtualPadPos[i6][0] || i4 > this.virtualPadPos[i6][2] || i5 < this.virtualPadPos[i6][INPUT_HWBUTTONS] || i5 > this.virtualPadPos[i6][3]) {
                            i6 += INPUT_HWBUTTONS;
                        } else {
                            if (i6 == 0) {
                                i7 = (int) (this.padSizeScreenLan[this.mode][i6] / 6.0f);
                                int i8 = ((int) this.padOffScreenLan[this.mode][i6 * 2]) - (((int) this.padSizeScreenLan[this.mode][i6 * 2]) / 2);
                                int i9 = -1;
                                if (i4 <= (i7 * INPUT_HWBUTTONS) + i8) {
                                    i9 = INPUT_HWBUTTONS;
                                } else if (i4 <= (i7 * 2) + i8) {
                                    i9 = 2;
                                } else if (i4 <= (i7 * 3) + i8) {
                                    i9 = 3;
                                } else if (i4 <= (i7 * 4) + i8) {
                                    i9 = 4;
                                } else if (i4 <= (i7 * 5) + i8) {
                                    i9 = 5;
                                } else if (i4 <= (i7 * 6) + i8) {
                                    i9 = 6;
                                }
                                if (i9 >= 4) {
                                    obj = INPUT_HWBUTTONS;
                                    if (i9 == 4) {
                                        alertdialog_restoreDefault();
                                    } else if (i9 == 5) {
                                        alertdialog_swapMode();
                                    } else if (i9 == 6) {
                                        alertdialog_saveEditPad();
                                    }
                                } else if (this.padScreenSelected <= 0) {
                                    this.padScreenSelected = i6;
                                    this.virtualPadId[i3] = i6;
                                    Log.e("epsxepadeditor", "button(" + i6 + "): ON ");
                                    obj = INPUT_HWBUTTONS;
                                    this.mxi = i4;
                                    this.myi = i5;
                                } else {
                                    obj = null;
                                    if (i9 >= INPUT_HWBUTTONS) {
                                        obj = null;
                                        if (i9 <= 3) {
                                            float[] fArr;
                                            if (i9 == INPUT_HWBUTTONS) {
                                                fArr = this.padScreenResize[this.mode];
                                                i9 = this.padScreenSelected;
                                                fArr[i9] = fArr[i9] - 0.03f;
                                                updateClip(this.padScreenSelected);
                                                updateTouchpadDetection(this.padScreenSelected);
                                            } else if (i9 == 2) {
                                                fArr = this.padScreenResize[this.mode];
                                                i9 = this.padScreenSelected;
                                                fArr[i9] = 0.03f + fArr[i9];
                                                updateClip(this.padScreenSelected);
                                                updateTouchpadDetection(this.padScreenSelected);
                                            } else {
                                                int[] iArr = this.padScreenStatus[this.mode];
                                                i9 = this.padScreenSelected;
                                                iArr[i9] = iArr[i9] ^ INPUT_HWBUTTONS;
                                            }
                                            obj = INPUT_HWBUTTONS;
                                        }
                                    }
                                }
                            } else {
                                this.padScreenSelected = i6;
                                this.virtualPadId[i3] = i6;
                                obj = INPUT_HWBUTTONS;
                                this.mxi = i4;
                                this.myi = i5;
                            }
                            if (obj == null) {
                                this.padScreenSelected = -1;
                                this.mxi = -1;
                                this.myi = -1;
                                return;
                            }
                            return;
                        }
                    }
                    obj = null;
                    if (obj == null) {
                        this.padScreenSelected = -1;
                        this.mxi = -1;
                        this.myi = -1;
                        return;
                    }
                    return;
                }
                return;
            }
            i6 = this.virtualPadId[i3];
            float[] fArr2 = this.padOffScreenLan[this.mode];
            i7 = i6 * 2;
            fArr2[i7] = fArr2[i7] + ((float) (i4 - this.mxi));
            fArr2 = this.padOffScreenLan[this.mode];
            i7 = (i6 * 2) + INPUT_HWBUTTONS;
            fArr2[i7] = fArr2[i7] + ((float) ((i5 - this.myi) * -1));
            updateClip(i6);
            updateTouchpadDetection(i6);
            this.mxi = i4;
            this.myi = i5;
        }

        public void updateClip(int i) {
            if (((float) ((int) this.padOffScreenLan[this.mode][i * 2])) - ((((float) ((int) this.padSizeScreenLan[this.mode][i * 2])) * this.padScreenResize[this.mode][i]) / 2.0f) < 0.0f) {
                this.padOffScreenLan[this.mode][i * 2] = (((float) ((int) this.padSizeScreenLan[this.mode][i * 2])) * this.padScreenResize[this.mode][i]) / 2.0f;
            }
            if (((float) ((int) this.padOffScreenLan[this.mode][(i * 2) + INPUT_HWBUTTONS])) - ((((float) ((int) this.padSizeScreenLan[this.mode][(i * 2) + INPUT_HWBUTTONS])) * this.padScreenResize[this.mode][i]) / 2.0f) < 0.0f) {
                this.padOffScreenLan[this.mode][(i * 2) + INPUT_HWBUTTONS] = (((float) ((int) this.padSizeScreenLan[this.mode][(i * 2) + INPUT_HWBUTTONS])) * this.padScreenResize[this.mode][i]) / 2.0f;
            }
            if (((float) ((int) this.padOffScreenLan[this.mode][i * 2])) + ((((float) ((int) this.padSizeScreenLan[this.mode][i * 2])) * this.padScreenResize[this.mode][i]) / 2.0f) > ((float) this.mWidth)) {
                this.padOffScreenLan[this.mode][i * 2] = ((float) this.mWidth) - ((((float) ((int) this.padSizeScreenLan[this.mode][i * 2])) * this.padScreenResize[this.mode][i]) / 2.0f);
            }
            if (((float) ((int) this.padOffScreenLan[this.mode][(i * 2) + INPUT_HWBUTTONS])) + ((((float) ((int) this.padSizeScreenLan[this.mode][(i * 2) + INPUT_HWBUTTONS])) * this.padScreenResize[this.mode][i]) / 2.0f) > ((float) this.mHeight)) {
                this.padOffScreenLan[this.mode][(i * 2) + INPUT_HWBUTTONS] = ((float) this.mHeight) - ((((float) ((int) this.padSizeScreenLan[this.mode][(i * 2) + INPUT_HWBUTTONS])) * this.padScreenResize[this.mode][i]) / 2.0f);
            }
        }

        public void updateTouchpadDetection(int i) {
            int i2 = ((int) this.padOffScreenLan[this.mode][i * 2]) - ((int) ((this.padSizeScreenLan[this.mode][i * 2] * this.padScreenResize[this.mode][i]) / 2.0f));
            int i3 = ((int) this.padOffScreenLan[this.mode][(i * 2) + INPUT_HWBUTTONS]) - ((int) ((this.padSizeScreenLan[this.mode][(i * 2) + INPUT_HWBUTTONS] * this.padScreenResize[this.mode][i]) / 2.0f));
            this.virtualPadPos[i][0] = i2;
            this.virtualPadPos[i][INPUT_HWBUTTONS] = (this.mHeight - ((int) (this.padSizeScreenLan[this.mode][(i * 2) + INPUT_HWBUTTONS] * this.padScreenResize[this.mode][i]))) - i3;
            this.virtualPadPos[i][2] = i2 + ((int) (this.padSizeScreenLan[this.mode][i * 2] * this.padScreenResize[this.mode][i]));
            this.virtualPadPos[i][3] = ((this.mHeight - ((int) (this.padSizeScreenLan[this.mode][(i * 2) + INPUT_HWBUTTONS] * this.padScreenResize[this.mode][i]))) - i3) + ((int) (this.padSizeScreenLan[this.mode][(i * 2) + INPUT_HWBUTTONS] * this.padScreenResize[this.mode][i]));
        }
    }

    private void alertdialog_quitEditPad() {
        AlertDialog create = new Builder(this).create();
        create.setTitle(C0122R.string.padedit_back);
        create.setMessage(getString(C0122R.string.padedit_savewant));
        create.setButton(getString(C0122R.string.padedit_savecontinue), new C01021());
        create.setButton3(getString(C0122R.string.padedit_saveno), new C01032());
        create.setButton2(getString(C0122R.string.padedit_saveyes), new C01043());
        create.setIcon(C0122R.drawable.icon);
        create.show();
    }

    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        getWindow().setFlags(1024, 1024);
        requestWindowFeature(1);
        getWindow().setFlags(InputList.KEYCODE_MEDIA_CLOSE, InputList.KEYCODE_MEDIA_CLOSE);
        if (this.mePSXePadEditorGL == null) {
            this.mePSXePadEditorGL = new ePSXePadEditorGL(getApplication());
            this.mePSXePadEditorGL.setRenderer();
        }
        setRequestedOrientation(0);
        setContentView(this.mePSXePadEditorGL);
        if (VERSION.SDK_INT >= 19) {
            getWindow().getDecorView().setSystemUiVisibility(5894);
        }
    }

    public boolean onKeyDown(int i, KeyEvent keyEvent) {
        if (i != 4 || keyEvent.getRepeatCount() != 0) {
            return super.onKeyDown(i, keyEvent);
        }
        alertdialog_quitEditPad();
        return true;
    }
}
