package com.epsxe.ePSXe;

import android.content.Intent;
import android.content.SharedPreferences;
import android.content.SharedPreferences.Editor;
import android.content.SharedPreferences.OnSharedPreferenceChangeListener;
import android.os.Bundle;
import android.preference.ListPreference;
import android.preference.Preference;
import android.preference.Preference.OnPreferenceClickListener;
import android.preference.PreferenceActivity;
import android.preference.PreferenceGroup;
import android.preference.PreferenceManager;
import android.preference.PreferenceScreen;
import android.view.KeyEvent;
import android.view.inputmethod.InputMethodManager;
import android.widget.Toast;
import com.keyhan.moorhuhn2.C0122R;

public class ePSXePreferences extends PreferenceActivity implements OnSharedPreferenceChangeListener {
    public static final String PREF_FILE_NAME = "ePSXePreferences";
    private String biosPreference;
    private String gpuPreference;
    private boolean inputTouchscreenPreference;
    private String secondEditTextPreference;
    private String skinPreference;
    private String soundQAPreference;
    private String soundRatePreference;
    private String videoModePreference;
    private String videoRatePreference;

    /* renamed from: com.epsxe.ePSXe.ePSXePreferences.1 */
    class C01121 implements OnPreferenceClickListener {
        C01121() {
        }

        public boolean onPreferenceClick(Preference preference) {
            Intent intent = new Intent(ePSXePreferences.this, FileChooser.class);
            intent.putExtra("com.epsxe.ePSXe.fcMode", "SELECT_BIOS");
            ePSXePreferences.this.startActivity(intent);
            ePSXePreferences.this.finish();
            return true;
        }
    }

    /* renamed from: com.epsxe.ePSXe.ePSXePreferences.2 */
    class C01132 implements OnPreferenceClickListener {
        C01132() {
        }

        public boolean onPreferenceClick(Preference preference) {
            Intent intent = new Intent(ePSXePreferences.this, FileChooser.class);
            intent.putExtra("com.epsxe.ePSXe.fcMode", "SELECT_GPU");
            ePSXePreferences.this.startActivity(intent);
            ePSXePreferences.this.finish();
            return true;
        }
    }

    /* renamed from: com.epsxe.ePSXe.ePSXePreferences.3 */
    class C01143 implements OnPreferenceClickListener {
        C01143() {
        }

        public boolean onPreferenceClick(Preference preference) {
            Intent intent = new Intent(ePSXePreferences.this, FileChooser.class);
            intent.putExtra("com.epsxe.ePSXe.fcMode", "SELECT_SKIN");
            ePSXePreferences.this.startActivity(intent);
            ePSXePreferences.this.finish();
            return true;
        }
    }

    /* renamed from: com.epsxe.ePSXe.ePSXePreferences.4 */
    class C01154 implements OnPreferenceClickListener {
        C01154() {
        }

        public boolean onPreferenceClick(Preference preference) {
            Intent intent = new Intent(ePSXePreferences.this, FileChooser.class);
            intent.putExtra("com.epsxe.ePSXe.fcMode", "SELECT_MCR1");
            ePSXePreferences.this.startActivity(intent);
            ePSXePreferences.this.finish();
            return true;
        }
    }

    /* renamed from: com.epsxe.ePSXe.ePSXePreferences.5 */
    class C01165 implements OnPreferenceClickListener {
        C01165() {
        }

        public boolean onPreferenceClick(Preference preference) {
            Intent intent = new Intent(ePSXePreferences.this, FileChooser.class);
            intent.putExtra("com.epsxe.ePSXe.fcMode", "SELECT_MCR2");
            ePSXePreferences.this.startActivity(intent);
            ePSXePreferences.this.finish();
            return true;
        }
    }

    private void initSummaries(PreferenceGroup preferenceGroup) {
        for (int i = 0; i < preferenceGroup.getPreferenceCount(); i++) {
            Preference preference = preferenceGroup.getPreference(i);
            if (preference instanceof PreferenceGroup) {
                initSummaries((PreferenceGroup) preference);
            } else {
                setSummary(preference);
            }
        }
    }

    private void setSummary(Preference preference) {
        if (preference instanceof ListPreference) {
            preference.setSummary(((ListPreference) preference).getEntry());
        }
    }

    protected void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        addPreferencesFromResource(C0122R.xml.preferences);
        SharedPreferences defaultSharedPreferences = PreferenceManager.getDefaultSharedPreferences(this);
        initSummaries(getPreferenceScreen());
        Preference findPreference = findPreference("biosPref");
        findPreference.setSummary(defaultSharedPreferences.getString("biosPref", "/sdcard/epsxe/bios/scph1001.bin"));
        findPreference("analog1padidPref").setSummary(defaultSharedPreferences.getString("analog1padidPref", "none"));
        findPreference("analog2padidPref").setSummary(defaultSharedPreferences.getString("analog2padidPref", "none"));
        findPreference("analog3padidPref").setSummary(defaultSharedPreferences.getString("analog3padidPref", "none"));
        findPreference("analog4padidPref").setSummary(defaultSharedPreferences.getString("analog4padidPref", "none"));
        CharSequence stringExtra = getIntent().getStringExtra("com.epsxe.ePSXe.biosName");
        if (stringExtra != null && stringExtra.length() > 0) {
            Editor edit = defaultSharedPreferences.edit();
            edit.putString("biosPref", stringExtra);
            edit.commit();
            findPreference.setSummary(stringExtra);
        }
        findPreference.setOnPreferenceClickListener(new C01121());
        findPreference = findPreference("gpuPref");
        findPreference.setSummary(defaultSharedPreferences.getString("gpuPref", "/sdcard/libopenglplugin.so"));
        stringExtra = getIntent().getStringExtra("com.epsxe.ePSXe.gpuName");
        if (stringExtra != null && stringExtra.length() > 0) {
            edit = defaultSharedPreferences.edit();
            edit.putString("gpuPref", stringExtra);
            edit.commit();
            findPreference.setSummary(stringExtra);
        }
        findPreference.setOnPreferenceClickListener(new C01132());
        findPreference = findPreference("skinPref");
        findPreference.setSummary(defaultSharedPreferences.getString("skinPref", "/sdcard/skin.png"));
        stringExtra = getIntent().getStringExtra("com.epsxe.ePSXe.skinName");
        if (stringExtra != null && stringExtra.length() > 0) {
            edit = defaultSharedPreferences.edit();
            edit.putString("skinPref", stringExtra);
            edit.commit();
            findPreference.setSummary(stringExtra);
        }
        findPreference.setOnPreferenceClickListener(new C01143());
        findPreference = findPreference("mcr1Pref");
        findPreference.setSummary(defaultSharedPreferences.getString("mcr1Pref", "default"));
        stringExtra = getIntent().getStringExtra("com.epsxe.ePSXe.mcr1Name");
        if (stringExtra != null && stringExtra.length() > 0) {
            edit = defaultSharedPreferences.edit();
            edit.putString("mcr1Pref", stringExtra);
            edit.commit();
            findPreference.setSummary(stringExtra);
        }
        findPreference.setOnPreferenceClickListener(new C01154());
        findPreference = findPreference("mcr2Pref");
        findPreference.setSummary(defaultSharedPreferences.getString("mcr2Pref", "default"));
        stringExtra = getIntent().getStringExtra("com.epsxe.ePSXe.mcr2Name");
        if (stringExtra != null && stringExtra.length() > 0) {
            edit = defaultSharedPreferences.edit();
            edit.putString("mcr2Pref", stringExtra);
            edit.commit();
            findPreference.setSummary(stringExtra);
        }
        findPreference.setOnPreferenceClickListener(new C01165());
        findPreference("controller1").setSummary(defaultSharedPreferences.getString("analog1paddescPref", "default"));
        for (int i = 2; i < 5; i++) {
            findPreference("controller" + i).setSummary(defaultSharedPreferences.getString("analog" + i + "paddescPref", "none"));
        }
    }

    public boolean onKeyDown(int i, KeyEvent keyEvent) {
        if (i == 4 && keyEvent.getRepeatCount() == 0) {
            PreferenceManager.getDefaultSharedPreferences(this).edit().commit();
            Toast.makeText(this, C0122R.string.preferences_saved, 0).show();
            Intent intent = new Intent(this, ePSXe.class);
            finish();
        }
        return super.onKeyDown(i, keyEvent);
    }

    protected void onPause() {
        super.onPause();
        getPreferenceScreen().getSharedPreferences().unregisterOnSharedPreferenceChangeListener(this);
    }

    public boolean onPreferenceTreeClick(PreferenceScreen preferenceScreen, Preference preference) {
        if (preference.getKey().equals("button_controller1_map_key")) {
            Intent intent = new Intent(this, InputList.class);
            intent.putExtra("com.epsxe.ePSXe.player", 0);
            startActivity(intent);
            finish();
        }
        if (preference.getKey().equals("button_controller2_map_key")) {
            intent = new Intent(this, InputList.class);
            intent.putExtra("com.epsxe.ePSXe.player", 1);
            startActivity(intent);
            finish();
        }
        if (preference.getKey().equals("button_controller3_map_key")) {
            intent = new Intent(this, InputList.class);
            intent.putExtra("com.epsxe.ePSXe.player", 2);
            startActivity(intent);
            finish();
        }
        if (preference.getKey().equals("button_controller4_map_key")) {
            intent = new Intent(this, InputList.class);
            intent.putExtra("com.epsxe.ePSXe.player", 3);
            startActivity(intent);
            finish();
        }
        if (preference.getKey().equals("button_extra_map_key")) {
            intent = new Intent(this, InputList.class);
            intent.putExtra("com.epsxe.ePSXe.player", 10);
            startActivity(intent);
            finish();
        }
        if (preference.getKey().equals("inputeditpad1_key")) {
            intent = new Intent(this, ePSXePadEditor.class);
            intent.putExtra("com.epsxe.ePSXe.pad", 1);
            startActivity(intent);
            finish();
        }
        if (preference.getKey().equals("analog1padidPref")) {
            intent = new Intent(this, GamepadList.class);
            intent.putExtra("com.epsxe.ePSXe.player", 0);
            startActivity(intent);
            finish();
        }
        if (preference.getKey().equals("analog2padidPref")) {
            intent = new Intent(this, GamepadList.class);
            intent.putExtra("com.epsxe.ePSXe.player", 1);
            startActivity(intent);
            finish();
        }
        if (preference.getKey().equals("analog3padidPref")) {
            intent = new Intent(this, GamepadList.class);
            intent.putExtra("com.epsxe.ePSXe.player", 2);
            startActivity(intent);
            finish();
        }
        if (preference.getKey().equals("analog4padidPref")) {
            intent = new Intent(this, GamepadList.class);
            intent.putExtra("com.epsxe.ePSXe.player", 3);
            startActivity(intent);
            finish();
        }
        if (preference.getKey().equals("inputmethod_select")) {
            InputMethodManager inputMethodManager = (InputMethodManager) getSystemService("input_method");
            if (inputMethodManager != null) {
                inputMethodManager.showInputMethodPicker();
            }
        }
        return super.onPreferenceTreeClick(preferenceScreen, preference);
    }

    protected void onResume() {
        super.onResume();
        getPreferenceScreen().getSharedPreferences().registerOnSharedPreferenceChangeListener(this);
    }

    public void onSharedPreferenceChanged(SharedPreferences sharedPreferences, String str) {
        Preference findPreference = findPreference(str);
        if (findPreference instanceof ListPreference) {
            ListPreference listPreference;
            ListPreference listPreference2 = (ListPreference) findPreference;
            findPreference.setSummary(listPreference2.getEntry());
            if (str.equals("inputHidePref")) {
                listPreference = (ListPreference) findPreference("inputPaintPadModePref");
                if (listPreference2.getValue().equals("0")) {
                    listPreference.setValue("0");
                    listPreference.setSummary(listPreference.getEntry());
                } else if (listPreference2.getValue().equals("1")) {
                    listPreference.setValue("2");
                    listPreference.setSummary(listPreference.getEntry());
                }
            }
            if (str.equals("analog1profilePref") || str.equals("analog2profilePref")) {
                ListPreference listPreference3;
                ListPreference listPreference4;
                ListPreference listPreference5;
                ListPreference listPreference6;
                ListPreference listPreference7;
                ListPreference listPreference8;
                if (str.equals("analog1profilePref")) {
                    listPreference = (ListPreference) findPreference("analog1rangePref");
                    listPreference3 = (ListPreference) findPreference("analog1leftxPref");
                    listPreference4 = (ListPreference) findPreference("analog1leftyPref");
                    listPreference5 = (ListPreference) findPreference("analog1rightxPref");
                    listPreference6 = (ListPreference) findPreference("analog1rightyPref");
                    listPreference7 = (ListPreference) findPreference("analog1l2Pref");
                    listPreference8 = (ListPreference) findPreference("analog1r2Pref");
                } else if (str.equals("analog2profilePref")) {
                    listPreference = (ListPreference) findPreference("analog2rangePref");
                    listPreference3 = (ListPreference) findPreference("analog2leftxPref");
                    listPreference4 = (ListPreference) findPreference("analog2leftyPref");
                    listPreference5 = (ListPreference) findPreference("analog2rightxPref");
                    listPreference6 = (ListPreference) findPreference("analog2rightyPref");
                    listPreference7 = (ListPreference) findPreference("analog2l2Pref");
                    listPreference8 = (ListPreference) findPreference("analog2r2Pref");
                } else if (str.equals("analog3profilePref")) {
                    listPreference = (ListPreference) findPreference("analog3rangePref");
                    listPreference3 = (ListPreference) findPreference("analog3leftxPref");
                    listPreference4 = (ListPreference) findPreference("analog3leftyPref");
                    listPreference5 = (ListPreference) findPreference("analog3rightxPref");
                    listPreference6 = (ListPreference) findPreference("analog3rightyPref");
                    listPreference7 = (ListPreference) findPreference("analog3l2Pref");
                    listPreference8 = (ListPreference) findPreference("analog3r2Pref");
                } else {
                    listPreference = (ListPreference) findPreference("analog4rangePref");
                    listPreference3 = (ListPreference) findPreference("analog4leftxPref");
                    listPreference4 = (ListPreference) findPreference("analog4leftyPref");
                    listPreference5 = (ListPreference) findPreference("analog4rightxPref");
                    listPreference6 = (ListPreference) findPreference("analog4rightyPref");
                    listPreference7 = (ListPreference) findPreference("analog4l2Pref");
                    listPreference8 = (ListPreference) findPreference("analog4r2Pref");
                }
                if (listPreference2.getValue().equals("0")) {
                    listPreference.setValue("0");
                    listPreference.setSummary(listPreference.getEntry());
                    listPreference3.setValue("48");
                    listPreference3.setSummary(listPreference3.getEntry());
                    listPreference4.setValue("48");
                    listPreference4.setSummary(listPreference4.getEntry());
                    listPreference5.setValue("48");
                    listPreference5.setSummary(listPreference5.getEntry());
                    listPreference6.setValue("48");
                    listPreference6.setSummary(listPreference6.getEntry());
                    listPreference7.setValue("48");
                    listPreference7.setSummary(listPreference7.getEntry());
                    listPreference8.setValue("48");
                    listPreference8.setSummary(listPreference8.getEntry());
                } else if (listPreference2.getValue().equals("1")) {
                    listPreference.setValue("1");
                    listPreference.setSummary(listPreference.getEntry());
                    listPreference3.setValue("0");
                    listPreference3.setSummary(listPreference3.getEntry());
                    listPreference4.setValue("1");
                    listPreference4.setSummary(listPreference4.getEntry());
                    listPreference5.setValue("11");
                    listPreference5.setSummary(listPreference5.getEntry());
                    listPreference6.setValue("14");
                    listPreference6.setSummary(listPreference6.getEntry());
                    listPreference7.setValue("17");
                    listPreference7.setSummary(listPreference7.getEntry());
                    listPreference8.setValue("18");
                    listPreference8.setSummary(listPreference8.getEntry());
                } else if (listPreference2.getValue().equals("3") || listPreference2.getValue().equals("ouya")) {
                    listPreference.setValue("1");
                    listPreference.setSummary(listPreference.getEntry());
                    listPreference3.setValue("0");
                    listPreference3.setSummary(listPreference3.getEntry());
                    listPreference4.setValue("1");
                    listPreference4.setSummary(listPreference4.getEntry());
                    listPreference5.setValue("12");
                    listPreference5.setSummary(listPreference5.getEntry());
                    listPreference6.setValue("13");
                    listPreference6.setSummary(listPreference6.getEntry());
                    listPreference7.setValue("11");
                    listPreference7.setSummary(listPreference7.getEntry());
                    listPreference8.setValue("14");
                    listPreference8.setSummary(listPreference8.getEntry());
                } else if (listPreference2.getValue().equals("moga")) {
                    listPreference.setValue("1");
                    listPreference.setSummary(listPreference.getEntry());
                    listPreference3.setValue("0");
                    listPreference3.setSummary(listPreference3.getEntry());
                    listPreference4.setValue("1");
                    listPreference4.setSummary(listPreference4.getEntry());
                    listPreference5.setValue("12");
                    listPreference5.setSummary(listPreference5.getEntry());
                    listPreference6.setValue("13");
                    listPreference6.setSummary(listPreference6.getEntry());
                    listPreference7.setValue("48");
                    listPreference7.setSummary(listPreference7.getEntry());
                    listPreference8.setValue("48");
                    listPreference8.setSummary(listPreference8.getEntry());
                } else if (listPreference2.getValue().equals("mogapro")) {
                    listPreference.setValue("1");
                    listPreference.setSummary(listPreference.getEntry());
                    listPreference3.setValue("0");
                    listPreference3.setSummary(listPreference3.getEntry());
                    listPreference4.setValue("1");
                    listPreference4.setSummary(listPreference4.getEntry());
                    listPreference5.setValue("12");
                    listPreference5.setSummary(listPreference5.getEntry());
                    listPreference6.setValue("13");
                    listPreference6.setSummary(listPreference6.getEntry());
                    listPreference7.setValue("17");
                    listPreference7.setSummary(listPreference7.getEntry());
                    listPreference8.setValue("18");
                    listPreference8.setSummary(listPreference8.getEntry());
                } else if (listPreference2.getValue().equals("2") || listPreference2.getValue().equals("4") || listPreference2.getValue().equals("nvidia") || listPreference2.getValue().equals("xboxw")) {
                    listPreference.setValue("0");
                    listPreference.setSummary(listPreference.getEntry());
                    listPreference3.setValue("0");
                    listPreference3.setSummary(listPreference3.getEntry());
                    listPreference4.setValue("1");
                    listPreference4.setSummary(listPreference4.getEntry());
                    listPreference5.setValue("11");
                    listPreference5.setSummary(listPreference5.getEntry());
                    listPreference6.setValue("14");
                    listPreference6.setSummary(listPreference6.getEntry());
                    listPreference7.setValue("17");
                    listPreference7.setSummary(listPreference7.getEntry());
                    listPreference8.setValue("18");
                    listPreference8.setSummary(listPreference8.getEntry());
                } else {
                    listPreference.setValue("1");
                    listPreference.setSummary(listPreference.getEntry());
                    listPreference3.setValue("49");
                    listPreference3.setSummary(listPreference3.getEntry());
                    listPreference4.setValue("49");
                    listPreference4.setSummary(listPreference4.getEntry());
                    listPreference5.setValue("49");
                    listPreference5.setSummary(listPreference5.getEntry());
                    listPreference6.setValue("49");
                    listPreference6.setSummary(listPreference6.getEntry());
                    listPreference7.setValue("49");
                    listPreference7.setSummary(listPreference7.getEntry());
                    listPreference8.setValue("49");
                    listPreference8.setSummary(listPreference8.getEntry());
                }
            }
        }
    }
}
