package com.epsxe.ePSXe;

import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.BitmapFactory.Options;
import android.graphics.Matrix;
import android.opengl.GLSurfaceView;
import android.opengl.GLSurfaceView.Renderer;
import android.opengl.GLUtils;
import android.os.Build;
import android.os.Build.VERSION;
import android.util.Log;
import android.view.MotionEvent;
import com.google.android.vending.licensing.Policy;
import com.keyhan.moorhuhn2.C0122R;
import java.io.File;
import java.lang.reflect.Array;
import javax.microedition.khronos.egl.EGLConfig;
import javax.microedition.khronos.opengles.GL10;

class ePSXeViewGL extends GLSurfaceView implements ePSXeView {
    public static final int ACTION_POINTER_INDEX_MASK = 65280;
    public static final int ACTION_POINTER_INDEX_SHIFT = 8;
    private static final int BUTTON_DOWN = 1;
    private static final int INPUT_HWBUTTONS = 1;
    private static final int INPUT_TOUCHSCREEN = 0;
    private static final int NO_BUTTON_DOWN = 0;
    private int[][] analog_values;
    private String debugString;
    private String debugString2;
    private libepsxe f641e;
    private int emu_enable_framelimit;
    private int emu_enable_frameskip;
    private int emu_enable_frameskip_tmp;
    private int emu_enable_mme;
    private int emu_enable_printfps;
    private int emu_gpu_blit_mode;
    private float emu_input_alpha;
    private int[] emu_pad_draw_mode;
    private int[] emu_pad_mode;
    private int[] emu_pad_mode_analog;
    private int emu_pad_portrait;
    private int[] emu_pad_type;
    private int emu_pad_type_selected;
    private int emu_player_mode;
    private int emu_screen_orientation;
    private int emu_screen_ratio;
    private int emu_sound_latency;
    private int emu_split_mode;
    private int emu_video_filter;
    int gunX;
    int gunY;
    int gunb0;
    int gunb1;
    int gunb2;
    int initvirtualPad;
    private boolean license;
    private Context mContext;
    private int mHeight;
    private int mWidth;
    ePSXeReadPreferences mePSXeReadPreferences;
    private int mfps;
    private int mode;
    private int osVersion;
    float[][] padOffScreenLan;
    float[] padOffScreenLan2H;
    float[] padOffScreenLan2V;
    float[] padOffScreenPor;
    private float padResize;
    int[] padScreenExtra;
    int padScreenExtraCombo;
    int padScreenExtraEnabled;
    int[] padScreenFunc;
    float[][] padScreenResize;
    int[][] padScreenStatus;
    float[][] padSizeScreenLan;
    float[] padSizeScreenLan2H;
    float[] padSizeScreenLan2V;
    float[] padSizeScreenPor;
    private String skinName;
    private int[] stickyButton;
    private int[] ts_vibration;
    int[][] virtualPad;
    int[] virtualPadBit;
    int[] virtualPadId;
    int[][] virtualPadPort;
    int[][] virtualPadPos;
    private int x1;
    private int x2;
    private int y1;
    private int y2;

    /* renamed from: com.epsxe.ePSXe.ePSXeViewGL.1 */
    class C01171 extends Thread {
        C01171() {
        }

        public void run() {
            ePSXeViewGL.this.f641e.openglstartthread();
        }
    }

    private class ePSXeRenderer implements Renderer {
        SpriteBatch[] batchLan;
        SpriteBatch batchPor;
        private GLText glText;
        int[] hTexLan;
        int hTexPor;
        int hTextmp;
        int mTexExtra;
        int mTexLan;
        int mTexPor;
        TextureRegion[] textureRgnLan;
        TextureRegion textureRgnPor;
        int[] wTexLan;
        int wTexPor;
        int wTextmp;

        private ePSXeRenderer() {
            this.mTexPor = -1;
            this.mTexLan = -1;
            this.mTexExtra = -1;
            this.batchLan = new SpriteBatch[28];
            this.textureRgnLan = new TextureRegion[28];
            this.hTexLan = new int[28];
            this.wTexLan = new int[28];
        }

        private int loadTexture(GL10 gl10, Context context, int i) {
            int newTextureID = newTextureID(gl10);
            Matrix matrix = new Matrix();
            matrix.setTranslate(1.0f, -1.0f);
            matrix.postScale(1.0f, 1.0f);
            Options options = new Options();
            options.inScaled = false;
            Bitmap decodeResource = BitmapFactory.decodeResource(context.getResources(), i, options);
            Bitmap createBitmap = Bitmap.createBitmap(decodeResource, 0, 0, decodeResource.getWidth(), decodeResource.getHeight(), matrix, true);
            decodeResource.recycle();
            gl10.glBindTexture(3553, newTextureID);
            gl10.glTexParameterf(3553, 10241, 9729.0f);
            gl10.glTexParameterf(3553, 10240, 9729.0f);
            gl10.glTexParameterf(3553, 10242, 10497.0f);
            gl10.glTexParameterf(3553, 10243, 10497.0f);
            this.wTextmp = createBitmap.getWidth();
            this.hTextmp = createBitmap.getHeight();
            GLUtils.texImage2D(3553, 0, createBitmap, 0);
            gl10.glBindTexture(3553, 0);
            createBitmap.recycle();
            return newTextureID;
        }

        private int loadTextureFromFile(GL10 gl10, Context context, String str) {
            int newTextureID = newTextureID(gl10);
            Matrix matrix = new Matrix();
            matrix.setTranslate(1.0f, -1.0f);
            matrix.postScale(1.0f, 1.0f);
            new Options().inScaled = false;
            Bitmap decodeFile = BitmapFactory.decodeFile(str);
            Bitmap createBitmap = Bitmap.createBitmap(decodeFile, 0, 0, decodeFile.getWidth(), decodeFile.getHeight(), matrix, true);
            decodeFile.recycle();
            gl10.glBindTexture(3553, newTextureID);
            gl10.glTexParameterf(3553, 10241, 9729.0f);
            gl10.glTexParameterf(3553, 10240, 9729.0f);
            gl10.glTexParameterf(3553, 10242, 10497.0f);
            gl10.glTexParameterf(3553, 10243, 10497.0f);
            this.wTextmp = createBitmap.getWidth();
            this.hTextmp = createBitmap.getHeight();
            GLUtils.texImage2D(3553, 0, createBitmap, 0);
            gl10.glBindTexture(3553, 0);
            createBitmap.recycle();
            return newTextureID;
        }

        private int newTextureID(GL10 gl10) {
            int[] iArr = new int[ePSXeViewGL.INPUT_HWBUTTONS];
            gl10.glGenTextures(ePSXeViewGL.INPUT_HWBUTTONS, iArr, 0);
            return iArr[0];
        }

        public void drawAnalogValues(GL10 gl10) {
            gl10.glEnable(3553);
            gl10.glEnable(3042);
            gl10.glBlendFunc(770, 771);
            this.glText.begin(1.0f, 1.0f, 1.0f, 1.0f);
            this.glText.draw("lx " + ePSXeViewGL.this.x1 + " ly " + ePSXeViewGL.this.y1 + " rx " + ePSXeViewGL.this.x2 + " ry " + ePSXeViewGL.this.y2, 0.0f, ((float) ePSXeViewGL.this.mHeight) - (3.0f * this.glText.getCharHeight()));
            this.glText.end();
            gl10.glDisable(3042);
            gl10.glDisable(3553);
        }

        public void drawDebugString(GL10 gl10) {
            gl10.glEnable(3553);
            gl10.glEnable(3042);
            gl10.glBlendFunc(770, 771);
            this.glText.begin(1.0f, 1.0f, 1.0f, 1.0f);
            this.glText.draw(ePSXeViewGL.this.debugString, 0.0f, ((float) ePSXeViewGL.this.mHeight) - (3.0f * this.glText.getCharHeight()));
            this.glText.end();
            gl10.glDisable(3042);
            gl10.glDisable(3553);
        }

        public void drawDebugString2(GL10 gl10) {
            gl10.glEnable(3553);
            gl10.glEnable(3042);
            gl10.glBlendFunc(770, 771);
            this.glText.begin(1.0f, 1.0f, 1.0f, 1.0f);
            this.glText.draw(ePSXeViewGL.this.debugString2, 0.0f, ((float) ePSXeViewGL.this.mHeight) - (4.0f * this.glText.getCharHeight()));
            this.glText.end();
            gl10.glDisable(3042);
            gl10.glDisable(3553);
        }

        public void drawDeviceName(GL10 gl10) {
            gl10.glEnable(3553);
            gl10.glEnable(3042);
            gl10.glBlendFunc(770, 771);
            this.glText.begin(1.0f, 1.0f, 1.0f, 1.0f);
            this.glText.draw(Build.DEVICE, 60.0f, 0.0f);
            this.glText.end();
            gl10.glDisable(3042);
            gl10.glDisable(3553);
        }

        public void drawFPS(GL10 gl10) {
            gl10.glEnable(3553);
            gl10.glEnable(3042);
            gl10.glBlendFunc(770, 771);
            this.glText.begin(1.0f, 1.0f, 1.0f, 1.0f);
            this.glText.draw(String.valueOf(ePSXeViewGL.this.f641e.getFPS()) + "/" + ePSXeViewGL.this.mfps, 0.0f, ((float) ePSXeViewGL.this.mHeight) - this.glText.getCharHeight());
            this.glText.end();
            gl10.glDisable(3042);
            gl10.glDisable(3553);
        }

        public void drawLicense(GL10 gl10) {
            gl10.glEnable(3553);
            gl10.glEnable(3042);
            gl10.glBlendFunc(770, 771);
            this.glText.begin(1.0f, 1.0f, 1.0f, 1.0f);
            this.glText.draw("License not validated yet. Read the documentation.", 60.0f, 0.0f);
            this.glText.end();
            gl10.glDisable(3042);
            gl10.glDisable(3553);
        }

        public void loadExtraButtons() {
            if (ePSXeViewGL.this.emu_player_mode == ePSXeViewGL.INPUT_HWBUTTONS) {
                if (ePSXeViewGL.this.mePSXeReadPreferences == null) {
                    ePSXeViewGL.this.mePSXeReadPreferences = new ePSXeReadPreferences(ePSXeViewGL.this.mContext);
                }
                ePSXeViewGL.this.padScreenExtraCombo = 0;
                ePSXeViewGL.this.padScreenExtraEnabled = 0;
                for (int i = 0; i < 6; i += ePSXeViewGL.INPUT_HWBUTTONS) {
                    int padExtra = ePSXeViewGL.this.mePSXeReadPreferences.getPadExtra("inputExtrasPref" + (i + ePSXeViewGL.INPUT_HWBUTTONS));
                    if (padExtra == 19) {
                        ePSXeViewGL.this.padScreenStatus[0][i + 14] = 2;
                        ePSXeViewGL.this.padScreenStatus[ePSXeViewGL.INPUT_HWBUTTONS][i + 14] = 2;
                    } else {
                        ePSXeViewGL.this.padScreenExtraEnabled = ePSXeViewGL.INPUT_HWBUTTONS;
                        ePSXeViewGL.this.padScreenStatus[0][i + 14] = ePSXeViewGL.INPUT_HWBUTTONS;
                        ePSXeViewGL.this.padScreenStatus[ePSXeViewGL.INPUT_HWBUTTONS][i + 14] = ePSXeViewGL.INPUT_HWBUTTONS;
                    }
                    ePSXeViewGL.this.padScreenExtra[i] = padExtra;
                    if (ePSXeViewGL.this.padScreenExtra[i] < 5) {
                        ePSXeViewGL.this.padScreenFunc[i] = ePSXeViewGL.INPUT_HWBUTTONS;
                    } else if (ePSXeViewGL.this.padScreenExtra[i] < 10) {
                        ePSXeViewGL.this.padScreenFunc[i] = ePSXeViewGL.INPUT_HWBUTTONS;
                    } else if (ePSXeViewGL.this.padScreenExtra[i] < 18) {
                        ePSXeViewGL.this.padScreenFunc[i] = 2;
                        ePSXeViewGL.this.padScreenExtraCombo = ePSXeViewGL.INPUT_HWBUTTONS;
                    } else if (ePSXeViewGL.this.padScreenExtra[i] == 18) {
                        ePSXeViewGL.this.padScreenFunc[i] = ePSXeViewGL.INPUT_HWBUTTONS;
                    } else if (ePSXeViewGL.this.padScreenExtra[i] == 20) {
                        ePSXeViewGL.this.padScreenFunc[i] = ePSXeViewGL.INPUT_HWBUTTONS;
                    } else if (ePSXeViewGL.this.padScreenExtra[i] == 21) {
                        ePSXeViewGL.this.padScreenFunc[i] = ePSXeViewGL.INPUT_HWBUTTONS;
                    } else if (ePSXeViewGL.this.padScreenExtra[i] == 22) {
                        ePSXeViewGL.this.padScreenFunc[i] = ePSXeViewGL.INPUT_HWBUTTONS;
                    } else if (ePSXeViewGL.this.padScreenExtra[i] == 23) {
                        ePSXeViewGL.this.padScreenFunc[i] = ePSXeViewGL.INPUT_HWBUTTONS;
                    } else if (ePSXeViewGL.this.padScreenExtra[i] == 24) {
                        ePSXeViewGL.this.padScreenFunc[i] = ePSXeViewGL.INPUT_HWBUTTONS;
                    } else if (ePSXeViewGL.this.padScreenExtra[i] == 25) {
                        ePSXeViewGL.this.padScreenFunc[i] = ePSXeViewGL.INPUT_HWBUTTONS;
                    } else if (ePSXeViewGL.this.padScreenExtra[i] == 26) {
                        ePSXeViewGL.this.padScreenFunc[i] = ePSXeViewGL.INPUT_HWBUTTONS;
                    } else if (ePSXeViewGL.this.padScreenExtra[i] == 27) {
                        ePSXeViewGL.this.padScreenFunc[i] = ePSXeViewGL.INPUT_HWBUTTONS;
                    } else {
                        ePSXeViewGL.this.padScreenFunc[i] = 0;
                    }
                }
            }
        }

        public void onDrawFrame(GL10 gl10) {
            gl10.glClear(16384);
            ePSXeViewGL.this.f641e.openglrender(ePSXeViewGL.this.emu_player_mode, ePSXeViewGL.this.emu_screen_orientation, ePSXeViewGL.this.emu_split_mode, ePSXeViewGL.this.emu_screen_ratio);
            if (ePSXeViewGL.this.emu_player_mode == ePSXeViewGL.INPUT_HWBUTTONS && ePSXeViewGL.this.emu_screen_orientation == ePSXeViewGL.INPUT_HWBUTTONS) {
                gl10.glEnable(3553);
                gl10.glEnableClientState(32884);
                this.batchPor.beginBatch(this.mTexPor);
                this.batchPor.drawSprite(ePSXeViewGL.this.padOffScreenPor[0], ePSXeViewGL.this.padOffScreenPor[ePSXeViewGL.INPUT_HWBUTTONS], ePSXeViewGL.this.padSizeScreenPor[0], ePSXeViewGL.this.padSizeScreenPor[ePSXeViewGL.INPUT_HWBUTTONS], this.textureRgnPor);
                this.batchPor.endBatch();
                gl10.glDisableClientState(32884);
                gl10.glDisable(3553);
            } else {
                int i;
                if (ePSXeViewGL.this.emu_player_mode == ePSXeViewGL.INPUT_HWBUTTONS && ePSXeViewGL.this.emu_pad_draw_mode[0] != 2 && ePSXeViewGL.this.emu_pad_mode[0] != 3) {
                    gl10.glEnable(3553);
                    gl10.glEnable(3042);
                    gl10.glBlendFunc(770, 771);
                    gl10.glColor4f(1.0f, 1.0f, 1.0f, ePSXeViewGL.this.emu_input_alpha);
                    i = ePSXeViewGL.this.emu_pad_mode[ePSXeViewGL.this.emu_pad_type_selected] == 4 ? ePSXeViewGL.this.emu_pad_mode_analog[ePSXeViewGL.this.emu_pad_type_selected] == 0 ? 9 : 13 : ePSXeViewGL.ACTION_POINTER_INDEX_SHIFT;
                    int i2 = 0;
                    while (i2 < i) {
                        if (ePSXeViewGL.this.padScreenStatus[ePSXeViewGL.this.mode][i2] == ePSXeViewGL.INPUT_HWBUTTONS) {
                            this.batchLan[i2].beginBatch(this.mTexLan);
                            this.batchLan[i2].drawSprite(ePSXeViewGL.this.padOffScreenLan[ePSXeViewGL.this.mode][(i2 * 2) + 0], ePSXeViewGL.this.padOffScreenLan[ePSXeViewGL.this.mode][(i2 * 2) + ePSXeViewGL.INPUT_HWBUTTONS], ePSXeViewGL.this.padSizeScreenLan[ePSXeViewGL.this.mode][(i2 * 2) + 0] * ePSXeViewGL.this.padScreenResize[ePSXeViewGL.this.mode][i2], ePSXeViewGL.this.padSizeScreenLan[ePSXeViewGL.this.mode][(i2 * 2) + ePSXeViewGL.INPUT_HWBUTTONS] * ePSXeViewGL.this.padScreenResize[ePSXeViewGL.this.mode][i2], this.textureRgnLan[i2]);
                            this.batchLan[i2].endBatch();
                            if (i2 == 11 || i2 == 12) {
                                this.batchLan[i2].beginBatch(this.mTexLan);
                                this.batchLan[i2].drawSprite((float) ePSXeViewGL.this.analog_values[0][(i2 - 11) * 2], (float) ePSXeViewGL.this.analog_values[0][((i2 - 11) * 2) + ePSXeViewGL.INPUT_HWBUTTONS], 2.0f * (ePSXeViewGL.this.padSizeScreenLan[ePSXeViewGL.this.mode][26] * ePSXeViewGL.this.padScreenResize[ePSXeViewGL.this.mode][i2]), 2.0f * (ePSXeViewGL.this.padSizeScreenLan[ePSXeViewGL.this.mode][27] * ePSXeViewGL.this.padScreenResize[ePSXeViewGL.this.mode][i2]), this.textureRgnLan[13]);
                                this.batchLan[i2].endBatch();
                            }
                        }
                        i2 += ePSXeViewGL.INPUT_HWBUTTONS;
                    }
                    if (ePSXeViewGL.this.padScreenExtraEnabled == ePSXeViewGL.INPUT_HWBUTTONS) {
                        i = 14;
                        while (i < 20) {
                            if ((ePSXeViewGL.this.padScreenStatus[ePSXeViewGL.this.mode][i] & 2) != 2) {
                                if (ePSXeViewGL.this.padScreenExtra[i - 14] < 20 || ePSXeViewGL.this.stickyButton[ePSXeViewGL.this.padScreenExtra[i - 14] - 20] != ePSXeViewGL.INPUT_HWBUTTONS) {
                                    this.batchLan[i].beginBatch(this.mTexExtra);
                                    this.batchLan[i].drawSprite(ePSXeViewGL.this.padOffScreenLan[ePSXeViewGL.this.mode][(i * 2) + 0], ePSXeViewGL.this.padOffScreenLan[ePSXeViewGL.this.mode][(i * 2) + ePSXeViewGL.INPUT_HWBUTTONS], ePSXeViewGL.this.padSizeScreenLan[ePSXeViewGL.this.mode][(i * 2) + 0] * ePSXeViewGL.this.padScreenResize[ePSXeViewGL.this.mode][i], ePSXeViewGL.this.padSizeScreenLan[ePSXeViewGL.this.mode][(i * 2) + ePSXeViewGL.INPUT_HWBUTTONS] * ePSXeViewGL.this.padScreenResize[ePSXeViewGL.this.mode][i], this.textureRgnLan[i]);
                                    this.batchLan[i].endBatch();
                                } else {
                                    int i3 = ePSXeViewGL.this.padScreenExtra[i - 14];
                                    this.batchLan[i].beginBatch(this.mTexExtra);
                                    this.batchLan[i].drawSprite(ePSXeViewGL.this.padOffScreenLan[ePSXeViewGL.this.mode][(i * 2) + 0], ePSXeViewGL.this.padOffScreenLan[ePSXeViewGL.this.mode][(i * 2) + ePSXeViewGL.INPUT_HWBUTTONS], ePSXeViewGL.this.padSizeScreenLan[ePSXeViewGL.this.mode][(i * 2) + 0] * ePSXeViewGL.this.padScreenResize[ePSXeViewGL.this.mode][i], ePSXeViewGL.this.padSizeScreenLan[ePSXeViewGL.this.mode][(i * 2) + ePSXeViewGL.INPUT_HWBUTTONS] * ePSXeViewGL.this.padScreenResize[ePSXeViewGL.this.mode][i], this.textureRgnLan[i3]);
                                    this.batchLan[i].endBatch();
                                }
                            }
                            i += ePSXeViewGL.INPUT_HWBUTTONS;
                        }
                    }
                    gl10.glDisable(3042);
                    gl10.glDisable(3553);
                } else if (ePSXeViewGL.this.emu_pad_mode[0] == 3) {
                    gl10.glEnable(3553);
                    gl10.glEnable(3042);
                    gl10.glBlendFunc(770, 771);
                    gl10.glColor4f(1.0f, 1.0f, 1.0f, ePSXeViewGL.this.emu_input_alpha);
                    this.batchLan[0].beginBatch(this.mTexLan);
                    this.batchLan[0].drawSprite((float) ((ePSXeViewGL.this.mWidth - ((ePSXeViewGL.this.mHeight * 4) / 3)) / 4), (float) ((ePSXeViewGL.this.mHeight / 4) * 3), (float) ((ePSXeViewGL.this.mWidth - ((ePSXeViewGL.this.mHeight * 4) / 3)) / 2), (float) (ePSXeViewGL.this.mHeight / 2), this.textureRgnLan[0]);
                    this.batchLan[0].endBatch();
                    this.batchLan[ePSXeViewGL.INPUT_HWBUTTONS].beginBatch(this.mTexLan);
                    this.batchLan[ePSXeViewGL.INPUT_HWBUTTONS].drawSprite((float) ((ePSXeViewGL.this.mWidth - ((ePSXeViewGL.this.mHeight * 4) / 3)) / 4), (float) (ePSXeViewGL.this.mHeight / 4), (float) ((ePSXeViewGL.this.mWidth - ((ePSXeViewGL.this.mHeight * 4) / 3)) / 2), (float) (ePSXeViewGL.this.mHeight / 2), this.textureRgnLan[ePSXeViewGL.INPUT_HWBUTTONS]);
                    this.batchLan[ePSXeViewGL.INPUT_HWBUTTONS].endBatch();
                    gl10.glDisable(3042);
                    gl10.glDisable(3553);
                }
                if (ePSXeViewGL.this.emu_player_mode == 10 && ePSXeViewGL.this.emu_split_mode == 0 && ePSXeViewGL.this.emu_pad_draw_mode[0] != 2) {
                    gl10.glPushMatrix();
                    gl10.glEnable(3553);
                    gl10.glEnable(3042);
                    gl10.glBlendFunc(770, 771);
                    gl10.glColor4f(1.0f, 1.0f, 1.0f, ePSXeViewGL.this.emu_input_alpha);
                    gl10.glTranslatef((float) ePSXeViewGL.this.mWidth, 0.0f, 0.0f);
                    gl10.glRotatef(90.0f, 0.0f, 0.0f, 1.0f);
                    for (i = 0; i < ePSXeViewGL.ACTION_POINTER_INDEX_SHIFT; i += ePSXeViewGL.INPUT_HWBUTTONS) {
                        this.batchLan[i].beginBatch(this.mTexLan);
                        this.batchLan[i].drawSprite(ePSXeViewGL.this.padOffScreenLan2V[(i * 2) + 0], ePSXeViewGL.this.padOffScreenLan2V[(i * 2) + ePSXeViewGL.INPUT_HWBUTTONS], ePSXeViewGL.this.padSizeScreenLan2V[(i * 2) + 0], ePSXeViewGL.this.padSizeScreenLan2V[(i * 2) + ePSXeViewGL.INPUT_HWBUTTONS], this.textureRgnLan[i]);
                        this.batchLan[i].endBatch();
                    }
                    gl10.glDisable(3042);
                    gl10.glDisable(3553);
                    gl10.glPopMatrix();
                    gl10.glPushMatrix();
                    gl10.glEnable(3553);
                    gl10.glEnable(3042);
                    gl10.glBlendFunc(770, 771);
                    gl10.glColor4f(1.0f, 1.0f, 1.0f, ePSXeViewGL.this.emu_input_alpha);
                    gl10.glTranslatef(0.0f, (float) ePSXeViewGL.this.mHeight, 0.0f);
                    gl10.glRotatef(-90.0f, 0.0f, 0.0f, 1.0f);
                    for (i = 0; i < ePSXeViewGL.ACTION_POINTER_INDEX_SHIFT; i += ePSXeViewGL.INPUT_HWBUTTONS) {
                        this.batchLan[i].beginBatch(this.mTexLan);
                        this.batchLan[i].drawSprite(ePSXeViewGL.this.padOffScreenLan2V[(i * 2) + 0], ePSXeViewGL.this.padOffScreenLan2V[(i * 2) + ePSXeViewGL.INPUT_HWBUTTONS], ePSXeViewGL.this.padSizeScreenLan2V[(i * 2) + 0], ePSXeViewGL.this.padSizeScreenLan2V[(i * 2) + ePSXeViewGL.INPUT_HWBUTTONS], this.textureRgnLan[i]);
                        this.batchLan[i].endBatch();
                    }
                    gl10.glDisable(3042);
                    gl10.glDisable(3553);
                    gl10.glPopMatrix();
                } else if ((ePSXeViewGL.this.emu_player_mode == 10 && ePSXeViewGL.this.emu_pad_draw_mode[0] != 2 && ePSXeViewGL.this.emu_split_mode == ePSXeViewGL.INPUT_HWBUTTONS) || ePSXeViewGL.this.emu_split_mode == 2) {
                    gl10.glEnable(3553);
                    gl10.glEnable(3042);
                    gl10.glBlendFunc(770, 771);
                    gl10.glColor4f(1.0f, 1.0f, 1.0f, ePSXeViewGL.this.emu_input_alpha);
                    for (i = 0; i < ePSXeViewGL.ACTION_POINTER_INDEX_SHIFT; i += ePSXeViewGL.INPUT_HWBUTTONS) {
                        this.batchLan[i].beginBatch(this.mTexLan);
                        this.batchLan[i].drawSprite(ePSXeViewGL.this.padOffScreenLan2H[(i * 2) + 0], ePSXeViewGL.this.padOffScreenLan2H[(i * 2) + ePSXeViewGL.INPUT_HWBUTTONS], ePSXeViewGL.this.padSizeScreenLan2H[(i * 2) + 0], ePSXeViewGL.this.padSizeScreenLan2H[(i * 2) + ePSXeViewGL.INPUT_HWBUTTONS], this.textureRgnLan[i]);
                        this.batchLan[i].endBatch();
                    }
                    gl10.glDisable(3042);
                    gl10.glDisable(3553);
                    gl10.glEnable(3553);
                    gl10.glEnable(3042);
                    gl10.glBlendFunc(770, 771);
                    gl10.glColor4f(1.0f, 1.0f, 1.0f, ePSXeViewGL.this.emu_input_alpha);
                    for (i = 0; i < ePSXeViewGL.ACTION_POINTER_INDEX_SHIFT; i += ePSXeViewGL.INPUT_HWBUTTONS) {
                        this.batchLan[i].beginBatch(this.mTexLan);
                        this.batchLan[i].drawSpriteSwap(((float) ePSXeViewGL.this.mWidth) - ePSXeViewGL.this.padOffScreenLan2H[(i * 2) + 0], (((float) (ePSXeViewGL.this.mHeight / 2)) - ePSXeViewGL.this.padOffScreenLan2H[(i * 2) + ePSXeViewGL.INPUT_HWBUTTONS]) + ((float) (ePSXeViewGL.this.mHeight / 2)), ePSXeViewGL.this.padSizeScreenLan2H[(i * 2) + 0], ePSXeViewGL.this.padSizeScreenLan2H[(i * 2) + ePSXeViewGL.INPUT_HWBUTTONS], this.textureRgnLan[i]);
                        this.batchLan[i].endBatch();
                    }
                    gl10.glDisable(3042);
                    gl10.glDisable(3553);
                }
            }
            if (ePSXeViewGL.this.emu_enable_printfps == ePSXeViewGL.INPUT_HWBUTTONS && ePSXeViewGL.this.emu_player_mode == ePSXeViewGL.INPUT_HWBUTTONS) {
                drawFPS(gl10);
            }
            if (!ePSXeViewGL.this.license) {
                drawLicense(gl10);
            }
        }

        public void onSurfaceChanged(GL10 gl10, int i, int i2) {
            Log.e("ePSXeView", "onSurfaceChanged");
            ePSXeViewGL.this.mWidth = i;
            ePSXeViewGL.this.mHeight = i2;
            ePSXeViewGL.this.f641e.openglresize(i, i2);
            gl10.glViewport(0, 0, i, i2);
            gl10.glMatrixMode(5889);
            gl10.glLoadIdentity();
            gl10.glOrthof(0.0f, (float) i, 0.0f, (float) i2, 1.0f, -1.0f);
            if (ePSXeViewGL.this.mePSXeReadPreferences == null) {
                ePSXeViewGL.this.mePSXeReadPreferences = new ePSXeReadPreferences(ePSXeViewGL.this.mContext);
            }
            int access$1900;
            if (ePSXeViewGL.this.mePSXeReadPreferences.getPadStatus("Pad1Status1") != -1 && ePSXeViewGL.this.emu_player_mode == ePSXeViewGL.INPUT_HWBUTTONS && (ePSXeViewGL.this.emu_screen_orientation == 0 || ePSXeViewGL.this.emu_screen_orientation == 3)) {
                int padStatus;
                float padSize;
                float padSize2;
                Log.e("epsxeviewgl", "loading pad info from preferences");
                access$1900 = ePSXeViewGL.this.mode;
                ePSXeViewGL.this.mode = 0;
                resetPad1Values();
                ePSXeViewGL.this.mode = ePSXeViewGL.INPUT_HWBUTTONS;
                resetPad1Values();
                ePSXeViewGL.this.mode = access$1900;
                for (access$1900 = ePSXeViewGL.INPUT_HWBUTTONS; access$1900 < 14; access$1900 += ePSXeViewGL.INPUT_HWBUTTONS) {
                    padStatus = ePSXeViewGL.this.mePSXeReadPreferences.getPadStatus("Pad1Status" + access$1900);
                    if (padStatus != -1) {
                        ePSXeViewGL.this.padScreenStatus[0][access$1900 - 1] = padStatus;
                    }
                }
                for (access$1900 = 14; access$1900 < 20; access$1900 += ePSXeViewGL.INPUT_HWBUTTONS) {
                    padStatus = ePSXeViewGL.this.mePSXeReadPreferences.getPadStatus("Pad1Status" + access$1900);
                    if (padStatus != -1) {
                        ePSXeViewGL.this.padScreenStatus[0][access$1900] = padStatus;
                    }
                }
                for (access$1900 = ePSXeViewGL.INPUT_HWBUTTONS; access$1900 < 14; access$1900 += ePSXeViewGL.INPUT_HWBUTTONS) {
                    padStatus = ePSXeViewGL.this.mePSXeReadPreferences.getPadStatus("Pad1StatusAnalog" + access$1900);
                    if (padStatus != -1) {
                        ePSXeViewGL.this.padScreenStatus[ePSXeViewGL.INPUT_HWBUTTONS][access$1900 - 1] = padStatus;
                    }
                }
                for (access$1900 = 14; access$1900 < 20; access$1900 += ePSXeViewGL.INPUT_HWBUTTONS) {
                    padStatus = ePSXeViewGL.this.mePSXeReadPreferences.getPadStatus("Pad1StatusAnalog" + access$1900);
                    if (padStatus != -1) {
                        ePSXeViewGL.this.padScreenStatus[ePSXeViewGL.INPUT_HWBUTTONS][access$1900] = padStatus;
                    }
                }
                for (access$1900 = ePSXeViewGL.INPUT_HWBUTTONS; access$1900 < 14; access$1900 += ePSXeViewGL.INPUT_HWBUTTONS) {
                    padSize = ePSXeViewGL.this.mePSXeReadPreferences.getPadSize("Pad1SizeX" + access$1900);
                    padSize2 = ePSXeViewGL.this.mePSXeReadPreferences.getPadSize("Pad1SizeY" + access$1900);
                    if (padSize != -1.0f) {
                        ePSXeViewGL.this.padSizeScreenLan[0][(access$1900 - 1) * 2] = padSize;
                        ePSXeViewGL.this.padSizeScreenLan[0][((access$1900 - 1) * 2) + ePSXeViewGL.INPUT_HWBUTTONS] = padSize2;
                    }
                }
                for (access$1900 = 14; access$1900 < 20; access$1900 += ePSXeViewGL.INPUT_HWBUTTONS) {
                    padSize = ePSXeViewGL.this.mePSXeReadPreferences.getPadSize("Pad1SizeX" + access$1900);
                    padSize2 = ePSXeViewGL.this.mePSXeReadPreferences.getPadSize("Pad1SizeY" + access$1900);
                    if (padSize != -1.0f) {
                        ePSXeViewGL.this.padSizeScreenLan[0][access$1900 * 2] = padSize;
                        ePSXeViewGL.this.padSizeScreenLan[0][(access$1900 * 2) + ePSXeViewGL.INPUT_HWBUTTONS] = padSize2;
                    }
                }
                for (access$1900 = ePSXeViewGL.INPUT_HWBUTTONS; access$1900 < 14; access$1900 += ePSXeViewGL.INPUT_HWBUTTONS) {
                    padSize = ePSXeViewGL.this.mePSXeReadPreferences.getPadSize("Pad1SizeXAnalog" + access$1900);
                    padSize2 = ePSXeViewGL.this.mePSXeReadPreferences.getPadSize("Pad1SizeYAnalog" + access$1900);
                    if (padSize != -1.0f) {
                        ePSXeViewGL.this.padSizeScreenLan[ePSXeViewGL.INPUT_HWBUTTONS][(access$1900 - 1) * 2] = padSize;
                        ePSXeViewGL.this.padSizeScreenLan[ePSXeViewGL.INPUT_HWBUTTONS][((access$1900 - 1) * 2) + ePSXeViewGL.INPUT_HWBUTTONS] = padSize2;
                    }
                }
                for (access$1900 = 14; access$1900 < 20; access$1900 += ePSXeViewGL.INPUT_HWBUTTONS) {
                    padSize = ePSXeViewGL.this.mePSXeReadPreferences.getPadSize("Pad1SizeXAnalog" + access$1900);
                    padSize2 = ePSXeViewGL.this.mePSXeReadPreferences.getPadSize("Pad1SizeYAnalog" + access$1900);
                    if (padSize != -1.0f) {
                        ePSXeViewGL.this.padSizeScreenLan[ePSXeViewGL.INPUT_HWBUTTONS][access$1900 * 2] = padSize;
                        ePSXeViewGL.this.padSizeScreenLan[ePSXeViewGL.INPUT_HWBUTTONS][(access$1900 * 2) + ePSXeViewGL.INPUT_HWBUTTONS] = padSize2;
                    }
                }
                for (access$1900 = ePSXeViewGL.INPUT_HWBUTTONS; access$1900 < 14; access$1900 += ePSXeViewGL.INPUT_HWBUTTONS) {
                    padSize = ePSXeViewGL.this.mePSXeReadPreferences.getPadSize("Pad1PosX" + access$1900);
                    padSize2 = ePSXeViewGL.this.mePSXeReadPreferences.getPadSize("Pad1PosY" + access$1900);
                    if (padSize != -1.0f) {
                        ePSXeViewGL.this.padOffScreenLan[0][(access$1900 - 1) * 2] = padSize;
                        ePSXeViewGL.this.padOffScreenLan[0][((access$1900 - 1) * 2) + ePSXeViewGL.INPUT_HWBUTTONS] = padSize2;
                    }
                }
                for (access$1900 = 14; access$1900 < 20; access$1900 += ePSXeViewGL.INPUT_HWBUTTONS) {
                    padSize = ePSXeViewGL.this.mePSXeReadPreferences.getPadSize("Pad1PosX" + access$1900);
                    padSize2 = ePSXeViewGL.this.mePSXeReadPreferences.getPadSize("Pad1PosY" + access$1900);
                    if (padSize != -1.0f) {
                        ePSXeViewGL.this.padOffScreenLan[0][access$1900 * 2] = padSize;
                        ePSXeViewGL.this.padOffScreenLan[0][(access$1900 * 2) + ePSXeViewGL.INPUT_HWBUTTONS] = padSize2;
                    }
                }
                for (access$1900 = ePSXeViewGL.INPUT_HWBUTTONS; access$1900 < 14; access$1900 += ePSXeViewGL.INPUT_HWBUTTONS) {
                    padSize = ePSXeViewGL.this.mePSXeReadPreferences.getPadSize("Pad1PosXAnalog" + access$1900);
                    padSize2 = ePSXeViewGL.this.mePSXeReadPreferences.getPadSize("Pad1PosYAnalog" + access$1900);
                    if (padSize != -1.0f) {
                        ePSXeViewGL.this.padOffScreenLan[ePSXeViewGL.INPUT_HWBUTTONS][(access$1900 - 1) * 2] = padSize;
                        ePSXeViewGL.this.padOffScreenLan[ePSXeViewGL.INPUT_HWBUTTONS][((access$1900 - 1) * 2) + ePSXeViewGL.INPUT_HWBUTTONS] = padSize2;
                    }
                }
                for (access$1900 = 14; access$1900 < 20; access$1900 += ePSXeViewGL.INPUT_HWBUTTONS) {
                    padSize = ePSXeViewGL.this.mePSXeReadPreferences.getPadSize("Pad1PosXAnalog" + access$1900);
                    padSize2 = ePSXeViewGL.this.mePSXeReadPreferences.getPadSize("Pad1PosYAnalog" + access$1900);
                    if (padSize != -1.0f) {
                        ePSXeViewGL.this.padOffScreenLan[ePSXeViewGL.INPUT_HWBUTTONS][access$1900 * 2] = padSize;
                        ePSXeViewGL.this.padOffScreenLan[ePSXeViewGL.INPUT_HWBUTTONS][(access$1900 * 2) + ePSXeViewGL.INPUT_HWBUTTONS] = padSize2;
                    }
                }
                for (access$1900 = ePSXeViewGL.INPUT_HWBUTTONS; access$1900 < 14; access$1900 += ePSXeViewGL.INPUT_HWBUTTONS) {
                    padSize = ePSXeViewGL.this.mePSXeReadPreferences.getPadResize("Pad1Resize" + access$1900);
                    if (padSize != -1.0f) {
                        ePSXeViewGL.this.padScreenResize[0][access$1900 - 1] = padSize;
                    }
                }
                for (access$1900 = 14; access$1900 < 20; access$1900 += ePSXeViewGL.INPUT_HWBUTTONS) {
                    padSize = ePSXeViewGL.this.mePSXeReadPreferences.getPadResize("Pad1Resize" + access$1900);
                    if (padSize != -1.0f) {
                        ePSXeViewGL.this.padScreenResize[0][access$1900] = padSize;
                    }
                }
                for (access$1900 = ePSXeViewGL.INPUT_HWBUTTONS; access$1900 < 14; access$1900 += ePSXeViewGL.INPUT_HWBUTTONS) {
                    padSize = ePSXeViewGL.this.mePSXeReadPreferences.getPadResize("Pad1ResizeAnalog" + access$1900);
                    if (padSize != -1.0f) {
                        ePSXeViewGL.this.padScreenResize[ePSXeViewGL.INPUT_HWBUTTONS][access$1900 - 1] = padSize;
                    }
                }
                for (access$1900 = 14; access$1900 < 20; access$1900 += ePSXeViewGL.INPUT_HWBUTTONS) {
                    padSize = ePSXeViewGL.this.mePSXeReadPreferences.getPadResize("Pad1ResizeAnalog" + access$1900);
                    if (padSize != -1.0f) {
                        ePSXeViewGL.this.padScreenResize[ePSXeViewGL.INPUT_HWBUTTONS][access$1900] = padSize;
                    }
                }
                loadExtraButtons();
            } else {
                Log.e("epsxepadeditor", "setting default pad info");
                access$1900 = ePSXeViewGL.this.mode;
                ePSXeViewGL.this.mode = 0;
                resetPad1Values();
                ePSXeViewGL.this.mode = ePSXeViewGL.INPUT_HWBUTTONS;
                resetPad1Values();
                ePSXeViewGL.this.mode = access$1900;
            }
            resetPadAllValues();
            ePSXeViewGL.this.initvirtualPad = 0;
            if (ePSXeViewGL.this.emu_player_mode != ePSXeViewGL.INPUT_HWBUTTONS) {
                return;
            }
            if (ePSXeViewGL.this.emu_pad_mode[0] == ePSXeViewGL.INPUT_HWBUTTONS || ePSXeViewGL.this.emu_pad_mode[0] == 4) {
                if (ePSXeViewGL.this.emu_screen_orientation == ePSXeViewGL.INPUT_HWBUTTONS) {
                    ePSXeViewGL.this.init_motionevent_1playerPortrait();
                } else {
                    ePSXeViewGL.this.init_motionevent_1playerLandscape();
                }
            } else if (ePSXeViewGL.this.emu_pad_mode[0] == 3) {
                ePSXeViewGL.this.init_motionevent_1playerGun();
            }
        }

        public void onSurfaceCreated(GL10 gl10, EGLConfig eGLConfig) {
            this.glText = new GLText(gl10, ePSXeViewGL.this.mContext.getAssets());
            this.glText.load("Roboto-Regular.ttf", 28, 2, 2);
            if (ePSXeViewGL.this.emu_player_mode == ePSXeViewGL.INPUT_HWBUTTONS && ePSXeViewGL.this.emu_screen_orientation == ePSXeViewGL.INPUT_HWBUTTONS) {
                int[] iArr = new int[]{0, 0, 480, 400};
                this.mTexPor = loadTexture(gl10, ePSXeViewGL.this.mContext, C0122R.drawable.portraitpad);
                this.wTexPor = iArr[2] - iArr[0];
                this.hTexPor = iArr[3] - iArr[ePSXeViewGL.INPUT_HWBUTTONS];
                this.textureRgnPor = new TextureRegion((float) this.wTextmp, (float) this.hTextmp, (float) iArr[0], (float) iArr[ePSXeViewGL.INPUT_HWBUTTONS], (float) this.wTexPor, (float) this.hTexPor);
                this.batchPor = new SpriteBatch(gl10, ePSXeViewGL.INPUT_HWBUTTONS);
            } else if (ePSXeViewGL.this.emu_pad_mode[0] == 3) {
                r8 = new int[]{Policy.LICENSED, 64, 320, Policy.LICENSED, 320, 64, 384, Policy.LICENSED};
                this.mTexLan = loadTexture(gl10, ePSXeViewGL.this.mContext, C0122R.drawable.extra_buttons);
                for (r7 = 0; r7 < 2; r7 += ePSXeViewGL.INPUT_HWBUTTONS) {
                    this.wTexLan[r7] = r8[(r7 * 4) + 2] - r8[(r7 * 4) + 0];
                    this.hTexLan[r7] = r8[(r7 * 4) + 3] - r8[(r7 * 4) + ePSXeViewGL.INPUT_HWBUTTONS];
                    this.textureRgnLan[r7] = new TextureRegion((float) this.wTextmp, (float) this.hTextmp, (float) r8[(r7 * 4) + 0], (float) r8[(r7 * 4) + ePSXeViewGL.INPUT_HWBUTTONS], (float) this.wTexLan[r7], (float) this.hTexLan[r7]);
                    this.batchLan[r7] = new SpriteBatch(gl10, ePSXeViewGL.INPUT_HWBUTTONS);
                }
            } else {
                int i;
                r8 = new int[]{2, ePSXeViewGL.INPUT_HWBUTTONS, 224, 225, ePSXeViewGL.INPUT_HWBUTTONS, 238, 223, 486, 253, ePSXeViewGL.ACTION_POINTER_INDEX_SHIFT, 309, 52, 372, 4, 433, 56, 249, 80, 307, InputList.KEYCODE_F2, 308, 80, 364, InputList.KEYCODE_F2, 308, InputList.KEYCODE_NUMPAD_0, 364, InputList.KEYCODE_BUTTON_9, 250, InputList.KEYCODE_NUMPAD_0, 307, InputList.KEYCODE_BUTTON_9, 254, 208, 297, 239, 365, 80, 421, InputList.KEYCODE_F2, 365, InputList.KEYCODE_NUMPAD_0, 422, InputList.KEYCODE_BUTTON_9, 289, 289, 511, 511, 289, 289, 511, 511, 420, InputList.KEYCODE_NUMPAD_0, 491, 215};
                int[] iArr2 = new int[]{0, 0, 64, 64, 64, 0, InputList.KEYCODE_MEDIA_CLOSE, 64, InputList.KEYCODE_MEDIA_CLOSE, 0, InputList.KEYCODE_BUTTON_5, 64, InputList.KEYCODE_BUTTON_5, 0, Policy.LICENSED, 64, 0, 64, 64, InputList.KEYCODE_MEDIA_CLOSE, 64, 64, InputList.KEYCODE_MEDIA_CLOSE, InputList.KEYCODE_MEDIA_CLOSE, InputList.KEYCODE_MEDIA_CLOSE, 64, InputList.KEYCODE_BUTTON_5, InputList.KEYCODE_MEDIA_CLOSE, InputList.KEYCODE_BUTTON_5, 64, Policy.LICENSED, InputList.KEYCODE_MEDIA_CLOSE, 0, InputList.KEYCODE_MEDIA_CLOSE, 64, InputList.KEYCODE_BUTTON_9, 64, InputList.KEYCODE_MEDIA_CLOSE, InputList.KEYCODE_MEDIA_CLOSE, InputList.KEYCODE_BUTTON_9, InputList.KEYCODE_MEDIA_CLOSE, InputList.KEYCODE_MEDIA_CLOSE, InputList.KEYCODE_BUTTON_5, InputList.KEYCODE_BUTTON_9, InputList.KEYCODE_BUTTON_5, InputList.KEYCODE_MEDIA_CLOSE, Policy.LICENSED, InputList.KEYCODE_BUTTON_9, 0, InputList.KEYCODE_BUTTON_5, 64, Policy.LICENSED, 64, InputList.KEYCODE_BUTTON_5, InputList.KEYCODE_MEDIA_CLOSE, Policy.LICENSED, InputList.KEYCODE_MEDIA_CLOSE, InputList.KEYCODE_BUTTON_5, InputList.KEYCODE_BUTTON_5, Policy.LICENSED, InputList.KEYCODE_BUTTON_5, InputList.KEYCODE_BUTTON_5, Policy.LICENSED, Policy.LICENSED, 0, Policy.LICENSED, 64, 320, 64, Policy.LICENSED, InputList.KEYCODE_MEDIA_CLOSE, 320, InputList.KEYCODE_MEDIA_CLOSE, Policy.LICENSED, InputList.KEYCODE_BUTTON_7, 320, InputList.KEYCODE_BUTTON_5, Policy.LICENSED, Policy.LICENSED, 320, 0, 320, 64, 384, 64, 320, InputList.KEYCODE_MEDIA_CLOSE, 384, InputList.KEYCODE_MEDIA_CLOSE, 320, InputList.KEYCODE_BUTTON_9, 384, InputList.KEYCODE_BUTTON_5, 320, Policy.LICENSED, 384, 0, 384, 64, 448, 63, 384, InputList.KEYCODE_MEDIA_PLAY, 448, InputList.KEYCODE_MEDIA_CLOSE, 384, InputList.KEYCODE_BUTTON_9, 448, InputList.KEYCODE_BUTTON_5, 384, Policy.LICENSED, 448, 0, 448, 64, 511, 64, 448, InputList.KEYCODE_MEDIA_CLOSE, 511, InputList.KEYCODE_MEDIA_CLOSE, 448, InputList.KEYCODE_BUTTON_9, 511, InputList.KEYCODE_BUTTON_5, 448, Policy.LICENSED, 511, Policy.LICENSED, 0, 320, 64, 320, 0, 384, 64, 384, 0, 448, 64, 448, 0, 511, 64};
                if (ePSXeViewGL.this.emu_pad_draw_mode[0] == 4) {
                    if (new File(ePSXeViewGL.this.skinName).exists()) {
                        this.mTexLan = loadTextureFromFile(gl10, ePSXeViewGL.this.mContext, ePSXeViewGL.this.skinName);
                    } else {
                        ePSXeViewGL.this.emu_pad_draw_mode[0] = 0;
                    }
                }
                if (ePSXeViewGL.this.emu_pad_draw_mode[0] == ePSXeViewGL.INPUT_HWBUTTONS) {
                    this.mTexLan = loadTexture(gl10, ePSXeViewGL.this.mContext, C0122R.drawable.landscapepad);
                } else if (ePSXeViewGL.this.emu_pad_draw_mode[0] == 0) {
                    this.mTexLan = loadTexture(gl10, ePSXeViewGL.this.mContext, C0122R.drawable.landscapepadn);
                } else if (ePSXeViewGL.this.emu_pad_draw_mode[0] == 3) {
                    this.mTexLan = loadTexture(gl10, ePSXeViewGL.this.mContext, C0122R.drawable.landscapepadl);
                }
                for (r7 = 0; r7 < 14; r7 += ePSXeViewGL.INPUT_HWBUTTONS) {
                    this.wTexLan[r7] = r8[(r7 * 4) + 2] - r8[(r7 * 4) + 0];
                    this.hTexLan[r7] = r8[(r7 * 4) + 3] - r8[(r7 * 4) + ePSXeViewGL.INPUT_HWBUTTONS];
                    this.textureRgnLan[r7] = new TextureRegion((float) this.wTextmp, (float) this.hTextmp, (float) r8[(r7 * 4) + 0], (float) r8[(r7 * 4) + ePSXeViewGL.INPUT_HWBUTTONS], (float) this.wTexLan[r7], (float) this.hTexLan[r7]);
                    this.batchLan[r7] = new SpriteBatch(gl10, ePSXeViewGL.INPUT_HWBUTTONS);
                }
                loadExtraButtons();
                this.mTexExtra = loadTexture(gl10, ePSXeViewGL.this.mContext, C0122R.drawable.extra_buttons);
                for (r7 = 0; r7 < 6; r7 += ePSXeViewGL.INPUT_HWBUTTONS) {
                    int i2 = ePSXeViewGL.this.padScreenExtra[r7];
                    i = i2 >= 24 ? i2 + 4 : i2;
                    this.wTexLan[r7 + 14] = iArr2[(i * 4) + 2] - iArr2[(i * 4) + 0];
                    this.hTexLan[r7 + 14] = iArr2[(i * 4) + 3] - iArr2[(i * 4) + ePSXeViewGL.INPUT_HWBUTTONS];
                    this.textureRgnLan[r7 + 14] = new TextureRegion((float) this.wTextmp, (float) this.hTextmp, (float) iArr2[(i * 4) + 0], (float) iArr2[(i * 4) + ePSXeViewGL.INPUT_HWBUTTONS], (float) this.wTexLan[r7 + 14], (float) this.hTexLan[r7 + 14]);
                    this.batchLan[r7 + 14] = new SpriteBatch(gl10, ePSXeViewGL.INPUT_HWBUTTONS);
                }
                for (r7 = 0; r7 < 4; r7 += ePSXeViewGL.INPUT_HWBUTTONS) {
                    i = r7 + 24;
                    this.wTexLan[r7 + 20] = iArr2[(i * 4) + 2] - iArr2[(i * 4) + 0];
                    this.hTexLan[r7 + 20] = iArr2[(i * 4) + 3] - iArr2[(i * 4) + ePSXeViewGL.INPUT_HWBUTTONS];
                    this.textureRgnLan[r7 + 20] = new TextureRegion((float) this.wTextmp, (float) this.hTextmp, (float) iArr2[(i * 4) + 0], (float) iArr2[(i * 4) + ePSXeViewGL.INPUT_HWBUTTONS], (float) this.wTexLan[r7 + 20], (float) this.hTexLan[r7 + 20]);
                    this.batchLan[r7 + 20] = new SpriteBatch(gl10, ePSXeViewGL.INPUT_HWBUTTONS);
                }
                for (r7 = 0; r7 < 4; r7 += ePSXeViewGL.INPUT_HWBUTTONS) {
                    i = r7 + 32;
                    this.wTexLan[r7 + 24] = iArr2[(i * 4) + 2] - iArr2[(i * 4) + 0];
                    this.hTexLan[r7 + 24] = iArr2[(i * 4) + 3] - iArr2[(i * 4) + ePSXeViewGL.INPUT_HWBUTTONS];
                    this.textureRgnLan[r7 + 24] = new TextureRegion((float) this.wTextmp, (float) this.hTextmp, (float) iArr2[(i * 4) + 0], (float) iArr2[(i * 4) + ePSXeViewGL.INPUT_HWBUTTONS], (float) this.wTexLan[r7 + 24], (float) this.hTexLan[r7 + 24]);
                    this.batchLan[r7 + 24] = new SpriteBatch(gl10, ePSXeViewGL.INPUT_HWBUTTONS);
                }
            }
        }

        public void resetPad1Values() {
            int i = 0;
            if (ePSXeViewGL.this.mWidth <= 600) {
                ePSXeViewGL.this.padResize = 0.8f;
            } else if (ePSXeViewGL.this.mWidth > 600 && ePSXeViewGL.this.mWidth <= 800) {
                ePSXeViewGL.this.padResize = 1.0f;
            } else if (ePSXeViewGL.this.mWidth > 800 && ePSXeViewGL.this.mWidth <= 1280) {
                ePSXeViewGL.this.padResize = 1.35f;
            } else if (ePSXeViewGL.this.mWidth <= 1280 || ePSXeViewGL.this.mWidth > 1500) {
                ePSXeViewGL.this.padResize = 1.8f;
            } else {
                ePSXeViewGL.this.padResize = 1.5f;
            }
            float[][] fArr = new float[][]{new float[]{228.0f, 228.0f, 224.0f, 248.0f, 66.0f, 50.0f, 66.0f, 62.0f, 64.0f, 60.0f, 64.0f, 60.0f, 64.0f, 60.0f, 64.0f, 60.0f, 53.0f, 41.0f, 64.0f, 60.0f, 64.0f, 60.0f, 222.0f, 222.0f, 222.0f, 222.0f, 71.0f, 71.0f, 64.0f, 64.0f, 64.0f, 64.0f, 64.0f, 64.0f, 64.0f, 64.0f, 64.0f, 64.0f, 64.0f, 64.0f}, new float[]{228.0f, 228.0f, 224.0f, 248.0f, 66.0f, 50.0f, 66.0f, 62.0f, 64.0f, 60.0f, 64.0f, 60.0f, 64.0f, 60.0f, 64.0f, 60.0f, 53.0f, 41.0f, 64.0f, 60.0f, 64.0f, 60.0f, 222.0f, 222.0f, 222.0f, 222.0f, 71.0f, 71.0f, 64.0f, 64.0f, 64.0f, 64.0f, 64.0f, 64.0f, 64.0f, 64.0f, 64.0f, 64.0f, 64.0f, 64.0f}};
            for (int i2 = 0; i2 < 20; i2 += ePSXeViewGL.INPUT_HWBUTTONS) {
                ePSXeViewGL.this.padSizeScreenLan[ePSXeViewGL.this.mode][(i2 * 2) + 0] = fArr[ePSXeViewGL.this.mode][(i2 * 2) + 0] * ePSXeViewGL.this.padResize;
                ePSXeViewGL.this.padSizeScreenLan[ePSXeViewGL.this.mode][(i2 * 2) + ePSXeViewGL.INPUT_HWBUTTONS] = fArr[ePSXeViewGL.this.mode][(i2 * 2) + ePSXeViewGL.INPUT_HWBUTTONS] * ePSXeViewGL.this.padResize;
            }
            r1 = new float[2][];
            r1[0] = new float[]{ePSXeViewGL.this.padSizeScreenLan[0][0] / 2.0f, ePSXeViewGL.this.padSizeScreenLan[0][ePSXeViewGL.INPUT_HWBUTTONS] / 2.0f, ((float) ePSXeViewGL.this.mWidth) - (ePSXeViewGL.this.padSizeScreenLan[0][2] / 2.0f), ePSXeViewGL.this.padSizeScreenLan[0][3] / 2.0f, (((float) (ePSXeViewGL.this.mWidth / 2)) - ePSXeViewGL.this.padSizeScreenLan[0][4]) - 30.0f, ePSXeViewGL.this.padSizeScreenLan[0][5] / 2.0f, (float) ((ePSXeViewGL.this.mWidth / 2) + 30), ePSXeViewGL.this.padSizeScreenLan[0][7] / 2.0f, ePSXeViewGL.this.padSizeScreenLan[0][ePSXeViewGL.ACTION_POINTER_INDEX_SHIFT] / 2.0f, ((float) ePSXeViewGL.this.mHeight) - (ePSXeViewGL.this.padSizeScreenLan[0][9] / 2.0f), (ePSXeViewGL.this.padSizeScreenLan[0][10] / 2.0f) + ePSXeViewGL.this.padSizeScreenLan[0][ePSXeViewGL.ACTION_POINTER_INDEX_SHIFT], ((float) ePSXeViewGL.this.mHeight) - (ePSXeViewGL.this.padSizeScreenLan[0][11] / 2.0f), ((float) ePSXeViewGL.this.mWidth) - (ePSXeViewGL.this.padSizeScreenLan[0][12] / 2.0f), ((float) ePSXeViewGL.this.mHeight) - (ePSXeViewGL.this.padSizeScreenLan[0][13] / 2.0f), (((float) ePSXeViewGL.this.mWidth) - (ePSXeViewGL.this.padSizeScreenLan[0][14] / 2.0f)) - ePSXeViewGL.this.padSizeScreenLan[0][12], ((float) ePSXeViewGL.this.mHeight) - (ePSXeViewGL.this.padSizeScreenLan[0][15] / 2.0f), ((float) ((ePSXeViewGL.this.mWidth / 2) + 40)) + ePSXeViewGL.this.padSizeScreenLan[0][6], ePSXeViewGL.this.padSizeScreenLan[0][17] / 2.0f, ((ePSXeViewGL.this.padSizeScreenLan[0][18] / 2.0f) + ePSXeViewGL.this.padSizeScreenLan[0][10]) + ePSXeViewGL.this.padSizeScreenLan[0][ePSXeViewGL.ACTION_POINTER_INDEX_SHIFT], ((float) ePSXeViewGL.this.mHeight) - (ePSXeViewGL.this.padSizeScreenLan[0][19] / 2.0f), ((((float) ePSXeViewGL.this.mWidth) - (ePSXeViewGL.this.padSizeScreenLan[0][20] / 2.0f)) - ePSXeViewGL.this.padSizeScreenLan[0][12]) - ePSXeViewGL.this.padSizeScreenLan[0][14], ((float) ePSXeViewGL.this.mHeight) - (ePSXeViewGL.this.padSizeScreenLan[0][21] / 2.0f), ePSXeViewGL.this.padSizeScreenLan[0][22] / 2.0f, ePSXeViewGL.this.padSizeScreenLan[0][23] / 2.0f, ((float) ePSXeViewGL.this.mWidth) - (ePSXeViewGL.this.padSizeScreenLan[0][24] / 2.0f), ePSXeViewGL.this.padSizeScreenLan[0][25] / 2.0f, 0.0f, 0.0f, ePSXeViewGL.this.padSizeScreenLan[0][28] / 2.0f, (((float) ePSXeViewGL.this.mHeight) - (ePSXeViewGL.this.padSizeScreenLan[0][29] / 2.0f)) - (ePSXeViewGL.this.padSizeScreenLan[0][10] * 2.0f), (ePSXeViewGL.this.padSizeScreenLan[0][30] / 2.0f) + ePSXeViewGL.this.padSizeScreenLan[0][28], (((float) ePSXeViewGL.this.mHeight) - (ePSXeViewGL.this.padSizeScreenLan[0][31] / 2.0f)) - (ePSXeViewGL.this.padSizeScreenLan[0][10] * 2.0f), ((ePSXeViewGL.this.padSizeScreenLan[0][32] / 2.0f) + ePSXeViewGL.this.padSizeScreenLan[0][28]) + ePSXeViewGL.this.padSizeScreenLan[0][30], (((float) ePSXeViewGL.this.mHeight) - (ePSXeViewGL.this.padSizeScreenLan[0][33] / 2.0f)) - (ePSXeViewGL.this.padSizeScreenLan[0][10] * 2.0f), ((float) ePSXeViewGL.this.mWidth) - (ePSXeViewGL.this.padSizeScreenLan[0][34] / 2.0f), (((float) ePSXeViewGL.this.mHeight) - (ePSXeViewGL.this.padSizeScreenLan[0][35] / 2.0f)) - (ePSXeViewGL.this.padSizeScreenLan[0][10] * 2.0f), (((float) ePSXeViewGL.this.mWidth) - (ePSXeViewGL.this.padSizeScreenLan[0][36] / 2.0f)) - ePSXeViewGL.this.padSizeScreenLan[0][34], (((float) ePSXeViewGL.this.mHeight) - (ePSXeViewGL.this.padSizeScreenLan[0][37] / 2.0f)) - (ePSXeViewGL.this.padSizeScreenLan[0][10] * 2.0f), ((((float) ePSXeViewGL.this.mWidth) - (ePSXeViewGL.this.padSizeScreenLan[0][38] / 2.0f)) - ePSXeViewGL.this.padSizeScreenLan[0][34]) - ePSXeViewGL.this.padSizeScreenLan[0][36], (((float) ePSXeViewGL.this.mHeight) - (ePSXeViewGL.this.padSizeScreenLan[0][39] / 2.0f)) - (ePSXeViewGL.this.padSizeScreenLan[0][10] * 2.0f)};
            r1[ePSXeViewGL.INPUT_HWBUTTONS] = new float[]{((float) (ePSXeViewGL.this.mWidth / 2)) - (0.76f * (ePSXeViewGL.this.padSizeScreenLan[ePSXeViewGL.INPUT_HWBUTTONS][0] / 2.0f)), (float) (ePSXeViewGL.this.mHeight / 2), ((float) ePSXeViewGL.this.mWidth) - (ePSXeViewGL.this.padSizeScreenLan[ePSXeViewGL.INPUT_HWBUTTONS][2] / 2.0f), ePSXeViewGL.this.padSizeScreenLan[ePSXeViewGL.INPUT_HWBUTTONS][3] / 2.0f, (((float) (ePSXeViewGL.this.mWidth / 2)) - ePSXeViewGL.this.padSizeScreenLan[ePSXeViewGL.INPUT_HWBUTTONS][4]) - 30.0f, ePSXeViewGL.this.padSizeScreenLan[ePSXeViewGL.INPUT_HWBUTTONS][5] / 2.0f, (float) ((ePSXeViewGL.this.mWidth / 2) + 30), ePSXeViewGL.this.padSizeScreenLan[ePSXeViewGL.INPUT_HWBUTTONS][7] / 2.0f, ePSXeViewGL.this.padSizeScreenLan[ePSXeViewGL.INPUT_HWBUTTONS][ePSXeViewGL.ACTION_POINTER_INDEX_SHIFT] / 2.0f, ((float) ePSXeViewGL.this.mHeight) - (ePSXeViewGL.this.padSizeScreenLan[ePSXeViewGL.INPUT_HWBUTTONS][9] / 2.0f), (ePSXeViewGL.this.padSizeScreenLan[ePSXeViewGL.INPUT_HWBUTTONS][10] / 2.0f) + ePSXeViewGL.this.padSizeScreenLan[ePSXeViewGL.INPUT_HWBUTTONS][ePSXeViewGL.ACTION_POINTER_INDEX_SHIFT], ((float) ePSXeViewGL.this.mHeight) - (ePSXeViewGL.this.padSizeScreenLan[ePSXeViewGL.INPUT_HWBUTTONS][11] / 2.0f), ((float) ePSXeViewGL.this.mWidth) - (ePSXeViewGL.this.padSizeScreenLan[ePSXeViewGL.INPUT_HWBUTTONS][12] / 2.0f), ((float) ePSXeViewGL.this.mHeight) - (ePSXeViewGL.this.padSizeScreenLan[ePSXeViewGL.INPUT_HWBUTTONS][13] / 2.0f), (((float) ePSXeViewGL.this.mWidth) - (ePSXeViewGL.this.padSizeScreenLan[ePSXeViewGL.INPUT_HWBUTTONS][14] / 2.0f)) - ePSXeViewGL.this.padSizeScreenLan[ePSXeViewGL.INPUT_HWBUTTONS][12], ((float) ePSXeViewGL.this.mHeight) - (ePSXeViewGL.this.padSizeScreenLan[ePSXeViewGL.INPUT_HWBUTTONS][15] / 2.0f), ((float) ((ePSXeViewGL.this.mWidth / 2) + 40)) + ePSXeViewGL.this.padSizeScreenLan[ePSXeViewGL.INPUT_HWBUTTONS][6], ePSXeViewGL.this.padSizeScreenLan[ePSXeViewGL.INPUT_HWBUTTONS][17] / 2.0f, ((ePSXeViewGL.this.padSizeScreenLan[ePSXeViewGL.INPUT_HWBUTTONS][18] / 2.0f) + ePSXeViewGL.this.padSizeScreenLan[ePSXeViewGL.INPUT_HWBUTTONS][10]) + ePSXeViewGL.this.padSizeScreenLan[ePSXeViewGL.INPUT_HWBUTTONS][ePSXeViewGL.ACTION_POINTER_INDEX_SHIFT], ((float) ePSXeViewGL.this.mHeight) - (ePSXeViewGL.this.padSizeScreenLan[ePSXeViewGL.INPUT_HWBUTTONS][19] / 2.0f), ((((float) ePSXeViewGL.this.mWidth) - (ePSXeViewGL.this.padSizeScreenLan[ePSXeViewGL.INPUT_HWBUTTONS][20] / 2.0f)) - ePSXeViewGL.this.padSizeScreenLan[ePSXeViewGL.INPUT_HWBUTTONS][12]) - ePSXeViewGL.this.padSizeScreenLan[ePSXeViewGL.INPUT_HWBUTTONS][14], ((float) ePSXeViewGL.this.mHeight) - (ePSXeViewGL.this.padSizeScreenLan[ePSXeViewGL.INPUT_HWBUTTONS][21] / 2.0f), ePSXeViewGL.this.padSizeScreenLan[ePSXeViewGL.INPUT_HWBUTTONS][22] / 2.0f, ePSXeViewGL.this.padSizeScreenLan[ePSXeViewGL.INPUT_HWBUTTONS][23] / 2.0f, ((float) (ePSXeViewGL.this.mWidth / 2)) + (0.76f * (ePSXeViewGL.this.padSizeScreenLan[ePSXeViewGL.INPUT_HWBUTTONS][24] / 2.0f)), (float) (ePSXeViewGL.this.mHeight / 2), 0.0f, 0.0f, ePSXeViewGL.this.padSizeScreenLan[ePSXeViewGL.INPUT_HWBUTTONS][28] / 2.0f, (((float) ePSXeViewGL.this.mHeight) - (ePSXeViewGL.this.padSizeScreenLan[ePSXeViewGL.INPUT_HWBUTTONS][29] / 2.0f)) - (ePSXeViewGL.this.padSizeScreenLan[ePSXeViewGL.INPUT_HWBUTTONS][10] * 2.0f), (ePSXeViewGL.this.padSizeScreenLan[ePSXeViewGL.INPUT_HWBUTTONS][30] / 2.0f) + ePSXeViewGL.this.padSizeScreenLan[ePSXeViewGL.INPUT_HWBUTTONS][28], (((float) ePSXeViewGL.this.mHeight) - (ePSXeViewGL.this.padSizeScreenLan[ePSXeViewGL.INPUT_HWBUTTONS][31] / 2.0f)) - (ePSXeViewGL.this.padSizeScreenLan[ePSXeViewGL.INPUT_HWBUTTONS][10] * 2.0f), ((ePSXeViewGL.this.padSizeScreenLan[ePSXeViewGL.INPUT_HWBUTTONS][32] / 2.0f) + ePSXeViewGL.this.padSizeScreenLan[ePSXeViewGL.INPUT_HWBUTTONS][28]) + ePSXeViewGL.this.padSizeScreenLan[ePSXeViewGL.INPUT_HWBUTTONS][30], (((float) ePSXeViewGL.this.mHeight) - (ePSXeViewGL.this.padSizeScreenLan[ePSXeViewGL.INPUT_HWBUTTONS][33] / 2.0f)) - (ePSXeViewGL.this.padSizeScreenLan[ePSXeViewGL.INPUT_HWBUTTONS][10] * 2.0f), ((float) ePSXeViewGL.this.mWidth) - (ePSXeViewGL.this.padSizeScreenLan[ePSXeViewGL.INPUT_HWBUTTONS][34] / 2.0f), (((float) ePSXeViewGL.this.mHeight) - (ePSXeViewGL.this.padSizeScreenLan[ePSXeViewGL.INPUT_HWBUTTONS][35] / 2.0f)) - (ePSXeViewGL.this.padSizeScreenLan[ePSXeViewGL.INPUT_HWBUTTONS][10] * 2.0f), (((float) ePSXeViewGL.this.mWidth) - (ePSXeViewGL.this.padSizeScreenLan[ePSXeViewGL.INPUT_HWBUTTONS][36] / 2.0f)) - ePSXeViewGL.this.padSizeScreenLan[ePSXeViewGL.INPUT_HWBUTTONS][34], (((float) ePSXeViewGL.this.mHeight) - (ePSXeViewGL.this.padSizeScreenLan[ePSXeViewGL.INPUT_HWBUTTONS][37] / 2.0f)) - (ePSXeViewGL.this.padSizeScreenLan[ePSXeViewGL.INPUT_HWBUTTONS][10] * 2.0f), ((((float) ePSXeViewGL.this.mWidth) - (ePSXeViewGL.this.padSizeScreenLan[ePSXeViewGL.INPUT_HWBUTTONS][38] / 2.0f)) - ePSXeViewGL.this.padSizeScreenLan[ePSXeViewGL.INPUT_HWBUTTONS][34]) - ePSXeViewGL.this.padSizeScreenLan[ePSXeViewGL.INPUT_HWBUTTONS][36], (((float) ePSXeViewGL.this.mHeight) - (ePSXeViewGL.this.padSizeScreenLan[ePSXeViewGL.INPUT_HWBUTTONS][39] / 2.0f)) - (ePSXeViewGL.this.padSizeScreenLan[ePSXeViewGL.INPUT_HWBUTTONS][10] * 2.0f)};
            while (i < 20) {
                ePSXeViewGL.this.padOffScreenLan[ePSXeViewGL.this.mode][(i * 2) + 0] = r1[ePSXeViewGL.this.mode][(i * 2) + 0];
                ePSXeViewGL.this.padOffScreenLan[ePSXeViewGL.this.mode][(i * 2) + ePSXeViewGL.INPUT_HWBUTTONS] = r1[ePSXeViewGL.this.mode][(i * 2) + ePSXeViewGL.INPUT_HWBUTTONS];
                i += ePSXeViewGL.INPUT_HWBUTTONS;
            }
        }

        public void resetPadAllValues() {
            int i;
            if (ePSXeViewGL.this.mWidth <= 600) {
                ePSXeViewGL.this.padResize = 0.8f;
            } else if (ePSXeViewGL.this.mWidth > 600 && ePSXeViewGL.this.mWidth <= 800) {
                ePSXeViewGL.this.padResize = 1.0f;
            } else if (ePSXeViewGL.this.mWidth > 800 && ePSXeViewGL.this.mWidth <= 1280) {
                ePSXeViewGL.this.padResize = 1.35f;
            } else if (ePSXeViewGL.this.mWidth <= 1280 || ePSXeViewGL.this.mWidth > 1500) {
                ePSXeViewGL.this.padResize = 1.8f;
            } else {
                ePSXeViewGL.this.padResize = 1.5f;
            }
            float[] fArr = new float[]{(float) ePSXeViewGL.this.mWidth, (float) (ePSXeViewGL.this.mHeight / 2)};
            float[] fArr2 = new float[]{(float) (ePSXeViewGL.this.mWidth / 2), (float) (ePSXeViewGL.this.mHeight / 4)};
            for (i = 0; i < ePSXeViewGL.INPUT_HWBUTTONS; i += ePSXeViewGL.INPUT_HWBUTTONS) {
                ePSXeViewGL.this.padSizeScreenPor[(i * 2) + 0] = fArr[(i * 2) + 0];
                ePSXeViewGL.this.padSizeScreenPor[(i * 2) + ePSXeViewGL.INPUT_HWBUTTONS] = fArr[(i * 2) + ePSXeViewGL.INPUT_HWBUTTONS];
                ePSXeViewGL.this.padOffScreenPor[(i * 2) + 0] = fArr2[(i * 2) + 0];
                ePSXeViewGL.this.padOffScreenPor[(i * 2) + ePSXeViewGL.INPUT_HWBUTTONS] = fArr2[(i * 2) + ePSXeViewGL.INPUT_HWBUTTONS];
            }
            fArr = new float[]{228.0f, 114.0f, 224.0f, 124.0f, 66.0f, 25.0f, 66.0f, 31.0f, 64.0f, 30.0f, 64.0f, 30.0f, 64.0f, 30.0f, 64.0f, 30.0f};
            for (i = 0; i < ePSXeViewGL.ACTION_POINTER_INDEX_SHIFT; i += ePSXeViewGL.INPUT_HWBUTTONS) {
                ePSXeViewGL.this.padSizeScreenLan2H[(i * 2) + 0] = fArr[(i * 2) + 0] * ePSXeViewGL.this.padResize;
                ePSXeViewGL.this.padSizeScreenLan2H[(i * 2) + ePSXeViewGL.INPUT_HWBUTTONS] = fArr[(i * 2) + ePSXeViewGL.INPUT_HWBUTTONS] * ePSXeViewGL.this.padResize;
            }
            fArr = new float[]{ePSXeViewGL.this.padSizeScreenLan2H[0] / 2.0f, ePSXeViewGL.this.padSizeScreenLan2H[ePSXeViewGL.INPUT_HWBUTTONS] / 2.0f, ((float) ePSXeViewGL.this.mWidth) - (ePSXeViewGL.this.padSizeScreenLan2H[2] / 2.0f), ePSXeViewGL.this.padSizeScreenLan2H[3] / 2.0f, (((float) (ePSXeViewGL.this.mWidth / 2)) - ePSXeViewGL.this.padSizeScreenLan2H[4]) - 30.0f, ePSXeViewGL.this.padSizeScreenLan2H[5] / 2.0f, (float) ((ePSXeViewGL.this.mWidth / 2) + 30), ePSXeViewGL.this.padSizeScreenLan2H[7] / 2.0f, ePSXeViewGL.this.padSizeScreenLan2H[ePSXeViewGL.ACTION_POINTER_INDEX_SHIFT] / 2.0f, ((float) (ePSXeViewGL.this.mHeight / 2)) - (ePSXeViewGL.this.padSizeScreenLan2H[9] / 2.0f), (ePSXeViewGL.this.padSizeScreenLan2H[10] / 2.0f) + ePSXeViewGL.this.padSizeScreenLan2H[ePSXeViewGL.ACTION_POINTER_INDEX_SHIFT], ((float) (ePSXeViewGL.this.mHeight / 2)) - (ePSXeViewGL.this.padSizeScreenLan2H[11] / 2.0f), ((float) ePSXeViewGL.this.mWidth) - (ePSXeViewGL.this.padSizeScreenLan2H[12] / 2.0f), ((float) (ePSXeViewGL.this.mHeight / 2)) - (ePSXeViewGL.this.padSizeScreenLan2H[13] / 2.0f), (((float) ePSXeViewGL.this.mWidth) - (ePSXeViewGL.this.padSizeScreenLan2H[14] / 2.0f)) - ePSXeViewGL.this.padSizeScreenLan2H[12], ((float) (ePSXeViewGL.this.mHeight / 2)) - (ePSXeViewGL.this.padSizeScreenLan2H[15] / 2.0f)};
            for (i = 0; i < ePSXeViewGL.ACTION_POINTER_INDEX_SHIFT; i += ePSXeViewGL.INPUT_HWBUTTONS) {
                ePSXeViewGL.this.padOffScreenLan2H[(i * 2) + 0] = fArr[(i * 2) + 0];
                ePSXeViewGL.this.padOffScreenLan2H[(i * 2) + ePSXeViewGL.INPUT_HWBUTTONS] = fArr[(i * 2) + ePSXeViewGL.INPUT_HWBUTTONS];
            }
            fArr = new float[]{(float) ((ePSXeViewGL.this.mHeight * 228) / ePSXeViewGL.this.mWidth), (float) (((ePSXeViewGL.this.mWidth / 2) * 228) / ePSXeViewGL.this.mHeight), (float) ((ePSXeViewGL.this.mHeight * 224) / ePSXeViewGL.this.mWidth), (float) (((ePSXeViewGL.this.mWidth / 2) * 248) / ePSXeViewGL.this.mHeight), (float) ((ePSXeViewGL.this.mHeight * 66) / ePSXeViewGL.this.mWidth), (float) (((ePSXeViewGL.this.mWidth / 2) * 40) / ePSXeViewGL.this.mHeight), (float) ((ePSXeViewGL.this.mHeight * 66) / ePSXeViewGL.this.mWidth), (float) (((ePSXeViewGL.this.mWidth / 2) * 62) / ePSXeViewGL.this.mHeight), (float) ((ePSXeViewGL.this.mHeight * 64) / ePSXeViewGL.this.mWidth), (float) (((ePSXeViewGL.this.mWidth / 2) * 60) / ePSXeViewGL.this.mHeight), (float) ((ePSXeViewGL.this.mHeight * 64) / ePSXeViewGL.this.mWidth), (float) (((ePSXeViewGL.this.mWidth / 2) * 60) / ePSXeViewGL.this.mHeight), (float) ((ePSXeViewGL.this.mHeight * 64) / ePSXeViewGL.this.mWidth), (float) (((ePSXeViewGL.this.mWidth / 2) * 60) / ePSXeViewGL.this.mHeight), (float) ((ePSXeViewGL.this.mHeight * 64) / ePSXeViewGL.this.mWidth), (float) (((ePSXeViewGL.this.mWidth / 2) * 60) / ePSXeViewGL.this.mHeight)};
            for (i = 0; i < ePSXeViewGL.ACTION_POINTER_INDEX_SHIFT; i += ePSXeViewGL.INPUT_HWBUTTONS) {
                ePSXeViewGL.this.padSizeScreenLan2V[(i * 2) + 0] = fArr[(i * 2) + 0] * ePSXeViewGL.this.padResize;
                ePSXeViewGL.this.padSizeScreenLan2V[(i * 2) + ePSXeViewGL.INPUT_HWBUTTONS] = fArr[(i * 2) + ePSXeViewGL.INPUT_HWBUTTONS] * ePSXeViewGL.this.padResize;
            }
            fArr = new float[]{ePSXeViewGL.this.padSizeScreenLan2V[0] / 2.0f, ePSXeViewGL.this.padSizeScreenLan2V[ePSXeViewGL.INPUT_HWBUTTONS] / 2.0f, ((float) ePSXeViewGL.this.mHeight) - (ePSXeViewGL.this.padSizeScreenLan2V[2] / 2.0f), ePSXeViewGL.this.padSizeScreenLan2V[3] / 2.0f, (((float) (ePSXeViewGL.this.mHeight / 2)) - ePSXeViewGL.this.padSizeScreenLan2V[4]) - 30.0f, ePSXeViewGL.this.padSizeScreenLan2V[5] / 2.0f, (float) ((ePSXeViewGL.this.mHeight / 2) + 30), ePSXeViewGL.this.padSizeScreenLan2V[7] / 2.0f, ePSXeViewGL.this.padSizeScreenLan2V[ePSXeViewGL.ACTION_POINTER_INDEX_SHIFT] / 2.0f, ((float) (ePSXeViewGL.this.mWidth / 2)) - (ePSXeViewGL.this.padSizeScreenLan2V[9] / 2.0f), (ePSXeViewGL.this.padSizeScreenLan2V[10] / 2.0f) - ePSXeViewGL.this.padSizeScreenLan2V[ePSXeViewGL.ACTION_POINTER_INDEX_SHIFT], ((float) (ePSXeViewGL.this.mWidth / 2)) - (ePSXeViewGL.this.padSizeScreenLan2V[11] / 2.0f), ((float) ePSXeViewGL.this.mHeight) - (ePSXeViewGL.this.padSizeScreenLan2V[12] / 2.0f), ((float) (ePSXeViewGL.this.mWidth / 2)) - (ePSXeViewGL.this.padSizeScreenLan2V[13] / 2.0f), (((float) ePSXeViewGL.this.mHeight) - (ePSXeViewGL.this.padSizeScreenLan2V[14] / 2.0f)) - ePSXeViewGL.this.padSizeScreenLan2V[12], ((float) (ePSXeViewGL.this.mWidth / 2)) - (ePSXeViewGL.this.padSizeScreenLan2V[15] / 2.0f)};
            for (i = 0; i < ePSXeViewGL.ACTION_POINTER_INDEX_SHIFT; i += ePSXeViewGL.INPUT_HWBUTTONS) {
                ePSXeViewGL.this.padOffScreenLan2V[(i * 2) + 0] = fArr[(i * 2) + 0];
                ePSXeViewGL.this.padOffScreenLan2V[(i * 2) + ePSXeViewGL.INPUT_HWBUTTONS] = fArr[(i * 2) + ePSXeViewGL.INPUT_HWBUTTONS];
            }
            ePSXeViewGL.this.initvirtualPad = 0;
        }
    }

    public ePSXeViewGL(Context context) {
        super(context);
        this.mfps = 60;
        this.ts_vibration = new int[]{0, 0};
        this.emu_enable_frameskip = 0;
        this.emu_enable_frameskip_tmp = 0;
        this.emu_enable_printfps = INPUT_HWBUTTONS;
        this.emu_player_mode = INPUT_HWBUTTONS;
        this.emu_split_mode = 0;
        this.emu_enable_mme = INPUT_HWBUTTONS;
        this.emu_screen_orientation = 0;
        this.emu_screen_ratio = 0;
        this.emu_pad_portrait = 0;
        this.emu_pad_draw_mode = new int[]{INPUT_HWBUTTONS, INPUT_HWBUTTONS};
        this.emu_pad_mode = new int[]{INPUT_HWBUTTONS, INPUT_HWBUTTONS};
        this.emu_pad_mode_analog = new int[]{0, 0};
        this.emu_input_alpha = 0.6f;
        this.emu_gpu_blit_mode = 16;
        this.mode = 0;
        this.emu_enable_framelimit = INPUT_HWBUTTONS;
        this.emu_pad_type = new int[]{0, 0};
        this.emu_pad_type_selected = 0;
        this.emu_video_filter = 0;
        this.emu_sound_latency = 0;
        this.license = true;
        this.analog_values = new int[][]{new int[]{0, 0, 0, 0}, new int[]{0, 0, 0, 0}};
        this.x1 = 0;
        this.y1 = 0;
        this.x2 = 0;
        this.y2 = 0;
        this.debugString = "";
        this.debugString2 = "";
        this.skinName = "/sdcard/skin.png";
        this.stickyButton = new int[]{0, 0, 0, 0, 0, 0, 0, 0};
        this.mWidth = 800;
        this.mHeight = 480;
        this.padResize = 1.0f;
        this.padSizeScreenLan = new float[][]{new float[]{228.0f, 228.0f, 224.0f, 248.0f, 66.0f, 50.0f, 66.0f, 62.0f, 64.0f, 60.0f, 64.0f, 60.0f, 64.0f, 60.0f, 64.0f, 60.0f, 53.0f, 41.0f, 64.0f, 60.0f, 64.0f, 60.0f, 222.0f, 222.0f, 222.0f, 222.0f, 71.0f, 71.0f, 64.0f, 64.0f, 64.0f, 64.0f, 64.0f, 64.0f, 64.0f, 64.0f, 64.0f, 64.0f, 64.0f, 64.0f}, new float[]{228.0f, 228.0f, 224.0f, 248.0f, 66.0f, 50.0f, 66.0f, 62.0f, 64.0f, 60.0f, 64.0f, 60.0f, 64.0f, 60.0f, 64.0f, 60.0f, 53.0f, 41.0f, 64.0f, 60.0f, 64.0f, 60.0f, 222.0f, 222.0f, 222.0f, 222.0f, 71.0f, 71.0f, 64.0f, 64.0f, 64.0f, 64.0f, 64.0f, 64.0f, 64.0f, 64.0f, 64.0f, 64.0f, 64.0f, 64.0f}};
        r0 = new float[2][];
        r0[0] = new float[]{this.padSizeScreenLan[0][0] / 2.0f, this.padSizeScreenLan[0][INPUT_HWBUTTONS] / 2.0f, 800.0f - (this.padSizeScreenLan[0][2] / 2.0f), this.padSizeScreenLan[0][3] / 2.0f, (400.0f - this.padSizeScreenLan[0][4]) - 30.0f, this.padSizeScreenLan[0][5] / 2.0f, 430.0f, this.padSizeScreenLan[0][7] / 2.0f, this.padSizeScreenLan[0][ACTION_POINTER_INDEX_SHIFT] / 2.0f, 480.0f - (this.padSizeScreenLan[0][9] / 2.0f), (this.padSizeScreenLan[0][10] / 2.0f) + this.padSizeScreenLan[0][ACTION_POINTER_INDEX_SHIFT], 480.0f - (this.padSizeScreenLan[0][11] / 2.0f), 800.0f - (this.padSizeScreenLan[0][12] / 2.0f), 480.0f - (this.padSizeScreenLan[0][13] / 2.0f), (800.0f - (this.padSizeScreenLan[0][14] / 2.0f)) - this.padSizeScreenLan[0][12], 480.0f - (this.padSizeScreenLan[0][15] / 2.0f), 440.0f + this.padSizeScreenLan[0][6], this.padSizeScreenLan[0][17] / 2.0f, ((this.padSizeScreenLan[0][18] / 2.0f) + this.padSizeScreenLan[0][10]) + this.padSizeScreenLan[0][ACTION_POINTER_INDEX_SHIFT], 480.0f - (this.padSizeScreenLan[0][19] / 2.0f), ((800.0f - (this.padSizeScreenLan[0][20] / 2.0f)) - this.padSizeScreenLan[0][12]) - this.padSizeScreenLan[0][14], 480.0f - (this.padSizeScreenLan[0][21] / 2.0f), this.padSizeScreenLan[0][22] / 2.0f, this.padSizeScreenLan[0][23] / 2.0f, 800.0f - (this.padSizeScreenLan[0][24] / 2.0f), this.padSizeScreenLan[0][25] / 2.0f, 0.0f, 0.0f, this.padSizeScreenLan[0][28] / 2.0f, (480.0f - (this.padSizeScreenLan[0][29] / 2.0f)) - (this.padSizeScreenLan[0][10] * 2.0f), (this.padSizeScreenLan[0][30] / 2.0f) + this.padSizeScreenLan[0][28], (480.0f - (this.padSizeScreenLan[0][31] / 2.0f)) - (this.padSizeScreenLan[0][10] * 2.0f), ((this.padSizeScreenLan[0][32] / 2.0f) + this.padSizeScreenLan[0][28]) + this.padSizeScreenLan[0][30], (480.0f - (this.padSizeScreenLan[0][33] / 2.0f)) - (this.padSizeScreenLan[0][10] * 2.0f), 800.0f - (this.padSizeScreenLan[0][34] / 2.0f), (480.0f - (this.padSizeScreenLan[0][35] / 2.0f)) - (this.padSizeScreenLan[0][10] * 2.0f), (800.0f - (this.padSizeScreenLan[0][36] / 2.0f)) - this.padSizeScreenLan[0][34], (480.0f - (this.padSizeScreenLan[0][37] / 2.0f)) - (this.padSizeScreenLan[0][10] * 2.0f), ((800.0f - (this.padSizeScreenLan[0][38] / 2.0f)) - this.padSizeScreenLan[0][34]) - this.padSizeScreenLan[0][36], (480.0f - (this.padSizeScreenLan[0][39] / 2.0f)) - (this.padSizeScreenLan[0][10] * 2.0f)};
        r0[INPUT_HWBUTTONS] = new float[]{400.0f - (0.76f * (this.padSizeScreenLan[INPUT_HWBUTTONS][0] / 2.0f)), 240.0f, 800.0f - (this.padSizeScreenLan[INPUT_HWBUTTONS][2] / 2.0f), this.padSizeScreenLan[INPUT_HWBUTTONS][3] / 2.0f, (400.0f - this.padSizeScreenLan[INPUT_HWBUTTONS][4]) - 30.0f, this.padSizeScreenLan[INPUT_HWBUTTONS][5] / 2.0f, 430.0f, this.padSizeScreenLan[INPUT_HWBUTTONS][7] / 2.0f, this.padSizeScreenLan[INPUT_HWBUTTONS][ACTION_POINTER_INDEX_SHIFT] / 2.0f, 480.0f - (this.padSizeScreenLan[INPUT_HWBUTTONS][9] / 2.0f), (this.padSizeScreenLan[INPUT_HWBUTTONS][10] / 2.0f) + this.padSizeScreenLan[INPUT_HWBUTTONS][ACTION_POINTER_INDEX_SHIFT], 480.0f - (this.padSizeScreenLan[INPUT_HWBUTTONS][11] / 2.0f), 800.0f - (this.padSizeScreenLan[INPUT_HWBUTTONS][12] / 2.0f), 480.0f - (this.padSizeScreenLan[INPUT_HWBUTTONS][13] / 2.0f), (800.0f - (this.padSizeScreenLan[INPUT_HWBUTTONS][14] / 2.0f)) - this.padSizeScreenLan[INPUT_HWBUTTONS][12], 480.0f - (this.padSizeScreenLan[INPUT_HWBUTTONS][15] / 2.0f), 440.0f + this.padSizeScreenLan[INPUT_HWBUTTONS][6], this.padSizeScreenLan[INPUT_HWBUTTONS][17] / 2.0f, ((this.padSizeScreenLan[INPUT_HWBUTTONS][18] / 2.0f) + this.padSizeScreenLan[INPUT_HWBUTTONS][10]) + this.padSizeScreenLan[INPUT_HWBUTTONS][ACTION_POINTER_INDEX_SHIFT], 480.0f - (this.padSizeScreenLan[INPUT_HWBUTTONS][19] / 2.0f), ((800.0f - (this.padSizeScreenLan[INPUT_HWBUTTONS][20] / 2.0f)) - this.padSizeScreenLan[INPUT_HWBUTTONS][12]) - this.padSizeScreenLan[INPUT_HWBUTTONS][14], 480.0f - (this.padSizeScreenLan[INPUT_HWBUTTONS][21] / 2.0f), this.padSizeScreenLan[INPUT_HWBUTTONS][22] / 2.0f, this.padSizeScreenLan[INPUT_HWBUTTONS][23] / 2.0f, 400.0f + (0.76f * (this.padSizeScreenLan[INPUT_HWBUTTONS][24] / 2.0f)), 240.0f, 0.0f, 0.0f, this.padSizeScreenLan[INPUT_HWBUTTONS][28] / 2.0f, (480.0f - (this.padSizeScreenLan[INPUT_HWBUTTONS][29] / 2.0f)) - (this.padSizeScreenLan[INPUT_HWBUTTONS][10] * 2.0f), (this.padSizeScreenLan[INPUT_HWBUTTONS][30] / 2.0f) + this.padSizeScreenLan[INPUT_HWBUTTONS][28], (480.0f - (this.padSizeScreenLan[INPUT_HWBUTTONS][31] / 2.0f)) - (this.padSizeScreenLan[INPUT_HWBUTTONS][10] * 2.0f), ((this.padSizeScreenLan[INPUT_HWBUTTONS][32] / 2.0f) + this.padSizeScreenLan[INPUT_HWBUTTONS][28]) + this.padSizeScreenLan[INPUT_HWBUTTONS][30], (480.0f - (this.padSizeScreenLan[INPUT_HWBUTTONS][33] / 2.0f)) - (this.padSizeScreenLan[INPUT_HWBUTTONS][10] * 2.0f), 800.0f - (this.padSizeScreenLan[INPUT_HWBUTTONS][34] / 2.0f), (480.0f - (this.padSizeScreenLan[INPUT_HWBUTTONS][35] / 2.0f)) - (this.padSizeScreenLan[INPUT_HWBUTTONS][10] * 2.0f), (800.0f - (this.padSizeScreenLan[INPUT_HWBUTTONS][36] / 2.0f)) - this.padSizeScreenLan[INPUT_HWBUTTONS][34], (480.0f - (this.padSizeScreenLan[INPUT_HWBUTTONS][37] / 2.0f)) - (this.padSizeScreenLan[INPUT_HWBUTTONS][10] * 2.0f), ((800.0f - (this.padSizeScreenLan[INPUT_HWBUTTONS][38] / 2.0f)) - this.padSizeScreenLan[INPUT_HWBUTTONS][34]) - this.padSizeScreenLan[INPUT_HWBUTTONS][36], (480.0f - (this.padSizeScreenLan[INPUT_HWBUTTONS][39] / 2.0f)) - (this.padSizeScreenLan[INPUT_HWBUTTONS][10] * 2.0f)};
        this.padOffScreenLan = r0;
        this.padScreenStatus = new int[][]{new int[]{INPUT_HWBUTTONS, INPUT_HWBUTTONS, INPUT_HWBUTTONS, INPUT_HWBUTTONS, INPUT_HWBUTTONS, INPUT_HWBUTTONS, INPUT_HWBUTTONS, INPUT_HWBUTTONS, INPUT_HWBUTTONS, 2, 2, 2, 2, 0, 0, 0, 0, 0, 0, 0}, new int[]{0, INPUT_HWBUTTONS, INPUT_HWBUTTONS, INPUT_HWBUTTONS, INPUT_HWBUTTONS, INPUT_HWBUTTONS, INPUT_HWBUTTONS, INPUT_HWBUTTONS, INPUT_HWBUTTONS, 0, 0, INPUT_HWBUTTONS, 0, 0, 0, 0, 0, 0, 0, 0}};
        this.padScreenResize = new float[][]{new float[]{1.0f, 1.0f, 1.0f, 1.0f, 1.0f, 1.0f, 1.0f, 1.0f, 1.0f, 1.0f, 1.0f, 1.0f, 1.0f, 1.0f, 1.0f, 1.0f, 1.0f, 1.0f, 1.0f, 1.0f}, new float[]{0.76f, 1.0f, 1.0f, 1.0f, 1.0f, 1.0f, 1.0f, 1.0f, 1.0f, 1.0f, 1.0f, 1.0f, 0.76f, 1.0f, 1.0f, 1.0f, 1.0f, 1.0f, 1.0f, 1.0f}};
        this.padScreenExtra = new int[]{19, 19, 19, 19, 19, 19};
        this.padScreenFunc = new int[]{0, 0, 0, 0, 0, 0};
        this.padScreenExtraEnabled = 0;
        this.padScreenExtraCombo = 0;
        this.padSizeScreenPor = new float[]{480.0f, 400.0f};
        this.padOffScreenPor = new float[]{240.0f, 200.0f};
        this.padSizeScreenLan2H = new float[]{228.0f, 114.0f, 224.0f, 124.0f, 66.0f, 25.0f, 66.0f, 31.0f, 64.0f, 30.0f, 64.0f, 30.0f, 64.0f, 30.0f, 64.0f, 30.0f};
        this.padOffScreenLan2H = new float[]{this.padSizeScreenLan2H[0] / 2.0f, this.padSizeScreenLan2H[INPUT_HWBUTTONS] / 2.0f, 800.0f - (this.padSizeScreenLan2H[2] / 2.0f), this.padSizeScreenLan2H[3] / 2.0f, (400.0f - this.padSizeScreenLan2H[4]) - 30.0f, this.padSizeScreenLan2H[5] / 2.0f, 430.0f, this.padSizeScreenLan2H[7] / 2.0f, this.padSizeScreenLan2H[ACTION_POINTER_INDEX_SHIFT] / 2.0f, 240.0f - (this.padSizeScreenLan2H[9] / 2.0f), (this.padSizeScreenLan2H[10] / 2.0f) + this.padSizeScreenLan2H[ACTION_POINTER_INDEX_SHIFT], 240.0f - (this.padSizeScreenLan2H[11] / 2.0f), 800.0f - (this.padSizeScreenLan2H[12] / 2.0f), 240.0f - (this.padSizeScreenLan2H[13] / 2.0f), (800.0f - (this.padSizeScreenLan2H[14] / 2.0f)) - this.padSizeScreenLan2H[12], 240.0f - (this.padSizeScreenLan2H[15] / 2.0f)};
        this.padSizeScreenLan2V = new float[]{136.0f, 190.0f, 134.0f, 206.0f, 39.0f, 33.0f, 39.0f, 51.0f, 38.0f, 50.0f, 38.0f, 50.0f, 38.0f, 50.0f, 38.0f, 50.0f};
        this.padOffScreenLan2V = new float[]{this.padSizeScreenLan2V[0] / 2.0f, this.padSizeScreenLan2V[INPUT_HWBUTTONS] / 2.0f, 480.0f - (this.padSizeScreenLan2V[2] / 2.0f), this.padSizeScreenLan2V[3] / 2.0f, (240.0f - this.padSizeScreenLan2V[4]) - 30.0f, this.padSizeScreenLan2V[5] / 2.0f, 270.0f, this.padSizeScreenLan2V[7] / 2.0f, this.padSizeScreenLan2V[ACTION_POINTER_INDEX_SHIFT] / 2.0f, 400.0f - (this.padSizeScreenLan2V[9] / 2.0f), (this.padSizeScreenLan2V[10] / 2.0f) - this.padSizeScreenLan2V[ACTION_POINTER_INDEX_SHIFT], 400.0f - (this.padSizeScreenLan2V[11] / 2.0f), 480.0f - (this.padSizeScreenLan2V[12] / 2.0f), 400.0f - (this.padSizeScreenLan2V[13] / 2.0f), (480.0f - (this.padSizeScreenLan2V[14] / 2.0f)) - this.padSizeScreenLan2V[12], 400.0f - (this.padSizeScreenLan2V[15] / 2.0f)};
        this.virtualPad = new int[][]{new int[]{5, 0, 0, 55, 50, INPUT_HWBUTTONS}, new int[]{7, 0, 0, 55, 50, 2}, new int[]{4, 0, 0, 55, 50, 4}, new int[]{6, 0, 0, 55, 50, ACTION_POINTER_INDEX_SHIFT}, new int[]{INPUT_HWBUTTONS, 72, 0, InputList.KEYCODE_NUMPAD_8, 80, 16}, new int[]{INPUT_HWBUTTONS, InputList.KEYCODE_F10, 83, 220, InputList.KEYCODE_NUMPAD_RIGHT_PAREN, 32}, new int[]{INPUT_HWBUTTONS, 72, InputList.KEYCODE_VOLUME_MUTE, InputList.KEYCODE_NUMPAD_8, 244, 64}, new int[]{INPUT_HWBUTTONS, 0, 83, 90, InputList.KEYCODE_NUMPAD_RIGHT_PAREN, InputList.KEYCODE_MEDIA_CLOSE}, new int[]{2, 0, 0, 57, 50, Policy.LICENSED}, new int[]{9, 0, 0, 55, 50, pbpFile.PBP_PSTITLEIMG}, new int[]{10, 0, 0, 55, 50, 1024}, new int[]{3, 0, 0, 59, 50, 2048}, new int[]{0, 74, 0, InputList.KEYCODE_NUMPAD_4, 74, 4096}, new int[]{0, InputList.KEYCODE_NUMPAD_4, 74, 222, InputList.KEYCODE_NUMPAD_4, 8192}, new int[]{0, 74, InputList.KEYCODE_NUMPAD_4, InputList.KEYCODE_NUMPAD_4, 222, 16384}, new int[]{0, 0, 74, 74, InputList.KEYCODE_NUMPAD_4, 32768}, new int[]{0, 0, 0, 74, 74, 36864}, new int[]{0, InputList.KEYCODE_NUMPAD_4, 0, 222, 74, 12288}, new int[]{0, InputList.KEYCODE_NUMPAD_4, InputList.KEYCODE_NUMPAD_4, 222, 222, 24576}, new int[]{0, 0, InputList.KEYCODE_NUMPAD_4, 74, 222, 49152}, new int[]{11, 0, 0, 222, 222, 0}, new int[]{12, 0, 0, 222, 222, 0}, new int[]{ACTION_POINTER_INDEX_SHIFT, 0, 0, 53, 41, 0}, new int[]{16, 0, 0, 63, 63, 0}, new int[]{17, 0, 0, 63, 63, 0}, new int[]{18, 0, 0, 63, 63, 0}, new int[]{19, 0, 0, 63, 63, 0}, new int[]{20, 0, 0, 63, 63, 0}, new int[]{21, 0, 0, 63, 63, 0}};
        this.virtualPadPort = new int[][]{new int[]{0, 0, 10, 68, 58, 4}, new int[]{0, 414, 10, 482, 58, ACTION_POINTER_INDEX_SHIFT}, new int[]{0, 70, 10, InputList.KEYCODE_F8, 58, INPUT_HWBUTTONS}, new int[]{0, 344, 10, 412, 58, 2}, new int[]{0, 324, InputList.KEYCODE_NUMPAD_ENTER, 402, 242, 16}, new int[]{0, 404, 224, 482, 306, 32}, new int[]{0, 324, 302, 402, 406, 64}, new int[]{0, 248, 224, 326, 306, InputList.KEYCODE_MEDIA_CLOSE}, new int[]{0, InputList.KEYCODE_ZOOM_IN, 10, 230, 62, Policy.LICENSED}, new int[]{-1, 0, 0, 0, 0, pbpFile.PBP_PSTITLEIMG}, new int[]{-1, 0, 0, 0, 0, 1024}, new int[]{0, 244, 10, 316, 62, 2048}, new int[]{0, 74, InputList.KEYCODE_BUTTON_THUMBL, InputList.KEYCODE_NUMPAD_4, InputList.KEYCODE_STB_INPUT, 4096}, new int[]{0, InputList.KEYCODE_NUMPAD_4, InputList.KEYCODE_STB_INPUT, 222, 254, 8192}, new int[]{0, 74, 254, InputList.KEYCODE_NUMPAD_4, 328, 16384}, new int[]{0, 0, InputList.KEYCODE_STB_INPUT, 74, 254, 32768}, new int[]{0, 0, InputList.KEYCODE_BUTTON_THUMBL, 74, InputList.KEYCODE_STB_INPUT, 36864}, new int[]{0, InputList.KEYCODE_NUMPAD_4, InputList.KEYCODE_BUTTON_THUMBL, 222, InputList.KEYCODE_STB_INPUT, 12288}, new int[]{0, InputList.KEYCODE_NUMPAD_4, 254, 222, 328, 24576}, new int[]{0, 0, 254, 74, 328, 49152}, new int[]{-1, 0, 0, 222, 222, 0}, new int[]{-1, 0, 0, 222, 222, 0}, new int[]{-1, 0, 0, 53, 41, 0}, new int[]{-1, 0, 0, 63, 63, 0}, new int[]{-1, 0, 0, 63, 63, 0}, new int[]{-1, 0, 0, 63, 63, 0}, new int[]{-1, 0, 0, 63, 63, 0}, new int[]{-1, 0, 0, 63, 63, 0}, new int[]{-1, 0, 0, 63, 63, 0}};
        this.virtualPadPos = (int[][]) Array.newInstance(Integer.TYPE, new int[]{60, 4});
        this.virtualPadBit = new int[60];
        this.virtualPadId = new int[60];
        this.initvirtualPad = 0;
        this.gunb0 = 0;
        this.gunb1 = 0;
        this.gunb2 = 0;
        this.gunX = 0;
        this.gunY = 0;
        this.mContext = context;
        init();
    }

    private void dumpEvent(MotionEvent motionEvent) {
        int i = 0;
        String[] strArr = new String[]{"DOWN", "UP", "MOVE", "CANCEL", "OUTSIDE", "POINTER_DOWN", "POINTER_UP", "7?", "8?", "9?"};
        StringBuilder stringBuilder = new StringBuilder();
        int action = motionEvent.getAction();
        int i2 = action & 255;
        stringBuilder.append("event ACTION_").append(strArr[i2]);
        if (i2 == 5 || i2 == 6) {
            stringBuilder.append("(pid ").append(action >> ACTION_POINTER_INDEX_SHIFT);
            stringBuilder.append(")");
        }
        stringBuilder.append("[");
        while (i < motionEvent.getPointerCount()) {
            stringBuilder.append("#").append(i);
            stringBuilder.append("(pid ").append(motionEvent.getPointerId(i));
            stringBuilder.append(")=").append((int) motionEvent.getX(i));
            stringBuilder.append(",").append((int) motionEvent.getY(i));
            if (i + INPUT_HWBUTTONS < motionEvent.getPointerCount()) {
                stringBuilder.append(";");
            }
            i += INPUT_HWBUTTONS;
        }
        stringBuilder.append("]");
        Log.e("epsxepad", stringBuilder.toString());
    }

    public static int getActionIndexEclair(MotionEvent motionEvent) {
        return (ACTION_POINTER_INDEX_MASK & motionEvent.getAction()) >> ACTION_POINTER_INDEX_SHIFT;
    }

    private void init() {
        setFocusable(true);
        setFocusableInTouchMode(true);
        requestFocus();
    }

    /* JADX WARNING: inconsistent code. */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    private void queueMotionEvent(android.view.MotionEvent r17) {
        /*
        r16 = this;
        r1 = r17.getAction();
        r2 = r1 & 255;
        r0 = r16;
        r1 = r0.osVersion;
        r3 = 8;
        if (r1 < r3) goto L_0x0028;
    L_0x000e:
        r1 = r17.getActionIndex();
        r12 = r1;
    L_0x0013:
        r0 = r16;
        r1 = r0.emu_pad_type;
        r3 = 0;
        r1 = r1[r3];
        r3 = 1;
        if (r1 != r3) goto L_0x002e;
    L_0x001d:
        r0 = r16;
        r1 = r0.emu_pad_type;
        r3 = 1;
        r1 = r1[r3];
        r3 = 1;
        if (r1 != r3) goto L_0x002e;
    L_0x0027:
        return;
    L_0x0028:
        r1 = getActionIndexEclair(r17);
        r12 = r1;
        goto L_0x0013;
    L_0x002e:
        r1 = 5;
        if (r2 == r1) goto L_0x0039;
    L_0x0031:
        r1 = 6;
        if (r2 == r1) goto L_0x0039;
    L_0x0034:
        r1 = 1;
        if (r2 == r1) goto L_0x0039;
    L_0x0037:
        if (r2 != 0) goto L_0x0112;
    L_0x0039:
        r0 = r16;
        r1 = r0.emu_pad_mode;
        r2 = 0;
        r1 = r1[r2];
        r2 = 3;
        if (r1 != r2) goto L_0x00b3;
    L_0x0043:
        r2 = r17.getEventTime();
        r4 = r17.getAction();
        r0 = r17;
        r1 = r0.getX(r12);
        r5 = (int) r1;
        r0 = r17;
        r1 = r0.getY(r12);
        r6 = (int) r1;
        r0 = r17;
        r7 = r0.getPressure(r12);
        r0 = r17;
        r8 = r0.getSize(r12);
        r9 = r17.getDeviceId();
        r0 = r17;
        r10 = r0.getPointerId(r12);
        r0 = r16;
        r1 = r0.emu_pad_type;
        r11 = 0;
        r1 = r1[r11];
        r0 = r16;
        r11 = r0.emu_pad_type;
        r12 = 1;
        r11 = r11[r12];
        r11 = r11 << 1;
        r11 = r11 | r1;
        r1 = r16;
        r1 = r1.touchscreeneventgun(r2, r4, r5, r6, r7, r8, r9, r10, r11);
    L_0x0086:
        r0 = r16;
        r2 = r0.ts_vibration;
        r3 = 0;
        r2 = r2[r3];
        r3 = 1;
        if (r2 != r3) goto L_0x0093;
    L_0x0090:
        r2 = 1;
        if (r1 == r2) goto L_0x00a0;
    L_0x0093:
        r0 = r16;
        r2 = r0.ts_vibration;
        r3 = 1;
        r2 = r2[r3];
        r3 = 1;
        if (r2 != r3) goto L_0x0027;
    L_0x009d:
        r2 = 2;
        if (r1 != r2) goto L_0x0027;
    L_0x00a0:
        r0 = r16;
        r1 = r0.mContext;
        r2 = "vibrator";
        r1 = r1.getSystemService(r2);
        r1 = (android.os.Vibrator) r1;
        r2 = 35;
        r1.vibrate(r2);
        goto L_0x0027;
    L_0x00b3:
        r0 = r16;
        r1 = r0.emu_player_mode;
        r2 = 1;
        if (r1 != r2) goto L_0x00cd;
    L_0x00ba:
        r0 = r16;
        r1 = r0.emu_pad_type;
        r2 = 0;
        r1 = r1[r2];
        if (r1 == 0) goto L_0x00cd;
    L_0x00c3:
        r0 = r16;
        r1 = r0.emu_pad_type;
        r2 = 1;
        r2 = r1[r2];
        r1 = 0;
        if (r2 != 0) goto L_0x0086;
    L_0x00cd:
        r2 = r17.getEventTime();
        r4 = r17.getAction();
        r0 = r17;
        r1 = r0.getX(r12);
        r5 = (int) r1;
        r0 = r17;
        r1 = r0.getY(r12);
        r6 = (int) r1;
        r0 = r17;
        r7 = r0.getPressure(r12);
        r0 = r17;
        r8 = r0.getSize(r12);
        r9 = r17.getDeviceId();
        r0 = r17;
        r10 = r0.getPointerId(r12);
        r0 = r16;
        r1 = r0.emu_pad_type;
        r11 = 0;
        r1 = r1[r11];
        r0 = r16;
        r11 = r0.emu_pad_type;
        r12 = 1;
        r11 = r11[r12];
        r11 = r11 << 1;
        r11 = r11 | r1;
        r1 = r16;
        r1 = r1.touchscreenevent(r2, r4, r5, r6, r7, r8, r9, r10, r11);
        goto L_0x0086;
    L_0x0112:
        r1 = 0;
        r3 = 2;
        if (r2 != r3) goto L_0x0086;
    L_0x0116:
        r2 = 0;
        r14 = r2;
        r13 = r1;
    L_0x0119:
        r1 = r17.getPointerCount();
        if (r14 >= r1) goto L_0x01ce;
    L_0x011f:
        r0 = r16;
        r1 = r0.emu_pad_mode;
        r2 = 0;
        r1 = r1[r2];
        r2 = 3;
        if (r1 != r2) goto L_0x0170;
    L_0x0129:
        r2 = r17.getEventTime();
        r4 = r17.getAction();
        r0 = r17;
        r1 = r0.getX(r12);
        r5 = (int) r1;
        r0 = r17;
        r1 = r0.getY(r12);
        r6 = (int) r1;
        r0 = r17;
        r7 = r0.getPressure(r12);
        r0 = r17;
        r8 = r0.getSize(r12);
        r9 = r17.getDeviceId();
        r0 = r17;
        r10 = r0.getPointerId(r12);
        r0 = r16;
        r1 = r0.emu_pad_type;
        r11 = 0;
        r1 = r1[r11];
        r0 = r16;
        r11 = r0.emu_pad_type;
        r13 = 1;
        r11 = r11[r13];
        r11 = r11 << 1;
        r11 = r11 | r1;
        r1 = r16;
        r13 = r1.touchscreeneventgun(r2, r4, r5, r6, r7, r8, r9, r10, r11);
    L_0x016c:
        r1 = r14 + 1;
        r14 = r1;
        goto L_0x0119;
    L_0x0170:
        r0 = r16;
        r1 = r0.emu_player_mode;
        r2 = 1;
        if (r1 != r2) goto L_0x0189;
    L_0x0177:
        r0 = r16;
        r1 = r0.emu_pad_type;
        r2 = 0;
        r1 = r1[r2];
        if (r1 == 0) goto L_0x0189;
    L_0x0180:
        r0 = r16;
        r1 = r0.emu_pad_type;
        r2 = 1;
        r1 = r1[r2];
        if (r1 != 0) goto L_0x016c;
    L_0x0189:
        r2 = r17.getEventTime();
        r4 = r17.getAction();
        r0 = r17;
        r1 = r0.getX(r14);
        r5 = (int) r1;
        r0 = r17;
        r1 = r0.getY(r14);
        r6 = (int) r1;
        r0 = r17;
        r7 = r0.getPressure(r14);
        r0 = r17;
        r8 = r0.getSize(r14);
        r9 = r17.getDeviceId();
        r0 = r17;
        r10 = r0.getPointerId(r14);
        r0 = r16;
        r1 = r0.emu_pad_type;
        r11 = 0;
        r1 = r1[r11];
        r0 = r16;
        r11 = r0.emu_pad_type;
        r15 = 1;
        r11 = r11[r15];
        r11 = r11 << 1;
        r11 = r11 | r1;
        r1 = r16;
        r1 = r1.touchscreenevent(r2, r4, r5, r6, r7, r8, r9, r10, r11);
        r13 = r13 + r1;
        goto L_0x016c;
    L_0x01ce:
        r1 = r13;
        goto L_0x0086;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.epsxe.ePSXe.ePSXeViewGL.queueMotionEvent(android.view.MotionEvent):void");
    }

    public boolean dispatchTouchEvent(MotionEvent motionEvent) {
        queueMotionEvent(motionEvent);
        return true;
    }

    public void init_motionevent_1playerGun() {
        this.virtualPadPos[0][0] = (this.mWidth - ((this.mHeight * 4) / 3)) / 2;
        this.virtualPadPos[0][INPUT_HWBUTTONS] = 0;
        this.virtualPadPos[0][2] = ((this.mWidth - ((this.mHeight * 4) / 3)) / 2) + ((this.mHeight * 4) / 3);
        this.virtualPadPos[0][3] = this.mHeight;
        this.virtualPadBit[0] = INPUT_HWBUTTONS;
        if (this.emu_pad_type_selected == 0) {
            int[] iArr = this.virtualPadBit;
            iArr[0] = 65536 | iArr[0];
        }
        this.virtualPadId[0] = -1;
        this.virtualPadPos[INPUT_HWBUTTONS][0] = 0;
        this.virtualPadPos[INPUT_HWBUTTONS][INPUT_HWBUTTONS] = 0;
        this.virtualPadPos[INPUT_HWBUTTONS][2] = (this.mWidth - ((this.mHeight * 4) / 3)) / 2;
        this.virtualPadPos[INPUT_HWBUTTONS][3] = this.mHeight / 2;
        this.virtualPadBit[INPUT_HWBUTTONS] = 2;
        if (this.emu_pad_type_selected == 0) {
            iArr = this.virtualPadBit;
            iArr[INPUT_HWBUTTONS] = 65536 | iArr[INPUT_HWBUTTONS];
        }
        this.virtualPadId[INPUT_HWBUTTONS] = -1;
        this.virtualPadPos[2][0] = 0;
        this.virtualPadPos[2][INPUT_HWBUTTONS] = this.mHeight / 2;
        this.virtualPadPos[2][2] = (this.mWidth - ((this.mHeight * 4) / 3)) / 2;
        this.virtualPadPos[2][3] = this.mHeight;
        this.virtualPadBit[2] = 4;
        if (this.emu_pad_type_selected == 0) {
            iArr = this.virtualPadBit;
            iArr[2] = 65536 | iArr[2];
        }
        this.virtualPadId[2] = -1;
        this.initvirtualPad = INPUT_HWBUTTONS;
    }

    public void init_motionevent_1playerLandscape() {
        int i = 0;
        while (i < 29) {
            if (i > 22 && i < 29) {
                if (this.padScreenFunc[i - 23] == 2) {
                    if (this.padScreenExtra[i - 23] == 10) {
                        this.virtualPad[i][5] = 48;
                    } else if (this.padScreenExtra[i - 23] == 11) {
                        this.virtualPad[i][5] = 144;
                    } else if (this.padScreenExtra[i - 23] == 12) {
                        this.virtualPad[i][5] = 192;
                    } else if (this.padScreenExtra[i - 23] == 13) {
                        this.virtualPad[i][5] = 96;
                    } else if (this.padScreenExtra[i - 23] == 14) {
                        this.virtualPad[i][5] = 80;
                    } else if (this.padScreenExtra[i - 23] == 15) {
                        this.virtualPad[i][5] = 160;
                    } else if (this.padScreenExtra[i - 23] == 16) {
                        this.virtualPad[i][5] = 12;
                    } else if (this.padScreenExtra[i - 23] == 17) {
                        this.virtualPad[i][5] = 3;
                    }
                    this.virtualPad[i][0] = i - 9;
                } else if (this.padScreenFunc[i - 23] == INPUT_HWBUTTONS) {
                    this.virtualPad[i][0] = i - 9;
                } else {
                    this.virtualPad[i][0] = -1;
                }
            }
            if (this.virtualPad[i][0] == -1 || this.padScreenStatus[this.mode][this.virtualPad[i][0]] != INPUT_HWBUTTONS) {
                this.virtualPadBit[i] = 0;
                this.virtualPadId[i] = -1;
                this.virtualPadPos[i][0] = -1;
                this.virtualPadPos[i][INPUT_HWBUTTONS] = -1;
                this.virtualPadPos[i][2] = -1;
                this.virtualPadPos[i][3] = -1;
            } else {
                int i2 = ((int) this.padOffScreenLan[this.mode][this.virtualPad[i][0] * 2]) - ((int) ((this.padSizeScreenLan[this.mode][this.virtualPad[i][0] * 2] * this.padScreenResize[this.mode][this.virtualPad[i][0]]) / 2.0f));
                int i3 = ((int) this.padOffScreenLan[this.mode][(this.virtualPad[i][0] * 2) + INPUT_HWBUTTONS]) - ((int) ((this.padSizeScreenLan[this.mode][(this.virtualPad[i][0] * 2) + INPUT_HWBUTTONS] * this.padScreenResize[this.mode][this.virtualPad[i][0]]) / 2.0f));
                this.virtualPadPos[i][0] = ((int) ((((float) this.virtualPad[i][INPUT_HWBUTTONS]) * this.padResize) * this.padScreenResize[this.mode][this.virtualPad[i][0]])) + i2;
                this.virtualPadPos[i][INPUT_HWBUTTONS] = (((int) ((((float) this.virtualPad[i][2]) * this.padResize) * this.padScreenResize[this.mode][this.virtualPad[i][0]])) + (this.mHeight - ((int) (this.padSizeScreenLan[this.mode][(this.virtualPad[i][0] * 2) + INPUT_HWBUTTONS] * this.padScreenResize[this.mode][this.virtualPad[i][0]])))) - i3;
                this.virtualPadPos[i][2] = i2 + ((int) ((((float) this.virtualPad[i][3]) * this.padResize) * this.padScreenResize[this.mode][this.virtualPad[i][0]]));
                this.virtualPadPos[i][3] = (((int) ((((float) this.virtualPad[i][4]) * this.padResize) * this.padScreenResize[this.mode][this.virtualPad[i][0]])) + (this.mHeight - ((int) (this.padSizeScreenLan[this.mode][(this.virtualPad[i][0] * 2) + INPUT_HWBUTTONS] * this.padScreenResize[this.mode][this.virtualPad[i][0]])))) - i3;
                this.virtualPadBit[i] = this.virtualPad[i][5];
                if (this.emu_pad_type_selected == 0) {
                    int[] iArr = this.virtualPadBit;
                    iArr[i] = 65536 | iArr[i];
                }
                this.virtualPadId[i] = -1;
                if (i == 20) {
                    this.analog_values[0][0] = ((this.virtualPadPos[i][2] - this.virtualPadPos[i][0]) / 2) + this.virtualPadPos[i][0];
                    this.analog_values[0][INPUT_HWBUTTONS] = this.mHeight - (((this.virtualPadPos[i][3] - this.virtualPadPos[i][INPUT_HWBUTTONS]) / 2) + this.virtualPadPos[i][INPUT_HWBUTTONS]);
                }
                if (i == 21) {
                    this.analog_values[0][2] = ((this.virtualPadPos[i][2] - this.virtualPadPos[i][0]) / 2) + this.virtualPadPos[i][0];
                    this.analog_values[0][3] = this.mHeight - (((this.virtualPadPos[i][3] - this.virtualPadPos[i][INPUT_HWBUTTONS]) / 2) + this.virtualPadPos[i][INPUT_HWBUTTONS]);
                }
            }
            i += INPUT_HWBUTTONS;
        }
        this.initvirtualPad = INPUT_HWBUTTONS;
    }

    public void init_motionevent_1playerPortrait() {
        for (int i = 0; i < 23; i += INPUT_HWBUTTONS) {
            if (this.virtualPadPort[i][0] == -1) {
                this.virtualPadBit[i] = 0;
                this.virtualPadId[i] = -1;
                this.virtualPadPos[i][0] = -1;
                this.virtualPadPos[i][INPUT_HWBUTTONS] = -1;
                this.virtualPadPos[i][2] = -1;
                this.virtualPadPos[i][3] = -1;
            } else {
                int i2 = this.mHeight / 2;
                this.virtualPadPos[i][0] = ((this.virtualPadPort[i][INPUT_HWBUTTONS] * this.mWidth) / 480) + 0;
                this.virtualPadPos[i][INPUT_HWBUTTONS] = ((this.virtualPadPort[i][2] * (this.mHeight / 2)) / 400) + i2;
                this.virtualPadPos[i][2] = ((this.virtualPadPort[i][3] * this.mWidth) / 480) + 0;
                this.virtualPadPos[i][3] = i2 + ((this.virtualPadPort[i][4] * (this.mHeight / 2)) / 400);
                this.virtualPadBit[i] = this.virtualPadPort[i][5];
                if (this.emu_pad_type_selected == 0) {
                    int[] iArr = this.virtualPadBit;
                    iArr[i] = 65536 | iArr[i];
                }
                this.virtualPadId[i] = -1;
                if (i == 20) {
                    this.analog_values[0][0] = -1;
                    this.analog_values[0][INPUT_HWBUTTONS] = -1;
                }
                if (i == 21) {
                    this.analog_values[0][2] = -1;
                    this.analog_values[0][3] = -1;
                }
            }
        }
        this.initvirtualPad = INPUT_HWBUTTONS;
    }

    public void init_motionevent_2playerH(int i) {
        int i2;
        int i3 = 0;
        for (i2 = 0; i2 < 20; i2 += INPUT_HWBUTTONS) {
            if (this.virtualPad[i2][0] == -1) {
                this.virtualPadBit[i2] = 0;
                this.virtualPadId[i2] = -1;
                this.virtualPadPos[i2][0] = -1;
                this.virtualPadPos[i2][INPUT_HWBUTTONS] = -1;
                this.virtualPadPos[i2][2] = -1;
                this.virtualPadPos[i2][3] = -1;
            } else {
                int i4 = ((int) this.padOffScreenLan[this.mode][this.virtualPad[i2][0] * 2]) - (((int) this.padSizeScreenLan[this.mode][this.virtualPad[i2][0] * 2]) / 2);
                int i5 = ((int) this.padOffScreenLan[this.mode][(this.virtualPad[i2][0] * 2) + INPUT_HWBUTTONS]) - (((int) this.padSizeScreenLan[this.mode][(this.virtualPad[i2][0] * 2) + INPUT_HWBUTTONS]) / 2);
                this.virtualPadPos[i2][0] = ((int) (((float) this.virtualPad[i2][INPUT_HWBUTTONS]) * this.padResize)) + i4;
                this.virtualPadPos[i2][INPUT_HWBUTTONS] = (((((int) (((float) this.virtualPad[i2][2]) * this.padResize)) + (this.mHeight - ((int) this.padSizeScreenLan[this.mode][(this.virtualPad[i2][0] * 2) + INPUT_HWBUTTONS]))) - i5) / 2) + (this.mHeight / 2);
                this.virtualPadPos[i2][2] = i4 + ((int) (((float) this.virtualPad[i2][3]) * this.padResize));
                this.virtualPadPos[i2][3] = (((((int) (((float) this.virtualPad[i2][4]) * this.padResize)) + (this.mHeight - ((int) this.padSizeScreenLan[this.mode][(this.virtualPad[i2][0] * 2) + INPUT_HWBUTTONS]))) - i5) / 2) + (this.mHeight / 2);
                this.virtualPadBit[i2] = 65536 | this.virtualPad[i2][5];
                this.virtualPadId[i2] = -1;
            }
        }
        for (i2 = 0; i2 < 20; i2 += INPUT_HWBUTTONS) {
            if (this.virtualPad[i2][0] == -1) {
                this.virtualPadBit[i2 + 20] = 0;
                this.virtualPadId[i2 + 20] = -1;
                this.virtualPadPos[i2 + 20][0] = -1;
                this.virtualPadPos[i2 + 20][INPUT_HWBUTTONS] = -1;
                this.virtualPadPos[i2 + 20][2] = -1;
                this.virtualPadPos[i2 + 20][3] = -1;
            } else {
                i4 = ((int) this.padOffScreenLan[this.mode][this.virtualPad[i2][0] * 2]) - (((int) this.padSizeScreenLan[this.mode][this.virtualPad[i2][0] * 2]) / 2);
                i5 = ((int) this.padOffScreenLan[this.mode][(this.virtualPad[i2][0] * 2) + INPUT_HWBUTTONS]) - (((int) this.padSizeScreenLan[this.mode][(this.virtualPad[i2][0] * 2) + INPUT_HWBUTTONS]) / 2);
                this.virtualPadPos[i2 + 20][0] = this.mWidth - (((int) (((float) this.virtualPad[i2][3]) * this.padResize)) + i4);
                this.virtualPadPos[i2 + 20][INPUT_HWBUTTONS] = (this.mHeight / 2) - (((((int) (((float) this.virtualPad[i2][4]) * this.padResize)) + (this.mHeight - ((int) this.padSizeScreenLan[this.mode][(this.virtualPad[i2][0] * 2) + INPUT_HWBUTTONS]))) - i5) / 2);
                this.virtualPadPos[i2 + 20][2] = this.mWidth - (i4 + ((int) (((float) this.virtualPad[i2][INPUT_HWBUTTONS]) * this.padResize)));
                this.virtualPadPos[i2 + 20][3] = (this.mHeight / 2) - (((((int) (((float) this.virtualPad[i2][2]) * this.padResize)) + (this.mHeight - ((int) this.padSizeScreenLan[this.mode][(this.virtualPad[i2][0] * 2) + INPUT_HWBUTTONS]))) - i5) / 2);
                this.virtualPadBit[i2 + 20] = this.virtualPad[i2][5];
                this.virtualPadId[i2 + 20] = -1;
            }
        }
        if (i == INPUT_HWBUTTONS) {
            while (i3 < 40) {
                int[] iArr = this.virtualPadBit;
                iArr[i3] = 65536 ^ iArr[i3];
                i3 += INPUT_HWBUTTONS;
            }
        }
        this.initvirtualPad = INPUT_HWBUTTONS;
    }

    public void init_motionevent_2playerV() {
        int i;
        for (i = 0; i < 20; i += INPUT_HWBUTTONS) {
            if (this.virtualPad[i][0] == -1) {
                this.virtualPadBit[i] = 0;
                this.virtualPadId[i] = -1;
                this.virtualPadPos[i][0] = -1;
                this.virtualPadPos[i][INPUT_HWBUTTONS] = -1;
                this.virtualPadPos[i][2] = -1;
                this.virtualPadPos[i][3] = -1;
            } else {
                int i2 = ((int) this.padOffScreenLan[this.mode][this.virtualPad[i][0] * 2]) - (((int) this.padSizeScreenLan[this.mode][this.virtualPad[i][0] * 2]) / 2);
                int i3 = ((int) this.padOffScreenLan[this.mode][(this.virtualPad[i][0] * 2) + INPUT_HWBUTTONS]) - (((int) this.padSizeScreenLan[this.mode][(this.virtualPad[i][0] * 2) + INPUT_HWBUTTONS]) / 2);
                int i4 = ((int) (((float) this.virtualPad[i][INPUT_HWBUTTONS]) * this.padResize)) + i2;
                int i5 = (((int) (((float) this.virtualPad[i][2]) * this.padResize)) + (this.mHeight - ((int) this.padSizeScreenLan[this.mode][(this.virtualPad[i][0] * 2) + INPUT_HWBUTTONS]))) - i3;
                i4 = (i4 * this.mHeight) / this.mWidth;
                i2 = ((i2 + ((int) (((float) this.virtualPad[i][3]) * this.padResize))) * this.mHeight) / this.mWidth;
                i3 = ((((((int) (((float) this.virtualPad[i][4]) * this.padResize)) + (this.mHeight - ((int) this.padSizeScreenLan[this.mode][(this.virtualPad[i][0] * 2) + INPUT_HWBUTTONS]))) - i3) * this.mWidth) / 2) / this.mHeight;
                this.virtualPadPos[i][0] = (((i5 * this.mWidth) / 2) / this.mHeight) + (this.mWidth / 2);
                this.virtualPadPos[i][INPUT_HWBUTTONS] = this.mHeight - i2;
                this.virtualPadPos[i][2] = i3 + (this.mWidth / 2);
                this.virtualPadPos[i][3] = this.mHeight - i4;
                this.virtualPadBit[i] = 65536 | this.virtualPad[i][5];
                this.virtualPadId[i] = -1;
            }
        }
        for (i = 0; i < 20; i += INPUT_HWBUTTONS) {
            if (this.virtualPad[i][0] == -1) {
                this.virtualPadBit[i + 20] = 0;
                this.virtualPadId[i + 20] = -1;
                this.virtualPadPos[i + 20][0] = -1;
                this.virtualPadPos[i + 20][INPUT_HWBUTTONS] = -1;
                this.virtualPadPos[i + 20][2] = -1;
                this.virtualPadPos[i + 20][3] = -1;
            } else {
                i2 = ((int) this.padOffScreenLan[this.mode][this.virtualPad[i][0] * 2]) - (((int) this.padSizeScreenLan[this.mode][this.virtualPad[i][0] * 2]) / 2);
                i3 = ((int) this.padOffScreenLan[this.mode][(this.virtualPad[i][0] * 2) + INPUT_HWBUTTONS]) - (((int) this.padSizeScreenLan[this.mode][(this.virtualPad[i][0] * 2) + INPUT_HWBUTTONS]) / 2);
                i4 = ((int) (((float) this.virtualPad[i][INPUT_HWBUTTONS]) * this.padResize)) + i2;
                i5 = (((int) (((float) this.virtualPad[i][2]) * this.padResize)) + (this.mHeight - ((int) this.padSizeScreenLan[this.mode][(this.virtualPad[i][0] * 2) + INPUT_HWBUTTONS]))) - i3;
                i4 = (i4 * this.mHeight) / this.mWidth;
                i5 = ((i5 * this.mWidth) / 2) / this.mHeight;
                i2 = ((i2 + ((int) (((float) this.virtualPad[i][3]) * this.padResize))) * this.mHeight) / this.mWidth;
                this.virtualPadPos[i + 20][0] = (this.mWidth / 2) - (((((((int) (((float) this.virtualPad[i][4]) * this.padResize)) + (this.mHeight - ((int) this.padSizeScreenLan[this.mode][(this.virtualPad[i][0] * 2) + INPUT_HWBUTTONS]))) - i3) * this.mWidth) / 2) / this.mHeight);
                this.virtualPadPos[i + 20][INPUT_HWBUTTONS] = i4;
                this.virtualPadPos[i + 20][2] = (this.mWidth / 2) - i5;
                this.virtualPadPos[i + 20][3] = i2;
                this.virtualPadBit[i + 20] = this.virtualPad[i][5];
                this.virtualPadId[i + 20] = -1;
            }
        }
        this.initvirtualPad = INPUT_HWBUTTONS;
    }

    public void onAutosave(int i) {
        Log.e("epsxe", "epsxeview autosaving status");
        this.f641e.setSaveMode(i);
    }

    public void onPause() {
        Log.e("epsxe", "epsxeview saving status");
        this.f641e.setSaveMode(INPUT_HWBUTTONS);
    }

    /* JADX WARNING: inconsistent code. */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    public void queueMotionEvent(int r12, int r13, int r14, int r15) {
        /*
        r11 = this;
        r1 = r12 & 255;
        r0 = r11.emu_pad_type;
        r2 = 0;
        r0 = r0[r2];
        r2 = 1;
        if (r0 != r2) goto L_0x0013;
    L_0x000a:
        r0 = r11.emu_pad_type;
        r2 = 1;
        r0 = r0[r2];
        r2 = 1;
        if (r0 != r2) goto L_0x0013;
    L_0x0012:
        return;
    L_0x0013:
        r0 = 5;
        if (r1 == r0) goto L_0x0022;
    L_0x0016:
        r0 = 6;
        if (r1 == r0) goto L_0x0022;
    L_0x0019:
        r0 = 1;
        if (r1 == r0) goto L_0x0022;
    L_0x001c:
        if (r1 == 0) goto L_0x0022;
    L_0x001e:
        r0 = 0;
        r2 = 2;
        if (r1 != r2) goto L_0x0046;
    L_0x0022:
        r0 = r11.emu_pad_mode;
        r1 = 0;
        r0 = r0[r1];
        r1 = 3;
        if (r0 != r1) goto L_0x006c;
    L_0x002a:
        r1 = 0;
        r6 = 0;
        r7 = 0;
        r8 = 0;
        r0 = r11.emu_pad_type;
        r3 = 0;
        r0 = r0[r3];
        r3 = r11.emu_pad_type;
        r4 = 1;
        r3 = r3[r4];
        r3 = r3 << 1;
        r10 = r0 | r3;
        r0 = r11;
        r3 = r12;
        r4 = r13;
        r5 = r14;
        r9 = r15;
        r0 = r0.touchscreeneventgun(r1, r3, r4, r5, r6, r7, r8, r9, r10);
    L_0x0046:
        r1 = r11.ts_vibration;
        r2 = 0;
        r1 = r1[r2];
        r2 = 1;
        if (r1 != r2) goto L_0x0051;
    L_0x004e:
        r1 = 1;
        if (r0 == r1) goto L_0x005c;
    L_0x0051:
        r1 = r11.ts_vibration;
        r2 = 1;
        r1 = r1[r2];
        r2 = 1;
        if (r1 != r2) goto L_0x0012;
    L_0x0059:
        r1 = 2;
        if (r0 != r1) goto L_0x0012;
    L_0x005c:
        r0 = r11.mContext;
        r1 = "vibrator";
        r0 = r0.getSystemService(r1);
        r0 = (android.os.Vibrator) r0;
        r1 = 35;
        r0.vibrate(r1);
        goto L_0x0012;
    L_0x006c:
        r0 = r11.emu_player_mode;
        r1 = 1;
        if (r0 != r1) goto L_0x0080;
    L_0x0071:
        r0 = r11.emu_pad_type;
        r1 = 0;
        r0 = r0[r1];
        if (r0 == 0) goto L_0x0080;
    L_0x0078:
        r0 = r11.emu_pad_type;
        r1 = 1;
        r1 = r0[r1];
        r0 = 0;
        if (r1 != 0) goto L_0x0046;
    L_0x0080:
        r1 = 0;
        r6 = 0;
        r7 = 0;
        r8 = 0;
        r0 = r11.emu_pad_type;
        r3 = 0;
        r0 = r0[r3];
        r3 = r11.emu_pad_type;
        r4 = 1;
        r3 = r3[r4];
        r3 = r3 << 1;
        r10 = r0 | r3;
        r0 = r11;
        r3 = r12;
        r4 = r13;
        r5 = r14;
        r9 = r15;
        r0 = r0.touchscreenevent(r1, r3, r4, r5, r6, r7, r8, r9, r10);
        r0 = r0 + 0;
        goto L_0x0046;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.epsxe.ePSXe.ePSXeViewGL.queueMotionEvent(int, int, int, int):void");
    }

    public void setIsoName(String str, int i, String str2) {
    }

    public void setSaveslot(int i) {
    }

    public void setanalogdebug(int i, int i2, int i3, int i4) {
        this.x1 = i;
        this.y1 = i2;
        this.x2 = i3;
        this.y2 = i4;
    }

    public void setdebugstring(String str) {
        this.debugString = str;
    }

    public void setdebugstring2(String str) {
        this.debugString2 = str;
    }

    public void setePSXeLib(libepsxe com_epsxe_ePSXe_libepsxe) {
        this.osVersion = Integer.parseInt(VERSION.SDK);
        this.f641e = com_epsxe_ePSXe_libepsxe;
        this.f641e.setscreendepth(this.emu_gpu_blit_mode);
        new C01171().start();
        setRenderer(new ePSXeRenderer());
    }

    public void setfps(int i) {
        this.mfps = i;
        Log.e("ePSXeView", "fps = " + i);
    }

    public void setframeskip(int i) {
        this.emu_enable_frameskip = i;
        this.emu_enable_frameskip_tmp = i;
        Log.e("epsxeView", "FrameSkip = " + i);
        this.emu_enable_frameskip = this.f641e.setFrameSkip(this.emu_enable_frameskip);
        this.emu_enable_frameskip_tmp = this.emu_enable_frameskip;
    }

    public void setinputalpha(float f) {
        this.emu_input_alpha = f;
    }

    public void setinputpadmode(int i, int i2, int i3, int i4) {
        if (this.emu_player_mode == INPUT_HWBUTTONS) {
            this.emu_pad_mode[0] = i;
            this.emu_pad_mode[INPUT_HWBUTTONS] = i2;
            this.f641e.setpadmode(0, i);
            this.f641e.setpadmode(INPUT_HWBUTTONS, i2);
            if (i == 4) {
                this.emu_pad_mode_analog[0] = i3;
                this.mode = i3;
                this.f641e.setpadanalogmode(0, this.emu_pad_mode_analog[0]);
            } else if (i == INPUT_HWBUTTONS) {
                this.emu_pad_mode_analog[0] = 0;
                this.mode = 0;
                this.f641e.setpadanalogmode(0, this.emu_pad_mode_analog[0]);
            }
            if (i2 == 4) {
                this.emu_pad_mode_analog[INPUT_HWBUTTONS] = i4;
                this.f641e.setpadanalogmode(INPUT_HWBUTTONS, this.emu_pad_mode_analog[INPUT_HWBUTTONS]);
            } else if (i2 == INPUT_HWBUTTONS) {
                this.emu_pad_mode_analog[INPUT_HWBUTTONS] = 0;
                this.f641e.setpadanalogmode(INPUT_HWBUTTONS, this.emu_pad_mode_analog[INPUT_HWBUTTONS]);
            }
            if (i == 4 || i == INPUT_HWBUTTONS) {
                init_motionevent_1playerLandscape();
            } else if (i == 3) {
                this.emu_pad_mode_analog[0] = INPUT_HWBUTTONS;
                this.mode = INPUT_HWBUTTONS;
                this.f641e.setpadanalogmode(0, this.emu_pad_mode_analog[0]);
                init_motionevent_1playerGun();
            }
            Log.e("epsxeView", "PadMode " + i + " Analog " + i3);
            Log.e("epsxeView", "PadMode2 " + i2 + " Analog " + i4);
        }
    }

    public void setinputpadmodeanalog(int i) {
        if (this.emu_player_mode == INPUT_HWBUTTONS) {
            if (this.emu_pad_mode[i] == 4) {
                int[] iArr = this.emu_pad_mode_analog;
                iArr[i] = iArr[i] ^ INPUT_HWBUTTONS;
                this.f641e.setpadanalogmode(i, this.emu_pad_mode_analog[i]);
            }
            if (i == 0) {
                this.mode = this.emu_pad_mode_analog[i];
            }
        }
    }

    public void setinputpadtype(int i, int i2) {
        this.emu_pad_type[0] = i;
        this.emu_pad_type[INPUT_HWBUTTONS] = i2;
        Log.e("epsxeView", "PadType " + i);
        Log.e("epsxeView", "PadType2 " + i2);
        if (this.emu_pad_type[0] == 0) {
            this.emu_pad_type_selected = 0;
        } else {
            this.emu_pad_type_selected = INPUT_HWBUTTONS;
        }
    }

    public void setinputpaintpadmode(int i, int i2) {
        this.emu_pad_draw_mode[0] = i;
        this.emu_pad_draw_mode[INPUT_HWBUTTONS] = i2;
        Log.e("epsxeView", "PadPaintMode " + i);
        Log.e("epsxeView", "PadPaintMode2 " + i2);
    }

    public void setinputskinname(String str) {
        this.skinName = str;
        Log.e("epsxeView", "skinName " + str);
    }

    public void setinputvibration(int i, int i2) {
        this.ts_vibration[0] = i;
        this.ts_vibration[INPUT_HWBUTTONS] = i2;
        Log.e("epsxeView", "InputVibrate1 = " + i);
        Log.e("epsxeView", "InputVibrate2 = " + i2);
    }

    public void setlicense(boolean z) {
        this.license = z;
    }

    public void setplayermode(int i) {
        this.emu_player_mode = i;
        Log.e("epsxeView", "PlayerMode = " + i);
        this.emu_player_mode = this.f641e.setPlayerMode(this.emu_player_mode);
        if (this.emu_player_mode != 10) {
            return;
        }
        if (this.emu_screen_orientation == 0) {
            this.emu_split_mode = INPUT_HWBUTTONS;
        } else {
            this.emu_split_mode = 0;
        }
    }

    public void setscreenblackbands(int i) {
        Log.e("epsxeView", "blackbands = " + i);
        this.f641e.setblackbands(i);
    }

    public void setscreendepth(int i) {
        this.emu_gpu_blit_mode = i;
    }

    public void setscreenorientation(int i) {
        Log.e("epsxeView", "Orientation = " + i);
        this.emu_screen_orientation = this.f641e.setscreenorientation(i);
    }

    public void setscreenratio(int i) {
        Log.e("epsxeView", "Ratio = " + i);
        this.emu_screen_ratio = i;
    }

    public void setshowfps(int i) {
        this.emu_enable_printfps = i;
        Log.e("epsxeView", "CpuShowFPS " + i);
    }

    public void setsnaprestoring(boolean z) {
        Log.e("epsxeView", "loadtmp_snap ");
        this.f641e.loadtmpsnap();
    }

    public void setsoundlatency(int i) {
        Log.e("epsxeView", "SoundLatency = " + i);
        this.emu_sound_latency = this.f641e.setSoundLatency(i);
    }

    public void setsplitmode(int i) {
        this.emu_split_mode = i;
        Log.e("epsxeView", "SplitMode = " + i);
        this.emu_split_mode = this.f641e.setSplitMode(i);
        this.initvirtualPad = 0;
    }

    public void setvideodither(int i) {
        Log.e("epsxeView", "PSX Dither = " + i);
        this.f641e.setDithering(i);
    }

    public void setvideofilter(int i) {
        Log.e("epsxeView", "Filter = " + i);
        this.emu_video_filter = i;
    }

    public void setvideofilterhw(int i) {
        Log.e("epsxeView", "PSX Filter hw = " + i);
        this.f641e.setFilterhw(i);
    }

    public void toggleStickyButton(int i, int i2) {
        int[] iArr = this.stickyButton;
        iArr[i] = iArr[i] ^ INPUT_HWBUTTONS;
        if (this.stickyButton[i] == 0) {
            this.f641e.setPadDataUp(i2 & 65535, 0);
        } else {
            this.f641e.setPadDataDown(i2 & 65535, 0);
        }
    }

    public void toggleframelimit() {
        if (this.emu_enable_framelimit == INPUT_HWBUTTONS) {
            this.emu_enable_frameskip_tmp = this.emu_enable_frameskip;
            this.emu_enable_frameskip = 0;
            this.emu_enable_frameskip = this.f641e.setFrameSkip(this.emu_enable_frameskip);
            this.emu_enable_framelimit ^= INPUT_HWBUTTONS;
            this.emu_enable_framelimit = this.f641e.setFrameLimit(this.emu_enable_framelimit);
            return;
        }
        this.emu_enable_frameskip = this.emu_enable_frameskip_tmp;
        this.emu_enable_frameskip = this.f641e.setFrameSkip(this.emu_enable_frameskip);
        this.emu_enable_framelimit ^= INPUT_HWBUTTONS;
        this.emu_enable_framelimit = this.f641e.setFrameLimit(this.emu_enable_framelimit);
    }

    public void toggletools() {
    }

    public int touchscreenevent(long j, int i, int i2, int i3, float f, float f2, int i4, int i5, int i6) {
        int i7;
        Object obj;
        int i8 = this.emu_player_mode == INPUT_HWBUTTONS ? 20 : 40;
        int i9 = 0;
        if (this.emu_pad_mode[this.emu_pad_type_selected] == 4) {
            i9 = 0;
            if (this.emu_pad_mode_analog[this.emu_pad_type_selected] == INPUT_HWBUTTONS) {
                i9 = 2;
            }
        }
        if (this.emu_screen_orientation == INPUT_HWBUTTONS) {
            i9 = 0;
        }
        int i10 = 0;
        if (this.padScreenExtraCombo == INPUT_HWBUTTONS) {
            i10 = i9 != 0 ? 6 : ACTION_POINTER_INDEX_SHIFT;
        }
        if (this.initvirtualPad == 0) {
            if (this.emu_player_mode == INPUT_HWBUTTONS) {
                if (this.emu_screen_orientation == INPUT_HWBUTTONS) {
                    init_motionevent_1playerPortrait();
                } else {
                    init_motionevent_1playerLandscape();
                }
            } else if (this.emu_split_mode == 0) {
                init_motionevent_2playerV();
            } else if (this.emu_split_mode == INPUT_HWBUTTONS) {
                init_motionevent_2playerH(0);
            } else if (this.emu_split_mode == 2) {
                init_motionevent_2playerH(INPUT_HWBUTTONS);
            }
        }
        if (i == 2) {
            i7 = 0;
            obj = INPUT_HWBUTTONS;
        } else {
            obj = null;
            i7 = i;
        }
        if (i7 == 261 || i7 == 5 || i7 == 517) {
            i7 = 0;
        }
        int i11 = (i7 == 262 || i7 == 6 || i7 == 518) ? INPUT_HWBUTTONS : i7;
        if (i11 == INPUT_HWBUTTONS && this.virtualPadId[i5] != -1) {
            i7 = this.virtualPadId[i5];
            if (i7 < 20 || this.emu_player_mode != INPUT_HWBUTTONS || i9 == 0) {
                if ((65536 & this.virtualPadBit[i7]) == 65536) {
                    this.f641e.setPadDataUp(this.virtualPadBit[i7] & 65535, 0);
                } else {
                    this.f641e.setPadDataUp(0, this.virtualPadBit[i7] & 65535);
                }
            } else if (i7 < 22) {
                this.f641e.setpadanalog(((this.virtualPadBit[i7] >> 16) & INPUT_HWBUTTONS) ^ INPUT_HWBUTTONS, i7 - 20, 0, 0);
                if (i7 == 20) {
                    this.analog_values[0][0] = ((this.virtualPadPos[i7][2] - this.virtualPadPos[i7][0]) / 2) + this.virtualPadPos[i7][0];
                    this.analog_values[0][INPUT_HWBUTTONS] = this.mHeight - (((this.virtualPadPos[i7][3] - this.virtualPadPos[i7][INPUT_HWBUTTONS]) / 2) + this.virtualPadPos[i7][INPUT_HWBUTTONS]);
                }
                if (i7 == 21) {
                    this.analog_values[0][2] = ((this.virtualPadPos[i7][2] - this.virtualPadPos[i7][0]) / 2) + this.virtualPadPos[i7][0];
                    this.analog_values[0][3] = this.mHeight - (this.virtualPadPos[i7][INPUT_HWBUTTONS] + ((this.virtualPadPos[i7][3] - this.virtualPadPos[i7][INPUT_HWBUTTONS]) / 2));
                }
            } else if (i7 > 22 && i7 < 29) {
                if ((65536 & this.virtualPadBit[i7]) == 65536) {
                    this.f641e.setPadDataUp(this.virtualPadBit[i7] & 65535, 0);
                } else {
                    this.f641e.setPadDataUp(0, this.virtualPadBit[i7] & 65535);
                }
            }
            this.virtualPadId[i5] = -1;
        }
        if (i11 != 0) {
            return 0;
        }
        int i12;
        Object obj2;
        if (this.emu_pad_mode[this.emu_pad_type_selected] == 4 && obj == null && i2 >= this.virtualPadPos[22][0] && i2 <= this.virtualPadPos[22][2] && i3 >= this.virtualPadPos[22][INPUT_HWBUTTONS] && i3 <= this.virtualPadPos[22][3]) {
            int[] iArr = this.emu_pad_mode_analog;
            i12 = this.emu_pad_type_selected;
            iArr[i12] = iArr[i12] ^ INPUT_HWBUTTONS;
            this.mode = this.emu_pad_mode_analog[this.emu_pad_type_selected];
            this.f641e.setpadanalogmode(this.emu_pad_type_selected, this.emu_pad_mode_analog[this.emu_pad_type_selected]);
            init_motionevent_1playerLandscape();
        }
        if (obj == null && this.padScreenExtraEnabled == INPUT_HWBUTTONS) {
            i7 = 0;
            while (i7 < 6) {
                if (this.padScreenFunc[i7] == INPUT_HWBUTTONS && i2 >= this.virtualPadPos[i7 + 23][0] && i2 <= this.virtualPadPos[i7 + 23][2] && i3 >= this.virtualPadPos[i7 + 23][INPUT_HWBUTTONS] && i3 <= this.virtualPadPos[i7 + 23][3]) {
                    if (this.padScreenExtra[i7] < 5) {
                        this.f641e.setsslot(this.padScreenExtra[i7]);
                    } else if (this.padScreenExtra[i7] < 10) {
                        this.f641e.setsslot(this.padScreenExtra[i7] + 5);
                        setSaveslot(this.padScreenExtra[i7] + 5);
                    } else if (this.padScreenExtra[i7] != 16) {
                        if (this.padScreenExtra[i7] == 18) {
                            toggleframelimit();
                        } else if (this.padScreenExtra[i7] == 20) {
                            toggleStickyButton(0, InputList.KEYCODE_MEDIA_CLOSE);
                        } else if (this.padScreenExtra[i7] == 21) {
                            toggleStickyButton(INPUT_HWBUTTONS, 64);
                        } else if (this.padScreenExtra[i7] == 22) {
                            toggleStickyButton(2, 32);
                        } else if (this.padScreenExtra[i7] == 23) {
                            toggleStickyButton(3, 16);
                        } else if (this.padScreenExtra[i7] == 24) {
                            toggleStickyButton(4, 4);
                        } else if (this.padScreenExtra[i7] == 25) {
                            toggleStickyButton(5, INPUT_HWBUTTONS);
                        } else if (this.padScreenExtra[i7] == 26) {
                            toggleStickyButton(6, ACTION_POINTER_INDEX_SHIFT);
                        } else if (this.padScreenExtra[i7] == 27) {
                            toggleStickyButton(7, 2);
                        }
                    }
                }
                i7 += INPUT_HWBUTTONS;
            }
        }
        i12 = 0;
        while (i12 < i10 + (i8 + i9)) {
            if (i2 < this.virtualPadPos[i12][0] || i2 > this.virtualPadPos[i12][2] || i3 < this.virtualPadPos[i12][INPUT_HWBUTTONS] || i3 > this.virtualPadPos[i12][3] || i11 != 0) {
                i12 += INPUT_HWBUTTONS;
            } else {
                if (this.virtualPadId[i5] != -1) {
                    i8 = this.virtualPadId[i5];
                    if (i8 < 20 || this.emu_player_mode != INPUT_HWBUTTONS) {
                        if ((65536 & this.virtualPadBit[i8]) == 65536) {
                            this.f641e.setPadDataUp(this.virtualPadBit[i8] & 65535, 0);
                        } else {
                            this.f641e.setPadDataUp(0, this.virtualPadBit[i8] & 65535);
                        }
                    } else if (i8 < 22 && i9 != 0) {
                        this.f641e.setpadanalog(((this.virtualPadBit[i8] >> 16) & INPUT_HWBUTTONS) ^ INPUT_HWBUTTONS, i8 - 20, 0, 0);
                        if (i8 == 20) {
                            this.analog_values[0][0] = ((this.virtualPadPos[i8][2] - this.virtualPadPos[i8][0]) / 2) + this.virtualPadPos[i8][0];
                            this.analog_values[0][INPUT_HWBUTTONS] = this.mHeight - (((this.virtualPadPos[i8][3] - this.virtualPadPos[i8][INPUT_HWBUTTONS]) / 2) + this.virtualPadPos[i8][INPUT_HWBUTTONS]);
                        }
                        if (i8 == 21) {
                            this.analog_values[0][2] = ((this.virtualPadPos[i8][2] - this.virtualPadPos[i8][0]) / 2) + this.virtualPadPos[i8][0];
                            this.analog_values[0][3] = this.mHeight - (this.virtualPadPos[i8][INPUT_HWBUTTONS] + ((this.virtualPadPos[i8][3] - this.virtualPadPos[i8][INPUT_HWBUTTONS]) / 2));
                        }
                    } else if (i8 > 22 && i8 < 29) {
                        if ((65536 & this.virtualPadBit[i8]) == 65536) {
                            this.f641e.setPadDataUp(this.virtualPadBit[i8] & 65535, 0);
                        } else {
                            this.f641e.setPadDataUp(0, this.virtualPadBit[i8] & 65535);
                        }
                    }
                }
                if (i12 < 20 || this.emu_player_mode != INPUT_HWBUTTONS) {
                    if ((65536 & this.virtualPadBit[i12]) == 65536) {
                        this.f641e.setPadDataDown(65535 & this.virtualPadBit[i12], 0);
                    } else {
                        this.f641e.setPadDataDown(0, 65535 & this.virtualPadBit[i12]);
                    }
                } else if (i12 < 22 && i9 != 0) {
                    i8 = ((i2 - this.virtualPadPos[i12][0]) * 255) / (this.virtualPadPos[i12][2] - this.virtualPadPos[i12][0]);
                    i9 = ((i3 - this.virtualPadPos[i12][INPUT_HWBUTTONS]) * 255) / (this.virtualPadPos[i12][3] - this.virtualPadPos[i12][INPUT_HWBUTTONS]);
                    i10 = ((this.virtualPadBit[i12] >> 16) & INPUT_HWBUTTONS) ^ INPUT_HWBUTTONS;
                    if (i12 == 20) {
                        this.analog_values[0][0] = i2;
                        this.analog_values[0][INPUT_HWBUTTONS] = this.mHeight - i3;
                    }
                    if (i12 == 21) {
                        this.analog_values[0][2] = i2;
                        this.analog_values[0][3] = this.mHeight - i3;
                    }
                    this.f641e.setpadanalog(i10, i12 - 20, i8 - 128, i9 - 128);
                } else if (i12 > 22 && i12 < 29) {
                    if ((65536 & this.virtualPadBit[i12]) == 65536) {
                        this.f641e.setPadDataDown(65535 & this.virtualPadBit[i12], 0);
                    } else {
                        this.f641e.setPadDataDown(0, 65535 & this.virtualPadBit[i12]);
                    }
                }
                this.virtualPadId[i5] = i12;
                i8 = 0;
                if (i != 2) {
                    i8 = INPUT_HWBUTTONS;
                }
                obj2 = INPUT_HWBUTTONS;
                if (this.emu_pad_mode[this.emu_pad_type_selected] == 4 || this.emu_pad_mode_analog[this.emu_pad_type_selected] != INPUT_HWBUTTONS || r2 != null) {
                    return i8;
                }
                if (this.virtualPadId[i5] != 20 && this.virtualPadId[i5] != 21) {
                    return i8;
                }
                i7 = this.virtualPadId[i5];
                int i13 = this.virtualPadPos[i7][2] - this.virtualPadPos[i7][0];
                i10 = this.virtualPadPos[i7][3] - this.virtualPadPos[i7][INPUT_HWBUTTONS];
                i12 = ((this.virtualPadBit[i7] >> 16) & INPUT_HWBUTTONS) ^ INPUT_HWBUTTONS;
                i9 = i2 <= this.virtualPadPos[i7][0] ? 0 : i2 >= this.virtualPadPos[i7][2] ? 255 : ((i2 - this.virtualPadPos[i7][0]) * 255) / i13;
                i10 = i3 <= this.virtualPadPos[i7][INPUT_HWBUTTONS] ? 0 : i3 >= this.virtualPadPos[i7][3] ? 255 : ((i3 - this.virtualPadPos[i7][INPUT_HWBUTTONS]) * 255) / i10;
                if (i7 == 20) {
                    this.analog_values[0][0] = this.virtualPadPos[i7][0] + ((i9 * i13) / 255);
                    this.analog_values[0][INPUT_HWBUTTONS] = this.mHeight - (this.virtualPadPos[i7][INPUT_HWBUTTONS] + ((i10 * i13) / 255));
                }
                if (i7 == 21) {
                    this.analog_values[0][2] = this.virtualPadPos[i7][0] + ((i9 * i13) / 255);
                    this.analog_values[0][3] = this.mHeight - (((i13 * i10) / 255) + this.virtualPadPos[i7][INPUT_HWBUTTONS]);
                }
                this.f641e.setpadanalog(i12, i7 - 20, i9 - 128, i10 - 128);
                return i8;
            }
        }
        i8 = 0;
        obj2 = null;
        return this.emu_pad_mode[this.emu_pad_type_selected] == 4 ? i8 : i8;
    }

    public int touchscreeneventgun(long j, int i, int i2, int i3, float f, float f2, int i4, int i5, int i6) {
        if (this.initvirtualPad == 0) {
            init_motionevent_1playerGun();
        }
        int i7 = i == 2 ? 0 : i;
        if (i7 == 261 || i7 == 5 || i7 == 517) {
            i7 = 0;
        }
        int i8 = (i7 == 262 || i7 == 6 || i7 == 518) ? INPUT_HWBUTTONS : i7;
        if (i8 == INPUT_HWBUTTONS && this.virtualPadId[i5] != -1) {
            i7 = this.virtualPadId[i5];
            if (i7 < 3) {
                if (i7 == INPUT_HWBUTTONS) {
                    this.gunb1 = 0;
                }
                if (i7 == 2) {
                    this.gunb2 = 0;
                }
                if (i7 == 0) {
                    this.gunb0 = 0;
                }
                this.f641e.setGunData(0, this.gunX, this.gunY, this.gunb0, this.gunb1, this.gunb2);
            }
            this.virtualPadId[i5] = -1;
        }
        if (i8 != 0) {
            return 0;
        }
        int i9 = 0;
        while (i9 < 3) {
            if (i2 < this.virtualPadPos[i9][0] || i2 > this.virtualPadPos[i9][2] || i3 < this.virtualPadPos[i9][INPUT_HWBUTTONS] || i3 > this.virtualPadPos[i9][3] || i8 != 0) {
                i9 += INPUT_HWBUTTONS;
            } else {
                if (this.virtualPadId[i5] != -1) {
                    i7 = this.virtualPadId[i5];
                    if (i7 < 3) {
                        if (i7 == INPUT_HWBUTTONS) {
                            this.gunb1 = 0;
                        }
                        if (i7 == 2) {
                            this.gunb2 = 0;
                        }
                        if (i7 == 0) {
                            this.gunb0 = 0;
                        }
                        this.f641e.setGunData(0, this.gunX, this.gunY, this.gunb0, this.gunb1, this.gunb2);
                    }
                }
                if (i9 < 3) {
                    Log.e("gun", "button " + i9);
                    if (i9 == INPUT_HWBUTTONS) {
                        this.gunb1 = INPUT_HWBUTTONS;
                    }
                    if (i9 == 2) {
                        this.gunb2 = INPUT_HWBUTTONS;
                    }
                    if (i9 == 0) {
                        this.gunb0 = INPUT_HWBUTTONS;
                        this.gunX = (((i2 - ((this.mWidth - ((this.mHeight * 4) / 3)) / 2)) * 384) / ((this.mHeight * 4) / 3)) + 77;
                        if (this.mfps == 60) {
                            this.gunY = ((i3 * 223) / this.mHeight) + 25;
                        } else {
                            this.gunY = ((i3 * 263) / this.mHeight) + 32;
                        }
                    }
                    this.f641e.setGunData(0, this.gunX, this.gunY, this.gunb0, this.gunb1, this.gunb2);
                }
                this.virtualPadId[i5] = i9;
                return i != 2 ? INPUT_HWBUTTONS : 0;
            }
        }
        return 0;
    }
}
